<?php
	header(' ', true, 404);
	
	$breadcrumb = array();
	
	# Record a message
	
	$pagelink = URL_SITE.$_SERVER['REQUEST_URI'];
	
	$data = array();
	$data['title'] = '404 Error';
	$data['message'] = 'The pagename '.PAGENAME.' generated a 404 error.';
	$data['message'] .= '<br />Page: '.$pagelink;
	$data['message'] .= '<br />Referrer: '.$_SERVER['HTTP_REFERER'];
	$data['message'] .= '<br />User Agent: '.$_SERVER['HTTP_USER_AGENT'];
	$data['message'] .= '<br />IP: '.$_SERVER['REMOTE_ADDR'];
	$data['item'] = 'page';
	$data['identifier'] = "pagename|".$pagelink;
	$data['created'] = "NOW()";
	$db->insert('messages', $data);
	
	/*
	# Email notification
	$body = print_r($_SESSION,true);
	$body .= "\n\n";
	$body .= print_r($_SERVER,true);
	$body .= "\n\n";
	$body .= print_r($_COOKIE,true);

	mail (EMAIL_TO, '404 at ' . SITE_NAME, $body);
	*/
	
	$page_title = '404 - Page Not Found at '.SITE_NAME;
	$page_description = 'This page could not be found or no longer exists.';
	$page_keywords = '404';

	$pagecontents = getFileContents(pickTemplateFile('404.php'));
	require(pickTemplateFile('layout_default.php'));