<?php

	$page = getPage(PAGENAME, 'pagename');
	$breadcrumb = getBreadcrumb($pagetype, $page);
	require('page.php');
	
	# At the moment, will display manufacturers without images instead of the previous setting of only displaying them with images
	$rs = $db->query("SELECT * FROM manufacturers m WHERE m.display_allmanufacturers = 1 ORDER BY linktitle ASC");
	$manufacturers = $rs->getFullArray();

	foreach($manufacturers as $key => $manufacturer)
	{
		$manufacturer['filename'] = $db->query("SELECT filename FROM manufacturerimages WHERE manufacturer_id = '{$manufacturer['id']}' LIMIT 1")->getSingleResult();
		if(!$manufacturer['filename'])
		{
			$product = $db->query("SELECT pagename, id FROM products p WHERE manufacturer_id = '{$manufacturer['id']}' ORDER BY RAND() LIMIT 1")->fetch();
			$product['image'] = $db->get('productimages', $product['id'], 'product_id', 'sortorder');
			$manufacturer['filename'] = URL_SITE."img/".$product['pagename']."_".$product['image']['id']."_200.jpg";
		}
		else
		{
			$manufacturer['filename'] = URL_SITE."i/?src=".RELATIVE_URL_IMAGES_MANUFACTURER.$manufacturer['filename']."&w=200&h=200";
		}
		$manufacturers[$key] = $manufacturer;
	}
	
	$page_title = $page['metatitle'];
	$page_description = $page['metadescription'];
	$page_keywords = $page['metakeywords'];

	$pagecontents = getFileContents(pickTemplateFile('allmanufacturers.php'));
	require(pickTemplateFile('layout_default.php'));