<?php
	# Common Actions for all controllers
	
	# Categories
 	$menutype = getTemplateOption('LEFT_CATEGORY_TYPE');
 	if ($menutype == 'full')
 	{
 		$leftmenucategories = getCategoryListByGroup();
 	}
 	else
 	{
		$leftmenucategories = getCategoryListByGroup(0,0,true,$top_category_id);
	}
	$toplevelcategories = getCategoryList(0,0,true);
	
	# Manufacturers
	$rs = $db->query("SELECT * FROM manufacturers m WHERE m.display_sidebar = 1 ORDER BY linktitle ASC");
	$leftmenumanufacturers = $rs->getFullArray();
	
	# Sideboxes
	$sideboxes = $db->getAll('sideboxes', false, 'id', 'sortorder');
	foreach ($sideboxes as $key => $item)
	{
		if ($item['type'] == 'pagelinks')
		{
			$sideboxpages = $db->getAll('sideboxes_pages', $item['id'], 'sidebox_id');
			foreach ($sideboxpages as $sideboxpage)
			{
				$sideboxes[$key]['pages'][] = array_merge(array('nofollow' => $sideboxpage['nofollow']), $db->get('pages', $sideboxpage['page_id']));
			}
			$sideboxes[$key]['links'] = unserialize($sideboxes[$key]['html']);
		}
	}
	
	# Get core pages for use in layout
	$pages = array();
	$temp = $db->query("SELECT * FROM pages WHERE core = 1")->getFullArray();
	foreach ($temp as $key => $item)
	{
		$pages[$item['pagekey']] = $item;
	}
	
	# Header banner
	$header_images['header_banner_a.jpg'] = 'ladies-golf-clubs-and-ladies-box-sets';
	$header_images['header_banner_b.jpg'] = 'junior-golf-clubs-and-junior-box-sets';
	$header_image = array_rand($header_images);
	$header_url_link = $header_images[$header_image];	
	
	$logocaption = TEXT_LOGOCAPTION_DEFAULT;
	
	if (defined('IS_PAGE') && IS_PAGE)
	{
		$editinplacename = 'page';
		$adminstripename = 'page';
	}
	else
	{
		$editinplacename = $pagetype;
		$adminstripename = $pagetype;
	}
			
	$showcheckoutbutton = true;
	$metanoindex = false;
	
	# Get the template css options that have been set
	$cssdeclerations = getTemplateCSS();
	
	#Get the template text
	initialiseTemplateText();
	
	# Default Canonical URL
	if (PAGENAME == '') $canonicalurl = URL_SITE;
	else $canonicalurl = URL_SITE.PAGENAME.'/';
	if (isset($_GET['var1'])) $canonicalurl .= $_GET['var1'].'/';
	if (isset($_GET['var2'])) $canonicalurl .= $_GET['var2'].'/';
	if (isset($_GET['var3'])) $canonicalurl .= $_GET['var3'].'/';
	if (isset($_GET['var4'])) $canonicalurl .= $_GET['var4'].'/';

	# The javascript we need
	# TODO: Make this more optimal by only requiring the js we need on that given page
	require(PATH_ROOT.'min/builder.php');
	$includescripts[] = URL_SITE.'templates/'.TEMPLATE_FOLDER.'/scripts/prototype.js';
	$includescripts[] = URL_SITE.'templates/'.TEMPLATE_FOLDER.'/scripts/scriptaculous.js?load=effects,builder';
	$includescripts[] = URL_SITE.'templates/'.TEMPLATE_FOLDER.'/scripts/lightbox.js';
	$includescripts[] = URL_SITE.'templates/'.TEMPLATE_FOLDER.'/scripts/checkboxtools.js';
	if (ADMIN_LOGGED_IN)
	{
		# Edit in place
		$includescripts[] = '/templates/'.TEMPLATE_FOLDER.'/scripts/editinplace.js';
	}
	
	# Some functions required by the template
	if(file_exists('/templates/'.TEMPLATE_FOLDER.'/functions.php'))
		require_once '/templates/'.TEMPLATE_FOLDER.'/functions.php';