<?php
	$page = getPage(PAGENAME, 'pagename');
	$breadcrumb = getBreadcrumb($pagetype, $page);
	require('page.php');

	
	
	if ($_GET['var1'] && $_GET['var1'] == 'cancel')
	{
		$return_url = (isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : URL_SITE);
		$_SESSION['productfilters'] = array();
		setMessage('error', 'Your product filter options have been removed.');
		redirect($return_url);
	}
	
	if ($_POST)
	{
		# First reset the session
		$_SESSION['productfilters'] = array();
		
		foreach ($_POST as $key => $item)
		{
			if (is_array($item))
			{
				foreach ($item as $valuekey => $valueitem)
				{
					$_SESSION['productfilters'][$key][$valueitem] = true;
				}
			}
			else
			{
				if ($item != '-1')
				{
					$_SESSION['productfilters'][$key] = $item;
				}
			}
		}
		
		
		$return_url = (isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER'] != URL_SITE.PAGENAME.'/' ? $_SERVER['HTTP_REFERER'] : URL_SITE.'all-products/');

		
		redirect($return_url);
	}
	
	# Get the attributes available to filter
	$filteroptions = getFilterOptions();
	
	$page_title = $page['metatitle'];
	$page_description = $page['metadescription'];
	$page_keywords = $page['metakeywords'];
	
	$includescripts[] = '/templates/'.TEMPLATE_FOLDER.'/scripts/checkboxtools.js';

	$pagecontents = getFileContents(pickTemplateFile('filterproducts.php'));
	require(pickTemplateFile('layout_default.php'));