<?php
	require(PATH_LIBRARY.'rss_generator.php');
	
	# Categories
	$categories = getCategoryList();
	
	$rss_view = $_GET['var1'];
	
	if ($rss_view == '') exit();

	switch ($rss_view){
	
	case "all-products":
		$sql = "SELECT p.* FROM products p WHERE p.parent_id = 0 AND hidden = 0 AND enabled = 1 AND (offers > 0 OR parent = 1) ORDER BY salesrank ASC LIMIT 100";
		$ra = $db->query($sql)->getFullArray();
		GenerateFeed(DBtoArray($ra), URL_SITE.'rss/'.$rss_view.'/', 'All Products');
		break;
		
	case "special-offers":
		$sql = "SELECT	p.*, o.price + o.amountsaved as originalprice FROM products p, productoffers o
			WHERE	p.id		= o.product_id
			  AND	p.parent_id	= 0
			  AND	p.enabled	= 1
			  AND	p.hidden	= 0
			  AND	p.offers	> 0
			  AND	o.percentagesaved > 0
			  AND	o.price > 200
			  AND	p.id IN (SELECT product_id FROM products_categories)
			  AND	o.id IN (SELECT x.id FROM productoffers x WHERE x.product_id = p.id HAVING MIN(x.price))
			ORDER BY p.salesrank DESC
			LIMIT 50";
		$ra = $db->query($sql)->getFullArray();
		GenerateFeed(DBtoArray($ra), URL_SITE.'rss/'.$rss_view.'/', 'Special Offer Products');
		break;
		
	default:
		
		$category = $db->get('categories', $rss_view, 'pagename');
		if (!$category) exit();
		
		$category_id = $category['id'];
		
		$sql = "SELECT p.* FROM products p, products_categories c WHERE p.id = c.product_id AND p.parent_id = 0 AND c.category_id = ".$category_id." AND hidden = 0 AND enabled = 1 AND (offers > 0 OR parent = 1)";
		$rs = $db->query($sql);
		$ra = $rs->getFullArray();
		GenerateFeed(DBtoArray($ra), URL_SITE.'rss/'.$rss_view.'/', $category['linktitle'].' Products');
		break;

		
	}