<?php
	$page = getPage(PAGENAME, 'pagename');
	$breadcrumb = getBreadcrumb($pagetype, $sitemappage);
	require('page.php');
	
	$pagination['sortoptions']['default']['displayname'] = 'Default';
	$pagination['sortoptions']['default']['sql'] = '';
	
	$defaultperpage = 50;
	
	# Sort out GET vars
	$pagination['currentpage']		= ((isset($_GET['var1']) && is_numeric($_GET['var1'])) ? $_GET['var1'] : 1);
	$pagination['currentsort']		= (isset($_GET['var2']) ? $_GET['var2'] : 'default');
	$pagination['currentperpage']	= (isset($_GET['var3']) ? $_GET['var3'] : $defaultperpage);

	if ($pagination['currentpage'] < 1) redirect(buildListingLink(URL_SITE.PAGENAME.'/', 1, $pagination['currentsort'], 'default', $pagination['currentperpage'], $defaultperpage));
	
	# No index depending on options chosen
	if ($pagination['currentsort'] != 'bestselling' || $pagination['currentperpage'] != $defaultperpage)
	{
		$metanoindex = true;
	}
	
	if($pagination['currentpage'] == 1)
	{
		# Categories
		$categories = getCategoryList();
	
		# Pages
		$sitemappages = $db->query('SELECT * FROM pages WHERE xmlsitemap = 1')->getFullArray();
	}
	
	$stocksql = (PRODUCT_OFFERS_WITHOUT == 1)? '' : 'AND offers > 0';

	# Products
	$rs = $db->query("SELECT COUNT(*) FROM products WHERE enabled = 1 AND hidden = 0 {$stocksql} AND parent_id = 0 ");
	$pagination['quantity'] = $rs->getSingleResult();
	# 5 products are shown on the first page, so they aren't used in calculation
	$pagination['pages'] = ceil(($pagination['quantity']-5)/$pagination['currentperpage']) + 1;
	$pagination['baselink'] = URL_SITE.PAGENAME.'/';
	
	# Limit
	$limitstart = ($pagination['currentpage'] - 2) * $pagination['currentperpage'];
	$limitstart += ($pagination['currentpage'] == 1)? $pagination['currentperpage'] : 5;
	$limittotal = ($pagination['currentpage'] == 1)? 5 : $pagination['currentperpage'];
	$products = $db->query("SELECT * FROM products WHERE enabled = 1 AND hidden = 0 {$stocksql} AND parent_id = 0 ORDER BY linktitle LIMIT $limitstart, $limittotal");
	$products = $products->getFullArray();
	
	$page_title = $page['metatitle'];
	$page_description = $page['metadescription'];
	$page_keywords = $page['metakeywords'];

	$pagecontents = getFileContents(pickTemplateFile('sitemap.php'));
	require(pickTemplateFile('layout_default.php'));