<?php

	$disableadminchecks = true;
	require('../../start/controlpanel.php');
	
	$searchterm = $_POST['searchterm'];
	
	$products = array();
	$finished = false;
	
	# First try an ASIN search
	$rs = $db->query("SELECT * FROM products WHERE asin LIKE '$searchterm%'")->getFullArray();
	
	foreach ($rs as $item)
	{
		$products[] = $item;
		if (count($products) > 30)
		{
			$finished = true;
			break;
		}
	}
	
	# Next a title based search
	if (!$finished)
	{
		$rs = $db->query("SELECT * FROM products WHERE title LIKE '%$searchterm%'");
		
		while (($item = $rs->fetch()) !== false)
		{
			$products[] = $item;
			if (count($products) > 30)
			{
				$finished = true;
				break;
			}
		}
	}
	

	# Ok lets echo them out
	if (sizeof($products) == 0)
	{
		?>
		<p>No products were found for "<?= $searchterm ?>".</p>
		<?php
		exit();
	}
	
	?>
	
	<table cellpadding="0" cellspacing="0" width="100%">

	<tr>
		<th>Product Name</th>
		<th>Price</th>
		<th>Sales Rank</th>
		<th class="center">Rating</th>
		<th class="right">Product Options</th>
	</tr>


	<?php			
		foreach ($products as $product)
		{
			?>
				<tr>
					<td>
						<a id="addproduct-<?= $product['id'] ?>" href="#">
							<img src="<?= URL_CP_ICONS ?>/link_add.png" alt="Add to this option" title="Add to this option" class="middle" />
						</a>
						<?= (strlen($product['linktitle']) > 55 ? substr($product['linktitle'],0,53).'..' : $product['linktitle']) ?>
					</td>
					<td><?= formatProductPrice($product['price']) ?></td>
					<td><?= $product['salesrank'] ?></td>
					<td><?= getProductRatingHTML($product, true) ?></td>
					<td class="right">
						<a href="<?= URL_SITE.$product['pagename'].'/' ?>">
							<img src="<?= URL_CP_ICONS ?>/link_view.png" alt="View on <?= SITE_NAME ?>" title="View on <?= SITE_NAME ?>" />
						</a>
						<a href="<?= $product['url'] ?>">
							<img src="<?= URL_CP_ICONS ?>/amazon_<?= strtolower(AMAZON_LOCALE) ?>.png" alt="View on Amazon" title="View on Amazon" />
						</a>
						<a href="<?= URL_CONTROLPANEL ?>product/edit/<?= $product['id'] ?>/">
							<img src="<?= URL_CP_ICONS ?>/link_edit.png" alt="Edit" title="Edit" />
						</a>
						<a href="<?= URL_CONTROLPANEL ?>product/changestatus/<?= $product['id'] ?>/">
							<img src="<?= URL_CP_ICONS ?>/link_<?= ($product['enabled'] ? 'enabled' : 'disabled') ?>.png" alt="<?= ($product['enabled'] ? 'Product Enabled - Click to Disable' : 'Product Disabled - Click to Enable') ?>" title="<?= ($product['enabled'] ? 'Product Enabled - Click to Disable' : 'Product Disabled - Click to Enable') ?>" />
						</a>
						<a href="<?= URL_CONTROLPANEL ?>product/hide/<?= $product['id'] ?>/">
							<img src="<?= URL_CP_ICONS ?>/link_hide.png" alt="Hide" title="Hide" onclick="return confirm('Are you sure you wish to hide this product? Hiding a product will make sure it does not appear anywhere on the site.');" />
						</a>
						<a href="<?= URL_CONTROLPANEL ?>product/delete/<?= $product['id'] ?>/">
							<img src="<?= URL_CP_ICONS ?>/link_delete.png" alt="Delete" title="Delete" onclick="return confirm('Are you sure you wish to delete this product? This cannot be undone and you will lose any custom created content.');" />
						</a>
					</td>
				</tr>
				
				<script type="text/javascript">
					$('#addproduct-<?= $product['id'] ?>').click(function(){
					
						if ($('#product-added-<?= $product['id'] ?>').length != 0)
						{
							$('#product-added-<?= $product['id'] ?>').animate({opacity:0.1},150);
							$('#product-added-<?= $product['id'] ?>').animate({opacity:1},150);
							$('#product-added-<?= $product['id'] ?>').animate({opacity:0.1},150);
							$('#product-added-<?= $product['id'] ?>').animate({opacity:1},150);
							return;
						}
						
						$('#no-products-message').fadeOut('slow', function() { $(this).remove(); });
					
						var html = '<div id="product-added-<?= $product['id'] ?>" style="display:none;">';
						html = html+'<input type="hidden" name="products[]" value="<?= $product['id'] ?>" />';
						html = html+'<p>';
						html = html+'<a href="#" id="product-remove-<?= $product['id'] ?>">';
						html = html+'<img src="<?=URL_SITE ?>freshadmin/icons/link_delete.png" alt="Delete" title="Delete" class="middle" /> ';
						html = html+'</a>';
						html = html+'<a href="<?= URL_SITE ?><?= $product['pagename'] ?>/">';
						html = html+'<?= str_replace("'", '"', (strlen($product['linktitle']) > 85 ? substr($product['linktitle'],0,83).'..' : $product['linktitle'])) ?>';
						html = html+'</a>';
						html = html+'</p>';
						html = html+'</div>';

						$('#products-added').append(html);
						$('#product-added-<?= $product['id'] ?>').fadeIn();
						
						$('#product-remove-<?= $product['id'] ?>').click(function()
						{
							$(this).parent().fadeOut('slow', function() { $(this).parent().remove(); });
						});
					});
				</script>
			<?php
		}
	?>

	</table>
	
	