<?php
	
	$selectedmanufacturers = array();
	if($_POST)
	{
		$action = strtolower($_POST['action']);
		
		if (isset($_POST['selected']))
		{
			foreach ($_POST['selected'] as $manufacturer_id => $trash)
			{
				$selectedmanufacturers[$manufacturer_id] = $manufacturer_id;
			}
		}
		
		$allowed_actions = array('display', 'display_sidebar', 'display_allmanufacturers', 'display_product', 'display_homepage', 'display_filter', 'hide', 'hide_sidebar', 'hide_allmanufacturers', 'hide_product', 'hide_homepage', 'hide_filter');
		
		if (sizeof($selectedmanufacturers) == 0)
		{
			setMessage('error', 'No manufacturers selected');
		}
		elseif(in_array($action, $allowed_actions))
		{
			if(strpos($action, 'display') !== false)
			{
				if($action == 'display') $action = true;
				displayManufacturers($selectedmanufacturers, $action);
				setMessage('success', 'Manufacturer(s) displayed successfully');
			}
			else
			{
				if($action == 'hide') $action = true;
				hideManufacturers($selectedmanufacturers, $action);
				setMessage('success', 'Manufacturer(s) hidden successfully');
			}
			$selectedmanufacturers = array();
		}
		
	}
	
	$baselink = URL_CONTROLPANEL."manufacturer/list/";
	$countsql = "SELECT COUNT(*) FROM manufacturers";
	$getsql = "SELECT * FROM manufacturers";

	# Current pagination options
	$pagination = getPaginationCurrentOptions();
	$rs = $db->query($countsql);
	$pagination['quantity'] = $rs->getSingleResult();
	$pagination['pages'] = ceil($pagination['quantity']/$pagination['currentperpage']);
	$pagination['baselink'] = URL_SITE.PAGENAME.'/';
	
	# Sort options
	$pagination['sortoptions'] = getPaginationSortOptions('manufacturers');

	# Sort Order
	$orderby = $pagination['sortoptions'][$pagination['currentsort']]['sql'];
	if(!$orderby) $orderby = 'name';

	# Limit
	$limitstart = ($pagination['currentpage'] - 1) * $pagination['currentperpage'];
		
	# Get the products
	$getsql .= " ORDER BY {$orderby} LIMIT {$limitstart}, {$pagination['currentperpage']}";
	$rs = $db->query($getsql);
	$manufacturerlist = $rs->getFullArray();
	
	foreach ($manufacturerlist as $key => $item)
	{
		$manufacturerlist[$key]['productcount'] = $db->query("SELECT COUNT(*) FROM products WHERE manufacturer_id = '{$item['id']}' AND parent_id = 0")->getSingleResult();
	}
	
	$rs = $db->query("SELECT * FROM manufacturers");
	$ra = $rs->getFullArray();
	foreach ($ra as $key => $item)
	{
		$manufacturernames[$item['id']] = $item['name'];
	}
	
	#$javascripts[] = 'http://ajax.googleapis.com/ajax/libs/prototype/1.6.0.2/prototype.js';
	#$javascripts[] = 'http://ajax.googleapis.com/ajax/libs/scriptaculous/1.8.1/scriptaculous.js';
	#$javascripts[] = URL_SITE.'freshadmin/scripts/editinplace.js';
	
	$javascripts[] = URL_SITE.'freshadmin/scripts/jeditable.js';
	
	$navactive = 'products';

	$template_filename = PATH_CONTROLPANEL_TEMPLATES.'/manufacturer/list.php';
	require(PATH_CONTROLPANEL_TEMPLATES.'/layout_default.php');
?>
