<?php
	
	$baselink = URL_CONTROLPANEL."message/list/";
	$countsql = "SELECT COUNT(*) FROM messages m WHERE m.dismissed = 0";
	$getsql = "SELECT * FROM messages m WHERE m.dismissed = 0";

	# Current pagination options
	$pagination = getPaginationCurrentOptions();
	$pagination['quantity'] = $db->query($countsql)->getSingleResult();
	$pagination['pages'] = ceil($pagination['quantity']/$pagination['currentperpage']);
	$pagination['baselink'] = $baselink;

	# Sort options
	$pagination['sortoptions'] = getPaginationSortOptions('messages');

	# Sort Order
	$orderby = $pagination['sortoptions'][$pagination['currentsort']]['sql'];
	if(!$orderby) $orderby = 'created DESC';

	# Limit
	$limitstart = ($pagination['currentpage'] - 1) * $pagination['currentperpage'];
	
	# Get the products
	$getsql .= " ORDER BY {$orderby} LIMIT {$limitstart}, {$pagination['currentperpage']}";

	$messagelist = $db->query($getsql)->getFullArray();
	
	$javascripts[] = 'http://ajax.googleapis.com/ajax/libs/prototype/1.6.0.2/prototype.js';
	$javascripts[] = 'http://ajax.googleapis.com/ajax/libs/scriptaculous/1.8.1/scriptaculous.js';
	$javascripts[] = URL_CONTROLPANEL.'scripts/editinplace.js';

	$template_filename = PATH_CONTROLPANEL_TEMPLATES.'/message/list.php';
	require(PATH_CONTROLPANEL_TEMPLATES.'/layout_default.php');
?>