<?php
	
	if ($_POST)
	{
		$asin = str_replace(",","\n", $_POST['asin']);
		$category_id = $_POST['category_id'];
		$asins = explode("\n",$asin);
		$products = array();
		$failed_products = array();
		
		foreach($asins as $asin)
		{
			$asin = trim($asin);
			$product_id = addProductByASIN($asin);
		
			if ($product_id)
			{
				# Update product offers so it shows on site straight away
				$product = $db->get('products', $product_id);
				updateProductOffers($product);
				
				# Images
			        updateProductImages($product, true);

			        # Reviews
			        $reviews = $amazon->getProductReviews($product['asin']);
			        if ($reviews) saveProductReviews($product['id'], $reviews);

				$products[] = $product;
			}
			else
			{
				# Product failed to add for whatever reason
				$failed_products[] = $asin;
			}
			
		}
		
		if(!empty($products)) 
		{
			setMessage('success', count($products).' Products Added Succesfully');
			foreach ($products as $key => $product)
			{
				$products[$key]['image'] = $db->get('productimages', $product['id'], 'product_id', 'sortorder');
				$products[$key]['manufacturer'] = $db->get('manufacturers', $product['manufacturer_id']);
				if ($category_id > 0 && $product['id']) addProductToCategory($product['id'], $category_id);
			}
		}
		if(!empty($failed_products)) setMessage('error', count($failed_products).' Products Failed To Add');
		
	}
	else
	{
		$categorytree = getCategoryChildren(0,0);
	}
	
	$navactive = 'products';
	
	$template_filename = PATH_CONTROLPANEL_TEMPLATES.'/product/addmultiple.php';
	require(PATH_CONTROLPANEL_TEMPLATES.'/layout_default.php');
?>
