<?php
	

	if ($_POST)
	{
		$valid = true;
		$findtype = $_POST['findtype'];
		$searchterm = (isset($_POST['searchterm']) ? $_POST['searchterm'] : '');
		$browsenode = (isset($_POST['browsenode']) ? $_POST['browsenode'] : '');
		$searchindex = (isset($_POST['searchindex']) ? $_POST['searchindex'] : '');
		$page = (isset($_POST['page']) ? $_POST['page'] : 0);
		$category_id = $_POST['category_id'];
		
		# Going back a page?
		if ($_POST['submit'] && $_POST['submit'] == 'Previous') $page = $page - 2;
		
		if ($findtype == 'search')
		{
			if ($searchterm == '')
			{
				setMessage('error', 'Please enter a search term.');
				$valid = false;
			}
		}
		else if ($findtype == 'browsenode')
		{
			if ($browsenode == '')
			{
				setMessage('error', 'Please enter a browse node.');
				$valid = false;
			}
			
			if ($searchindex == '')
			{
				setMessage('error', 'Please choose a search index.');
				$valid = false;
			}
		}
		
		if ($valid)
		{
			if ($findtype == 'search')
			{
				$products = getProductsBySearchTerm($searchindex,$searchterm,$page);
			}
			else if ($findtype == 'browsenode')
			{
				$products = getProductsByBrowseNode($browsenode,$searchindex,$page);
			}
		}
		else
		{
			redirect(URL_SITE.'freshadmin/product/finder/');
		}
		
	}
	else
	{
		redirect(URL_SITE.'freshadmin/product/finder/');
	}
	
	$categorytree = getCategoryChildren(0,0);
	
	
	#$javascripts[] = 'http://ajax.googleapis.com/ajax/libs/prototype/1.6.0.2/prototype.js';
	#$javascripts[] = 'http://ajax.googleapis.com/ajax/libs/scriptaculous/1.8.1/scriptaculous.js';
	$javascripts[] = URL_SITE.'freshadmin/scripts/ajaxfunctions.js';
	
	$navactive = 'products';

	$template_filename = PATH_CONTROLPANEL_TEMPLATES.'/product/finder_results.php';
	require(PATH_CONTROLPANEL_TEMPLATES.'/layout_default.php');
?>