<?php
	

	$selectedproducts = array();
	if ($_POST)
	{
		$formaction = $_POST['formaction'];
		
		if ($formaction == 'products')
		{
	
			$action = strtolower($_POST['action']);
			
			if (isset($_POST['selected']))
			{
				foreach ($_POST['selected'] as $product_id => $trash)
				{
					$selectedproducts[$product_id] = $product_id;
				}
			} 
			
			if (sizeof($selectedproducts) == 0)
			{
				setMessage('error', 'No products selected');
			}
			else if ($_POST['category_id'] != '')
			{
				#Move products to a category
				$category_id = $_POST['category_id'];
				foreach ($selectedproducts as $product_id)
				{
					$db->query("INSERT INTO products_categories (category_id, product_id) SELECT $category_id, $product_id");
					$db->query("UPDATE products SET hidden = 0 WHERE id = $product_id");
				}
				setMessage('success', 'Product(s) added to category and unhidden');
				$selectedproducts = array();
			}
			else if ($action == 'disable')
			{
				disableProducts($selectedproducts);
				setMessage('success', 'Product(s) successfully disabled');
				$selectedproducts = array();
			}
			else if ($action == 'delete')
			{
				deleteProducts($selectedproducts);			
				setMessage('success', 'Product(s) successfully deleted');
				$selectedproducts = array();
			}
			else if ($action == 'enable')
			{
				enableProducts($selectedproducts);			
				setMessage('success', 'Product(s) successfully enabled');
				$selectedproducts = array();
			}
		}
	}
	
	
	$baselink = URL_CONTROLPANEL."product/hiddenlist/";
	$getsql = "SELECT * FROM products p WHERE parent_id = 0 ORDER BY added DESC LIMIT 100";
	
	# Current pagination options
	$pagination = getPaginationCurrentOptions();
	$pagination['quantity'] = 100;
	$pagination['pages'] = ceil($pagination['quantity']/$pagination['currentperpage']);
	$pagination['baselink'] = URL_SITE.PAGENAME.'/';
		
	# Get the products
	$rs = $db->query($getsql);
	$productlist = $rs->getFullArray();

	foreach ($productlist as $key => $item)
	{
		$productlist[$key]['variationcount'] = $db->value('products', 'COUNT(*)', $item['id'], 'parent_id');
		$productlist[$key]['manufacturer'] = $db->get('manufacturers', $item['manufacturer_id']);
	}
	
	# Filter Option Stuff
	$categorytree = getCategoryChildren();
	
	$javascripts[] = URL_CONTROLPANEL.'scripts/checkall.js';
	
	$navactive = 'products';
	
	$template_filename = PATH_CONTROLPANEL_TEMPLATES.'product/recentlist.php';
	require(PATH_CONTROLPANEL_TEMPLATES.'layout_default.php');
?>
