<?php
	
	
	
	$productqueue_id = $_GET['var1'];
	$productqueue = $db->get('productqueues', $productqueue_id);

	#This is where the magic happens!	
	if ($_POST)
	{
		$where = array();
		
		# Categories
		if ($_POST['orphanproducts'])
		{
			$where[] = 'p.id NOT IN (SELECT product_id FROM products_categories)';
		}
		else
		{
			$categories = array();
			foreach ($_POST['categories'] as $value)
			{
				$categories[$value] = $value;			
			}
			if (sizeof($categories) > 0 && !isset($categories[0]))
			{
				$categories_string = implode(',', $categories);
				$where[] = "p.id IN (SELECT product_id FROM products_categories WHERE category_id IN ($categories_string))";
			}
		}
		# Manufacturers
		$manufacturers = array();
		foreach ($_POST['manufacturers'] as $value)
		{
			$manufacturers[$value] = $value;
		}
		if (sizeof($manufacturers) > 0 && !isset($manufacturers[0]))
		{
			$manufacturers_string = implode(',', $manufacturers);
			$where[] = "p.manufacturer_id IN ($manufacturers_string)";
		}
		
		if ($_POST['blankattribute'])
		{
			$ba = $_POST['blankattribute'];
			$where[] = "p.id NOT IN (SELECT product_id FROM productattributes WHERE name = '$ba' AND value <> '')";
		}
		
		if ($_POST['attributefilter'] && $_POST['attributefiltervalue'] != '')
		{
			$af = $_POST['attributefilter'];
			$afv = $_POST['attributefiltervalue'];
			$where[] = "p.id IN (SELECT product_id FROM productattributes WHERE name = '$af' AND value = '$afv')";
		}
		
		if ($_POST['nosalesrank'])
		{
			$where[] = 'p.salesrank = 2147483647';
		}
		
		if ($_POST['noimages'])
		{
			$where[] = 'p.id NOT IN (SELECT product_id FROM productimages)';
		}
		
		# Make sure they aren't already in the queue
		$where[] = "p.id NOT IN (SELECT product_id FROM productqueues_products WHERE productqueue_id = $productqueue_id)"; 
		$sql = "SELECT * FROM products p WHERE ".implode(' AND ', $where);
		$products = $db->query($sql)->getFullArray();
		
		$productsadded = count($products);
		
		$product_ids = array();
		foreach ($products as $item)
		{
			$productqueueitem = array();
			$productqueueitem['product_id'] = $item['id'];
			$productqueueitem['productqueue_id'] = $productqueue_id;
			$productqueueitem['notes'] = $sql;
			$productqueueitem['added'] = 'NOW()';
			
			$db->insert('productqueues_products', $productqueueitem);
			
			$product_ids[] = $item['id'];
		}
		
		# Disable products if instructed
		if ($_POST['disableproducts'])
		{
			$sql->query("UPDATE products SET enabled = 0 WHERE id IN (".implode(',', $product_ids).")");
		}


		setMessage('success', $productsadded.' Products Added to "'.$productqueue['name'].'"');
		redirect(URL_SITE.'freshadmin/productqueue/list/');
	}
	
	$productqueue['productcount'] = $db->query("SELECT COUNT(*) FROM productqueues_products WHERE productqueue_id = $productqueue_id")->getSingleResult();
	
	$categorytree = getCategoryChildren();
	$manufacturers = $db->getAll('manufacturers', false, 'id', 'name');
	foreach ($manufacturers as $key => $item)
	{
		$manufacturers[$key]['productcount'] = $db->value('products', 'COUNT(*)', $item['id'], 'manufacturer_id');
		
		if ($manufacturers[$key]['productcount'] == 0) unset($manufacturers[$key]);
	}
	$attributes = $db->getAll('productattributenames', 0, 'hidden', 'displayname');
	
	
	$javascripts[] = 'scripts/tiny_mce/tiny_mce.js';
	$javascripts[] = 'scripts/tiny_mce_config.js';
	
	$navactive = 'products';
	
	$template_filename = PATH_CONTROLPANEL_TEMPLATES.'/productqueue/addproducts.php';
	require(PATH_CONTROLPANEL_TEMPLATES.'/layout_default.php');
?>
