<?php
	

	$productqueuerun_id = $_GET['var1'];
	if (!$productqueuerun_id) redirect(URL_SITE.'freshadmin/productqueuerun/list/');
	
	$productqueuerun = $db->get('productqueueruns', $productqueuerun_id);
	
	if ($_POST)
	{	
	
		foreach ($_POST['product'] as $product_id => $product)
		{
			# Save product core info
			if ($productqueuerun['enableonsave'] == 1) $product['core']['enabled'] = 1;
			
			#Fix for blank titles causing problems
			if ($product['core']['title'] == '') unset($product['core']['title']);
			
			if ($product['core'])
			{
				# Check for a pagename change, insert into legacy
				$oldpagename = $db->value('products', 'pagename', $product_id);
				if (isset($product['core']['pagename']) && $oldpagename != $product['core']['pagename'])
				{
					setPageRedirect($oldpagename, $product['core']['pagename']);
				}
				
				$db->update('products', $product_id, $product['core']);
			}
			
			# Save product categories
			if (isset($product['categories']))
			{
				$db->delete('products_categories', $product_id, 'product_id');
				$fields = array('product_id' => $product_id);			
				foreach ($product['categories'] as $category_id)
				{
					$fields['category_id'] = $category_id;
					$db->insert('products_categories', $fields);
				}
			}
			
			# Save product attribute info
			if (!isset($product['attributes'])) $product['attributes'] = array();
			foreach ($product['attributes'] as $name => $value)
			{
			
				if ($value == '')
				{
					$db->query("DELETE FROM productattributes WHERE product_id = $product_id AND name = '$name'");
					continue;
				}
				else
				{
					$existing = $db->query("SELECT * FROM productattributes WHERE product_id = $product_id AND name = '$name'")->fetch();
					
					$fields = array();
					$fields['product_id'] = $product_id;
					$fields['name'] = $name;
					$fields['value'] = $value;
					$fields['edited'] = 'NOW()';
	
					if (!$existing)
					{
						$db->insert('productattributes', $fields);
					}
					else
					{
						$db->update('productattributes', $existing['id'], $fields);
					}
				}
			}
			
			# Remove from queue
			$db->query("DELETE FROM productqueues_products WHERE product_id = $product_id AND productqueue_id = ".$productqueuerun['productqueue_id']);
		
		}
	}
	
	
	$temp = $db->getAll('productqueueruns_productattributenames', $productqueuerun_id, 'productqueuerun_id');
	$attributes = array();
	foreach ($temp as $item)
	{
		$attributes[$item['productattributename_id']] = $db->get('productattributenames', $item['productattributename_id']);
	}
	
	# Get the products
	$productsremaining = $db->query("SELECT COUNT(*) FROM productqueues_products WHERE productqueue_id = ".$productqueuerun['productqueue_id'])->getSingleResult();
	$product_ids = $db->query("SELECT qp.* FROM productqueues_products qp, products p WHERE qp.product_id = p.id AND productqueue_id = ".$productqueuerun['productqueue_id']." ORDER BY p.salesrank ASC LIMIT ".$productqueuerun['productsperpage'])->getFullArray();
	
	$products = array();
	foreach ($product_ids as $key => $item)
	{
		$product = $db->get('products', $item['product_id']);
		
		$product['attributes'] = getProductAttributesRaw($item['product_id']);
		
		$product['image'] = getMainProductImage($item['product_id'], 200);
		$product['categories'] = $db->query("SELECT category_id FROM products_categories WHERE product_id = ".$item['product_id'])->getFullArray(true);
		$product['amazoncontent'] = $db->get('productamazoncontent', $item['product_id'], 'product_id');
		
		$products[] = $product;
	}
	
	$categorytree = getCategoryChildren();
	
	$javascripts[] = 'scripts/tiny_mce/tiny_mce.js';
	$javascripts[] = 'scripts/tiny_mce_config.js';
	
	$navactive = 'products';
	
	$template_filename = PATH_CONTROLPANEL_TEMPLATES.'/productqueuerun/go.php';
	require(PATH_CONTROLPANEL_TEMPLATES.'/layout_default.php');
?>