<?php
	

	# Get the current template
	$currenttemplate = $db->value('parameters', 'value', 'TEMPLATE_FOLDER', 'parameter');

	# Get the template option
	$option_id = $_GET['var1'];
	$option = $db->get('template_options', $option_id);

	if ($_POST)
	{
		if ($option['datatype'] == 'pages')
		{
			$pagesdata = explode('page-added[]=',str_replace('&', '', $_POST['pages-serialized']));
			
			foreach ($pagesdata as $key => $item)
			{
				if ($item == '') unset ($pagesdata[$key]);
			}
			
			$pages = implode('|', $pagesdata);
			$update['value'] = $pages;
			$db->update('template_options', $option_id, $update);
			setMessage('success', 'Option Changed');
			redirect(URL_SITE.'freshadmin/template/configure/');
		}
		else if ($option['datatype'] == 'products')
		{
			if (!isset($_POST['products']))
			{
				$update['value'] = '';
			}
			else
			{
				$update['value'] = implode('|', $_POST['products']);
			}
			
			$db->update('template_options', $option_id, $update);
			setMessage('success', 'Option Changed');
			redirect(URL_SITE.'freshadmin/template/configure/');
		}
		else # Must be a single value
		{
			$value = $_POST['optionvalue'];
			$update['value'] = $value;
			$db->update('template_options', $option_id, $update);
			setMessage('success', 'Option Changed');
			redirect(URL_SITE.'freshadmin/template/configure/');
		}
		
	}
	
	
	# Ok so we decide what template based on the option data type...
	$templates['pages'] = 'editoption_pages.php';
	$templates['int'] = 'editoption_value.php';
	$templates['value'] = 'editoption_value.php';
	$templates['products'] = 'editoption_products.php';
	$templates['options'] = 'editoption_options.php';
	
	# Get whatever we need depending on the data type
	if ($option['datatype'] == 'pages')
	{
		$temppages = $db->getAll('pages');
		$pages = array();
		foreach ($temppages as $key => $item)
		{
			$pages[$item['id']] = $item;
		}
		$currentpages = explode('|', $option['value']);
		if (!$option['value']) $currentpages = array();
	}
	if ($option['datatype'] == 'products')
	{
		if ($option['value'] == '')
		{
			$selectedproducts = array();
		}
		else
		{
			$selectedproducts = $db->query('SELECT * FROM products WHERE id IN ('.str_replace('|', ',', $option['value']).') AND parent_id = 0')->getFullArray();
		}
	}
	if ($option['datatype'] == 'options')
	{
		$optionvalues = explode('|', $option['options']);
	}
	
	
	$navactive = 'template';

	$template_filename = PATH_CONTROLPANEL_TEMPLATES.'/template/'.$templates[$option['datatype']];
	require(PATH_CONTROLPANEL_TEMPLATES.'/layout_default.php');
?>
