
<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Your Categories</h2>
		
		<ul>
			<li><a href="<?= URL_SITE ?>freshadmin/category/add/">Add Category</a></li>
			<li><a href="<?= URL_SITE ?>freshadmin/categorygroup/list/">View Category Groups</a></li>
			<li><a href="<?= URL_SITE ?>freshadmin/categorygroup/add/">Add Category Group</a></li>
		</ul>
	</div>
	
	
	
	<div class="block_content">

		<table cellpadding="0" cellspacing="0" width="100%">
		
			<tr>
				<th>Category Name</th>
				<th class="center">Sort</th>
				<th class="center">Products</th>
				<th>Auto Populating?</th>
				<th class="right">Category Options</th>
			</tr>
			
			<?php
				$categorygroup_id = 0;
				foreach ($categorylist as $category)
				{
					if ($categorygroup_id != $category['categorygroup_id'])
					{
						$categorygroup_id = $category['categorygroup_id'];
						?>
							<tr>
								<td colspan="5" class="center">
									<em>Category Group: <a href="<?= URL_SITE ?>freshadmin/categorygroup/edit/<?= $categorygroup_id ?>/"><?= $category['categorygroup']['name'] ?></a></em>
								</td>
							</tr>
						<?php
					}
					
					?>
						<tr>
							<td>
								<?= ($category['level'] > 0 ? '<img src="'.URL_SITE.'freshadmin/icons/categorylist_sub.png" class="level-'.$category['level'].'" />' : '') ?>
								<a href="<?= URL_SITE ?>freshadmin/category/edit/<?= $category['id'] ?>/">
									<?= $category['linktitle'] ?>
								</a>
							</td>
							<td class="center">
								<?= $category['sortorder'] ?>
							</td>
							<td class="center">
								<a href="<?= URL_SITE ?>freshadmin/product/bycategorylist/<?= $category['id'] ?>/"><?= $category['productcount'] ?> </a>
							</td>
							<td>
								<?php if($category['populatecount'] != 0): ?>
									<a href="<?= URL_SITE ?>freshadmin/category/runpopulate/<?= $category['id'] ?>/">
										<img src="<?= URL_SITE ?>freshadmin/icons/link_populatego.png" alt="Manually Run Auto Populate" title="Manually Run Auto Populate" class="middle" />
									</a>
								<?php endif; ?>
								<?= $category['populatecount'] ?> populate setting<?= ($category['populatecount'] != 1)? "s": ""; ?>
							</td>
							<td class="options">
								<a href="<?= URL_SITE ?>freshadmin/category/add/<?= $category['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_add.png" alt="Add Sub Category" title="Add Sub Category" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/category/images/<?= $category['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_image.png" alt="Category Images" title="Category Images" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/category/edit/<?= $category['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Edit" title="Edit" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/category/delete/<?= $category['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_delete.png" alt="Delete" title="Delete" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/category/listpopulate/<?= $category['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_populate.png" alt="Auto Populate" title="Auto Populate Settings" />
								</a>
								<a href="<?= URL_SITE ?><?= $category['pagename'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_view.png" alt="View on <?= SITE_NAME ?>" title="View on <?= SITE_NAME ?>" />
								</a>
								
							</td>
						</tr>
					<?php
				}
			?>
			
			
		</table>
		
		
		
		<div class="tableactions">
			&nbsp;
		</div>
		
		
		
		<div class="paggination right">
			<p><?= count($categorylist) ?> Categories</p>
		</div>
		
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
</div>
