<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Populate Category <a href="<?= URL_SITE ?>freshadmin/category/edit/<?= $category['id'] ?>/"><?= $category['title'] ?></a></h2>
		
	</div>
	
	<div class="block_content">
		<p>Use the options below to automatically populate this category. On the left you can choose to populate either by "Browse Node" or by "Search. On the right you can set filters to control exactly what products are added to your store.</p>
		
		<ul>
			<li>Auto population will continue indefinitely until you cancel it</li>
			<li>To prevent unwanted products, use the filter options</li>
			<li>Browse Nodes can change - check periodically to ensure they are still active</li>
			<li>You can test a Browse Node or Search Term by clicking in the <a href="<?= URL_SITE ?>freshadmin/category/list/">View Categories</a> page</li>
			<li>If you are having problems, check your Cron Jobs (see the <a href="http://www.freshstorebuilder.c0m/guides/v/installing-the-script/">installation guide</a>)</li>
			<li>Read the <a href="http://www.freshstorebuilder.c0m/guides/v/populating-your-store/">populating your store</a> guide for more tips and useful information</li>
		</ul>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
		
</div>

<form action="<?= URL_CONTROLPANEL ?>category/populate/<?= $category_id ?>/<?= $autopopulate_id ?>/" method="post">
			

<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Auto Populate Options</h2>
		
		
	</div>
	
	<div class="block_content">

			
			<p>
				<label>Choose Type of Population:</label><br />
				<input type="radio" name="populationtype" value="browsenode" <?= $category['populationtype'] == 'browsenode' ? 'checked' : '' ?> id="aptype-browsenode" class="autopopulate-option" /> <label class="autopopulate-type" for="aptype-browsenode">Browse Node</label>
				<input type="radio" name="populationtype" value="search" <?= $category['populationtype'] == 'search' ? 'checked' : '' ?> id="aptype-searchterm"  class="autopopulate-option" /> <label class="autopopulate-type" for="aptype-searchterm">Search Term</label>
				<input type="radio" name="populationtype" value="cancel" <?= $category['populationtype'] == '' ? 'checked' : '' ?> id="aptype-cancel"  class="autopopulate-option" /> <label class="autopopulate-type" for="aptype-cancel">None</label>
			</p>
			
			<script type="text/javascript" language="javascript">
				
				
				function displayPopulateOptions()
				{
					if($('#aptype-browsenode').is(':checked'))
					{
						$('#options-searchterm').slideUp('slow', function() {
							$('#options-cancel').slideUp('slow', function() {
								$('#options-browsenode').slideDown();
							});
						});
					}
					
					if($('#aptype-searchterm').is(':checked'))
					{
						$('#options-browsenode').slideUp('slow', function() {
							$('#options-cancel').slideUp('slow', function() {
								$('#options-searchterm').slideDown();
							});
						});
					}
					
					if($('#aptype-cancel').is(':checked'))
					{
					
						$('#options-searchterm').slideUp('slow', function() {
							$('#options-browsenode').slideUp('slow', function() {
								$('#options-cancel').slideDown();
							});
						});
					}
				}
				
				$(document).ready(displayPopulateOptions);
				$("input[name=populationtype]").click(displayPopulateOptions);
				
			</script>
			
			<div id="options-browsenode">
				<p>
					<label for="browsenode-browsenode">Browse Node</label><br />
					<input type="text" class="text large" id="browsenode-browsenode" name="browsenode" value="<?= $category['browsenode'] ?>" />
				</p>
	
				<p>			
					<label for="browsenode-searchindex">Search Index</label><br />
					<select id="browsenode-searchindex" name="browsenodesearchindex" class="styled">
						<?= generateSearchIndexFormOptions($searchindexes, $category['searchindex'], false) ?>
					</select>
				</p>
				
				
			</div>

			<div id="options-searchterm">			
				<p>
					<label for="search-searchterm">Search Term</label><br />
					<input type="text" class="text large" id="search-searchterm" name="searchterm" value="<?= $category['searchterm'] ?>" />
				</p>
				
				<p>			
					<label for="search-searchindex">Search Index</label><br />
					<select id="search-searchindex" name="searchtermsearchindex" class="styled">
						<?= generateSearchIndexFormOptions($searchindexessearch, $category['searchindex'], false) ?>
					</select>
				</p>
				
				<p><em>Please note if you select the search index "All" or "Blended" you cannot filter by Merchant ID or Price (max or min).</em></p>
			</div>
			
			
			<div id="options-cancel">
				<p>If you are currently auto populating it will be stopped when you click save below.</p>
			</div>

	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
		
</div>

<br clear="all" />


<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Auto Populate Keyword Filters (optional)</h2>
		
	</div>
	
	<div class="block_content">
	
		 	<p>
				<input type="checkbox" name="filterdescription" <?= $category['filterdescription'] == '1' ? 'checked' : '' ?> id="filterdescription"  class="autopopulate-option" /> <label class="autopopulate-type" for="filterdescription">Search description as well?</label>
			</p>
			
			<hr />	
		
			<p>
				<label for="autopopulate-requiredkeywords">Required Keywords (one per line)</label><br />
				<textarea name="requiredkeywords" id="autopopulate-requiredkeywords"><?= str_replace(',', "\n", $category['requiredkeywords']) ?></textarea>
			</p>
			
			<p>			
				<label for="autopopulate-requiredkeywordsmatch">Required Keywords Match Type</label><br />
				<select id="autopopulate-requiredkeywordsmatch" name="requiredkeywordsmatch" class="styled" style="width: 400px;">
					<option value="and">"AND" (i.e. must have all of the above keywords)</option>
					<option value="or"<?= 'or' == $category['requiredkeywordsmatch'] ? ' selected' : '' ?>>"OR" (i.e. must have any of the above keywords)</option>
				</select>
			</p>
			
			<hr />
			
			<p>
				<label for="autopopulate-filteredkeywords">Filtered Keywords (one per line)</label><br />
				<textarea name="filteredkeywords" id="autopopulate-filteredkeywords"><?= str_replace(',', "\n", $category['filteredkeywords']) ?></textarea>
			</p>
			
			<p>			
				<label for="autopopulate-filteredkeywordsmatch">Filtered Keywords Match Type</label><br />
				<select id="autopopulate-filteredkeywordsmatch" name="filteredkeywordsmatch" class="styled" style="width: 400px;">
					<option value="and">"AND" (i.e. filtered if it has all of the above keywords)</option>
					<option value="or"<?= 'or' == $category['filteredkeywordsmatch'] ? ' selected' : '' ?>>"OR" (i.e. filtered if it has any of the above keywords)</option>
				</select>
			</p>	
					
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
		
</div>

<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Other Auto Populate Filters (optional)</h2>
		
	</div>
	
	<div class="block_content">
		
		<!--
		
		<p>			
			<label for="filters-reviewscore">Minimum Review Score</label><br />
			<select id="filters-reviewscore" name="minreviewscore" class="styled">
				<option value="">none</option>
				<?php
					for($i = 0.1; $i < 5; $i=$i+0.1)
					{
						?>
							<option value="<?= $i ?>"<?= number_format($i, 1) == number_format($category['minreviewscore'],1) ? ' selected' : '' ?>>at least <?= $i ?></option>
						<?php
					}
				?>
				
			</select>
		</p>
		
		
		<p>			
			<label for="filters-reviewcount">Minimum Number of Reviews</label><br />
			<select id="filters-reviewcount" name="minreviews" class="styled">
				<option value="">none</option>
				<?php
					for($i = 1; $i < 51; $i++)
					{
						?>
							<option value="<?= $i ?>"<?= $i == $category['minreviews'] ? ' selected' : '' ?>>at least <?= $i ?></option>
						<?php
					}
				?>
				
			</select>
		</p>
		
		-->
		
		<p>
			<label for="filters-salesrank">Maximum Salesrank (a lower salesrank = more popular item)</label><br />
			<input type="text" class="text large" id="filters-salesrank" name="maxsalesrank" value="<?= $category['maxsalesrank'] ?>" />
		</p>
		
		
		
		<p>
			<label for="filters-minprice">Minimum Price</label><br />
			<input type="text" class="text large" id="filters-minprice" name="minprice" value="<?= $category['minprice'] == 0 ? '' : $category['minprice'] ?>" />
		</p>
		
		<p>
			<label for="filters-maxprice">Maximum Price</label><br />
			<input type="text" class="text large" id="filters-maxprice" name="maxprice" value="<?= $category['maxprice'] == 0 ? '' : $category['maxprice'] ?>" />
		</p>
		
		
		
		<p>
			<label for="filters-images">Minimum Number of Images</label>
			<select id="filters-images" name="minimages" class="styled">
				<option value="">Any</option>
				<?php
					for($i = 1; $i < 5; $i++)
					{
						?>
							<option value="<?= $i ?>"<?= $i == $category['minimages'] ? ' selected' : '' ?>>at least <?= $i ?></option>
						<?php
					}
				?>
			</select>
		</p>
		
		
		
		<p>
			<label for="filters-merchantid">Limit to Merchant ID:</label><br />
			<input type="text" class="text large" id="filters-merchantid" name="merchantid" value="<?= $category['merchantid'] ?>" /><br />
			<em>ATVPDKIKX0DER is the Amazon US Merchant ID and A3P5ROKL5A1OLE is the Amazon UK Merchant ID.</em>
		</p>



		<p>
			<label for="filters-productlimit">Product Limit</label><br />
			<input type="text" class="text large" id="filters-productlimit" name="productlimit" value="<?= $category['productlimit'] == 0 ? '' : $category['productlimit'] ?>" /><br />
			<em>This autopopulate setting is paused automatically if the amount of products added exceeds this limit.</em>
		</p>

	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
		
</div>


<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Save Auto Populate Options and Filters</h2>
		
		
	</div>
	
	<div class="block_content">
		<p>Click below to save all your Auto Populate options and filters.</p>
		
		<p>
				<input type="submit" class="submit long" value="Save" />
			</p>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
		
</div>

</form>
