
<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Auto Populate Results for "<?= $category['title'] ?>" (Search Results Page <?= $autopopulate['lastpopulatedpage']+1 ?>)</h2>
		
		<ul>
			<li>
				<a href="<?= URL_SITE ?>freshadmin/category/list/">
					View Categories
				</a>
			</li>
			<li>
				<a href="<?= URL_SITE ?>freshadmin/category/listpopulate/<?= $category['id'] ?>/">
					View Category Autopopulate Settings
				</a>
			</li>
			<li>
				<a href="<?= URL_SITE ?>freshadmin/category/runpopulate/<?= $category['id'] ?>/">
					Run Auto Populate Again
				</a>
			</li>
		</ul>
		
	</div>

	<div class="block_content">

	<table cellpadding="0" cellspacing="0" width="100%">

		<tr>
			<th>Image</th>
			<th>Product Name</th>
			<th>Price</th>
			<th>Manufacturer</th>
			<th class="center">SalesRank</th>
			<th class="right">Options</th>
		</tr>


		
		<?php
			if (sizeof($products) == 0)
			{
				?>
				<tr>
					<td colspan="6">
						No products added from page <?= $autopopulate['lastpopulatedpage']+1 ?>. Click "Run Auto Populate Again" to try the next page. If you are not seeing any products please check your filter settings.
					</td>
				</td>
				<?php
			}
			else
			{
				foreach ($products as $product)
				{
					if($product['exists']):
					?>
						<tr id="row_<?= $product['asin'] ?>">
						
							<td>
								<img class="main" src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $product['image']['id'] ?>_50.jpg" alt="product" />
							</td>
							<td>
								<a href="<?= URL_SITE ?>freshadmin/product/edit/<?= $product['id'] ?>/" title="Edit: <?= $product['linktitle'] ?>">
								<?= substr($product['title'], 0, 60) ?>
								</a>
							</td>
							<td>
								<?= formatProductPrice($product['price']) ?>
							</td>
							<td>
								<?php
									if (isset($product['manufacturer']['name']))
									{
										?>
											<a href="<?= URL_SITE ?>freshadmin/product/bymanufacturerlist/<?= $product['manufacturer']['id'] ?>/" title="<?= $product['manufacturer']['name'] ?>">
										<?= (strlen($product['manufacturer']['name']) > 20 ? substr($product['manufacturer']['name'],0,20).'...' : $product['manufacturer']['name']) ?>
										</a>
										<?php
									}
									else
									{
										echo '<em>unknown</em>';
									}
								?>
							</td>
							<td class="center"><?= ($product['salesrank'] == 2147483647)? 'n/a' : $product['salesrank'] ?></td>
							<td class="options">
								<a href="<?= URL_SITE.$product['pagename'].'/' ?>">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_view.png" alt="View on <?= SITE_NAME ?>" title="View on <?= SITE_NAME ?>" />
								</a>
								<a href="<?= $product['url'] ?>">
									<img src="<?= URL_SITE ?>freshadmin/icons/amazon_<?= strtolower(AMAZON_LOCALE) ?>.png" alt="View on Amazon" title="View on Amazon" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/product/edit/<?= $product['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Edit" title="Edit" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/product/removefromcategory/<?= $product['id'] ?>/<?= $category_id ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_removefromcategory.png" alt="Remove from Category" title="Remove from Category" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/product/changestatus/<?= $product['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_<?= ($product['enabled'] ? 'enabled' : 'disabled') ?>.png" alt="<?= ($product['enabled'] ? 'Product Enabled - Click to Disable' : 'Product Disabled - Click to Enable') ?>" title="<?= ($product['enabled'] ? 'Product Enabled - Click to Disable' : 'Product Disabled - Click to Enable') ?>" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/product/hide/<?= $product['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_hide.png" alt="Hide" title="Hide" onclick="return confirm('Are you sure you wish to hide this product? Hiding a product will make sure it does not appear anywhere on the site.');" />
								</a>
								<a href="<?= URL_SITE ?>freshadmin/product/delete/<?= $product['id'] ?>/">
									<img src="<?= URL_SITE ?>freshadmin/icons/link_delete.png" alt="Delete" title="Delete" onclick="return confirm('Are you sure you wish to delete this product? This cannot be undone and you will lose any custom created content.');" />
								</a>
							</td>			
							
						</tr>
					<?php
					else:
					?>
						<tr id="row_<?= $product['core']['asin'] ?>" class="faded">
						
							<td>
								<img class="main" src="<?=str_replace('{PARAMETERS}', '._SL50_AA50_.', $product['images'][0]) ?>" alt="product" />
							</td>
							<td>
								<!--<a href="<?= URL_SITE ?>freshadmin/product/edit/<?= $product['id'] ?>/" title="Edit: <?= $product['linktitle'] ?>">-->
								<?= substr($product['core']['title'], 0, 60) ?>
								<!--</a>-->
							</td>
							<td colspan="2">
								<?= $product['filter_reason'] ?>
							</td>
							<td class="center">
								<?= $product['core']['salesrank'] ?>
							</td>
							<td class="options">
								<a href="<?= $product['core']['url'] ?>">
									<img src="<?= URL_SITE ?>freshadmin/icons/amazon_<?= strtolower(AMAZON_LOCALE) ?>.png" alt="View on Amazon" title="View on Amazon" />
								</a>
								<? if($product['filter_reason'] != 'Product already added'): ?>
									<a href="javascript: addProductAndUpdateRow('<?= $product['core']['asin'] ?>', $('#icon_<?= $product['core']['asin'] ?>'), <?=$category['id']?>, '<?= URL_SITE ?>freshadmin/icons/common_loading.gif', '<?= URL_SITE ?>freshadmin/icons/productfinder_added.png')">
										<img id="icon_<?= $product['core']['asin'] ?>" src="<?= URL_SITE ?>freshadmin/icons/productfinder_add.png" alt="Product Not Yet Added - Click to Add" title="Product Not Yet Added - Click to Add" />
									</a>
								<?php endif; ?>
							</td>			
							
						</tr>
					<?php
					endif;
				}
			}
		?>



		</table>
		
		
		
		<div class="tableactions">
			<p class="itemcount"><?= $products_addedcount ?> product(s) imported from page <?= $autopopulate['lastpopulatedpage']+1 ?></p>
		</div>
		
		
		
		<div class="paggination right">
			
			<p><a href="<?= URL_SITE ?>freshadmin/category/runpopulate/<?= $category['id'] ?>/<?= ($explicit_autopopulate)? $autopopulate['id'] : '' ?>/">Run Autopopulate Again</a>
			
		</div>
		
		
		
		</form>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
</div>

<form method="post">
	<input type="hidden" name="category_id" id="form-category" value="<?=$category['id']?>" />
</form>

<script type="text/javascript">
	$(document).ready(function()
	{
		$(".faded").mouseenter(function()
		{
			$(this).children("td").fadeTo('fast', 1.0);
		});
		$(".faded").mouseleave(function()
		{
			$(this).children("td").fadeTo('fast', 0.4);
		});
	});
	
	function addProductAndUpdateRow(asin,element,category_id, loadingicon, newicon)
	{
		addProduct(asin,element,category_id, loadingicon, newicon);
		element = "#row_"+asin;
		$.ajax({
			url: window.siteurl+'freshadmin/ajax/getproductrow.php?asin='+asin,
			success: function(data){$(element).html(data);$(element).fadeTo('fast', 1.0).removeClass("faded").unbind("mouseenter").unbind("mouseleave").children("td").fadeTo('fast', 1.0);}
		});
	}
</script>
