<form action="<?= URL_CONTROLPANEL ?>contenttemplate/bestspinner/" method="post">


<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>What is Best Spinner?</h2>
	</div>
	
	<div class="block_content">
		
		<p>Best Spinner is a fantastic service that automatically creates unique content for you. It is completely integrated with Fresh Store Builder so you can <strong>magically create unique and accurate text</strong> for your product descriptions, product titles and even your product meta information.</p>
		
		<p>You can get Best Spinner for a small fee of $47 per year - a <strong>massive 50% saving</strong> off the actual price, especially for Fresh Store Builder users. Simply <a href="http://www.freshstorebuilder.c0m/go/bestspinner/" target="_blank">open a Best Spinner account</a> and enter your account details in the right hand side.</p>
		
		<p>Best Spinner is also an application and service designed to provide you with an unlimited source of unique content for your websites, link building, article marketing and whatever you choose. The full application is included in the price above. <a href="http://www.freshstorebuilder.c0m/tools/view/content-spinning/" target="_blank">Find out more</a> and <a href="http://www.freshstorebuilder.c0m/go/bestspinner/" target="_blank">order today</a>.</p>
		
		<a href="http://www.freshstorebuilder.c0m/go/bestspinner/" target="_blank">
		<img src="<?= URL_SITE ?>freshadmin/images/bestspinner_box.png" id="bestspinner-imagebox" />
		</a>
		
		<h1 id="bestspinner-title"><a href="http://www.freshstorebuilder.c0m/go/bestspinner/" target="_blank">50% discount for<br />Fresh Store Builder Users!</a></h1>

	
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>


<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Your Best Spinner Details</h2>
	</div>
	
	<div class="block_content">
		
		<h3>AUTO SPINNING OPTIONS</h3>
	
		<p>
			<label>Auto Spin Amazon Descriptions?</label><br />
			<select name="parameters[BESTSPINNER_AUTOSPINAMAZON]" class="styled">
				<option value="0"<?= $parameter['BESTSPINNER_AUTOSPINAMAZON']['value'] == '0' ? ' selected' : '' ?>>No</option>
				<option value="1"<?= $parameter['BESTSPINNER_AUTOSPINAMAZON']['value'] == '1' ? ' selected' : '' ?>>Yes</option>
			</select>
		</p>
	
		<h3>ACCOUNT DETAILS</h3>
		
		<p>
			<label>Email</label><br />
			<input type="text" class="text" name="parameters[BESTSPINNER_EMAIL]" value="<?= $parameter['BESTSPINNER_EMAIL']['value'] ?>" />
		</p>
		
		<p>
			<label>Password</label><br />
			<input type="text" class="text" name="parameters[BESTSPINNER_PASSWORD]" value="<?= $parameter['BESTSPINNER_PASSWORD']['value'] ?>" />
		</p>
		
		<h3>BEST SPINNER OPTIONS</h3>
		
		<p>
			<label>Synonym Type</label><br />
			
			<select name="parameters[BESTSPINNER_SYNONYMTYPE]" class="styled">
				<option value="normal"<?= $parameter['BESTSPINNER_SYNONYMTYPE']['value'] == 'normal' ? ' selected' : '' ?>>Normal (identifySynonyms)</option>
				<option value="favorites"<?= $parameter['BESTSPINNER_SYNONYMTYPE']['value'] == 'favorites' ? ' selected' : '' ?>>Favorites (replaceEveryonesFavorites)</option>
			</select>
			
		</p>
		
		<p>
			<label>Synonym Quality</label><br />
			<select name="parameters[BESTSPINNER_SYNONYMQUALITY]" class="styled">
				<option value="1"<?= $parameter['BESTSPINNER_SYNONYMQUALITY']['value'] == '1' ? ' selected' : '' ?>>Good</option>
				<option value="2"<?= $parameter['BESTSPINNER_SYNONYMQUALITY']['value'] == '2' ? ' selected' : '' ?>>Better</option>
				<option value="3"<?= $parameter['BESTSPINNER_SYNONYMQUALITY']['value'] == '3' ? ' selected' : '' ?>>Best</option>
			</select>
		</p>
		
		<p>
			<label>Synonym Quantity</label><br />
			<select name="parameters[BESTSPINNER_MAXSYNONYMS]" class="styled">
				<option value="2"<?= $parameter['BESTSPINNER_MAXSYNONYMS']['value'] == '2' ? ' selected' : '' ?>>2</option>
				<option value="3"<?= $parameter['BESTSPINNER_MAXSYNONYMS']['value'] == '3' ? ' selected' : '' ?>>3</option>
				<option value="4"<?= $parameter['BESTSPINNER_MAXSYNONYMS']['value'] == '4' ? ' selected' : '' ?>>4</option>
				<option value="5"<?= $parameter['BESTSPINNER_MAXSYNONYMS']['value'] == '5' ? ' selected' : '' ?>>5</option>
				<option value="6"<?= $parameter['BESTSPINNER_MAXSYNONYMS']['value'] == '6' ? ' selected' : '' ?>>6</option>
				<option value="7"<?= $parameter['BESTSPINNER_MAXSYNONYMS']['value'] == '7' ? ' selected' : '' ?>>7</option>
				<option value="8"<?= $parameter['BESTSPINNER_MAXSYNONYMS']['value'] == '8' ? ' selected' : '' ?>>8</option>
				<option value="9"<?= $parameter['BESTSPINNER_MAXSYNONYMS']['value'] == '9' ? ' selected' : '' ?>>9</option>
				<option value="10"<?= $parameter['BESTSPINNER_MAXSYNONYMS']['value'] == '10' ? ' selected' : '' ?>>10</option>
			</select>
		</p>
		
		<p>
			<input type="submit" class="submit long" value="Save Details" />
		</p>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>

</form>
