<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="content-language" content="en" />
		<meta name="keywords" content="" />
		<meta name="description" content="" />
		
		<title><?= SITE_NAME ?> - Control Panel</title>
		
		
		 <style type="text/css" media="all">
			@import url("<?= URL_SITE ?>freshadmin/styles/style.css");
			@import url("<?= URL_SITE ?>freshadmin/styles/jquery.wysiwyg.css");
			@import url("<?= URL_SITE ?>freshadmin/styles/facebox.css");
			@import url("<?= URL_SITE ?>freshadmin/styles/visualize.css");
			@import url("<?= URL_SITE ?>freshadmin/styles/date_input.css");
			@import url("<?= URL_SITE ?>freshadmin/styles/fancybox.css");
			@import url("<?= URL_SITE ?>freshadmin/styles/ui-lightness/jquery-ui-1.8.16.custom.css");
	    </style>
	    
	    <!--[if IE]><meta http-equiv="X-UA-Compatible" content="IE=7" /><![endif]-->
		<!--[if lt IE 8]><style type="text/css" media="all">@import url("css/ie.css");</style><![endif]-->
		<!--[if IE]><script type="text/javascript" src="<?= URL_SITE ?>freshadmin/scripts/excanvas.js"></script><![endif]-->
		
		<script language="JavaScript" type="text/javascript">
		window.siteurl = '<?= URL_SITE ?>';
		</script>
		
		
		
		<script type="text/javascript" src="<?= URL_SITE ?>freshadmin/scripts/jquery.js"></script>
		<script type="text/javascript" src="<?= URL_SITE ?>freshadmin/scripts/jquery.img.preload.js"></script>
		<script type="text/javascript" src="<?= URL_SITE ?>freshadmin/scripts/jquery.filestyle.mini.js"></script>
		<script type="text/javascript" src="<?= URL_SITE ?>freshadmin/scripts/jquery.wysiwyg.js"></script>
		<script type="text/javascript" src="<?= URL_SITE ?>freshadmin/scripts/jquery.date_input.pack.js"></script>
		<script type="text/javascript" src="<?= URL_SITE ?>freshadmin/scripts/facebox.js"></script>
		<script type="text/javascript" src="<?= URL_SITE ?>freshadmin/scripts/jquery.visualize.js"></script>
		<script type="text/javascript" src="<?= URL_SITE ?>freshadmin/scripts/jquery.select_skin.js"></script>
		<script type="text/javascript" src="<?= URL_SITE ?>freshadmin/scripts/ajaxupload.js"></script>
		<script type="text/javascript" src="<?= URL_SITE ?>freshadmin/scripts/jquery.pngfix.js"></script>
		<script type="text/javascript" src="<?= URL_SITE ?>freshadmin/scripts/custom.js"></script>
		<script type="text/javascript" src="<?= URL_SITE ?>freshadmin/scripts/jquery.mousewheel-3.0.4.pack.js"></script>
		<script type="text/javascript" src="<?= URL_SITE ?>freshadmin/scripts/jquery.fancybox-1.3.4.js"></script>
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.16/jquery-ui.min.js"></script>
		
		
		<?php
			if (count($javascripts) > 0)
			{
				foreach ($javascripts as $item)
				{
					?>
					<script type="text/javascript" src="<?= $item ?>"></script>
					<?php
				}
			}
		?>
		
					
	</head>
	
	<body>
		
		<div id="hld">
		
			<div class="wrapper">
	
			<?php
				if ($template_show_stripe)
				{
					require(PATH_CONTROLPANEL_TEMPLATES.'/elements/stripe.php');
				}
			?>
			
			<?php
				require(PATH_CONTROLPANEL_TEMPLATES.'/elements/messages.php');
			?>
		
								
			<?php require ($template_filename) ?>
			
			
			<div id="footer">
			
				<p class="left">
					<a href="<?= URL_SITE ?>"><?= SITE_NAME ?></a>
					<?php if(isStoreLicensed() && loggedIn()): ?>
						<img src="<?= URL_SITE ?>freshadmin/icons/shield.png" alt="Valid License" style="vertical-align:middle;margin-left:4px;" /> Valid License
					<?php endif; ?>
				</p>
				<p class="right">powered by Fresh Store Builder v<?= $version ?></p>
				
			</div>

			</div>
			
		</div>		
	</body>
</html>