<form action="<?= URL_CONTROLPANEL ?>manufacturer/edit/<?= $manufacturer_id ?>/" method="post">
<input type="hidden" name="manufacturer[logocaption]" value="" />

<div class="block withsidebar">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Edit Manufacturer <a href="<?= URL_SITE ?><?= $manufacturer['pagename'] ?>/"><?= substr($manufacturer['linktitle'], 0, 50) ?></a></h2>
		
		<ul>
			<li>
				<a href="<?= URL_SITE ?>freshadmin/manufacturer/merge/<?= $manufacturer['id'] ?>/">
					<img src="<?= URL_SITE ?>freshadmin/icons/link_merge.png" alt="Merge" title="Merge" />
				</a>
				<a href="<?= URL_SITE ?>freshadmin/manufacturer/images/<?= $manufacturer['id'] ?>/">
					<img src="<?= URL_SITE ?>freshadmin/icons/link_image.png" alt="Manufacturer Images" title="Manufacturer Images" />
				</a>
				<a href="<?= URL_SITE ?>freshadmin/product/bymanufacturerlist/<?= $manufacturer['id'] ?>/">
					<img src="<?= URL_SITE ?>freshadmin/icons/menu_view.png" alt="Manufacturer Products" title="Manufacturer Products" />
				</a>
				<a href="<?= URL_SITE ?><?= $manufacturer['pagename'] ?>/">
					<img src="<?= URL_SITE ?>freshadmin/icons/link_view.png" alt="View Manufacturer on your Store" title="View Manufacturer on your Store" />
				</a>
			</li>
		</ul>
	</div>
	
	
	
	<div class="block_content">
		
		<div class="sidebar">
			<ul class="sidemenu">
				<li><a href="#sb1">Titles &amp; Content</a></li>
				<li><a href="#sb2">SEO &amp; Meta</a></li>
				<li><a href="#sb3">Options &amp; Info</a></li>
				<li><a href="#sb4">Tips &amp; Help</a></li>
			</ul>
			
			<p>You are currently editing the manufacturer "<a href="<?= URL_SITE ?><?= $manufacturer['pagename'] ?>/"><?= $manufacturer['linktitle'] ?></a>". Read the tips below and for more great advice, check out the <a href="http://www.freshstorebuilder.c0m/guides/" target="_blank">Exclusive Guides</a> and <a href="http://forum.freshstorebuilder.c0m/" target="_blank">Private Forum</a>.</p>
		</div>
		
		<div class="sidebar_content" id="sb1">
			<h3>Titles &amp; Content</h3>
			
			<p>
				<label for="form-name" class="required">Name</label><span class="note">The name that appears on the manufacturer page</span><br />
				<input class="text medium" id="form-name" type="text" name="manufacturer[name]" value="<?= $manufacturer['name'] ?>" />
			</p>
			
			<p>
				<label for="form-title" class="autogenerated">Link Title</label><span class="note">The title used when linking to the manufacturer (e.g. from a product)</span><br />
				<input class="text medium" id="form-title" type="text" name="manufacturer[linktitle]" value="<?= $manufacturer['linktitle'] ?>" />
			</p>
		
			<p>
				<label for="form-description" class="optional">Manufacturer Description</label>
				<span class="note">The main manufacturer description.</span>
				<textarea id="form-description" name="manufacturer[description]" class="mceEditor"><?= $manufacturer['description'] ?></textarea>
			</p>
						
			<p>
				<input type="submit" class="submit long" value="Save Manufacturer" />
			</p>
		
			
		</div>
		
		<div class="sidebar_content" id="sb2">
			<h3>SEO &amp; Meta</h3>
			
			<p>
				<label for="form-pagename" class="autogenerated">Page Name</label><span class="note">The part of the URL for this page (e.g. www.site.com/this-is-a-page-name)</span><br />
				<input class="text medium" id="form-pagename" type="text" name="manufacturer[pagename]" value="<?= $manufacturer['pagename'] ?>" />
			</p>
		
			<p>
				<label for="form-metatitle" class="autogenerated">Meta Title</label><span class="note">The text that appears in the browser bar and Search Engine listings. Important for SEO.</span><br />
				<input class="text medium" id="form-metatitle" type="text" name="manufacturer[metatitle]" value="<?= $manufacturer['metatitle'] ?>" />
			</p>
			
			<p>
				<label for="form-metakeywords" class="autogenerated">Meta Keywords</label><span class="note">Keywords to describe the page. Generally ignored by search engines but could have a use.</span><br />
				<input class="text medium" id="form-metakeywords" type="text" name="manufacturer[metakeywords]" value="<?= $manufacturer['metakeywords'] ?>" />
			</p>
		
			<p>
				<label for="form-metadescription" class="autogenerated">Meta Description</label>
				<span class="note">The text that appears in search engine listings, describing the page. Important for SEO.</span>
				<textarea id="form-metadescription" name="manufacturer[metadescription]"><?= $manufacturer['metadescription'] ?></textarea>
			</p>
		
			<p>
				<input type="submit" class="submit long" value="Save Manufacturer" />
			</p>
		
			
		</div>
		
		<div class="sidebar_content" id="sb3">
			<h3>Options &amp; Info</h3>
		
			<?php
			if ($manufacturerimage)
			{
				?>
					<img id="manufacturer-logo" src="<?= URL_SITE ?>i/?src=<?= RELATIVE_URL_IMAGES_MANUFACTURER.$manufacturerimage['filename'] ?>&w=200&h=200" />
				<?php
			}
			?>
		
			<?php foreach(array("sidebar" => "Sidebar", "allmanufacturers" => "Brands Page", "product" => "Products", "homepage" => "Homepage", "filter" => "Filter") as $key => $value): ?>
				<p>
					<label for="form-display" class="optional">Display on <?=$value ?>?</label><br />
					<select name="manufacturer[display_<?=$key ?>]" class="styled">
						<option value="0">No</option>
						<option value="1" <?= ($manufacturer['display_'.$key] == 1 ? 'selected' : '') ?>>Yes</option>
					</select>
				</p>
			<?php endforeach; ?>
			
			<p>
				<input type="submit" class="submit long" value="Save Manufacturer" />
			</p>
			
		</div>
		
		<div class="sidebar_content" id="sb4">
			<h3>Tips &amp; Help</h3>
		
			<p>Manufacturers are linked directly to Amazon and are updated automatically. Any content you change is permanently saved and not overwritten when the manufacturer updates. A manufacturer is automatically linked to products.</p>		
		
			<h3>Manufacturer Tips</h3>
			<ul>
				<li>Adding unique content to a manufacturer will give better search engine results</li>
				<li>Try using <a href="http://www.freshstorebuilder.c0m/go/market-samurai/">Market Samurai</a> to research keywords and products worth promoting directly</li>
				<li>Use your keywords in the your titles, descriptions and meta information</li>
				<li>Manufacturers can be merged together, as they are often duplicated on Amazon</li>
				<li>Manufacturers are disabled by default. Enable them to let them appear on your store.</li>
				<li>Login to <a href="http://www.freshstorebuilder.c0m/account/login/">your account at Fresh Store Builder</a> for exclusive guides and help</li>
			</ul>
		
		</div>
		
							
	</div>

	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>



</form>