<script type="text/javascript">
$(document).ready(function() {
		display_options = {
			indicator : '<img src="<?= URL_SITE ?>freshadmin/icons/common_loading.gif">',
			tooltip   : 'Click to change if this manufacturer is visible or not.',
			type   : 'select',
			data   : "{0: 'No', 1: 'Yes'}",
			submit : 'OK',
			submitdata : {type: "select"}
		};
		display_url = window.siteurl+'/freshadmin/ajax/savemanufacturerdisplay.php';
		
		$('.edit_display').editable(display_url, display_options);
 });
</script>

<form action="<?= URL_SITE ?>freshadmin/manufacturer/list/" method="post">
	<div class="block">

		<div class="block_head">
			<div class="bheadl"></div>
			<div class="bheadr"></div>
		
			<h2>All Manufacturers</h2>
		
			<label for="form-sort">Sort by </label>
			<select id="form-sort" onchange="window.location = this.value;">
				<?php
				$i=0;
				foreach ($pagination['sortoptions'] as $sortkey => $sortoption)
				{
					if ($i == 0) $sortkeydefault = $sortkey;
					$i++;
						?>
						<option value="<?= buildListingLink($pagination['baselink'], $pagination['currentpage'], $sortkey, $sortkeydefault, $pagination['currentperpage'], PER_PAGE_LISTING) ?>" <?= ($sortkey == $pagination['currentsort'] ? 'selected' : '') ?>><?= $sortoption['displayname'] ?></option>
					
						<?php
				}
				?>
			</select>
		
		</div>

		<div class="block_content">

			<table cellpadding="0" cellspacing="0" width="100%">

				<tr>
					<th><input type="checkbox" class="check_all" /></th>
					<th>Name</th>
					<th>Amazon Name</th>
					<th>Merged To</th>
					<th class="center">Products</th>
					<th>Display on Sidebar?</th>
					<th>Manufacturers Page?</th>
					<th>Product?</th>
					<th>Homepage?</th>
					<th>Filter?</th>
					<th class="right">Options</th>
				</tr>

				<?php
					if (sizeof($manufacturerlist) == 0)
					{
						?>
						<tr>
							<td colspan="11">There are currently no Manufacturers.</td>
						</tr>
						<?php
					}
					foreach ($manufacturerlist as $manufacturer)
					{
						?>
							<tr>
								<td>
									<input type="checkbox" name="selected[<?= $manufacturer['id'] ?>]"<?= (isset($selectedmanufacturers[$manufacturer['id']]) ? ' checked' : '') ?> />
								</td>
								<td>
									<a href="<?= URL_SITE ?>freshadmin/manufacturer/edit/<?= $manufacturer['id'] ?>/">
										<?= $manufacturer['name'] ?>
									</a>
								</td>
								<td>
									<a href="<?= URL_SITE ?>freshadmin/manufacturer/edit/<?= $manufacturer['id'] ?>/">
										<?= $manufacturer['amazonname'] ?>
									</a>
								</td>
								<td>
									<?php
									if (isset($manufacturernames[$manufacturer['merge_manufacturer_id']]))
									{
										?>
											<?= $manufacturernames[$manufacturer['merge_manufacturer_id']] ?>
											<a href="<?= URL_SITE ?>freshadmin/manufacturer/cancelmerge/<?= $manufacturer['id'] ?>/">
												<img src="<?= URL_SITE ?>freshadmin/icons/link_delete.png" alt="Cancel Merge" title="Cancel Merge" />
											</a>
										<?php
									}
									else
									{
										echo '<em>none</em>';
									}
									?>
								</td>
								<td class="center"><a href="<?= URL_SITE ?>freshadmin/product/bymanufacturerlist/<?= $manufacturer['id'] ?>/"><?= $manufacturer['productcount'] ?></a></td>
								<td>
									<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Click Text to Edit" title="Click Text to Edit" class="middle" />
									<span class="edit_display" id="display_sidebar-<?= $manufacturer['id'] ?>"><?= ($manufacturer['display_sidebar'] ? 'Yes' : 'No') ?></span></td>
								</td>
								<td>
									<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Click Text to Edit" title="Click Text to Edit" class="middle" />
									<span class="edit_display" id="display_allmanufacturers-<?= $manufacturer['id'] ?>"><?= ($manufacturer['display_allmanufacturers'] ? 'Yes' : 'No') ?></span></td>
								</td>
								<td>
									<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Click Text to Edit" title="Click Text to Edit" class="middle" />
									<span class="edit_display" id="display_product-<?= $manufacturer['id'] ?>"><?= ($manufacturer['display_product'] ? 'Yes' : 'No') ?></span></td>
								</td>
								<td>
									<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Click Text to Edit" title="Click Text to Edit" class="middle" />
									<span class="edit_display" id="display_homepage-<?= $manufacturer['id'] ?>"><?= ($manufacturer['display_homepage'] ? 'Yes' : 'No') ?></span></td>
								</td>
								<td>
									<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Click Text to Edit" title="Click Text to Edit" class="middle" />
									<span class="edit_display" id="display_filter-<?= $manufacturer['id'] ?>"><?= ($manufacturer['display_filter'] ? 'Yes' : 'No') ?></span></td>
								</td>
								<td class="options">
									<a href="<?= URL_SITE ?>freshadmin/manufacturer/edit/<?= $manufacturer['id'] ?>/">
										<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Edit" title="Edit" />
									</a>
									<a href="<?= URL_SITE ?>freshadmin/manufacturer/merge/<?= $manufacturer['id'] ?>/">
										<img src="<?= URL_SITE ?>freshadmin/icons/link_merge.png" alt="Merge" title="Merge" />
									</a>
									<a href="<?= URL_SITE ?>freshadmin/manufacturer/images/<?= $manufacturer['id'] ?>/">
										<img src="<?= URL_SITE ?>freshadmin/icons/link_image.png" alt="Manufacturer Images" title="Manufacturer Images" />
									</a>
								</td>
							</tr>
					
					
						<?php
					}
				?>



				</table>
		
		
		
				<div class="tableactions">
		
					<select name="action">
					<option value="">--select--</option>
					<option value="display">Display everywhere</option>
					<option value="display_sidebar">Display on sidebar</option>
					<option value="display_allmanufacturers">Display on manufacturers page</option>
					<option value="display_product">Display on products</option>
					<option value="display_homepage">Display on homepage</option>
					<option value="display_filter">Display on filter</option>
					<option value="hide">Hide everywhere</option>
					<option value="hide_sidebar">Hide on sidebar</option>
					<option value="hide_allmanufacturers">Hide on manufacturers page</option>
					<option value="hide_product">Hide on products</option>
					<option value="hide_homepage">Hide on homepage</option>
					<option value="hide_filter">Hide on filter</option>
				</select>
			
				<input type="submit" class="submit tiny" value="Apply to selected" onclick="return confirm('This action cannot be undone - are you sure?');" />
			
				</div>
		
		
		
				<div class="paggination right">
			
					<a href="<?= buildListingLink($pagination['baselink'], $pagination['currentpage']-1, $pagination['currentsort'], key($pagination['sortoptions']), $pagination['currentperpage'], PER_PAGE_LISTING) ?>">&laquo;</a>
					<?php
					for ($i=1; $i <= $pagination['pages']; $i++)
					{
			
						?>
							<a href="<?= buildListingLink($pagination['baselink'], $i, $pagination['currentsort'], key($pagination['sortoptions']), $pagination['currentperpage'], PER_PAGE_LISTING) ?>" <?= ($i == $pagination['currentpage'] ? 'class="active"' : '') ?>><?= $i ?></a>
						<?php
					}
					?>
					<a href="<?= buildListingLink($pagination['baselink'], $pagination['currentpage']+1, $pagination['currentsort'], key($pagination['sortoptions']), $pagination['currentperpage'], PER_PAGE_LISTING) ?>">&raquo;</a>
			
				</div>
		
				<p class="itemcount"><?php require (PATH_CONTROLPANEL_TEMPLATES.'elements/listing_information.php') ?></p>
		
				</form>
		
			</div>
	
			<div class="bendl"></div>
			<div class="bendr"></div>
	</div>
</form>
