<script type="text/javascript">
$(document).ready(function() {
     $('.edit_displayname').editable(window.siteurl+'/freshadmin/ajax/saveproductattributename.php', {
     indicator : '<img src="<?= URL_SITE ?>freshadmin/icons/common_loading.gif">',
     tooltip   : 'Click to change this attributes display name'
     });
 });
</script>


<script type="text/javascript">
$(document).ready(function() {
     $('.edit_units').editable(window.siteurl+'/freshadmin/ajax/saveproductattributename.php', {
     indicator : '<img src="<?= URL_SITE ?>freshadmin/icons/common_loading.gif">',
     tooltip   : 'Click to change this attributes units (e.g. "kg" or "cm")'
     });
 });
</script>

<script type="text/javascript">
$(document).ready(function() {
     $('.edit_valuetype').editable(window.siteurl+'/freshadmin/ajax/saveproductattributename.php', {
     indicator : '<img src="<?= URL_SITE ?>freshadmin/icons/common_loading.gif">',
     tooltip   : 'Click to change the value type (e.g. dropdown, yes or no etc.) for how it is shown in the store filter options.',
     type   : 'select',
     data   : "{dropdown: 'Drop Down', dropdowngrouped: 'Drop Down (grouped)', yesorno: 'Yes or No', radio: 'Radio', checkbox: 'Checkbox'}",
     submit : 'OK',
     submitdata : {type: "select"}
     });
 });
</script>




<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Product Attributes</h2>
		
		<ul class="tabs">
			<li><a href="#attributes-visible">Visible</a></li>
			<li><a href="#attributes-hidden">Hidden</a></li>
		</ul>
		
		<form action="<?= URL_CONTROLPANEL ?>product/addattributename/" method="post" />
			<input type="text" name="attributename" value="" class="text small" style="width: 150px;" />
			<input type="submit" value="Add New" class="submit small" style="margin-right: 70px;" />
		</form>

	</div>

	<div class="block_content tab_content" id="attributes-visible">
	
	

	<table cellpadding="0" cellspacing="0" width="100%">
	
		<tr>
			<th>Original Name</th>
			<th>Display Name</th>
			<th>Units</th>
			<th>Show?</th>
			<th>Browse?</th>
			<th>Search?</th> 
			<th>Side?</th>
			<th>Value Type</th>
			<th>&nbsp;</th>
		</tr>


		<?php
			if (sizeof($attributenames) == 0)
			{
				?>
				<tr>
					<td colspan="9">
						There are currently no attribute names.
					</td>
				</td>
				<?php
			}
			else
			{
				foreach ($attributenames as $name)
				{
					?>
						<tr>
							<td><?= $name['originalname'] ?></td>
							<td>
								<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Click Text to Edit" title="Click Text to Edit" class="middle" />
								<span id="displayname-<?= $name['id'] ?>" class="edit_displayname"><?= $name['displayname'] ?></span>
							</td>
							<td>
								<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Click Text to Edit" title="Click Text to Edit" class="middle" />
								<span id="units-<?= $name['id'] ?>" class="edit_units"><?= $name['units'] ?></span>
							</td>
												
							<td align="center">
								<input type="hidden" name="displaynamevalue<?= $name['id'] ?>" id="displaynamevalue-<?= $name['id'] ?>" value="<?= $name['display'] ?>" />
								<a href="javascript: changeAttributeOption(<?= $name['id'] ?>, 'display', $('#icondisplayed_<?= $name['id'] ?>'), $('#displaynamevalue-<?= $name['id'] ?>'), '<?= URL_SITE.'freshadmin/icons/' ?>')">
									<img id="icondisplayed_<?= $name['id'] ?>" src="<?= URL_SITE.'freshadmin/icons/' . ($name['display'] == 1 ? 'tick' : 'cross') ?>.png" alt="Change if this attribute is displayed on the product information page" title="Change if this attribute is displayed on the product information page" />
								</a>
							</td>
							
							<td align="center">
								<input type="hidden" name="metabrowsevalue<?= $name['id'] ?>" id="metabrowsevalue-<?= $name['id'] ?>" value="<?= $name['metabrowse'] ?>" />
								<a href="javascript: changeAttributeOption(<?= $name['id'] ?>, 'metabrowse', $('#iconmetabrowse_<?= $name['id'] ?>'), $('#metabrowsevalue-<?= $name['id'] ?>'), '<?= URL_SITE.'freshadmin/icons/' ?>')">
									<img id="iconmetabrowse_<?= $name['id'] ?>" src="<?= URL_SITE.'freshadmin/icons/' . ($name['metabrowse'] == 1 ? 'tick' : 'cross') ?>.png" alt="Change if this attribute is used in meta browsing (filtering)" title="Change if this attribute is used in meta browsing (filtering)" />
								</a>
							</td>
							
							<td align="center">
								<input type="hidden" name="searchablevalue<?= $name['id'] ?>" id="searchablevalue-<?= $name['id'] ?>" value="<?= $name['searchable'] ?>" />
								<a href="javascript: changeAttributeOption(<?= $name['id'] ?>, 'searchable', $('#iconsearchable_<?= $name['id'] ?>'), $('#searchablevalue-<?= $name['id'] ?>'), '<?= URL_SITE.'freshadmin/icons/' ?>')">
									<img id="iconsearchable_<?= $name['id'] ?>" src="<?= URL_SITE.'freshadmin/icons/' . ($name['searchable'] == 1 ? 'tick' : 'cross') ?>.png" alt="Change if this attribute is used in meta browsing (filtering)" title="Change if this attribute is used in meta browsing (filtering)" />
								</a>
							</td>
							
							<td align="center">
								<input type="hidden" name="sidebarfiltervalue<?= $name['id'] ?>" id="sidebarfiltervalue-<?= $name['id'] ?>" value="<?= $name['sidebarfilter'] ?>" />
								<a href="javascript: changeAttributeOption(<?= $name['id'] ?>, 'sidebarfilter', $('#iconsidebarfilter_<?= $name['id'] ?>'), $('#sidebarfiltervalue-<?= $name['id'] ?>'), '<?= URL_SITE.'freshadmin/icons/' ?>')">
									<img id="iconsidebarfilter_<?= $name['id'] ?>" src="<?= URL_SITE.'freshadmin/icons/' . ($name['sidebarfilter'] == 1 ? 'tick' : 'cross') ?>.png" alt="Change if this attribute is used in meta browsing (filtering)" title="Change if this attribute is used in meta browsing (filtering)" />
								</a>
							</td>
							
							<td>
								<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Click Text to Edit" title="Click Text to Edit" class="middle" />
								<span id="valuetype-<?= $name['id'] ?>" class="edit_valuetype"><?= $attributevaluetypeoptions[$name['valuetype']] ?></span>
							</td>
							
							<td>
								<a href="<?= URL_SITE ?>freshadmin/product/attributevalues/<?= $name['originalname'] ?>/">
									<img src="<?= URL_SITE.'freshadmin/icons/' ?>/list_world.gif" alt="List/Edit all Values for this Attribute" title="List/Edit all Values for this Attribute" />
								</a>
								<a href="<?= URL_CONTROLPANEL ?>product/hideattributename/<?= $name['id'] ?>/">
									<img src="<?= URL_SITE.'freshadmin/icons/' ?>/link_hide.png" alt="Hide" title="Hide" />
								</a>
								<a href="<?= URL_CONTROLPANEL ?>product/deleteattribute/<?= $name['originalname'] ?>/">
									<img src="<?= URL_SITE.'freshadmin/icons/' ?>/link_delete.png" alt="Delete" title="Delete" onclick="return confirm('Are you sure you wish to delete this attribute? This cannot be undone and you will lose any custom created content.');" />
								</a>
							</td>
						</tr>
						
						
					<?php
				}
			}
		?>



		</table>
		
		
		
		<div class="tableactions">
			
		</div>
		
		
		
		<div class="paggination right">
			<p class="itemcount"><?php require (PATH_CONTROLPANEL_TEMPLATES.'elements/listing_information.php') ?></p>
		</div>
		
		
		
		</form>
		
	</div>
	

	<div class="block_content tab_content" id="attributes-hidden">
	
	

	<table cellpadding="0" cellspacing="0" width="100%">
	
		<tr>
			<th>Original Name</th>
			<th>Display Name</th>
			<th>Units</th>
			<th>Show?</th>
			<th>Browse?</th>
			<th>Search?</th> 
			<th>Side?</th>
			<th>Value Type</th>
			<th>&nbsp;</th>
		</tr>

		
		<?php
			if (sizeof($hiddenattributenames) == 0)
			{
				?>
				<tr>
					<td colspan="9">
						There are no products in this category.
					</td>
				</td>
				<?php
			}
			else
			{
				foreach ($hiddenattributenames as $name)
				{
					?>
						<tr>
							<td><?= $name['originalname'] ?></td>
							<td><span id="displayname-<?= $name['id'] ?>"><?= $name['displayname'] ?></span></td>
							<td><span id="units-<?= $name['id'] ?>"><?= $name['units'] ?></span></td>
							
							<td align="center">
								<input type="hidden" name="displaynamevalue<?= $name['id'] ?>" id="displaynamevalue-<?= $name['id'] ?>" value="<?= $name['display'] ?>" />
								<a href="javascript: changeAttributeOption(<?= $name['id'] ?>, 'display', $('#icondisplayed_<?= $name['id'] ?>'), $('#displaynamevalue-<?= $name['id'] ?>'), '<?= URL_SITE.'freshadmin/icons/' ?>')">
									<img id="icondisplayed_<?= $name['id'] ?>" src="<?= URL_SITE.'freshadmin/icons/' . ($name['display'] == 1 ? 'tick' : 'cross') ?>.png" alt="Change if this attribute is displayed on the product information page" title="Change if this attribute is displayed on the product information page" />
								</a>
							</td>
							
							<td align="center">
								<input type="hidden" name="metabrowsevalue<?= $name['id'] ?>" id="metabrowsevalue-<?= $name['id'] ?>" value="<?= $name['metabrowse'] ?>" />
								<a href="javascript: changeAttributeOption(<?= $name['id'] ?>, 'metabrowse', $('#iconmetabrowse_<?= $name['id'] ?>'), $('#metabrowsevalue-<?= $name['id'] ?>'), '<?= URL_SITE.'freshadmin/icons/' ?>')">
									<img id="iconmetabrowse_<?= $name['id'] ?>" src="<?= URL_SITE.'freshadmin/icons/' . ($name['metabrowse'] == 1 ? 'tick' : 'cross') ?>.png" alt="Change if this attribute is used in meta browsing (filtering)" title="Change if this attribute is used in meta browsing (filtering)" />
								</a>
							</td>
							
							<td align="center">
								<input type="hidden" name="searchablevalue<?= $name['id'] ?>" id="searchablevalue-<?= $name['id'] ?>" value="<?= $name['searchable'] ?>" />
								<a href="javascript: changeAttributeOption(<?= $name['id'] ?>, 'searchable', $('#iconsearchable_<?= $name['id'] ?>'), $('#searchablevalue-<?= $name['id'] ?>'), '<?= URL_SITE.'freshadmin/icons/' ?>')">
									<img id="iconsearchable_<?= $name['id'] ?>" src="<?= URL_SITE.'freshadmin/icons/' . ($name['searchable'] == 1 ? 'tick' : 'cross') ?>.png" alt="Change if this attribute is used in meta browsing (filtering)" title="Change if this attribute is used in meta browsing (filtering)" />
								</a>
							</td>
							
							<td align="center">
								<input type="hidden" name="sidebarfiltervalue<?= $name['id'] ?>" id="sidebarfiltervalue-<?= $name['id'] ?>" value="<?= $name['sidebarfilter'] ?>" />
								<a href="javascript: changeAttributeOption(<?= $name['id'] ?>, 'sidebarfilter', $('#iconsidebarfilter_<?= $name['id'] ?>'), $('#sidebarfiltervalue-<?= $name['id'] ?>'), '<?= URL_SITE.'freshadmin/icons/' ?>')">
									<img id="iconsidebarfilter_<?= $name['id'] ?>" src="<?= URL_SITE.'freshadmin/icons/' . ($name['sidebarfilter'] == 1 ? 'tick' : 'cross') ?>.png" alt="Change if this attribute is used in meta browsing (filtering)" title="Change if this attribute is used in meta browsing (filtering)" />
								</a>
							</td>
							
							<td>
								<span id="valuetype-<?= $name['id'] ?>"><?= $attributevaluetypeoptions[$name['valuetype']] ?></span>
							</td>
							
							<td>
								<a href="<?= URL_SITE ?>freshadmin/product/attributevalues/<?= $name['originalname'] ?>/">
									<img src="<?= URL_SITE.'freshadmin/icons/' ?>/list_world.gif" alt="List/Edit all Values for this Attribute" title="List/Edit all Values for this Attribute" />
								</a>
								<a href="<?= URL_CONTROLPANEL ?>product/hideattributename/<?= $name['id'] ?>/0/">
									<img src="<?= URL_SITE.'freshadmin/icons/' ?>/link_hide.png" alt="Unhide" title="Unhide" />
								</a>
								<a href="<?= URL_CONTROLPANEL ?>product/deleteattribute/<?= $name['originalname'] ?>/">
									<img src="<?= URL_SITE.'freshadmin/icons/' ?>/link_delete.png" alt="Delete" title="Delete" onclick="return confirm('Are you sure you wish to delete this attribute? This cannot be undone and you will lose any custom created content.');" />
								</a>
							</td>
						</tr>
						
					<?php
				}
			}
		?>



		</table>
		
		
		
		<div class="tableactions">
			
		</div>
		
		
		
		<div class="paggination right">
			<p class="itemcount"><?php require (PATH_CONTROLPANEL_TEMPLATES.'elements/listing_information.php') ?></p>
		</div>
		
		
		
		</form>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
</div>



