<form action="#" method="get" name="quickchange">
<h1>Values for Product Attribute - <?= $attributename ?></h1>
	<select name="attributevalue" onchange="window.location.href = '/freshadmin/product/attributevalues/'+document.quickchange.attributevalue.value+'/';">
		<?php
			foreach ($attributenames as $item)
			{
				?>
					<option value="<?= $item['originalname'] ?>"<?= $item['originalname'] == $attributename ? ' selected' : '' ?>><?= $item['originalname'] ?></option>
				<?php
			}
		?>
	</select>
</form>

<form action="/freshadmin/product/attributevalues/<?= $attributename ?>/" method="post">

	<table id="product-list">
		<caption>Product Attribute Names</caption>
		<thead>
			<tr>
				<th>Product</th>
				<th>Attribute Value</th>
				<th class="center">Options</th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<th colspan="2" scope="row">Total <?= count($products) ?> Products</th>
				<td colspan="1"><input type="submit" value="Save" class="save" /></td>
			</tr>
		</tfoot>	
		<tbody>
	
	<?php
		if (sizeof($products) == 0)
		{
			?>
			<tr>
				<td colspan="5">
					There are currently no values for this attribute.
				</td>
			</td>
			<?php
		}
		else
		{
			foreach ($products as $product)
			{
				?>
					<tr>
						<td><?= $product['linktitle'] ?></td>
						<?php
						if ($attribute['valuetype'] == 'yesorno')
						{
							?>
								<td align="center">
									<input type="radio" name="attributevalue[<?= $product['product_id'] ?>]" value="0" <?= $product['value'] === '0' ? ' checked' : '' ?> /> No &nbsp;&nbsp;&nbsp;
									<input type="radio" name="attributevalue[<?= $product['product_id'] ?>]" value="1" <?= $product['value'] === '1' ? ' checked' : '' ?> /> Yes &nbsp;&nbsp;&nbsp;
									<input type="radio" name="attributevalue[<?= $product['product_id'] ?>]" value="" <?= $product['value'] === '' ? ' checked' : '' ?> /> None &nbsp;&nbsp;&nbsp;
									
								</td>
							<?php
						}
						else
						{
							?>
								<td>
									<input type="text" name="attributevalue[<?= $product['product_id'] ?>]" value="<?= $product['value'] ?>" class="text-standard" /><?= $attribute['units'] ?>
								</td>
							<?php
						}
						?>
						
						
						<td class="center">
							<a href="<?= URL_SITE.$product['pagename'].'/' ?>">
								<img src="<?= URL_CP_ICONS ?>/link_view.png" alt="View on <?= SITE_NAME ?>" title="View on <?= SITE_NAME ?>" />
							</a>
							<a href="<?= $product['url'] ?>">
								<img src="<?= URL_CP_ICONS ?>/amazon_<?= strtolower(AMAZON_LOCALE) ?>.png" alt="View on Amazon" title="View on Amazon" />
							</a>
							<a href="<?= URL_CONTROLPANEL ?>product/edit/<?= $product['product_id'] ?>/">
								<img src="<?= URL_CP_ICONS ?>/link_edit.png" alt="Edit" title="Edit" />
							</a>
						</td>
					</tr>
				
					
					
				<?php
			}
		}
	?>
		</tbody>
	</table>


</form>