<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Product Finder</h2>
		
	</div>
	
	<div class="block_content">
		<p>Use the product finder to browse Amazons products, either by a Search Term or a Browse Node, and add them to your site. Using this method instead of auto populating is a good way to have more control over the products for sale in your store.</p>
		
		<p>For tips and advice, including an explanation on browse nodes, see the <a href="http://www.freshstorebuilder.c0m/guides/v/populating-your-store/">Populating Your Store Guide</a>.</p>
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
		
</div>








<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Find by Browse Node</h2>
		
		
	</div>
	
	<div class="block_content">
				
		<form action="<?= URL_SITE ?>freshadmin/product/finderresults/" method="post">
			<input type="hidden" name="findtype" value="browsenode" />	
			
			<p>
				<label for="browsenode-browsenode">Browse Node</label><br />
				<input type="text" class="text" id="browsenode-browsenode" name="browsenode" value="<?= (isset($browsenode) ? $browsenode : '') ?>" />
			</p>
			
			
			<p>
				<label for="browsenode-searchindex">Search Index</label>
				<select id="browsenode-searchindex" name="searchindex" class="styled">
					<?= generateSearchIndexFormOptions($searchindexes, $searchindex) ?>
				</select>
			</p>
			
			<p>
				<input type="submit" class="submit long" value="Browse Products" />
			</p>
			
		</form>

	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
		
</div>


<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Find by Search</h2>
		
	</div>
	
	<div class="block_content">
		
		<form action="<?= URL_SITE ?>freshadmin/product/finderresults/" method="post">
			<input type="hidden" name="findtype" value="search" />
			
			<p>
				<label for="search-searchterm">Search Term</label><br />
				<input type="text" class="text" id="search-searchterm" name="searchterm" value="<?= (isset($searchterm) ? $searchterm : '') ?>" />
			</p>
	
			<p>
				<label for="search-searchindex">Search Index</label>
				<select id="search-searchindex" name="searchindex" class="styled">
					<?= generateSearchIndexFormOptions($searchindexesall, $searchindex, false) ?>
				</select>
			</p>
			
			
			<p>
				<input type="submit" class="submit long" value="Browse Products" />
			</p>
			
		</form>

	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
		
</div>