<form action="<?= URL_SITE ?>freshadmin/product/finderresults/" method="post">

<input type="hidden" name="findtype" value="<?= $findtype ?>" />
<input type="hidden" name="searchterm" value="<?= $searchterm ?>" />
<input type="hidden" name="browsenode" value="<?= $browsenode ?>" />
<input type="hidden" name="searchindex" value="<?= $searchindex ?>" />
<input type="hidden" name="page" value="<?= $page+1 ?>" />


<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		
		<?php
			if ($findtype == 'browsenode')
			{
				?>
				<h2>Product Finder - <a href="<?= $amazon->createBrowseNodeLink($browsenode) ?>">Browse Node <?= $browsenode ?></a> &amp; Search Index <?= $searchindex ?></h2>
				<?php
			}
			else if ($findtype == 'search')
			{
				?>
				<h2>Product Finder - <a href="<?= $amazon->createSearchTermLink($searchterm) ?>">Search Term: <?= $searchterm ?></a></h2>
				<?php
			}
		?>
		
		<ul>
			<li>
				<label for="form-category">Choose Category: </label>
				<select name="category_id" id="form-category" size="1">
					<?= generateCategoryFormOptions($categorytree, $category_id) ?>
				</select>
			</li>
		</ul>
		
	</div>

	<div class="block_content">

	<table cellpadding="0" cellspacing="0" width="100%">

		<tr>
			<th>Image</th>
			<th>Name</th>
			<th>Sales Rank</th>
			<th>ASIN</th>
			<th>Attributes?</th>
			<th>Status</th>
		</tr>


		
		<?php
			if (sizeof($products) == 0)
			{
				?>
				<tr>
					<td colspan="6">
						No products found.
					</td>
				</td>
				<?php
			}
			else
			{
				foreach ($products as $product)
				{
					?>
						<tr id="row_<?= $product['asin'] ?>" class="<?= ($product['exists'] ? 'faded' : '') ?>">
						
							<td style="width: 50px;"><img src="<?= $product['image'] ?>" title="<?= $product['title'] . ' | ' . htmlentities($product['description']) ?>" /></td>
							<td>
								<a href="<?= $product['url'] ?>">
									<img src="<?= URL_SITE ?>freshadmin/icons/amazon_<?= strtolower(AMAZON_LOCALE) ?>.png" alt="View on Amazon" title="View on Amazon" class="middle" />
								</a>
								<?= $product['title'] ?>
							</td>
							<td>
								<?= ($product['salesrank'] == 0)? 'n/a' : $product['salesrank'] ?>
							</td>
							<td>
								<?= $product['asin'] ?>
							</td>
							<td>
								<?= ($product['parent'] == 1 ? 'Yes' : 'No') ?>
							</td>					
							<td>
								<?php
								if ($product['exists'])
								{
									?>
									<img src="<?= URL_SITE ?>freshadmin/icons/productfinder_added.png" alt="Product Added" title="Product Added" />
									<?php
								}
								else
								{
									?>
									<a href="javascript: addProduct('<?= $product['asin'] ?>', $('#icon_<?= $product['asin'] ?>'), $('#form-category').val(), '<?= URL_SITE ?>freshadmin/icons/common_loading.gif', '<?= URL_SITE ?>freshadmin/icons/productfinder_added.png', undefined, <?= ($searchindex == 'Marketplace')? 1 : 0 ?>);">
										<img id="icon_<?= $product['asin'] ?>" src="<?= URL_SITE ?>freshadmin/icons/productfinder_add.png" alt="Product Not Yet Added - Click to Add" title="Product Not Yet Added - Click to Add" />
									</a>
									<?php
								}
								?>
							</td>
						</tr>
					<?php
				}
			}
		?>



		</table>
		
		
		
		<div class="tableactions">
			<p class="itemcount">Page <?= $page + 1 ?></p>
		</div>
		
		
		
		<div class="paggination right">
			
			<p>
			<?php
				if ($page != 0)
				{
					?>
						<input type="submit" class="submit" name="submit" value="Previous" />
					<?php
				}					
			?>
			
			<?php
				if ($page == 4 && $searchindex == 'All')
				{
					?>
					<br />You must choose a search index (instead of "All") to browse more than 5 pages of results.
					<?php
				}
				else
				{
					?>
						<input type="submit" class="submit" name="submit" value="Next" />
					<?php
				}
			?>
			</p>
			
			
			
		</div>
		
		
		
		</form>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
</div>


</form>
