
	
	
<form action="/freshadmin/productqueue/add/" method="post">


<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Add a Product Queue</h2>	
	</div>
	
	<div class="block_content" style="height: 300px;">
	
		<p>
			<label for="form-name" class="required">Name</label><br />
			<input class="text large" id="form-name" type="text" name="productqueue[name]" value="" />
		</p>
		
		<p>	
			<label for="form-description" class="optional">Description</label>
			<textarea id="form-description" name="productqueue[description]"></textarea>
		</p>
		
		<p>
			<input type="submit" class="submit long" value="Save" />
		</p>

	
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>


<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>About Product Queues</h2>
	</div>
	
	<div class="block_content" style="height: 300px;">
	
		<p>A product queue allows you to group some products together in order to edit them in a batch. You can leave the queue and return to it at any time.</p>

		<p>For example, if you want to add a Screen Size attribute to your laptop products you can create a laptop queue and then process them one by one.</p>
		
		<p>Once you have created a product queue, you can then add products via the <a href="<?= URL_SITE ?>freshadmin/productqueue/list/">Product Queue List</a>. Once you have a queue full of products you can <a href="<?= URL_SITE ?>freshadmin/productqueuerun/add/">Create a Product Queue Run</a>, allowing you to run through the products and change/add the content you want.</p>
		
		<h3>Tips</h3>
		<ul>
			<li>Use product queues to easily add unique content to your products</li>
			<li>Product queues allow you to keep track of the products you still need to edit</li>
			<li>Providing useful, unique content is the key to good Search Engine rankings</li>
		</ul>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>

	
</form>

