	
<form action="<?= URL_CONTROLPANEL ?>productqueue/addproducts/<?= $productqueue_id ?>/" method="post">


<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Add Products to the Queue <a href="<?= URL_SITE ?>freshadmin/productqueue/edit/<?= $productqueue['id'] ?>/"><?= $productqueue['name'] ?></a></h2>
	</div>
	
	<div class="block_content" style="height: 170px;">
	
		<p>Use the options below to filter out the products you want to add to this queue. Once you have added products to the queue, you can <a href="<?= URL_SITE ?>freshadmin/productqueuerun/add/">Add a Queue Run</a> to edit these products.</p>
		
		<h3>Tips</h3>
		
		<ul>
			<li>The different options work together</li>
			<li>You can add more products to the queue later</li>
			<li>This queue currently has <?= $productqueue['productcount'] ?> products</li>
		</ul>

	
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>


<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Product Filters &amp; Options</h2>
	</div>
	
	<div class="block_content" style="height: 170px;">
	
		<p>These filters and options apply specifically to the products.</p>
	

		<p>
			<input type="checkbox" class="checkbox" name="nosalesrank" value="1" />
			<label for="form-orphanproducts">Filter products with no salesrank</label>
		</p>
		
		<p>
			<input type="checkbox" class="checkbox" name="noimages" value="1" />
			<label for="form-orphanproducts">Filter products with no images</label>
		</p>

		<p>
			<input type="checkbox" class="checkbox" name="disableproducts" value="1" />
			<label for="form-orphanproducts">Disable products while in Queue</label>
		</p>

		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>


<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Filter by Categories</h2>
	</div>
	
	<div class="block_content" style="height: 260px;">
	
		<p>This will limit the products added to the categories you have chosen. CTRL-click to choose more than one category.</p>
		
		<p>
			<label for="form-categories" class="optional">Add products in Categories:</label><br />
			<select multiple name="categories[]" id="form-categories" size="10" style="width: 450px;">
				<option value="0" selected="selected">All</option>
				<?= generateCategoryFormOptions($categorytree, $selectedcategories, 0, false) ?>
			</select>
		</p>
		
		<p>
			<input type="checkbox" class="checkbox" name="orphanproducts" value="1" />
			<label for="form-orphanproducts">Only Products with No Category</label>
		</p>

	
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>


<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Filter by Manufacturer</h2>
	</div>
	
	<div class="block_content" style="height: 260px;">
	
		<p>This will limit the products added to the manufacturers you have chosen. CTRL-click to choose more than one category.</p>
		
		<p>
			<label for="form-manufacturers" class="optional">Manufacturers</label><br />
			<select multiple name="manufacturers[]" id="form-manufacturers" size="10" style="width: 450px;">
				<option value="0" selected="selected">All</option>
				<?php
					foreach ($manufacturers as $key => $item)
					{
						?>
						<option value="<?= $item['id'] ?>"><?= $item['name'] ?> (<?= $item['productcount'] ?> products)</option>
						<?php
					}
				?>
			</select>
		</p>
				
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>


<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Products with An Attribute Value</h2>
	</div>
	
	<div class="block_content" style="height: 300px;">
	
		<p>This will filter products to only those with the chosen attribute matching the value you enter below.</p>
		
		<p>
			<label for="form-attributefilter" class="optional">Choose Attribute</label><br />
			<select name="attributefilter" id="form-attributefilter" size="10" style="width: 450px;">
				<?php
					foreach ($attributes as $key => $item)
					{
						?>
						<option value="<?= $item['originalname'] ?>"><?= $item['displayname'] ?></option>
						<?php
					}
				?>
			</select>
		</p>
		
		<p>
			<label for="form-attributefiltervalue" class="optional">Enter the Attribute Value</label><br />
			<input type="text" class="text" id="form-attributefiltervalue" name="attributefiltervalue" value="" />
		</p>
				
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>



<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Products with a Blank Attribute</h2>
	</div>
	
	<div class="block_content" style="height: 300px;">
	
		<p>This will filter products to only those with no value for the chosen attribute .</p>
	
		<p>
			<label for="form-attribute" class="optional">Product has the following attribute blank:</label><br />
			<select name="blankattribute" id="form-attribute" size="10" style="width: 450px;">
				<?php
					foreach ($attributes as $key => $item)
					{
						?>
						<option value="<?= $item['originalname'] ?>"><?= $item['displayname'] ?></option>
						<?php
					}
				?>
			</select>
		</p>
		
		<hr />

		<p><input type="submit" class="submit long" value="Add Products" /></p>
	
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>


	
</form>
