<form action="<?= URL_CONTROLPANEL ?>productqueuerun/go/<?= $productqueuerun_id ?>/" method="post">


<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Queue Run <a href="<?= URL_SITE ?>freshadmin/productqueuerun/edit/<?= $productqueuerun['id'] ?>/"><?= $productqueuerun['name'] ?></a></h2>
		
		<ul>
			<li>
				<a href="<?= URL_SITE ?>freshadmin/productqueuerun/edit/<?= $productqueuerun['id'] ?>/">Edit Queue Run</a>
			</li>
			<li>
				<a href="<?= URL_SITE ?>freshadmin/productqueuerun/list/">View Queue Runs</a>
			</li>
			<li>
				<a href="<?= URL_SITE ?>freshadmin/productqueuerun/add/">Add Queue Run</a>
			</li>
		</ul>
		
	</div>
	
	<div class="block_content">
		<p>You are currently processing the Product Queue Run "<?= $productqueuerun['name'] ?>". There are <?= $productsremaining ?> products remaining and on this page you are editing <?= count($products) ?> products.</p>
		
		<p>For help and advice, check out the <a href="http://www.freshstorebuilder.c0m/guides/" target="_blank">Exclusive Guides</a> and <a href="http://forum.freshstorebuilder.c0m/" target="_blank">Private Forum</a>.</p>
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
		
</div>


<?php

	foreach ($products as $product)
	{
		?>		
		
		<div class="block small left">
		
			<div class="block_head">
				<div class="bheadl"></div>
				<div class="bheadr"></div>
				
				<h2>Product Info</h2>
				
				
				<ul>
					<li>
						<a href="<?= URL_SITE ?><?= $product['pagename'] ?>/">
							<img src="<?= URL_SITE ?>freshadmin/templates/icons/link_view.png" alt="View this Product" title="View this Product" />
						</a>
						<a href="<?= URL_SITE ?>freshadmin/contenttemplate/generate/<?= $product['id'] ?>/">
							<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/icons/admin_generatecontent.png" alt="Generate Content" title="Generate Content" />
						</a>
						<a href="<?= URL_SITE ?>freshadmin/product/update/<?= $product['id'] ?>/">
							<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/icons/admin_update.png" alt="Update" title="Update" />
						</a>
						<a href="<?= URL_SITE ?>freshadmin/manufacturer/edit/<?= $product['manufacturer_id'] ?>/">
							<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/icons/admin_manufactureredit.png" alt="Edit Manufacturer" title="Edit Manufacturer" />
						</a>
						<a href="<?= $product['url'] ?>">
							<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/icons/amazon_<?= strtolower(AMAZON_LOCALE) ?>.png" alt="view on Amazon" title="view on Amazon" />
						</a>
						<a href="<?= URL_SITE ?>freshadmin/product/changestatus/<?= $product['id'] ?>/">
							<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/icons/admin_<?= ($product['enabled'] ? 'disable' : 'enable') ?>.png" alt="Change Product Status" title="Change Product Status" />
						</a>
						<a href="<?= URL_CONTROLPANEL ?>product/hide/<?= $product['id'] ?>/">
							<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/icons//admin_hide.png" alt="Hide" title="Hide" />
						</a>
						<a href="<?= URL_CONTROLPANEL ?>product/delete/<?= $product['id'] ?>/">
							<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/icons//admin_delete.png" alt="Delete" title="Delete" />
						</a>
					</li>
				</ul>
				
				
				
			</div>
			
			<div class="block_content">
			
			
			<h2><?= $product['linktitle'] ?></h2>
		
			<img src="<?= $product['image'] ?>" style="float: right;" />
			
			<ul>
				<li>Amazon Name: <?= $product['amazoncontent']['title'] ?></li>
				<li>Sales Rank: <?= $product['salesrank'] ?></li>
				<li>Price: <?= formatProductPrice($product['price']) ?></li>
				<li>Offers: <?= $product['offers'] ?> offers</li>
				<li>Rating: <?= $product['averagescore'] ?></li>
				<li>Views: <?= $product['viewcount'] ?></li>
				<li>Edited? <?= $product['edited'] ? 'Yes' : 'No' ?></li>
				<li>Enabled? <?= $product['enabled'] ? 'Yes' : 'No' ?></li>
				<li>Expired? <?= $product['expired'] ? 'Yes' : 'No' ?></li>
				<li>Hidden? <?= $product['hidden'] ? 'Yes' : 'No' ?></li>
			</ul>


			</div>
			
			<div class="bendl"></div>
			<div class="bendr"></div>
			
		</div>
		
		
		<div class="block small right">
		
			<div class="block_head">
				<div class="bheadl"></div>
				<div class="bheadr"></div>
				
				<h2>Edit Product</h2>
			</div>
			
			<div class="block_content">
			
				
				
				<?php
					if ($productqueuerun['edittitle'])
					{
						?>
						<p>
							<label for="product<?= $product['id'] ?>-title" class="required">Title</label><br />
							<input class="text" id="product<?= $product['id'] ?>-title" type="text" name="product[<?= $product['id'] ?>][core][title]" value="<?= $product['title'] ?>" />
						</p>
						<?php
					}
				?>
				<?php
					if ($productqueuerun['editlinktitle'])
					{
						?>
						<p>
							<label for="product<?= $product['id'] ?>-linktitle" class="required">Link Title</label><br />
							<input class="text" id="product<?= $product['id'] ?>-linktitle" type="text" name="product[<?= $product['id'] ?>][core][linktitle]" value="<?= $product['linktitle'] ?>" />
						</p>
						<?php
					}
				?>
				<?php
					if ($productqueuerun['editlogotext'])
					{
						?>
						<p>
						<label for="product<?= $product['id'] ?>-logotext" class="required">Logo Text</label><br />
						<input class="text" id="product<?= $product['id'] ?>-logotext" type="text" name="product[<?= $product['id'] ?>][core][logotext]" value="<?= $product['logotext'] ?>" />
						</p>
						<?php
					}
				?>
				<?php
					if ($productqueuerun['editmetatitle'])
					{
						?>
						<p>
						<label for="product<?= $product['id'] ?>-metatitle" class="required">Meta Title</label><br />
						<input class="text" id="product<?= $product['id'] ?>-metatitle" type="text" name="product[<?= $product['id'] ?>][core][metatitle]" value="<?= $product['metatitle'] ?>" />
						</p>
						<?php
					}
				?>
				<?php
					if ($productqueuerun['editmetakeywords'])
					{
						?>
						<p>
						<label for="product<?= $product['id'] ?>-metakeywords" class="required">Meta Keywords</label><br />
						<input class="text" id="product<?= $product['id'] ?>-metakeywords" type="text" name="product[<?= $product['id'] ?>][core][metakeywords]" value="<?= $product['metakeywords'] ?>" />
						</p>
						<?php
					}
				?>
				<?php
					if ($productqueuerun['editmetadescription'])
					{
						?>
						<p>
						<label for="product<?= $product['id'] ?>-metadescription" class="required">Meta Description</label><br />
						<textarea style="width: 562px;" rows="3" cols="50" id="product<?= $product['id'] ?>-metadescription" name="product[<?= $product['id'] ?>][core][metadescription]"><?= $product['metadescription'] ?></textarea>
						</p>
						<?php
					}
				?>
				<?php
					if ($productqueuerun['editkeyfeatures'])
					{
						?>
						<p>
						<label for="product<?= $product['id'] ?>-keyfeatures" class="required">Key Features</label><br />
						<textarea style="width: 562px;" rows="5" cols="50" id="product<?= $product['id'] ?>-keyfeatures" name="product[<?= $product['id'] ?>][core][keyfeatures]"><?= $product['keyfeatures'] ?></textarea>
						</p>
						<?php
					}
				?>
				<?php
					if ($productqueuerun['editdescription'])
					{
						?>
						<p>
						<label for="product<?= $product['id'] ?>-description" class="required">Description</label><br />
						<textarea style="width: 562px;" rows="10" cols="50" id="product<?= $product['id'] ?>-description" name="product[<?= $product['id'] ?>][core][description]"><?= $product['description'] ?></textarea>
						</p>
						<?php
					}
					else
					{
						?>
						<p>
						<input type="hidden" name="product[<?= $product['id'] ?>][core][description]" value="<?= $product['description'] ?>" />
						</p>
						<?php
					}
				?>
				
				<?php
					if ($productqueuerun['editdescriptionsecondary'])
					{
						?>
						<p>
						<label for="product<?= $product['id'] ?>-descriptionsecondary" class="required">Description 2</label><br />
						<textarea style="width: 562px;" rows="10" cols="50" id="product<?= $product['id'] ?>-descriptionsecondary" name="product[<?= $product['id'] ?>][core][descriptionsecondary]"><?= $product['descriptionsecondary'] ?></textarea>
						</p>
						<?php
					}
				?>
				
				<?php
					if ($productqueuerun['editcategories'])
					{
						?>
						<p>			
						<label for="product<?= $product['id'] ?>-categories" class="optional">Categories</label><br />
						<select multiple name="product[<?= $product['id'] ?>][categories][]" id="product<?= $product['id'] ?>-categories" size="10" style="width: 572px;">
							<?= generateCategoryFormOptions($categorytree, $product['categories'], 0, false) ?>
						</select>
						</p>
						<?php
					}
				?>
				
				<?php
					if (sizeof($attributes) > 0)
					{
					echo '<h3>Product Attributes</h3>';
					foreach ($attributes as $attribute_id => $attribute)
					{
						?>
						<p>
						<label for="product<?= $product['id'] ?>-attribute<?= $attribute_id ?>" class="required"><?= $attribute['displayname'] ?> <?= $attribute['units'] ? '('.$attribute['units'].')' : '' ?></label>
						
						<?php
						if ($attribute['valuetype'] == 'yesorno')
						{
							?>
								<input type="radio" name="product[<?= $product['id'] ?>][attributes][<?= $attribute['originalname'] ?>]" value="0" <?=  $product['attributes'][$attribute['originalname']] === '0' ? ' checked' : '' ?> /> No &nbsp;&nbsp;&nbsp;
								<input type="radio" name="product[<?= $product['id'] ?>][attributes][<?= $attribute['originalname'] ?>]" value="1" <?=  $product['attributes'][$attribute['originalname']] === '1' ? ' checked' : '' ?> /> Yes &nbsp;&nbsp;&nbsp;
								<input type="radio" name="product[<?= $product['id'] ?>][attributes][<?= $attribute['originalname'] ?>]" value="" <?= is_null( $product['attributes'][$attribute['originalname']]) ? ' checked' : '' ?> /> None &nbsp;&nbsp;&nbsp;<br /><br />							
							<?php
						}
						else
						{
							?>	
								<br />
								<input class="text" id="product<?= $product['id'] ?>-attribute<?= $attribute_id ?>" type="text" name="product[<?= $product['id'] ?>][attributes][<?= $attribute['originalname'] ?>]" value="<?= $product['attributes'][$attribute['originalname']] ?>" />
							<?php
						}
						?>
						</p>
						<?php
					}
					}		
				?>
				
				
			
				<p>
					<input type="submit" class="submit long" value="Save All" />
				</p>
				
			</div>
			
			<div class="bendl"></div>
			<div class="bendr"></div>
			
		</div>
	
		<br clear="all" />

		<?php
	}
?>








