
<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Request Limit Analysis</h2>
		
	</div>
	
	
	
	<div class="block_content">
	
		<p>Amazon imposes an API limit of 2000 requests per hour. This means the number of times your store(s) can contact Amazon for information e.g. product prices, new products, autopopulate, product images etc.</p>
		
		<p>The API limit is shared amongst all your Fresh Store Builder stores and any other websites you are running which use the Amazon API. The API limit increases with the more orders you create for Amazon. For more details see your Amazon Associates account.</p>

		<p><strong>This table shows the number of "Request Limit Reached" errors on this store over the past 7 days.</strong></p>

		<table cellpadding="0" cellspacing="0" width="100%">
		
			<tr>
				<th>Date</th>
				<th>Number of Errors</th>
				<th>Number of Requests</th>
				<th>Average Requests Per Hour</th>
			</tr>

			
		<?php
			foreach ($errorsbydate as $date => $count)
			{
				?>
				<tr>
					<td><?= $date ?></td>
					<td><?= $count['errors'] ?></td>
					<td><?= $count['requests'] ?></td>
					<td><?= number_format($count['requests']/24, 2) ?></td>
				</tr>
				
				<?php
			}
		?>
			
			
		</table>
		
		
		
		<div class="tableactions">
			&nbsp;
		</div>
		
		
		
		<div class="paggination right">
			<p>Last error occured at <?= $lasterrordate ?></p>
		</div>
		
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
</div>









