<form action="<?= URL_SITE ?>freshadmin/sidebox/add/" method="post">

<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Add New Sidebox</h2>
		
		<ul>
			<li>
				<a href="<?= URL_SITE ?>freshadmin/sidebox/list/">
					View Sideboxes
				</a> 
			</li>
		</ul>
		
	</div>
	
	<div class="block_content">
		<p>You are currently adding a new sidebox. Read the tips below and for more great advice, check out the <a href="http://www.freshstorebuilder.c0m/guides/" target="_blank">Exclusive Guides</a> and <a href="http://forum.freshstorebuilder.c0m/" target="_blank">Private Forum</a>.</p>
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
		
</div>		<!-- .block ends -->


<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Sidebox Details</h2>	
	</div>
	
	<div class="block_content">

		<p>
			<label for="form-sideboxtype" class="required">Sidebox Type</label><br />
			<select id="form-sideboxtype" name="sidebox[type]" class="styled">
				<option value="pagelinks">Page Links</option>
				<option value="html">Free HTML</option>
			</select>
		</p>
		
		
		<p>
			<label for="form-sideboxtitle" class="required">Title</label><br />
			<input class="text" id="form-sideboxtitle" type="text" name="sidebox[title]" value="" />
		</p>
		
		<p id="form-freehtml">
			<label for="form-html" class="optional">HTML</label><br />
			<textarea rows="10" cols="40" id="form-html" name="sidebox[html]" class="mceEditor"></textarea>
		</p>

		<div id="form-pagelinks" style="margin-bottom:15px;">
			You can add any pages on this site to this sidebox by editing the page and selecting this sidebox. Add links to other sites here:
			<div id="pagelink-rows">
				<div class="pagelink-row hidden">
					<div class="col">
						<label for="form-pagelink-linktitle-0" class="optional">Link Title</label>
						<input class="text" id="form-pagelink-linktitle-0" type="text" name="pagelink[0][linktitle]" value="" />
					</div>
					<div class="col">
						<label for="form-pagelink-url-0" class="optional">Link URL</label>
						<input class="text" id="form-pagelink-url-0" type="text" name="pagelink[0][url]" value="" />
					</div>
					<div class="col large">
						<label for="form-pagelink-nofollow-0" class="optional">No Follow?</label>
						<input id="form-pagelink-nofollow-0" name="pagelink[0][nofollow]" type="checkbox" />
						<label for="form-pagelink-newwindow-0" class="optional">New Window?</label>
						<input id="form-pagelink-newwindow-0" name="pagelink[0][newwindow]" type="checkbox" />
					</div>
					<div class="col small">
						<a class="delete" href="javascript:"><img src="<?= URL_SITE ?>freshadmin/icons/link_delete.png" alt="Delete" title="Delete" /></a>
					</div>
					<div class="clear"></div>
				</div>
			</div>
			<button class="submit long" id="addlink">Add Link</button>
		</div>
		
		<p>
			<label for="form-sortorder" class="optional">Sort Order</label><br />
			<input class="text" id="form-sortorder" type="text" name="sidebox[sortorder]" value="<?= $nextsortorder ?>" />
		</p>
	
		
		<p>
			<input type="submit" class="submit long" value="Add Sidebox" />
		</p>
		
	
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>

<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>About Sideboxes</h2>
	</div>		<!-- .block_head ends -->
	
	<div class="block_content">
	
		<p>A sidebox can be used for either adding links to pages on your site or for adding HTML, such as for copy or advert code. Sideboxes appear at the side of every page (the exact position varies on different templates)</p>
		
		
		<h3>Sidebox Tips</h3>
		<ul>
			<li>Use different sideboxes to organise different types of pages (e.g Product Guides, Shop Information etc.)</li>
			<li>Use a sidebox to enter Google Adsense code or advertisement code from other Ad Networks</li>
			<li>Use a sidebox to add links to external sites and pages</li>
			<li>When adding or editing a page, you can choose a sidebox to add them to</li>
			<li>Separate links by new lines if you're using a Page Links sidebox and want to add custom links</li>
		</ul>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>

<script type="text/javascript">
	i = 0;
	function addRow()
	{
		i++;
		newrow = $(".pagelink-row.hidden").clone().removeClass("hidden").show().appendTo("#pagelink-rows");
		newrow.find("input").each(function()
		{
			$(this).attr("id", $(this).attr("id").replace("0", i));
			$(this).attr("name", $(this).attr("name").replace("0", i));
		})
		newrow.find("label").each(function()
		{
			$(this).attr("for", $(this).attr("for").replace("0", i));
		});
		newrow.find(".delete").click(function() { $(this).parent().parent().remove(); });
		return false;
	}
	$(document).ready(function(){
		$("#form-freehtml").hide();
		$(".pagelink-row.hidden").hide();
		addRow();
		$("#addlink").click(function(e)
		{
			e.preventDefault();
			addRow();
		});
		$(".delete").click(function() { $(this).parent().parent().remove(); });
		$("#form-sideboxtype").change(function()
		{
			if($(this).val() == 'pagelinks')
			{
				$("#form-freehtml").hide();
				$("#form-pagelinks").show();
			}
			else
			{
				$("#form-pagelinks").hide();
				$("#form-freehtml").show();
			}
		});
	});
</script>