<form action="<?= URL_CONTROLPANEL ?>template/editimage/<?= $image_id ?>/" method="post" enctype="multipart/form-data">
	<input type="hidden" name="MAX_FILE_SIZE" value="5242880" />

<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Edit Image: <?= $image['name'] ?></h2>	
	</div>
	
	<div class="block_content">
		
		<p class="fileupload">
			<label for="image-file" class="required">Choose Image</label><br />
			<input type="file" id="image-file" name="imagefile" />
			<span id="uploadmsg">Max size 5Mb</span>
		</p>
		
		<p>
			<label>Alt Text:</label><br />
			<input type="text" class="text" name="image[alt]" value="<?= $image['alt'] == '' ? $image['default_alt'] : $image['alt'] ?>" /> 
		</p>
		
		<p>
			<label>Title:</label><br />
			<input type="text" class="text" name="image[title]" value="<?= $image['title'] == '' ? $image['default_title'] : $image['title'] ?>" /> 
		</p>
		
		<?php
			if ($image['disable_link_settings'] == '0')
			{
				?>
					<p>
						<label>Link:</label><br />
						<input type="text" class="text" name="image[link]" value="<?= $image['link'] == '' ? $imagelink : $image['link'] ?>" /> 
					</p>
					
					<p>
						<label>Open Link In:</label><br />
						<select name="image[linktarget]" class="styled">
							<option value="">Same Window</option>
							<option value="_blank"<?= $image['linktarget'] == '_blank' ? ' selected' : '' ?>>New Window</option>
						</select>
					</p>
					
					<p>
						<label>"nofollow" the link?</label>
						<input type="checkbox" name="image[linknofollow]"<?= $linknofollow ? ' checked' : '' ?> /> 
					</p>
				<?php
			}
		?>
		
		<p>
			<label>Disable this image?</label>
			<input type="checkbox" name="image[disabled]"<?= $image['disabled'] ? ' checked' : '' ?> /> 
		</p>
		
		<p>
			<input type="submit" class="submit long" value="Save Image" />
		</p>

		
	
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>


<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Standard Template Image</h2>
	</div>
	
	<div class="block_content">
	
		<?php
			if ($image['src'] != '')
			{
				?>
				<h3>Current Image</h3>
				<img src="<?= $image['src'] ?>" />
				<?php
			}
		?>
	
		<p><em>You can set various options for this image, but they are optional. Alt and Title text can help in search engines and should be set anyway for usability purposes.</em></p>
		
		<h3><?= $image['name'] ?></h3>
		<p><?= $image['description'] ?></p>
		
		<p><strong>Dimensions: </strong><?= $image['width'] ?> pixels wide x <?= $image['height'] ?> pixels high</p>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>






		

	
</form>


