<script type="text/javascript">

	$(function()
	{
		$("#pages-added").sortable({
			update: function(event, ui)
			{
				$('.pages-serialized').val($(this).sortable("serialize"));
			} 
		
		});
		$("#pages-added").disableSelection();
		$('.pages-serialized').val($('#pages-added').sortable("serialize"));
	});
	
	function updateSerial()
	{
		// Refreshes the sorter
		$("#pages-added").sortable("refresh");
		$('.pages-serialized').val($('#pages-added').sortable("serialize"));
		//console.log($('.pages-serialized').val());
	}

</script>
	
	
<form action="<?= URL_CONTROLPANEL ?>template/editoption/<?= $option_id ?>/" method="post">


<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Edit Option: <?= $option['name'] ?></h2>	
	</div>
	
	<div class="block_content">
		
		<?php
			foreach ($pages as $page)
			{
				?>
					<div style="float: left; width: 290px; margin-bottom: 10px;">
						<input <?= in_array($page['id'], $currentpages) ? 'checked="checked"' : '' ?> type="checkbox" class="checkbox" id="page-selector-<?= $page['id'] ?>" name="pages[]" value="<?= $page['id'] ?>" />
						<label for="page-selector-<?= $page['id'] ?>">
							<a href="<?= URL_SITE ?><?= $page['pagename'] ?>/">
								<img src="<?= URL_SITE ?>freshadmin/icons/link_view.png" alt="View on <?= SITE_NAME ?>" title="View on <?= SITE_NAME ?>" class="middle" />
							</a>
							<?= $page['linktitle'] ?>
						</label>
					</div>
					
					<script type="text/javascript">
						$('#page-selector-<?= $page['id'] ?>').click(function(){
						
							if ($('#page-added-<?= $page['id'] ?>').length != 0)
							{
								// Remove the page
								$('#page-added-<?= $page['id'] ?>').fadeOut(400, function() { $(this).remove(); updateSerial(); });
							}
							else
							{							
								$('#no-pages-message').fadeOut('slow', function() { $(this).remove(); });
								
								var html = '<li id="page-added-<?= $page['id'] ?>" style="display:none;"><span class="ui-icon ui-icon-arrowthick-2-n-s"></span>';
								html = html+'<?= $page['linktitle'] ?>';
								html = html+'</li>';
		
								$('#pages-added').append(html);
								$('#page-added-<?= $page['id'] ?>').fadeIn(400, function() { updateSerial(); });
							}
						});
					</script>
					
				<?php
			}
		?>
		
		<br clear="all" /><br />
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>


<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>About This Option</h2>
	</div>
	
	<div class="block_content">
	
		<p><em>This option lets you choose specific pages (usually for a menu) - simply tick the pages you want included to the left. Read below for more information about this option.</em></p>
		
		<h3><?= $option['name'] ?></h3>
		<p><?= $option['description'] ?></p>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>


<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Selected Pages &amp; Sort Order</h2>
	</div>
	
	<div class="block_content">
	
		<p><em>These are the pages currently selected - drag to change the order in which they will appear on your site.</em></p>
		
		<?php
			if (empty($currentpages))
			{
				?>
				<p id="no-pages-message"><strong>No pages selected.</strong></p>
				<?php
			}
		?>

		<ul id="pages-added">
		<?php
			foreach ($currentpages as $item)
			{
				?>
				<li id="page-added-<?= $item ?>"><span class="ui-icon ui-icon-arrowthick-2-n-s"></span><?= $pages[$item]['linktitle'] ?></li>
				<?php
			}
			?>
		</ul>
		
		<p>
			<input type="hidden" name="pages-serialized" class="pages-serialized" value="" />
			<input type="submit" class="submit long" value="Save Pages" />
		</p>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>





		

	
</form>


