
<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Check Autorun Tasks</h2>
		
	</div>
	
	<div class="block_content">
	
	<p>In this area you can see when your autorun tasks last run. These tasks run jobs automatically in the background, such as creating an XML Sitemap or populating your categories.</p>
	
		<table cellpadding="0" cellspacing="0" width="100%">
	
		<tr>
			<th>Autorun Task</th>
			<th>Description</th>
			<th>Last Run Time</th>
			<th>Schedule</th>
		</tr>

		
		<?php
			if (sizeof($autorun) == 0)
			{
				?>
				<tr>
					<td colspan="4">
						There are no cron jobs to view here.
					</td>
				</td>
				<?php
			}
			else
			{
				foreach ($autorun as $task)
				{
					?>
						<tr>
							<td><?= $task['name'] ?></td>
							<td><small><?= $task['description'] ?></small></td>
							<td><?= format_date($task['lastrun'], 2, ' ago', false) ?></td>
							<td>every <?= format_date(time() - $task['delay'] * 60, 1, '') ?></td>
						</tr>
					<?php
				}
			}
		?>



		</table>

	</div>
</div>



