<?php


	if (!is_writable('../cache/') || !is_writable('../config/'))
	{
		header("Location: install_checker.php");
	}

	#Check database status
	if (file_exists('../config/mysql.php'))
	{
		$exists = true;
	}
	
	if ($_POST)
	{
		$host = trim($_POST['host']);
		$name = trim($_POST['name']);
		$username = trim($_POST['username']);
		$password = trim($_POST['password']);
		
		$db = @mysql_connect($host, $username, $password);
		$db_selected = @mysql_select_db($name, $db);
		
		if (!$db || !$db_selected)
		{
			$error = true;
		}
		else
		{
		
			# Create config file
			@unlink('../config/mysql.php');
		
			$file_contents .= '<?php'."\n";
			$file_contents .= "define('MYSQL_HOST', '$host');"."\n";
			$file_contents .= "define('MYSQL_DATABASE', '$name');"."\n";
			$file_contents .= "define('MYSQL_USERNAME', '$username');"."\n";
			$file_contents .= "define('MYSQL_PASSWORD', '$password');"."\n";
			$file_contents .= '?>';
			
			if (function_exists('file_put_contents'))
			{
				file_put_contents('../config/mysql.php', $file_contents);
			}
			else
			{
				$fh = fopen('../config/mysql.php', 'w');
				fwrite($fh, $file_contents);
				fclose($fh);
			}
			
			
			# Start log file
			$filename = '../logs/install_'.time().'.txt';
			$lfh = fopen($filename, 'w');
			
			fwrite($lfh, date('Y-m-d H:i:s - ').' - SQL Install Statements Started'."\n");
			
			# Loop through each directory
			$path = './sql/';
			$dh = opendir($path);
			
			$sqlfiles = array();
			
			while (($item = readdir($dh)) !== false)
			{
				if (is_dir($path.$item) && $item != '..' && $item != '.')
				{
					$dh2 = opendir($path.$item);
		
					while (($file = readdir($dh2)) !== false)
					{
						if (is_file($path.$item.'/'.$file) && substr($file,sizeof($file)-4,3) == 'sql')
						{
							$sqlfiles[] = $item.'/'.$file;
						}
					}
					
					closedir($dh2);
				}
			}
			
			
			closedir($dh);
			
			asort($sqlfiles);
			
			foreach ($sqlfiles as $file)
			{
				$sql = file_get_contents($path.$file);
				$sql = explode(";\n", $sql);
				
				foreach ($sql as $statement)
				{
					if (trim($statement) == '') continue;
					#mysql_query($statement) or die (mysql_error());
					mysql_query($statement);
					
					if (mysql_errno())
					{
						fwrite($lfh, date('Y-m-d H:i:s - ').mysql_error()."\n");
					}
				}
			}
			
			fwrite($lfh, date('Y-m-d H:i:s - ').' - SQL Install Statements Finished'."\n");
			
			#Record the version number in the database
			$newversion = file_get_contents('version.txt');
			mysql_query("INSERT INTO version (version, type, installed) SELECT '$newversion', 'install', now()");
			
			
			# Now do the default content
			$path = './defaultdata/';
			$dh = opendir($path);
			
			fwrite($lfh, date('Y-m-d H:i:s - ').' - SQL Data Statements Started'."\n");
			
			while (($file = readdir($dh)) !== false)
			{
				if (is_file($path.$item.'/'.$file) && substr($file,sizeof($file)-4,3) == 'sql')
				{
					$sql = file_get_contents($path.$file);
					$sql = explode(";\n", $sql);
					
					foreach ($sql as $statement)
					{
						if (trim($statement) == '') continue;
						#mysql_query($statement) or die (mysql_error());
						mysql_query($statement);
						
						if (mysql_errno())
						{
							fwrite($lfh, date('Y-m-d H:i:s - ').mysql_error()."\n");
						}
					}
				}

			}
			
			fwrite($lfh, date('Y-m-d H:i:s - ').' - SQL Data Statements Finished'."\n");
			
			fclose($lfh);
			
			
			
			#Tweaks to the pages et al
			mysql_query("UPDATE pages SET pagekey = corereference");
			mysql_query("UPDATE pages SET pagekey = REPLACE(pagename, '-', '') WHERE pagekey = ''");
			mysql_query("UPDATE pages SET pagekey = corecontroller WHERE core = 1");
			mysql_query("UPDATE `pages` SET `xmlsitemap`='0' WHERE `pagename`='checkout'");
			mysql_query("UPDATE `pages` SET `xmlsitemap`='0' WHERE `pagename`='checkout-amazon'");
						
			header("Location: install_admin.php");
			exit();
		}
		
		
		
	}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
	<head>
		<title>Database - Install Fresh Store Builder</title>
		
		<link rel="stylesheet" href="css/blueprint/screen.css" type="text/css" media="screen, projection">
		<link rel="stylesheet" href="css/blueprint/print.css" type="text/css" media="print">
		<!--[if lt IE 8]>
			<link rel="stylesheet" href="css/blueprint/ie.css" type="text/css" media="screen, projection">
		<![endif]-->
	</head>
	
	<body>
	
		<div class="prepend-4 append-4 span-16 prepend-top">
		
		<img src="images/logo.png" />
		
		<hr />
		
		<h1>1/3 - Installing Database</h1>
	
		<p>Please enter your MySQL database details below. This will then be checked and if successful the Fresh Store Builder database will be installed.</p>
		
		<?php
			if ($exists)
			{
				?>
					<p class="notice">MySQL details have already been entered. Entering details below will override them. <a href="install_admin.php">Skip this Step</a></p>
				<?php
			}
			if ($error)
			{
				?>
					<p class="error">There was a problem with the details entered - please check and try again.</p>
				<?php
			}
		?>
		
		<form action="install_database.php" method="post">
		
		<fieldset>
			<legend>MySQL Details</legend>
			<p>
				<label for="db-host">MySQL Host (usually "localhost")</label><br />
				<input type="text" class="title text" name="host" id="db-host" value="<?= isset($host) ? $host : '' ?>" />
			</p>
			
			<p>
				<label for="db-name">Database Name</label><br />
				<input type="text" class="title text" name="name" id="db-name" value="<?= isset($name) ? $name : '' ?>" />
			</p>
			
			<p>
				<label for="db-username">Username</label><br />
				<input type="text" class="title text" name="username" id="db-username" value="<?= isset($username) ? $username : '' ?>" />
			</p>
			
			<p>
				<label for="db-password">Password</label><br />
				<input type="password" class="title text" name="password" id="db-password" />
			</p>
			
			<p>
				<input type="submit" value="Save" />
			</p>
		</fieldset>	
		
		</form>
		
		
		<hr />
		
		<p><em>Please note that it is an offence to use Fresh Store Builder without a valid license - visit <a href="http://www.freshstorebuilder.c0m/">http://www.freshstorebuilder.c0m/</a> to purchase your license</em></p>
		
		</div>
		
	
	</body>
</html>
