ALTER TABLE categories ADD INDEX idx_pagename (pagename);

ALTER TABLE manufacturers ADD INDEX idx_mergemanufacturerid (merge_manufacturer_id);
ALTER TABLE manufacturers ADD INDEX idx_pagename (pagename);


  
ALTER TABLE pagelegacy ADD INDEX idx_oldpagename (oldpagename);
ALTER TABLE pagelegacy ADD INDEX idx_newpagename (newpagename);


ALTER TABLE pages ADD INDEX idx_pagename (pagename);

ALTER TABLE productattributes ADD INDEX idx_productid (product_id);
ALTER TABLE productattributes ADD INDEX idx_name (`name`);
ALTER TABLE productattributes ADD INDEX idx_productid_name (product_id,`name`);


ALTER TABLE productimages ADD INDEX idx_product_id (product_id);
  
  
ALTER TABLE productoffers ADD INDEX idx_productid (product_id);
ALTER TABLE productoffers ADD INDEX idx_price (price);
ALTER TABLE productoffers ADD INDEX idx_percentagesaved (percentagesaved);

ALTER TABLE productoptions ADD INDEX idx_productid (product_id);
ALTER TABLE productoptions ADD INDEX idx_name (`name`);
ALTER TABLE productoptions ADD INDEX idx_value (`value`);



ALTER TABLE productreviews ADD INDEX idx_product_id (product_id);

ALTER TABLE products ADD INDEX idx_asin (asin);
ALTER TABLE products ADD INDEX idx_salesrank (salesrank);
ALTER TABLE products ADD INDEX idx_viewcount (viewcount);
ALTER TABLE products ADD INDEX idx_offersupdated (offersupdated);
ALTER TABLE products ADD INDEX idx_manufacturerid (manufacturer_id);
ALTER TABLE products ADD INDEX idx_pagename (pagename);
ALTER TABLE products ADD INDEX idx_parent_id (parent_id);
ALTER TABLE products ADD INDEX idx_hidden (hidden);
ALTER TABLE products ADD INDEX idx_price (price);
ALTER TABLE products ADD INDEX idx_parent (parent);
ALTER TABLE products ADD FULLTEXT INDEX idx_search (description,keyfeatures,title);


ALTER TABLE products_categories ADD INDEX idx_productid (product_id);
ALTER TABLE products_categories ADD INDEX idx_category_id (category_id);