 CREATE TABLE `template_options` (
`id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`templateuid` VARCHAR( 255 ) NOT NULL ,
`optionuid` VARCHAR( 255 ) NOT NULL ,
`name` VARCHAR( 255 ) NOT NULL ,
`description` TEXT NOT NULL ,
`datatype` VARCHAR( 255 ) NOT NULL ,
`editable` SMALLINT( 1 ) NOT NULL DEFAULT '0',
`value` TEXT NOT NULL ,
`created` DATETIME NOT NULL ,
`updated` DATETIME NOT NULL
) ENGINE = MYISAM;


ALTER TABLE `template_options` ADD `deleted` TINYINT( 1 ) NOT NULL DEFAULT '0';
ALTER TABLE `template_options` ADD `default_value` TEXT NOT NULL AFTER `editable` ;
ALTER TABLE `template_options` ADD `options` TEXT NOT NULL AFTER `datatype` ;



CREATE TABLE IF NOT EXISTS `template_images` (
  `id` int(11) NOT NULL AUTO_INCREMENT	,
  `templateuid` varchar(255) NOT NULL,
  `imageuid` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `type` varchar(255) NOT NULL,
  `cssselector` varchar(255) NOT NULL,
  `default_cssdecleration` varchar(255) NOT NULL,
  `cssdecleration` varchar(255) NOT NULL,
  `width` varchar(255) NOT NULL,
  `height` varchar(255) NOT NULL,
  `forcedimensions` tinyint(1) NOT NULL,
  `default_src` varchar(255) NOT NULL,
  `src` varchar(255) NOT NULL,
  `default_alt` varchar(255) NOT NULL,
  `alt` varchar(255) NOT NULL,
  `default_title` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `default_link` varchar(255) NOT NULL,
  `link` varchar(255) NOT NULL,
  `default_linktarget` varchar(255) NOT NULL,
  `linktarget` varchar(255) NOT NULL,
  `default_linknofollow` varchar(255) NOT NULL,
  `linknofollow` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  `updated` datetime NOT NULL,
  `deleted` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



 CREATE TABLE `template_css` (
`id` INT( 11 ) NOT NULL AUTO_INCREMENT,
`templateuid` VARCHAR( 255 ) NOT NULL ,
`cssuid` VARCHAR( 255 ) NOT NULL ,
`name` VARCHAR( 255 ) NOT NULL ,
`description` TEXT NOT NULL ,
`type` VARCHAR( 255 ) NOT NULL ,
`decleration_template` TEXT NOT NULL ,
`decleration` TEXT NOT NULL ,
`created` DATETIME NOT NULL ,
`updated` DATETIME NOT NULL ,
`deleted` TINYINT( 1 ) NOT NULL ,
PRIMARY KEY ( `id` )
) ENGINE = MYISAM 