UPDATE `autorun` SET `delay` = '60' WHERE `autorunkey` = 'AUTOPOPULATE';

ALTER TABLE `template_images` ADD `disable_link_settings` INT( 1 ) NOT NULL AFTER `linknofollow`;

INSERT INTO `parameters` (
`name` ,
`description` ,
`parameter` ,
`value` ,
`modified`
)
VALUES (
'Currency Conversion Status', 'Whether the currency conversion is turned on or off. This allows you to change the currency displayed in your shop, regardless of which Amazon site you are promoting.', 'CURRENCYCONVERSION_STATUS', '0', ''
);


INSERT INTO `parameters` (
`name` ,
`description` ,
`parameter` ,
`value` ,
`modified`
)
VALUES (
'Currency Conversion Symbol', 'The symbol used for currency when performing currency conversion.', 'CURRENCYCONVERSION_SYMBOL', '', ''
);

INSERT INTO `parameters` (
`name` ,
`description` ,
`parameter` ,
`value` ,
`modified`
)
VALUES (
'Currency Conversion Symbol Position', 'The position of the symbol, if using currency conversion. Enter 0 for before the price and 1 for after the price.', 'CURRENCYCONVERSION_SYMBOLPOSITION', '0', ''
);


INSERT INTO `parameters` (
`name` ,
`description` ,
`parameter` ,
`value` ,
`modified`
)
VALUES (
'Currency Conversion Rate', 'This is the currency conversion rate for your new currency, against the currency of your store. e.g. If your store is Amazon USA (dollars) and you want to convert to Euros, enter the quantity of Euros per dollar. See xe.com for currency rates.', 'CURRENCYCONVERSION_RATE', '', ''
);


DELETE FROM parameters WHERE `parameter` = 'RAVEN_CONVERSION_CODE';
DELETE FROM parameters WHERE `parameter` = 'RAVEN_ID';
DELETE FROM parameters WHERE `parameter` = 'TEXT_LOGOCAPTION_DEFAULT';
UPDATE parameters SET `group` = 'Currency' WHERE `parameter` IN ('CURRENCYCONVERSION_STATUS', 'CURRENCYCONVERSION_SYMBOL', 'CURRENCYCONVERSION_SYMBOLPOSITION', 'CURRENCYCONVERSION_RATE');
UPDATE parameters SET `group` = 'Time &amp; Locale' WHERE `parameter` IN ('MYSQL_TIMEZONE_OFFSET', 'TIME_ZONE', 'STORE_LOCALE');

UPDATE parameters SET `group` = 'Store Settings' WHERE `parameter` IN ('SITE_NAME', 'EMAIL_TO', 'EMAIL_FROM', 'PER_PAGE_PRODUCTSBYCATEGORY', 'SITE_LIVE', 'URL_SITE', 'CHECKOUT_MODE', 'PRODUCT_SHOW_AMAZON_LINK', 'PRODUCT_INFO_DISPLAY_AZDESC', 'FOOTER_TEXT_ID', 'TEMPLATE_FOLDER');

UPDATE parameters SET `group` = 'Admin Settings' WHERE `parameter` IN ('EDITOR_ENABLED', 'PER_PAGE_LISTING');

UPDATE parameters SET `group` = 'Tags, Keys &amp; Code' WHERE `parameter` IN ('AMAZON_TAG', 'AMAZON_KEY','AMAZON_SECRET_KEY', 'GOOGLEANALYTICS_REFERENCE');

UPDATE parameters SET `group` = 'Product Filtering' WHERE `parameter` IN ('FILTER_PRICEINTERVALS', 'FILTER_PRICEMAXIMUM','FILTER_PRICEINTERVALSDOUBLE', '','', '');

UPDATE parameters SET `group` = 'Populating &amp; Updating' WHERE `parameter` IN ('CACHE_TIME_PRODUCT_BASIC', 'CACHE_TIME_PRODUCT_VARIATIONS', 'CACHE_TIME_PRODUCT_OFFERS', 'CACHE_TIME_PRODUCT_IMAGES', 'CACHE_TIME_PRODUCT_REVIEWS', 'CACHE_TIME_PRODUCT_PROMOTIONS', 'CACHE_TIME_PRODUCT_ATTRIBUTES', 'AUTO_POPULATE_DELAY_SEARCH', 'AUTO_POPULATE_DELAY_BROWSENODE', 'AUTORUN_DELAY');
