CREATE TABLE IF NOT EXISTS `categories_autopopulate` (
  `id` int(11) NOT NULL auto_increment,
  `category_id` int(11) NOT NULL,
  `populationtype` varchar(255) NOT NULL,
  `searchterm` varchar(255) NOT NULL,
  `browsenode` varchar(255) NOT NULL,
  `searchindex` varchar(255) NOT NULL,
  `requiredkeywords` varchar(255) NOT NULL,
  `requiredkeywordsmatch` varchar(255) NOT NULL,
  `filteredkeywords` varchar(255) NOT NULL,
  `filteredkeywordsmatch` varchar(255) NOT NULL,
  `minreviewscore` float(12,4) NOT NULL,
  `minreviews` int(11) NOT NULL,
  `maxsalesrank` int(11) NOT NULL,
  `minimages` int(11) NOT NULL,
  `minprice` float(12,2) NOT NULL,
  `maxprice` float(12,2) NOT NULL,
  `merchantid` varchar(255) NOT NULL,
  `lastpopulated` datetime NOT NULL,
  `lastpopulatedpage` int(11) NOT NULL,
  `productsadded` int(11) NOT NULL,
  `filterdescription` int(1) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `category_id` (`category_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

INSERT INTO `categories_autopopulate` (`category_id`, `populationtype`, `searchterm`, `browsenode`, `searchindex`, `requiredkeywords`, `requiredkeywordsmatch`, `filteredkeywords`, `filteredkeywordsmatch`, `minreviewscore`, `minreviews`, `maxsalesrank`, `minimages`, `minprice`, `maxprice`, `merchantid`, `lastpopulated`, `lastpopulatedpage`) SELECT `id`,`populationtype`, `searchterm`, `browsenode`, `searchindex`, `requiredkeywords`, `requiredkeywordsmatch`, `filteredkeywords`, `filteredkeywordsmatch`, `minreviewscore`, `minreviews`, `maxsalesrank`, `minimages`, `minprice`, `maxprice`, `merchantid`, `lastpopulated`, `lastpopulatedpage` FROM `categories` WHERE `populationtype` <> '' AND `populationtype` <> 'cancel';

ALTER TABLE `categories` DROP `populationtype`,DROP `searchterm`,DROP `browsenode`,DROP `searchindex`,DROP `requiredkeywords`,DROP `requiredkeywordsmatch`,DROP `filteredkeywords`,DROP `filteredkeywordsmatch`,DROP `minreviewscore`,DROP `minreviews`,DROP `maxsalesrank`,DROP `minimages`,DROP `minprice`,DROP `maxprice`,DROP `merchantid`,DROP `lastpopulated`,DROP `lastpopulatedpage`;