INSERT INTO `parameters` (`group` ,`name` ,`description` ,`parameter` ,`value` ,`modified`) VALUES ('Products', 'Display Products Without Offers', 'Set to 1 to display all products, even if they don\'t have any valid offers. It makes sense to use this with product Amazon links.', 'PRODUCT_OFFERS_WITHOUT', '0', '');

INSERT INTO `parameters` (`group` ,`name` ,`description` ,`parameter` ,`value` ,`modified`) VALUES ('Products', 'Display Amazon Link for Products Without Offers', 'If Amazon links aren\'t enabled for all products, this will display an Amazon link for all products without offers if set to \'1\'.', 'PRODUCT_OFFERS_WITHOUT_AMAZON', '1', '');

INSERT INTO `parameters` (`group` ,`name` ,`description` ,`parameter` ,`value` ,`modified`) VALUES ('Products', 'Display Out of Stock', 'If disabled, \'out of stock\' will never be shown for any products.', 'PRODUCT_OFFERS_WITHOUT_STOCK', '1', '');

INSERT INTO `parameters` (`group` ,`name` ,`description` ,`parameter` ,`value` ,`modified`) VALUES ('Products', 'Display List Price', 'Show the list price if it is available and the normal price is not.', 'PRODUCT_OFFERS_LIST_PRICE', '1', '');

INSERT INTO `parameters` (`group` ,`name` ,`description` ,`parameter` ,`value` ,`modified`) VALUES ('Products', 'Display Stockless Product Variants', 'For products with options, \'2\' will display all product options similarly, \'1\' will show the ones that don\'t have stock, and \'0\' will omit the ones that don\'t have stock.', 'PRODUCT_OFFERS_WITHOUT_PARENT', '1', '');