<?php

	function loggedIn()
	{
		if (isset($_SESSION['user_id']))
		{
			return true;
		}
		else
		{
			return false;
		}
	}
		
	function login($username, $password)
	{
		global $db;
		
		$username = $db->cleanValue($username);
		$password = $db->cleanValue(md5($password));
		
		$sql = "SELECT id, level FROM users WHERE username = '$username' AND password = '$password'";
		$rs = $db->query($sql, 'Attempting to login user');
		
		if ($rs->rows() == 1)
		{
			$user = $rs->fetch();
			$_SESSION['user_id'] = $user['id'];
			$_SESSION['user_level'] = $user['level'];
			
			# Check for template updates
			# Get the current template
			$currenttemplate = $db->value('parameters', 'value', 'TEMPLATE_FOLDER', 'parameter');
			$configexists = getTemplateConfig($currenttemplate);
			
			setMessage('success', 'You have succesfully logged in');
			redirect(URL_SITE.'freshadmin/');
		}
		else
		{
			setMessage('error', 'Login Failed - Please check your details.');
			redirect(URL_SITE.'freshadmin/user/login/');
		}
	}
	
	function logout()
	{
		unset($_SESSION['user_id']);
		unset($_SESSION['user_level']);
		setMessage('success', 'You have been logged out.');
		redirect(URL_SITE.'freshadmin/');
	}
	
	function sendResetPasswordLink($email)
	{
		global $db;
		
		$email = $db->cleanValue($email);
		$user = $db->query("SELECT * FROM users WHERE email = '$email'")->fetch();
		if (empty($user))
		{
			setMessage('success', 'Email Address Not Found');
			return false;
		}
		
		# Use old password and time() in the hash, to prevent brute force hack
		$key = md5(time().$user['password']);
		
		
		$db->query("UPDATE users SET passwordresetkey = '$key' WHERE id = ".$user['id']);
		
		# Send an email
		$subject = SITE_NAME." Admin Password Reset";
		$body = "Username: {$user['username']}\n";
		$body .= "Please follow this link to change your admin password:\n\n";
		$body .= URL_SITE.'freshadmin/user/resetpassword/'.$key.'/';
		mail($email, $subject, $body, "From: Fresh Store Builder <contact@freshstorebuilder.c0m>");
		
		setMessage('success', 'Password Reset Email Sent');
		return true;
	}
	
	function changeUserPasswordByKey($key, $password)
	{
		global $db;
		
		if (trim($password) == '')
		{
			setMessage('error', 'Your Password is Blank');
			return false;
		}
		
		$password = $db->cleanValue(md5($password));
		
		$db->query("UPDATE users SET passwordresetkey = '', password = '$password' WHERE passwordresetkey = '$key'");
		
		setMessage('success', 'Your Password Has Been Reset');
		redirect(URL_SITE.'freshadmin/user/login/');
		exit();
	}
	
?>