<?php


	function getBreadcrumb($pagetype,$item)
	{
		if ($pagetype == 'product')
		{
			$breadcrumb = array();
			$paths = getCategoryPathsByProduct($item['id']);
			
			$i = 0;
			foreach($paths as $path)
			{
				$breadcrumb[$i][0]['name'] = SITE_NAME;
				$breadcrumb[$i][0]['url'] = URL_SITE;
				
				$j = 1;
				foreach ($path as $category_id)
				{
					$category = getCategory($category_id);
					$breadcrumb[$i][$j]['name'] = $category['linktitle'];
					$breadcrumb[$i][$j]['url'] = URL_SITE.$category['pagename'].'/';
					$breadcrumb[$i][$j]['category_id'] = $category['id'];
					$j++;
				}
				
				# The actual product
				/*
				$breadcrumb[$i][$j]['name'] = $item['linktitle'];
				$breadcrumb[$i][$j]['url'] = false;
				*/
				
				$i++;
			}
						
			return ($breadcrumb);
		}
		if ($pagetype == 'productreviews')
		{
			$breadcrumb = array();
			$paths = getCategoryPathsByProduct($item['id']);
			$i = 0;
			foreach($paths as $path)
			{
				$breadcrumb[$i][0]['name'] = SITE_NAME;
				$breadcrumb[$i][0]['url'] = URL_SITE;
				
				$j = 1;
				foreach ($path as $category_id)
				{
					$category = getCategory($category_id);
					$breadcrumb[$i][$j]['name'] = $category['linktitle'];
					$breadcrumb[$i][$j]['url'] = URL_SITE.$category['pagename'].'/';
					$breadcrumb[$i][$j]['category_id'] = $category['id'];
					$j++;
				}
				
				# The actual product
				$breadcrumb[$i][$j]['name'] = $item['linktitle'];
				$breadcrumb[$i][$j]['url'] = URL_SITE.$item['pagename'].'/';
				
				$j++;
				
				# Final part - reviews
				$breadcrumb[$i][$j]['name'] = 'Reviews';
				$breadcrumb[$i][$j]['url'] = false;
				
				$i++;
			}
						
			return ($breadcrumb);
		}
		if ($pagetype == 'category')
		{
			$breadcrumb = array();
			$paths = getCategoryPathByCategory($item['id']);

			$breadcrumb[0][0]['name'] = SITE_NAME;
			$breadcrumb[0][0]['url'] = URL_SITE;
				
			$i = 1;
			foreach ($paths as $category_id)
			{
				$category = getCategory($category_id);
				$breadcrumb[0][$i]['name'] = $category['linktitle'];
				$breadcrumb[0][$i]['url'] = URL_SITE.$category['pagename'].'/';
				$i++;
			}
				
			# The actual product
			$breadcrumb[0][$i]['name'] = $item['linktitle'];
			$breadcrumb[0][$i]['url'] = false;
						
			return ($breadcrumb);
		}
		else if ($pagetype == 'homepage')
		{
			return array();
		}
		else
		{
			$breadcrumb[0][0]['name'] = SITE_NAME;
			$breadcrumb[0][0]['url'] = URL_SITE;
			$breadcrumb[0][1]['name'] = $item['linktitle'];
			$breadcrumb[0][1]['url'] = false;
			
			return($breadcrumb);
		}
	}

?>