<?php

	function sendRemoteRequestPOST($url, $postarray, $timeout = 5)
	{
		$fdata = '';
		foreach($postarray as $key => $val)
		{
			$fdata .= "$key=" . urlencode($val) . "&";
		}
		
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_TIMEOUT, $timeout);
		curl_setopt($ch, CURLOPT_POST, true);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $fdata);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_REFERER, $url);
		$response = trim(curl_exec($ch));
		curl_close($ch);
		
		return ($response);
	}

	function sendRemoteRequest($url, $timeout = 5)
	{
		if(function_exists('curl_init'))
		{
			$ch = curl_init ($url);
			curl_setopt ($ch, CURLOPT_RETURNTRANSFER, true);
			curl_setopt ($ch, CURLOPT_TIMEOUT, $timeout);
			$response = curl_exec ($ch);	
			curl_close ($ch);
		}
		elseif(intval(get_cfg_var('allow_url_fopen')) && function_exists('file'))
		{
			if($response = file($url)) $response = join('', $response);
		}
		elseif(intval(get_cfg_var('allow_url_fopen')) && function_exists('file_get_contents'))
		{
			$response = file_get_contents($url); 
		}
		else
		{
			# Error
			
			# Possible use nu_soap as per AOM ?
		}
			
		return ($response);
	}

?>