<?php

	# Sort out the get parameters from .htaccess rule
	$querystring = explode('/', $_GET['q']);
	if ($querystring[0] != '') $_GET['n'] = $querystring[0];
	unset($querystring[0]);
	foreach ($querystring as $key => $item)
	{
		if ($item != '')
		{
			#$item = preg_replace('/[^a-zA-Z0-9-]/', ' ', $item);
			$_GET['var'.$key] = $item;
		}
	}


	## Paths, URLs and Configs
	require('config/paths.php');
	require(PATH_CONFIG.'server.php');
	
	##  Current Page Name Requested
	define('PAGENAME', (isset($_GET['n']) ? $_GET['n'] : ''));
	
	
	#Is the database setup?
	if (!file_exists(PATH_CONFIG.'mysql.php'))
	{
		exit();
	}
	
	require(PATH_CONFIG.'mysql.php');
	
	##  Session
	session_start();

	
	##  Core Application Functions and Classes
	require(PATH_LIBRARY.'mysql.php');
	require(PATH_LIBRARY.'cache.php');
	require(PATH_LIBRARY.'parameters.php');
	require(PATH_LIBRARY.'authentication.php');
	require(PATH_LIBRARY.'remote.php');
	
	##  Setup MySQL Connection
	$db = new mysql(MYSQL_HOST, MYSQL_USERNAME, MYSQL_PASSWORD, MYSQL_DATABASE);
	
	
	## Load and Setup Local Parameters
	defineParameters();
	
	require(PATH_CONFIG.'urls.php');
	
	# Time Zone
	$db->query("SET time_zone = '".TIME_ZONE."'", 'Setting Time Zone', false);
	@putenv('TZ='.TIME_ZONE);
	@mktime(0,0,0,1,1,1970);
	
?>