<div class="hproduct">

<?php
	if ($manufacturer['display'] && $manufacturerimage)
	{
		?>
			<div id="product-manufacturer">
				<a href="<?= URL_SITE.$manufacturer['pagename'] ?>/" rel="nofollow">
					<img src="<?= URL_SITE ?>i/?src=<?= RELATIVE_URL_IMAGES_MANUFACTURER.$manufacturerimage['filename'] ?>&w=250&h=80" alt="<?= $manufacturer['name'] ?>"  title="<?= $manufacturer['name'] ?>" />
				</a><br />
				<small class="brand"><?= $manufacturer['name'] ?></small>
			</div>
		<?php
	}
?>

<h1 class="item fn" id="product-title"<?= ($manufacturer['display'] ? ' class="product-title-manufacturer"' : '') ?>><?= $product['title'] ?></h1>
<br class="clearall" />


<div id="product-price-box">

	<h2 class="pricedetail">
		<?php
			if ($offer['isreduced'])
			{
				?>
				<span class="old"><?= $offer['originalpriceformatted'] ?></span>
				<?php
			}
		?>
		<span class="price">
		<?php
			if ($offer && $offer['price'] > 0)
			{
				echo $offer['priceformatted'];
			}
			else if($offer['listprice'])
			{
				echo sprintf(gTT("PRICE_LIST"), $offer['listprice']);
			}
			else if ($offer && $offer['price'] == 0)
			{
				echo gTT('PRICE_ADD_CART');
			}
			else if ($product['price'] > 0 && $product['expired'] == 0)
			{
				echo $product['priceformatted'];
			}
			else
			{
				echo gTT('PRICE_NOT_AVAILABLE');
			}
		?>
		</span>
	</h2>
	<?php
		if ($offer && $offer['price'] == 0 && !$offer['listprice'])
		{
			echo gTT('PRICE_NOT_DISPLAYED');	
		}
	?>
	
	<?php
		if ($offer['isreduced'])
		{
			?>
			<p><em><?= sprintf(gTT('PRICE_SAVE'), $offer['percentagesaved']) ?></em></p>
			<?php
		}
	?>

	<?php
		if ($offer['ispreorder'])
		{
			?>
			<p id="product-preorder"><?= gTT('AVAILABILITY_PREORDER') ?></p>
			<?php
		}
	?>
	
	<?php
		if ($offer['availabilitytext'])
		{
			?>
			<p><?= $offer['availabilitytext'] ?></p>
			<?php
		}
	?>
	
	
	<?php
		if ($offer && $offer['supersavershipping'])
		{
			?>
				<?php
				if ($offer['priceraw'] > ($amazon->supersavershippinglimit - 10))
				{
					?>
					<p><?= gTT('AVAILABILITY_FREE') ?></p>
					<?php
				}
				else
				{
					?>
					<p><?= sprintf(gTT('AVAILABILITY_FREE'), formatProductPrice($amazon->supersavershippinglimit)) ?></p>
					<?php
				}
		}
		else if ($product['expired'] == 0)
		{
			?>
			<p><?= gTT('AVAILABILITY_CHECKOUT') ?></p>
			<?php
		}
	?>
	
	<?php
		if ($offer && $offer['quantity'] > 0 && $offer['quantity'] < 5)
		{
			?>
				<p id="product-lowstock"><?= sprintf(gTT('AVAILABILITY_STOCK_LEFT'), $offer['quantity']) ?></p>
			<?php
		}	
	?>
	
	<?php
		if (PRODUCT_HIDE_ADD_TO_CART == '0')
		{
			if ($offer && !$offer['listprice'])
			{
				?>
					<span class="availability">
						<span class="value-title" title="In stock"><?= gTT('AVAILABILITY_STOCK_IN') ?></span><br />
						<a href="<?= URL_SITE ?><?= $pages['core']['basket']['pagename'] ?>/add/<?= $product['id'] ?>/<?= $offer['id'] ?>/" rel="nofollow">
							
							<?php
								if ($offer['ispreorder'])
								{
									?>
										<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/buttons/preorder.gif" alt="<?= gTT('PRODUCT_ADD_CART') ?>" title="<?= gTT('PRODUCT_ADD_CART') ?>" />
									<?php
								}
								else
								{
									echo getTemplateImage('BUTTON_ADD_BASKET_PRODUCTINFO');
								}
							?>
						</a>
					</span>
				<?php
			}
			else if ($product['expired'])
			{
				?>
					<p class="availability">
					<span class="value-title" title="Out of Stock"><?= gTT('AVAILABILITY_STOCK_OUT') ?></span><br /><br />
					<span class="outofstock"><?= gTT('AVAILABILITY_DISCONTINUED') ?></span> - <?= gTT('AVAILABILITY_DISCONTINUED_MORE') ?> <a href="<?= URL_SITE ?><?= $pages['buyamazon']['pagename'] ?>/<?= $product['id'] ?>/3/"><?= gTT('AVAILABILITY_DISCONTINUED_LINK') ?></a>.</p>
				<?php
			}
			else if(!$offer['listprice'] && PRODUCT_OFFERS_WITHOUT_STOCK)
			{
				?>
					<p class="availability">
					<span class="value-title outofstock" title="Out of Stock"><?= gTT('AVAILABILITY_STOCK_OUT') ?></span> - <?= gTT('AVAILABILITY_STOCK_ARRIVING') ?></p>
				<?php
			}
		}
	?>
	
	<?php
		if (PRODUCT_SHOW_AMAZON_LINK || (PRODUCT_OFFERS_WITHOUT_AMAZON && $offer['listprice']))
		{
			?>
				<br /><br />
				<a href="<?= URL_SITE ?><?= $pages['buyamazon']['pagename'] ?>/<?= $product['id'] ?>/<?= $product['expired'] ? '3' : '2' ?>/" rel="nofollow">
					<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/buttons/buy_at_amazon_<?= strtolower($amazon->locale) ?>.gif" alt="<?= gTT('PRODUCT_BUY_AMAZON') ?>" title="<?= gTT('PRODUCT_BUY_AMAZON') ?>" />
				</a>
			<?php
		}
	?>

</div>

<div id="product-image-box">

	<a href="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $mainimage['id'] ?>_500.jpg" rel="lightbox[product]" title="<?= $product['title'] ?>">
	<img class="photo fn" src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $mainimage['id'] ?>_250.jpg" />
	</a>
	
	<p><em><?= gTT('IMAGES_ENLARGE') ?></em></p>
	
	<?php
		if (sizeof($images) > 0) 
		{
			?>
			
				<?php
				foreach ($images as $image)
				{
					?>
						<a href="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $image['id'] ?>_500.jpg" rel="lightbox[product]" title="<?= $product['title'] ?>">
							<img src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $image['id'] ?>_50.jpg" class="image-thumbnail" />
						</a>				
					<?php
				}
				?>
			
			<?php	
		}
	?>
</div>


<br clear="all" />


<?php
	if (trim($product['description']) != '' || ADMIN_LOGGED_IN)
	{
		?>	
			<h2><?= sprintf(gTT('PRODUCT_INTRODUCING'), $product['linktitle']) ?></h2>
			<div id="product-description"><?= $product['description'] ?></div>
		<?php
	}
?>

<?php
	if (trim($amazoncontent['description']) != '' && PRODUCT_INFO_DISPLAY_AZDESC != '0')
	{
		?>
			<div id="product-azdescription">
				<h3><?= gTT('PRODUCT_DESCRIPTION_MANUFACTURER') ?></h3>
				<p><?= $amazoncontent['description'] ?></p>
			</div>
		<?php
	}
?>

<?php
if ($product['reviewiframelink'] != '')
{
	?>
		<div id="product-review-box">			
			<h3><a href="<?= URL_SITE ?><?= $product['pagename'] ?>/reviews/" rel="nofollow"><?= gTT('PRODUCT_REVIEWS') ?></a></h3>
		</div>
	<?php
}
?>

	
	<?php
	if (sizeof($product['keyfeatures']) > 0 && $product['keyfeatures'][0] != '')
	{
		?>
			<h2><?= gTT('PRODUCT_FEATURES') ?></h2>
			
			<ul>
				<?php
				$product['keyfeatures'] = explode("\n",$product['keyfeatures']);
				foreach($product['keyfeatures'] as $feature)
				{
					?>
					<li><?= $feature ?></li>
					<?php
				}
				?>
			</ul>
			
		<?php
	}
	?>
<br class="clearall" />

<?php
	if (sizeof($attributes) > 0)
	{
		?>
			<div id="product-details-box">
				<h2><?= gTT('PRODUCT_INFORMATION') ?></h2>
				<ul>
				<?php
					foreach ($attributes as $name => $value)
					{
						if (trim($value) == '') continue;
						?>
							<li>
								<span class="label"><?= $name ?></span>
								<span class="value">
								<?php
									if (is_array($value))
									{
										foreach ($value as $key => $item)
										{
											echo $key . ' = ' . $item.',';
										}
									}
									else
									{
										echo $value;
									}
								?>
								</span>
								<br class="clearall" />
							</li>
						<?php
					}
				?>
				</ul>
			</div>
		<?php	
	}
?>
<br class="clearall" />

<?php
	if (trim($product['descriptionsecondary']) != '' || ADMIN_LOGGED_IN)
	{
		?>	
			<div id="product-descriptionsecondary"><?= $product['descriptionsecondary'] ?></div>
		<?php
	}
?>

<?php if($product['feed']): ?>
	<div id="product-feed">
		<h2><?= gTT('PRODUCT_NEWS') ?></h2>
		<?php
			$i = 0;
			foreach($product['feed'] as $feeditem)
			{
				echo '<div class="product-feed-item">';
				echo "<a href=\"{$feeditem['item_url']}\" class=\"product-feed-item-link\" rel=\"nofollow\">{$feeditem['item_title']}</a>";
				echo '<div class="product-feed-item-body">'.$feeditem['item_body'].'</div>';
				echo '</div>';
				$i++;
				if($i == RSSFEED_COUNT) break;
			}
		?>
	</div>
	<br class="clearall" />
<?php endif; ?>

<?php
	if ($manufacturer['display_product'])
	{
		?>
			<p><?= sprintf(gTT('MANUFACTURER_RANGE'), "<a href=\"".URL_SITE."{$manufacturer['pagename']}/\">{$manufacturer['name']}</a>") ?> </p>
		<?php
	}
?>


</div>
