<?= getTemplateImage('HOME_BANNER_MAIN') ?>

<div class="cont_welcome">
   <div class="welcome">
       <h1><?= $page['title'] ?></h1>
       <?= $page['maintext'] ?>
   </div>
  
  <?php
		if (sizeof($manufacturers) > 0)
		{
			?>  
		   <div class="right_logo" align="center">
		   <?php
		        foreach ($manufacturers as $manufacturer)
				{	?>
					<a href="<?= URL_SITE.$manufacturer['pagename'] ?>/">
						<img src="<?= URL_SITE ?>i/?src=<?= RELATIVE_URL_IMAGES_MANUFACTURER.$manufacturer['logo']['filename'] ?>&w=150&h=80" class="img" />
					</a>
						<?php
				}
			?>
			</div>
			<?php
		}
	?>      
</div>

<br clear="all" />

<div class="our_links">
   <a href="<?= $pages['specialoffers']['pagename'] ?>/">Our Special Offers</a>
   <a href="<?= $pages['bestsellers']['pagename'] ?>/" style="margin-left:144px;">Our Best Sellers</a>
</div>				
	
    
<div class="cont_prod">                                   

	<div id="home-specialoffers">		
		<?php
			foreach ($reducedproducts as $product)
			{	?>
				<div class="cont_prod_in">
					<table width="100%" border="0" cellpadding="0" cellspacing="0" class="title_product">
                      <tr valign="middle">
                        <td><a class="title" href="<?= URL_SITE.$product['pagename'] ?>/"><?= substr($product['linktitle'], 0, 40).(strlen($product['linktitle']) > 40 ? '...' : '') ?></a></td>
                      </tr>
                    </table>
                    <div class="prod_det">
                         <div class="description_prod"><?= substr(strip_tags($product['description']), 0, 130).(strlen(strip_tags($product['description'])) > 130 ? '...' : '') ?></div>
                         <div class="prod_det_left">
                              <?php
								if ($product['originalprice'] > $product['price'])
								{	?>
									<span class="was">Was <strike><?= formatProductPrice($product['originalprice']) ?></strike></span>
									<?php
								}
							  ?>
                              <span class="now">Now: <?= formatProductPrice($product['price']) ?></span>                              
							  <?php if ($product['offer']) { ?>
                              <a href="#" class="in_stock"><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/in_stock.jpg" alt="" />IN STOCK</a>
                              <?php } else { ?>
                              <a href="#" class="in_stock"><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/in_stock2.jpg" alt="" />OUT OF STOCK</a>
                              <?php } ?>
                              <span class="bott">
                                  <?php if(PRODUCT_HIDE_ADD_TO_CART != '0') { ?>
                                  <a href="<?= URL_SITE.$product['pagename'] ?>/" class="add_to_basket">View Product</a>
                                  <?php } elseif ($product['offer']) { ?>
                                  <a href="<?= URL_SITE ?><?= $pages['basket']['pagename'] ?>/add/<?= $product['id'] ?>/<?= $product['offer']['id'] ?>/" class="add_to_basket">Add to Cart</a>
                                  <?php } else { ?>
                                  <a href="<?= URL_SITE.$product['pagename'] ?>/" class="add_to_basket">Add to Cart</a>
                                  <?php } ?>                                  
                                  <?php if(PRODUCT_HIDE_ADD_TO_CART == '0'): ?><a href="<?= URL_SITE.$product['pagename'] ?>/" class="info">Info</a><?php endif; ?>
                              </span>
                         </div>
                         <a href="<?= URL_SITE.$product['pagename'] ?>/" rel="nofollow"><img class="prod_img" src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $product['image']['id'] ?>_90.jpg" /></a>
                    </div> 
                    <img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/cont_prod_bott.jpg" class="img" alt="" />
                </div>                   
				<?php
			}
		?>		
	</div>


	<div id="home-bestsellers">
		<?php
			foreach ($topproducts as $product)
			{	?>
				<div class="cont_prod_in">
					<table width="100%" border="0" cellpadding="0" cellspacing="0" class="title_product">
                      <tr valign="middle">
                        <td><a class="title" href="<?= URL_SITE.$product['pagename'] ?>/"><?= substr($product['linktitle'], 0, 40).(strlen($product['linktitle']) > 40 ? '...' : '') ?></a></td>
                      </tr>
                    </table>
                    <div class="prod_det">
                         <div class="description_prod"><?= substr(strip_tags($product['description']), 0, 130).(strlen(strip_tags($product['description'])) > 130 ? '...' : '') ?></div>
                         <div class="prod_det_left">
                              <?php
								if ($product['originalprice'] > $product['price'])
								{	?>
									<span class="was">Was <strike><?= formatProductPrice($product['originalprice']) ?></strike></span>
									<?php
								}
							  ?>
                              <span class="now">Now: <?= formatProductPrice($product['price']) ?></span>                              
							  <?php if ($product['offer']) { ?>
                              <a href="#" class="in_stock"><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/in_stock.jpg" alt="" />IN STOCK</a>
                              <?php } else { ?>
                              <a href="#" class="in_stock"><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/in_stock2.jpg" alt="" />OUT OF STOCK</a>
                              <?php } ?>
                              <span class="bott">
                                  <?php if(PRODUCT_HIDE_ADD_TO_CART != '0') { ?>
                                  <a href="<?= URL_SITE.$product['pagename'] ?>/" class="add_to_basket">View Product</a>
                                  <?php } elseif ($product['offer']) { ?>
                                  <a href="<?= URL_SITE ?><?= $pages['basket']['pagename'] ?>/add/<?= $product['id'] ?>/<?= $product['offer']['id'] ?>/" class="add_to_basket">Add to Cart</a>
                                  <?php } else { ?>
                                  <a href="<?= URL_SITE.$product['pagename'] ?>/" class="add_to_basket">Add to Cart</a>
                                  <?php } ?>                                  
                                  <?php if(PRODUCT_HIDE_ADD_TO_CART == '0'): ?><a href="<?= URL_SITE.$product['pagename'] ?>/" class="info">Info</a><?php endif; ?>
                              </span>
                         </div>
                         <a href="<?= URL_SITE.$product['pagename'] ?>/" rel="nofollow"><img class="prod_img" src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $product['image']['id'] ?>_90.jpg" /></a>                                                                                					
				  </div>
                <img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/cont_prod_bott.jpg" class="img" alt="" />
                </div>
				<?php
			}
		?>		
	</div>
	
	<div class="welcome">
	<?= $page['secondarytext'] ?>
	</div>
</div>
