<?php
	if (isset($pagination) && $pagination['quantity'] > 0 && $pagination['pages'] > 1)
	{
		?>
		
		
		<ul class="pagination">
          	<?php
				if ($pagination['currentpage'] <> 1)
				{
					?>
						<li><a href="<?= buildListingLink($pagination['baselink'], $pagination['currentpage']-1, $pagination['currentsort'], key($pagination['sortoptions']), $pagination['currentperpage'], $defaultperpage) ?>"><span>Previous</span></a></li>
					<?php
				}
			?>
          	
          	<?php
          		for ($i = 1; $i <= $pagination['pages']; $i++)
          		{
          			?>
          			 
          			 <li<?= ($i == $pagination['currentpage'] ? ' class="current"' : '') ?>>
          			 	<a href="<?= buildListingLink($pagination['baselink'], $i, $pagination['currentsort'], key($pagination['sortoptions']), $pagination['currentperpage'], $defaultperpage) ?>"><span><?= $i ?></span></a>
          			 </li>
          			 
          			 <!--<li class="interval">...</li>-->
          			<?php
          		}
          	
          	?>
          
            <?php
				if ($pagination['currentpage'] <> $pagination['pages'])
				{
					?>
						<li><a href="<?= buildListingLink($pagination['baselink'], $pagination['currentpage']+1, $pagination['currentsort'], key($pagination['sortoptions']), $pagination['currentperpage'], $defaultperpage) ?>"><span>Next</span></a></li>
					<?php
				}
			?>
            
            
          </ul>
		
		
		
		
		<?php
	}
	
	if (isset($pagination) && $pagination['quantity'] > 0)
	{
		?>
			<br class="clear" />
			<div class="pagecontent">
			<p><em><?= 1 + (($pagination['currentpage'] - 1) * $pagination['currentperpage']) ?> to <?= ($pagination['currentpage'] == $pagination['pages'] ? $pagination['quantity'] : $pagination['currentpage'] * $pagination['currentperpage']) ?> of <?=  $pagination['quantity'] ?> pages</em></p>
			</div>
		<?php
	}
	
?>

	