<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		
		<title><?= $page_title ?></title>
		<meta name="keywords" content="<?= $page_keywords ?>" />
		<meta name="description" content="<?= $page_description ?>" />
		
		<?php
			if ($metanoindex)
			{
				?>
					<meta name="robots" content="noindex,follow" />
				<?php
			}
			else
			{
				?>
					<meta name="robots" content="index,follow" />
				<?php
			}
		?>
		
		<link rel="canonical" href="<?= $canonicalurl ?>" />
		
		<?php
			if($pagination['currentpage'])
			{
				if ($pagination['currentpage'] <> 1)
				{
					?>
						<link rel="prev" href="<?= buildListingLink($pagination['baselink'], $pagination['currentpage']-1, $pagination['currentsort'], key($pagination['sortoptions']), $pagination['currentperpage'], $defaultperpage) ?>" />
					<?php
				}
				if ($pagination['currentpage'] <> $pagination['pages'])
				{
					?>
						<link rel="next" href="<?= buildListingLink($pagination['baselink'], $pagination['currentpage']+1, $pagination['currentsort'], key($pagination['sortoptions']), $pagination['currentperpage'], $defaultperpage) ?>" />
					<?php
				}
			}
		?>
		
		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/revert.css"/>
		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/defaults.css"/>
		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/layout.css"/>
		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/leftnav.css"/>
		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/slider.css"/>
		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/gallery.css"/>
		<!--[if lte IE 7]>
		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/layout-ie.css"/>
		<![endif]-->
		
		<?= $cssdeclerations ?>
		
		<script language="JavaScript" type="text/javascript">
		if (top.location != self.location) top.location = self.location;
		window.siteurl = '<?= URL_SITE ?>';
		</script>
		
		<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/scripts/main.js"></script>
		
		<?php
			/*
			if (isset($includescripts) && is_array($includescripts))
			foreach ($includescripts as $script)
			{
				?>
					<script type="text/javascript" src="<?= $script ?>"></script>
				<?php
			}
			*/
		?>
		
		
		<?php
			if ($pagetype == 'homepage')
			{
				$jqueryincluded = true;
				?>
		
				<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/scripts/jquery.min.js"></script>
				<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/scripts/jquery.easing.1.2.js"></script>
				<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/scripts/jquery.anythingslider.js"></script>
				<script type="text/javascript">
				$(function(){
					$('.slider').anythingSlider({
						easing: "easeInOutExpo",        // Anything other than "linear" or "swing" requires the easing plugin
						autoPlay: true,                 // This turns off the entire FUNCTIONALY, not just if it starts running or not.
						delay: 6000,                    // How long between slide transitions in AutoPlay mode
						startStopped: false,            // If autoPlay is on, this can force it to start stopped
						animationTime: 1000,             // How long the slide transition takes
						buildNavigation: true,          // If true, builds and list of anchor links to link to each slide
						pauseOnHover: true,             // If true, and autoPlay is enabled, the show will pause on hover
						navigationFormatter:function(){return '&nbsp;';},
						hashTags:false
					});
				});
				</script>
				
				<?php
			}
			else if ($pagetype == 'product')
			{
				$jqueryincluded = true;
				?>
					<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/scripts/jquery.min.js"></script>
					<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/scripts/jquery.ui.min.js"></script>
					<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/scripts/jquery.microgallery.js"></script>
					<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/scripts/productoptions.js"></script>

				<?php
			}
		?>
		
		<?php
			if (ADMIN_LOGGED_IN)
			{
				if (!$jqueryincluded)
				{
					?>
						<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/scripts/jquery.min.js"></script>
						<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/scripts/jquery.ui.min.js"></script>
					<?php
				}
				?>
					<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/scripts/jeditable.js"></script>
				<?php
			}
		?>
		
		<?php require('elements/analytics.php'); ?>
		
		<?php
			if ($pagetype == 'category')
			{
				?>
				<link href="<?= URL_SITE ?>rss/<?= PAGENAME ?>/" rel="alternate" type="application/rss+xml" title="<?= SITE_NAME ?> Products in category <?= $thiscategory['linktitle'] ?>" />
				<?php
			}
		?>
		
		<link href="<?= URL_SITE ?>rss/all-products/" rel="alternate" type="application/rss+xml" title="<?= SITE_NAME ?> Products" />
		<link href="<?= URL_SITE ?>rss/special-offers/" rel="alternate" type="application/rss+xml" title="<?= SITE_NAME ?> Special Offers" />
		
	</head>

		

		
	<body<?= $body_onload ?>>
		<?php
			if (ADMIN_LOGGED_IN && file_exists(PATH_TEMPLATES.TEMPLATE_FOLDER.'/elements/admin_stripe_'.$adminstripename.'.php'))
			{
				require('elements/admin_stripe_'.$adminstripename.'.php');
			}
		?>
		<?php
			if (ADMIN_LOGGED_IN)
			{
				require('elements/'.$editinplacename.'_editinplaceoptions.php');
			}
		?>
		
		<div id="wrap">
		  <div id="masthead">
		    
		    <div class="logobox left">
		    	<?= getTemplateImage('HEAD_LOGO', '', '', '<h1>'.SITE_NAME.'</h1>') ?>
		    </div>
		    
		    <div class="cartbox right">
		    	<div id="my-cart">
		    		<a href="<?= URL_SITE ?><?= $pages['basket']['pagename'] ?>/" class="cart">My Cart:</a>
		            <p class="items"><?= ($amazon->cart ? ($amazon->cart['totalquantity'] == 1 ? '1 item' : $amazon->cart['totalquantity'].' items') : '0 items') ?>, <span class="total"><?= formatProductPrice($amazon->cart['subtotal']) ?></span></p>
		          </div>
		    </div>
		    
		    <div id="header-banner">
		    	<?= getTemplateImage('HEADER_BANNER') ?>
		    </div>
		    
		  </div>
		  <div id="mastmenu">
		    <div class="inner">
		      <ul>
		      	<?php
		      		$topnavitems = getTemplateOption('TOP_NAV_LINKS');
		      		if (sizeof($topnavitems) > 0)
		      		{
		      			foreach ($topnavitems as $page)
		      			{
		      				?>
		      					<li><a href="<?= URL_SITE ?><?= $page['pagename'] == '' ? '' : $page['pagename'].'/' ?>"><?= $page['linktitle'] ?></a></li>
		      				<?php
		      			}
		      		}
		      		else
		      		{
		      			?>
			      			<li><a href="<?= URL_SITE ?>">Home</a></li>
			      			<li><a href="<?= URL_SITE ?>all-products/">All Products</a></li>
			      			<li><a href="<?= URL_SITE ?>site-map/">Sitemap</a></li>
			      			<li><a href="<?= URL_SITE ?>contact-us/">Contact us</a></li>
		      			<?php
		      		}
				?>
		      		
		      
		        
		        
		      </ul>
		    </div>
		  </div>	
		

			<div id="mastcontent" class="twocols">
			
				<div class="right content">
					<?php require('elements/breadcrumb.php') ?>
					<?php
						## Initialise Messages
						$messages = getMessages();
					
						if ($messages)
						{
							foreach ($messages as $message)
							{
								?>
								<div class="message-<?= $message['type'] ?>"><?= $message['message'] ?></div>
								<?php
							}
						}
					?>
					
				
					<?= $pagecontents ?>

					
				</div>
					
			    <div class="left sidebar">
			    
			    	<div class="search box">
						<h3>Search</h3>
						<div class="bd">
					
							<form action="<?= URL_SITE ?><?= $pages['search']['pagename'] ?>/" method="post">
							<fieldset>
								<div>
									<input type="text" id="search-keywords" name="keywords" value="" />
								</div>
								<div class="buttons">
									<input type="image" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/layout/btn_subscribe_inside_box.gif" value="Search" />
								</div>
							</fieldset>
							</form>
						</div>
					</div>
			    
					<?php
						foreach ($leftmenucategories as $categorygroup)
						{
							if (sizeof($categorygroup['categories']) == 0) continue; ?>

							<div class="secmenu">
								<ul class="left_nav">
									<li class="first-of-type"><span><?= $categorygroup['name'] ?></span></li>

									<?php
										$level = 0;
										$count = 0;

										foreach ($categorygroup['categories'] as $leftcategory)
										{
											$lastlevel = $level;
											$level = $leftcategory['level'];

											if ($level > $lastlevel): ?> <ul class="sub"><?php
											elseif ($level < $lastlevel): ?></li> <?php for($i = 0; $i < ($lastlevel - $level); $i++): ?></ul></li><?php endfor;
											elseif ($count != 0): ?></li> <?php endif; ?>

											<li<?= $level == 0 ? ' class="top"' : '' ?>>
											<a class="<?= (PAGENAME == $leftcategory['pagename'] ? 'selected' : '') ?>" href="<?= URL_SITE ?><?= $leftcategory['pagename'] ?>/"><?= $leftcategory['linktitle'] ?></a>

										<?php
										$count++;
									}

									echo '</li>';

									for($i = 0; $i < $level; $i++): ?></ul></li><?php endfor;?>

								</ul>
							</div>
						<?php
						}
					?>
					
			   		<?php
						if (sizeof($leftmenumanufacturers) > 0)
						{
							?>
								<div class="secmenu">
						        <ul id="left_nav">
									<li class="first-of-type"><span>Browse Brands</span></li>
									<?php
										foreach ($leftmenumanufacturers as $leftmanufacturer)
										{
											?>
											<li class="top"><a href="<?= URL_SITE ?><?= $leftmanufacturer['pagename'] ?>/"><?= $leftmanufacturer['linktitle'] ?></a></li>
											<?php
										}
									?>
								</ul>
					   			</div>
							<?php
						}
					?>
			      
			      	<?php
			      		/*
						if (is_array($sidebarfilters))
						{
							?>
								<div class="menu-left-header">
									<h4>Filter Options - <a href="<?= URL_SITE ?><?= $pages['filterproducts']['pagename'] ?>/">more</a></h4>
								</div>
							
								<div class="menu-left-contents">
								<form action="<?= URL_SITE ?>filter-products/" method="post" id="sidefilterform">
									<div id="sidefilteroptions">
										<?php
										foreach ($sidebarfilters as $key => $item)
										{
										if ($key === 'filterprices')
										{
											?>
												<div class="sidefilteroption">
												<label for="side-filterprice"><strong>Price:</strong></label>
												
												<select name="filterprice" id="side-filterprice">
													<option value="-1">Any</option>
													<?php
														$filterprices = $item;
														foreach ($filterprices as $key => $item)
														{
															?>
															<option value="<?= $item['start'].'|'.$item['end'] ?>"<?= $_SESSION['productfilters']['filterprice'] == $item['start'].'|'.$item['end'] ? ' selected' : '' ?> ><?= $item['displayvalue'] ?></option>
															<?php
														}
													?>
												</select>
												</div>
												
											<?php
											
										}
										else if ($key === 'filtermanufacturer')
										{
											?>
												<div class="sidefilteroption">
												<label for="side-filtermanufacturer"><strong>Manufacturer:</strong></label>

												<select name="filtermanufacturer" id="side-filtermanufacturer">
													<option value="-1">Any</option>
													<?php
														$filtermanufacturers = $item;
														foreach ($filtermanufacturers as $key => $item)
														{
															?>
															<option value="<?= $item['id'] ?>"<?= $_SESSION['productfilters']['filtermanufacturer'] == $item['id'] ? ' selected' : '' ?> ><?= $item['linktitle'] ?></option>
															<?php
														}
													?>
												</select>
												</div>
				
											<?php
										}
										else
										{
										?>
													
												<div class="sidefilteroption">
													<?php
														if ($item['valuetype'] == 'checkbox')
														{
															?>
															<strong><?= $item['displayname'] ?></strong> - <a href="#" onclick="unCheck($('sidefilterform'), '<?= $item['originalname'] ?>'); return false;">Reset</a><br />
															<?php
														
															$i = 0;
															foreach ($item['values'] as $valuekey => $valueitem)
															{
																?>
																
																<span class="sidefiltercheckbox">
																	<input type="checkbox" id="<?= $item['originalname'].$i ?>" name="<?= $item['originalname'] ?>[]" value="<?= $valueitem['value'] ?>" onclick="checkForAllTicked(<?= $item['originalname'] ?>, $(all<?= $item['originalname'] ?>))" <?= $_SESSION['productfilters'][$item['originalname']][$valueitem['value']] ? ' checked' : '' ?> />
																	<label for="<?= $item['originalname'].$i ?>"><?= $valueitem['value'].$item['units'] ?></label>
																</span>
																<br />
																<?php
																$i++;
															}
														}
														else if ($item['valuetype'] == 'dropdown')
														{
															?>
															<label for="side-<?= $item['originalname'] ?>"><strong><?= $item['displayname'] ?></strong></label>
															<select name="<?= $item['originalname'] ?>" id="side-<?= $item['originalname'] ?>">
																<option value="-1">Any</option>
																<?php
																foreach ($item['values'] as $valuekey => $valueitem)
																{
																	?>
																	<option value="<?= $valueitem['value'] ?>"<?= $_SESSION['productfilters'][$item['originalname']] == $valueitem['value'] ? ' selected' : '' ?> ><?= $valueitem['value'] ?></option>
																	<?php
																}
																?>
															</select>
															<?php
														}
														else if ($item['valuetype'] == 'yesorno')
														{
															?>
															<label for="side-<?= $item['originalname'] ?>"><strong><?= $item['displayname'] ?></strong></label>
															<select name="<?= $item['originalname'] ?>" id="side-<?= $item['originalname'] ?>">
																<option value="-1">Any</option>
																<?php
																foreach ($item['values'] as $valuekey => $valueitem)
																{
																	?>
																	<option value="<?= $valueitem['value'] ?>"<?= $_SESSION['productfilters'][$item['originalname']] == $valueitem['value'] ? ' selected' : '' ?> ><?= $valueitem['value'] == '1' ? 'Yes' : 'No' ?></option>
																	<?php
																}
																?>
															</select>
															<?php
														}
													?>
													</div>
										
										<?php	
										
											}		
										}
										?>
										
										<input type="submit" value="Filter" id="sidefilteroptionssubmit" />
										<?php
											if ($_SESSION['productfilters'])
											{
												?>
													<br /><br /><a href="<?= URL_SITE ?><?= $pages['filterproducts']['pagename'] ?>/cancel/"><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/icons/delete.png" />Remove Current Filters</a>
												<?php
											}
										?>
										
									</div>
								</form>
								</div>
								<?php
						}
						*/
					?>
			      			      
					<?php
						foreach ($sideboxes as $sidebox)
						{
							require('elements/sidebox_'.$sidebox['type'].'.php');
						}
					?>
					
					<div class="leftbox">
						<div class="bd">
						
							<?= getTemplateImage('LEFT_SECUREPAYMENTS') ?>
						
						</div>
						<div class="bottom"></div>
					</div>
										
					<div class="leftbox">
						<div class="bd">
						<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/amazon_logo_<?= strtolower($amazon->locale) ?>.gif" alt="<?= SITE_NAME ?> is brought to you in association with Amazon" title="<?= SITE_NAME ?> is brought to you in association with Amazon" />
						</div>
						<div class="bottom"></div>
					</div>
					
				</div>
				
			</div>

			<div id="mastfooter">
			    <div class="inner">
			      <div class="content">
			        <h1 class="left"><a href="<?= URL_SITE ?>"><?= SITE_NAME ?></h1>
			        <div class="right">
			          <ul class="main">
			            <li><a href="<?= URL_SITE ?>privacy-policy/">Privacy Policy</a></li>
			            <li>-</li>
			            <li><a href="<?= URL_SITE ?>terms-of-use/">Terms and Conditions</a></li>
			            <li>-</li>
			            <li><a href="<?= URL_SITE ?>site-map/">Site Map</a></li>
			            <li>-</li>
			            <li><a href="<?= URL_SITE ?>contact-us/">Contact Us</a></li>
			          </ul>
			          <ul class="secondary">
			            <li>Copyright &copy; <?= date('Y') ?> <?= SITE_NAME ?>. <?= getFooterText() ?></li>
			          </ul>
			        </div>
			      </div>
			    </div>
			  </div>
			</div>
		</body>
	</html>
