<div class="hproduct">

<script type="text/javascript">
$(function() {
	$("#mG1").microgallery({menu:true,size:'large',cycle:true});
	$('#product-gallery').click(function(){
		$('#mG1 .thumbview').click();
		return false;
	});
	$("#tabs").tabs();
});
</script>


<h1 class="item fn" id="product-title"><?= $product['title'] ?></h1>

<div class="twocols">
	<div class="left">
		<div class="product-detail">
			<div class="img">
				<div id="mG1" class="microGallery">
				
					<img class="photo fn" src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $mainimage['id'] ?>_220.jpg" />
				
					<?php
					foreach ($images as $image)
					{
						?>
							<img src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $image['id'] ?>_220.jpg" />
						<?php
					}
					?>
			</div>

			<a href="#" id="product-gallery">
				<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/layout/btn_product_gallery.png" alt="View Product Gallery" width="131" height="30" />
			</a>
			
			<?php
				if (PRODUCT_HIDE_ADD_TO_CART == '0')
				{
					if ($offer && !$offer['listprice'])
					{
						?>
							<span class="availability">
							
							<a href="<?= URL_SITE ?><?= $pages['basket']['pagename'] ?>/add/<?= $product['id'] ?>/<?= $offer['id'] ?>/" rel="nofollow">
								<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/layout/btn_add_to_cart2.png" alt="Add to your Shopping Cart" title="Add to your Shopping Cart" />
							</a><br />
							<span class="value-title" title="In stock">In Stock</span>
							</span>
						<?php
					}
					else if ($product['expired'])
					{
						?>
							<p class="availability">
							<span class="value-title" title="Out of Stock">Out of Stock</span><br /><br />
							<span class="outofstock">Discontinued</span> - Unfortunately this product has been discontinued and we will not be receiving any more stock. <a href="<?= URL_SITE ?><?= $pages['buyamazon']['pagename'] ?>/<?= $product['id'] ?>/3/">Click here for alternative products</a>.</p>
						<?php
					}
					else if(!$offer['listprice'] && PRODUCT_OFFERS_WITHOUT_STOCK)
					{
						?>
							<p class="availability">
							<span class="value-title outofstock" title="Out of Stock">Out of Stock</span> - stock arriving soon</p>
						<?php
					}
				}
			?>
			
			<?php
				if ($offer['ispreorder'])
				{
					?>
					<p>Available to Pre-order now!<br />Your card will not be charged until the item is dispatched. You will pay the lowest price this item has been available for in the Pre-order period - guaranteed.</p>
					<?php
				}
			?>
			
			<?php
				if ($manufacturer['display_product'] && $manufacturerimage)
				{
					?>
						<div id="product-manufacturer">
							<a href="<?= URL_SITE.$manufacturer['pagename'] ?>/" rel="nofollow">
								<img src="<?= URL_SITE ?>i/?src=<?= RELATIVE_URL_IMAGES_MANUFACTURER.$manufacturerimage['filename'] ?>&w=250&h=80" />
							</a><br />
							<small class="brand"><?= $manufacturer['name'] ?></small>
						</div>
					<?php
				}
			?>
			
		</div>
		
		
		<ul>
		
			<?php
				if ($offer['isreduced'])
				{
					?>
					<li class="price old"><strong>Was:</strong> <span><?= $offer['originalpriceformatted'] ?></span></li>
					<?php
				}
			?>
		
			<li class="price">
				<strong><?= $offer['isreduced'] ? 'Now' : ($offer['listprice']? 'List Price' : 'Special Offer') ?>:</strong>
				<span>
					<?	
						if ($offer && $offer['price'] > 0)
						{
							echo $offer['priceformatted'];
						}
						else if($offer['listprice'])
						{
							echo $offer['listprice'];
						}
						else if ($offer && $offer['price'] == 0)
						{
							echo 'Price shown when you add to cart';
						}
						else if ($product['price'] > 0 && $product['expired'] == 0)
						{
							echo $product['priceformatted'];
						}
						else
						{
							echo 'Price not available at this time';
						}
					?>
				
				<?php
					if ($offer['isreduced'])
					{
						?>
						<br /><small><em>Save <?= $offer['percentagesaved'] ?>%</em></small>
						<?php
					}
				?>
				</span>
			</li>
			<br clear="all"/>
			
			<?php
				if ($offer && $offer['price'] == 0 && !$offer['listprice'])
				{
					echo '<li><strong>Why is the price not displayed here?</strong> <span>The price is lower than the manufacturers "minimum advertised price" and we are legally not allowed to display it until it is requested. To request the price, simply click add to shopping cart below.</span></li><br clear="all" />';	
				}
			?>
			
			<?php
			if ($product['reviewiframelink'] != '')
			{
				?>	
					<li class"rating"><strong>Reviews:</strong> <span><a href="<?= URL_SITE ?><?= $product['pagename'] ?>/reviews/" rel="nofollow">View Reviews</a></span></li>
				<?php
			}
			else
			{
				?>	
					<li class"rating"><strong>Reviews:</strong> <span>Not Reviewed</span></li>
				<?php
			}
			?>
			
			
			
			<?php
				if ($offer['availabilitytext'])
				{
					?>
					<li><strong>Availability: </strong><span><?= $offer['availabilitytext'] ?></span></li>
					<br clear="all" />
					<?php
				}
			?>
			
			
			<li><strong>Shipping:</strong><span>
			<?php
				if ($offer && $offer['supersavershipping'])
				{
					?>
						<?php
						if ($offer['priceraw'] > ($amazon->supersavershippinglimit - $amazon->cart['subtotal']))
						{
							?>
							This item ships for FREE with Super Saver Shipping.
							<?php
						}
						else
						{
							?>
							This item ships for <strong>FREE</strong> with Super Saver Shipping, when the order total is greater than <?= formatProductPrice($amazon->supersavershippinglimit) ?>.
							<?php
						}
				}
				else if ($product['expired'] == 0)
				{
					?>
					Shipping cost is calculated during checkout.
					<?php
				}
			?>
			</span></li>
			<br clear="all" />
			
			<?php
				if ($offer && $offer['quantity'] > 0 && $offer['quantity'] < 5)
				{
					?>
						<li><strong>Stock:</strong><span>Only <?= $offer['quantity'] ?> left in stock - order now to avoid dissapointment.</span></li>
						<br clear="all" />
					<?php
				}	
			?>
			

			
			
			
			
			
		</ul>
				
		
		
	</div>
	
	
	<div id="tabs">
		<ul>
			<li><a href="#tabs-1"><span>Description</span></a></li>
			<li><a href="#tabs-2"><span>Features</span></a></li>
			<li><a href="#tabs-3"><span>Attributes</span></a></li>
			<?php if($product['feed']): ?><li><a href="#tabs-5"><span>News</span></a></li><?php endif; ?>
			<li><a href="#tabs-4"><span>More</span></a></li>
		</ul>
		<div class="tabcontainer" id="tabs-1">
			<?php
				if (trim($product['description']) != '' || ADMIN_LOGGED_IN)
				{
					?>	
						<div id="product-description"><?= $product['description'] ?></div>
					<?php
				}
			?>
			
			<?php
				if (trim($product['descriptionsecondary']) != '' || ADMIN_LOGGED_IN)
				{
					?>	
						<div id="product-descriptionsecondary"><?= $product['descriptionsecondary'] ?></div>
					<?php
				}
			?>
			
			
		</div>
		<div class="tabcontainer" id="tabs-2">
		
			<?php
				if (sizeof($product['keyfeatures']) > 0 && $product['keyfeatures'][0] != '')
				{
					?>
						<ul>
							<?php
							$product['keyfeatures'] = explode("\n",$product['keyfeatures']);
							foreach($product['keyfeatures'] as $feature)
							{
								?>
								<li><?= $feature ?></li>
								<?php
							}
							?>
						</ul>
						
					<?php
				}
			?>
		</div>
		
		<div class="tabcontainer" id="tabs-3">
			<?php
				if (sizeof($attributes) > 0)
				{
					?>
						<ul>
						<?php
							foreach ($attributes as $name => $value)
							{
								if (trim($value) == '') continue;
								?>
									<li>
										<strong><?= $name ?></strong>
										<?php
											if (is_array($value))
											{
												foreach ($value as $key => $item)
												{
													echo $key . ' = ' . $item.',';
												}
											}
											else
											{
												echo $value;
											}
										?>
									</li>
								<?php
							}
						?>
						</ul>
							
					<?php	
				}
			?>
		</div>
		
		<?php if($product['feed']): ?>
			<div class="tabcontainer" id="tabs-5">
				<div id="product-feed">
					<strong>Recent Product News</strong><br />
					<?php
						$i = 0;
						foreach($product['feed'] as $feeditem)
						{
							echo '<div class="product-feed-item">';
							echo "<a href=\"{$feeditem['item_url']}\" class=\"product-feed-item-link\" rel=\"nofollow\">{$feeditem['item_title']}</a>";
							echo '<div class="product-feed-item-body">'.$feeditem['item_body'].'</div>';
							echo '</div>';
							$i++;
							if($i == RSSFEED_COUNT) break;
						}
					?>
				</div>
			</div>
		<?php endif; ?>
		
		<div class="tabcontainer" id="tabs-4">
			
			<?php
				if (trim($amazoncontent['description']) != '' && PRODUCT_INFO_DISPLAY_AZDESC != '0')
				{
					?>
						<div id="product-azdescription">
							<p><?= $amazoncontent['description'] ?></p>
						</div>
					<?php
				}
			?>
		</div>
	</div>
	
	
	<?php
		if ($manufacturer['display'])
		{
			?>
				<p>View more products by <a href="<?= URL_SITE.$manufacturer['pagename'] ?>/"><?= $manufacturer['name'] ?></a></p>
			<?php
		}
	?>
	
	
	
	
	
	</div>



	<div class="right">
	
		<div style="width: 170px; margin-bottom: 10px;">
			<?php
				if (PRODUCT_SHOW_AMAZON_LINK || (PRODUCT_OFFERS_WITHOUT_AMAZON && $offer['listprice']))
				{
					?>
						<a href="<?= URL_SITE ?><?= $pages['buyamazon']['pagename'] ?>/<?= $product['id'] ?>/<?= $product['expired'] ? '3' : '2' ?>/" rel="nofollow">
							<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/buttons/buy_at_amazon_<?= strtolower($amazon->locale) ?>.gif" alt="Buy At Amazon" />
						</a>
					<?php
				}
			?>
		</div>
		
	
		<div class="special-offers">
			
			<h3>Related Products</h3>
			<ul class="products">
			
				<?php
					foreach ($relatedproducts as $rproduct)
					{
						$rproduct['image'] = $db->get('productimages',$rproduct['id'], 'product_id');
						$rproduct['offer'] = getProductOffer($rproduct['id']);
					
						?>
							<li>
								<div class="left">
									<a href="<?= URL_SITE.$rproduct['pagename'] ?>/" rel="nofollow">
										<img class="main" src="<?= URL_SITE ?>img/<?= $rproduct['pagename'] ?>_<?= $rproduct['image']['id'] ?>_96.jpg" alt="product" />
									</a>
								</div>
								<div class="right">
									<p><p><?= substr(strip_tags($rproduct['title']), 0, 50) ?>...</p></p>
									<p class="price old" style="text-decoration: none;"><?= $rproduct['originalprice'] > $rproduct['price'] ? 'Was '.formatProductPrice($rproduct['originalprice']) : 'Only' ?></p>
									<p class="price"><?= formatProductPrice($rproduct['price']) ?></p>
								</div>

				
								<?php if (PRODUCT_HIDE_ADD_TO_CART == '0'): ?>
									<p class="opt"><a href="<?= URL_SITE ?><?= $pages['basket']['pagename'] ?>/add/<?= $rproduct['id'] ?>/<?= $rproduct['offer']['id'] ?>/" class="add-to-basket"> <img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/layout/btn_add_to_cart_small.png" alt="add to cart" width="90" height="26" /></a> <a href="<?= URL_SITE.$rproduct['pagename'] ?>/" class="details"> <img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/layout/btn_details_small.png" alt="more details" width="90" height="26" /></a> </p>
								<?php endif; ?>
							</li>
						<?php
					}
				?>
			</ul>
		</div>
	</div>


</div>



</div>