<script type="text/javascript">
$(function() {
	$("#mG1").microgallery({menu:true,size:'large',cycle:true});
	$('#product-gallery').click(function(){
		$('#mG1 .thumbview').click();
		return false;
	});
	$("#tabs").tabs();
});
</script>


<h1 id="product-title"><?= $product['title'] ?></h1>

<div class="twocols">
	<div class="left">
		<div class="product-detail">
			<div class="img">
				<div id="mG1" class="microGallery">
				
					<img src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $mainimage['id'] ?>_220.jpg" />
				
					<?php
					foreach ($images as $image)
					{
						?>
							<img src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $image['id'] ?>_220.jpg" />
						<?php
					}
					?>
			</div>

			<a href="#" id="product-gallery">
				<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/layout/btn_product_gallery.png" alt="View Product Gallery" width="131" height="30" />
			</a>
			
			
			<?php
				if ($manufacturer['display_product'] && $manufacturerimage)
				{
					?>
						<div id="product-manufacturer">
							<a href="<?= URL_SITE.$manufacturer['pagename'] ?>/" rel="nofollow">
								<img src="<?= URL_SITE ?>i/?src=<?= RELATIVE_URL_IMAGES_MANUFACTURER.$manufacturerimage['filename'] ?>&w=250&h=80" />
							</a>
						</div>
					<?php
				}
			?>
			
		</div>
		
		
		<ul>
		
			<?php
			if ($optionsummary['minprice'] == $optionsummary['maxprice'])
			{
				?>
					<li class="price">
						<strong>Special Offer:</strong>
						<span><?= formatProductPrice($optionsummary['minprice']) ?></span>
					</li>
				<?php
			}
			else
			{
				?>
					
					<li class="price">
						<strong>From:</strong>
						<span><?= formatProductPrice($optionsummary['minprice']) ?></span>
					</li>
					<!--
					<li class="price">
						<strong>To:</strong>
						<span><?= formatProductPrice($optionsummary['minprice']) ?></span>
					</li>
					-->
				<?php
			}
		?>
			
			<?php
			if ($product['reviewiframelink'] != '')
			{
				?>	
					<li class"rating"><strong>Reviews:</strong> <span><a href="<?= URL_SITE ?><?= $product['pagename'] ?>/reviews/" rel="nofollow">View Reviews</a></span></li>
				<?php
			}
			else
			{
				?>	
					<li class"rating"><strong>Reviews:</strong> <span>Not Reviewed</span></li>
				<?php
			}
			?>
			
			
			
			<?php
				if ($offer['availabilitytext'])
				{
					?>
					<li><strong>Availability: </strong><span><?= $offer['availabilitytext'] ?></span></li>
					<br clear="all" />
					<?php
				}
			?>
			
			
			<li><strong>Shipping:</strong><span>
			<?php
				if ($offer && $offer['supersavershipping'])
				{
					?>
						<?php
						if ($offer['priceraw'] > ($amazon->supersavershippinglimit - $amazon->cart['subtotal']))
						{
							?>
							This item ships for FREE with Super Saver Shipping.
							<?php
						}
						else
						{
							?>
							This item ships for <strong>FREE</strong> with Super Saver Shipping, when the order total is greater than <?= formatProductPrice($amazon->supersavershippinglimit) ?>.
							<?php
						}
				}
				else if ($product['expired'] == 0)
				{
					?>
					Shipping cost is calculated during checkout.
					<?php
				}
			?>
			</span></li>
			<br clear="all" />
			
			
				</span>
			</li>


			<?php
				if (PRODUCT_HIDE_ADD_TO_CART == '0' || (PRODUCT_SHOW_AMAZON_LINK && PRODUCT_DISPLAY_OPTIONS_LINK))
				{
					?>
						<div id="product-options">
							<?php require('elements/product_options'.$optionsdisplaytype.'.php'); ?>
						</div>
					<?php
				}
			?>
			
			<?php
				if (PRODUCT_SHOW_AMAZON_LINK && !PRODUCT_DISPLAY_OPTIONS_LINK)
				{
					?>
						<br /><br />
						<a href="<?= URL_SITE ?><?= $pages['buyamazon']['pagename'] ?>/<?= $product['id'] ?>/<?= $product['expired'] ? '3' : '2' ?>/" rel="nofollow">
							<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/buttons/buy_at_amazon_<?= strtolower($amazon->locale) ?>.gif" alt="Buy At Amazon" />
						</a>
					<?php
				}
			?>
			
			
		</ul>
				
		
		
	</div>

	
	
	<div id="tabs">
		<ul>
			<li><a href="#tabs-1"><span>Description</span></a></li>
			<li><a href="#tabs-2"><span>Features</span></a></li>
			<li><a href="#tabs-3"><span>Attributes</span></a></li>
			<?php if($product['feed']): ?><li><a href="#tabs-5"><span>News</span></a></li><?php endif; ?>
			<li><a href="#tabs-4"><span>More</span></a></li>
		</ul>
		<div class="tabcontainer" id="tabs-1">
			<?php
				if (trim($product['description']) != '' || ADMIN_LOGGED_IN)
				{
					?>	
						<div id="product-description"><?= $product['description'] ?></div>
					<?php
				}
			?>
			
			<?php
				if (trim($product['descriptionsecondary']) != '' || ADMIN_LOGGED_IN)
				{
					?>	
						<div id="product-descriptionsecondary"><?= $product['descriptionsecondary'] ?></div>
					<?php
				}
			?>
			
			
		</div>
		<div class="tabcontainer" id="tabs-2">
		
			<?php
				if (sizeof($product['keyfeatures']) > 0 && $product['keyfeatures'][0] != '')
				{
					?>
						<ul>
							<?php
							$product['keyfeatures'] = explode("\n",$product['keyfeatures']);
							foreach($product['keyfeatures'] as $feature)
							{
								?>
								<li><?= $feature ?></li>
								<?php
							}
							?>
						</ul>
						
					<?php
				}
			?>
		</div>
		
		<div class="tabcontainer" id="tabs-3">
			<?php
				if (sizeof($attributes) > 0)
				{
					?>
						<ul>
						<?php
							foreach ($attributes as $name => $value)
							{
								if (trim($value) == '') continue;
								?>
									<li>
										<strong><?= $name ?></strong>
										<?php
											if (is_array($value))
											{
												foreach ($value as $key => $item)
												{
													echo $key . ' = ' . $item.',';
												}
											}
											else
											{
												echo $value;
											}
										?>
									</li>
								<?php
							}
						?>
						</ul>
							
					<?php	
				}
			?>
		</div>
		
		<div class="tabcontainer" id="tabs-4">
			
			<?php
				if (trim($amazoncontent['description']) != '' && PRODUCT_INFO_DISPLAY_AZDESC != '0')
				{
					?>
						<div id="product-azdescription">
							<p><?= $amazoncontent['description'] ?></p>
						</div>
					<?php
				}
			?>
		</div>
		
		<?php if($product['feed']): ?>
			<div class="tabcontainer" id="tabs-5">
				<div id="product-feed">
					<strong>Recent Product News</strong><br />
					<?php
						$i = 0;
						foreach($product['feed'] as $feeditem)
						{
							echo '<div class="product-feed-item">';
							echo "<a href=\"{$feeditem['item_url']}\" class=\"product-feed-item-link\" rel=\"nofollow\">{$feeditem['item_title']}</a>";
							echo '<div class="product-feed-item-body">'.$feeditem['item_body'].'</div>';
							echo '</div>';
							$i++;
							if($i == RSSFEED_COUNT) break;
						}
					?>
				</div>
			</div>
		<?php endif; ?>
	</div>
	
	
	<?php
		if ($manufacturer['display'])
		{
			?>
				<p>View more products by <a href="<?= URL_SITE.$manufacturer['pagename'] ?>/"><?= $manufacturer['name'] ?></a></p>
			<?php
		}
	?>
	
	
	
	
	
	</div>



	<div class="right">
	
		<div style="width: 170px; margin-bottom: 10px;">
			<?php
				if (PRODUCT_SHOW_AMAZON_LINK)
				{
					?>
						<a href="<?= URL_SITE ?><?= $pages['buyamazon']['pagename'] ?>/<?= $product['id'] ?>/<?= $product['expired'] ? '3' : '2' ?>/" rel="nofollow">
							<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/buttons/buy_at_amazon_<?= strtolower($amazon->locale) ?>.gif" alt="Buy At Amazon" />
						</a>
					<?php
				}
			?>
		</div>
		
	
		<div class="special-offers">
			
			<h3>Related Products</h3>
			<ul class="products">
			
				<?php
					foreach ($relatedproducts as $rproduct)
					{
						$rproduct['image'] = $db->get('productimages',$rproduct['id'], 'product_id');
						$rproduct['offer'] = getProductOffer($rproduct['id']);
					
						?>
							<li>
								<div class="left">
									<a href="<?= URL_SITE.$rproduct['pagename'] ?>/" rel="nofollow">
										<img class="main" src="<?= URL_SITE ?>img/<?= $rproduct['pagename'] ?>_<?= $rproduct['image']['id'] ?>_96.jpg" alt="product" />
									</a>
								</div>
								<div class="right">
									<p><p><?= substr(strip_tags($rproduct['title']), 0, 50) ?>...</p></p>
									<p class="price old" style="text-decoration: none;"><?= $rproduct['originalprice'] > $rproduct['price'] ? 'Was '.formatProductPrice($rproduct['originalprice']) : 'Only' ?></p>
									<p class="price"><?= formatProductPrice($rproduct['price']) ?></p>
								</div>
								<?php if (PRODUCT_HIDE_ADD_TO_CART == '0'): ?>
									<p class="opt"><a href="<?= URL_SITE ?><?= $pages['basket']['pagename'] ?>/add/<?= $rproduct['id'] ?>/<?= $rproduct['offer']['id'] ?>/" class="add-to-basket"> <img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/layout/btn_add_to_cart_small.png" alt="add to cart" width="90" height="26" /></a> <a href="<?= URL_SITE.$rproduct['pagename'] ?>/" class="details"> <img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/layout/btn_details_small.png" alt="more details" width="90" height="26" /></a> </p>
								<?php endif; ?>
							</li>
						<?php
					}
				?>
			</ul>
		</div>
	</div>


</div>



