	<!-- Slideshow -->
	<?php	
		$sliderproducts = getTemplateOption('HOME_SLIDESHOW_PRODUCTS');
		
		if ($sliderproducts && !empty($sliderproducts))
		{
			?>
			
			<style type="text/css">
				.scrollable .items {width: <?= 710 * sizeof($sliderproducts) ?>px;}
			</style>
			
			<div class="product_banner">
				<a class="prev browse left">left</a>
				<div class="scrollable">   
				 	<div class="items">
					    <?php foreach ($sliderproducts as $product) { ?>
					    	<div>
						    	<a href="<?= URL_SITE ?><?= $product['pagename'] ?>/">
							    	<img src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $product['image']['id'] ?>_300.jpg" alt="<?= substr($product['linktitle'], 0, 35) ?><?= strlen($product['linktitle']) > 35 ? '...' : '' ?>" title="<?= substr($product['linktitle'], 0, 35) ?><?= strlen($product['linktitle']) > 35 ? '...' : '' ?>">
							    </a>
					    	</a>
					    	<div class="product_details">
						    	<h1 class="product-slider-title"><a href="<?= URL_SITE ?><?= $product['pagename'] ?>/"><?= substr($product['linktitle'], 0, 30) ?><?= strlen($product['linktitle']) > 30 ? '...' : '' ?></a></h1>
								<h2><?php
									if ($product['offer'] && $product['offer']['price'] > 0)
									{
										echo $product['offer']['priceformatted'];
									}
									else if ($product['parent'] == 1)
									{
										echo formatProductPrice($product['optionsummary']['minprice']);
									}
									else if($product['offer']['listprice'])
									{
										echo "List price: {$product['offer']['listprice']}";
									}
									else if ($product['offer'] && $product['offer']['price'] == 0)
									{
										echo '<small>Click for Details</small>';
									}
									else if ($product['price'] > 0)
									{
										echo $product['priceformatted'];
									}
									else
									{
										echo '<small>Price N/A</small>';
									}
								?></h2>
								<p><?= substr($product['metadescription'], 0, 140).'...'; ?></p>
								<?php if(PRODUCT_HIDE_ADD_TO_CART == '0'): ?><a href="<?= URL_SITE ?><?= $pages['basket']['pagename'] ?>/add/<?= $product['id'] ?>/<?= $product['offer']['id'] ?>/" class="cart">Add To Cart</a><?php else: ?>
								<?php
									if (PRODUCT_SHOW_AMAZON_LINK  || (PRODUCT_OFFERS_WITHOUT_AMAZON && $product['offer']['listprice']))
									{
										?>
											<a href="<?= URL_SITE ?><?= $pages['buyamazon']['pagename'] ?>/<?= $product['id'] ?>/<?= $product['expired'] ? '3' : '2' ?>/" class="amazon_cart">Buy It Now</a>
										<?php
									}
									endif;
								?>
								<a href="<?= URL_SITE ?><?= $product['pagename'] ?>/" class="details">Details</a>
							</div>
							</div>
						<?php } ?> 
					   
					 </div>
				</div>
				<a class="next browse right">right</a>
			</div>
			
			<?php
		} 
	?>
	
	<!-- Brand Logos -->
	<?php
		if (sizeof($manufacturers) > 0)
		{
			$i = 0;
			?>
			<div class="logo_banner">
				<div class="banner">
				<?php
					foreach ($manufacturers as $manufacturer)
					{
						$i++;
						?>
						<a href="<?= URL_SITE.$manufacturer['pagename'] ?>/">
							<img src="<?= URL_SITE ?>i/?src=<?= RELATIVE_URL_IMAGES_MANUFACTURER.$manufacturer['logo']['filename'] ?>&w=170&h=60" />
						</a>
						<?php
					}
				?>
				</div>
			</div>
			<?php	
		}
	?>
	
	 
	<!-- Product Offers -->
	<?php
		if (sizeof($reducedproducts) > 0)
		{
		?>
			<div class="products">
				<?php $pageName = explode(" ", $pages['specialoffers']['linktitle'])?>
				<h1><?= $pageName[0]?> <span><?php for ($i=1;$i<sizeof($pageName);$i++) echo $pageName[$i].' '; ?></span></h1>
			
				<?php
					$i = 0;
					foreach ($reducedproducts as $product)
					{
						$i++;
						?>
						<div class="product_details <?php if ($i % 4 == 0) echo 'last' ?>">
		
		
							<div class="imagebox">
								<a href="<?= URL_SITE.$product['pagename'] ?>/">
									<img src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $product['image']['id'] ?>_150.jpg" alt="<?= substr($product['linktitle'], 0, 35).(strlen($product['linktitle']) > 35 ? '...' : '') ?>" title="<?= $product['linktitle'] ?>">
								</a>
							</div>
							
							<a href="<?= URL_SITE.$product['pagename'] ?>/"><h1><?= substr($product['linktitle'], 0, 25).(strlen($product['linktitle']) > 25 ? '...' : '') ?></h1></a>
		
							<h2>
								<?php
									if ($product['offer']['isreduced'])
									{
										?>
										<span><?= $product['offer']['originalpriceformatted'] ?></span>
										<?php
									}
									else
									{
										?>
										only
										<?php
									}
								?>
								<?= formatProductPrice($product['price']) ?>
							</h2>
		
							<div><p><?= substr($product['metadescription'], 0, 120).'...'; ?></p></div>
							<!-- Add to cart & details buttons -->
							<?php
								if (PRODUCT_HIDE_ADD_TO_CART =='0' && $product['offer'])
								{
									?>
									<a href="<?= URL_SITE ?><?= $pages['basket']['pagename'] ?>/add/<?= $product['id'] ?>/<?= $product['offer']['id'] ?>/" class="cart">Add To Cart</a>
									<?php
								}
								elseif (PRODUCT_SHOW_AMAZON_LINK  || (PRODUCT_OFFERS_WITHOUT_AMAZON && $product['offer']['listprice']))
								{
									?>
										<a href="<?= URL_SITE ?><?= $pages['buyamazon']['pagename'] ?>/<?= $product['id'] ?>/<?= $product['expired'] ? '3' : '2' ?>/" class="amazon_cart">Buy It Now</a>
									<?php
								}
								elseif(PRODUCT_HIDE_ADD_TO_CART == '0')
								{
									?>
									<a href="<?= URL_SITE.$product['pagename'] ?>/" class="cart">Add To Cart</a>
									<?php
								}
							?>
							<a href="<?= URL_SITE.$product['pagename'] ?>/" class="details">Details</a>
						</div>
						<?php
						if ($i % 4 == 0) echo '<div class="clearall"></div>';
					}
				?>
			</div>
		<?php
			}
		?>
	
	
	<!-- Shop Text -->
	<div class="text">
		<?php $pageName = explode(" ", $page['title'])?>
		<h1><?= $pageName[0]?> <span><?php for ($i=1;$i<sizeof($pageName);$i++) echo $pageName[$i].' '; ?></span></h1>
		
		<?= $page['maintext'] ?>
		
	</div>
	
		
		
	<!-- Best Sellers -->
	<?php
		if (sizeof($topproducts) > 0)
		{
		?>
			<div class="products">
				<?php $pageName = explode(" ", $pages['bestsellers']['linktitle'])?>
				<h1><?= $pageName[0]?> <span><?php for ($i=1;$i<sizeof($pageName);$i++) echo $pageName[$i].' '; ?></span></h1>
				<?php
					$i = 0;
					foreach ($topproducts as $product)
					{
						$i++;
						?>
						<div class="product_details <?php if ($i % 4 == 0) echo 'last' ?>">
		
		
							<div class="imagebox">
								<a href="<?= URL_SITE.$product['pagename'] ?>/">
									<img src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $product['image']['id'] ?>_150.jpg" alt="<?= substr($product['linktitle'], 0, 30).(strlen($product['linktitle']) > 30 ? '...' : '') ?>" title="<?= $product['linktitle'] ?>">
								</a>
							</div>
							
							<a href="<?= URL_SITE.$product['pagename'] ?>/"><h1><?= substr($product['linktitle'], 0, 25).(strlen($product['linktitle']) > 25 ? '...' : '') ?></h1></a>
		
							<h2>
								<?php
									if ($product['offer']['isreduced'])
									{
										?>
										<span><?= $product['offer']['originalpriceformatted'] ?></span>
										<?php
									}
									else
									{
										?>
										only
										<?php
									}
								?>
								<?= formatProductPrice($product['price']) ?>
							</h2>
		
							<div><p><?= substr($product['metadescription'], 0, 120).'...'; ?></p></div>
							<!-- Add to cart & details buttons -->
							<?php
								if (PRODUCT_HIDE_ADD_TO_CART =='0' && $product['offer'])
								{
									?>
									<a href="<?= URL_SITE ?><?= $pages['basket']['pagename'] ?>/add/<?= $product['id'] ?>/<?= $product['offer']['id'] ?>/" class="cart">Add To Cart</a>
									<?php
								}
								elseif (PRODUCT_SHOW_AMAZON_LINK  || (PRODUCT_OFFERS_WITHOUT_AMAZON && $product['offer']['listprice']))
								{
									?>
										<a href="<?= URL_SITE ?><?= $pages['buyamazon']['pagename'] ?>/<?= $product['id'] ?>/<?= $product['expired'] ? '3' : '2' ?>/" class="amazon_cart">Buy It Now</a>
									<?php
								}
								elseif(PRODUCT_HIDE_ADD_TO_CART == '0')
								{
									?>
									<a href="<?= URL_SITE.$product['pagename'] ?>/" class="cart">Add To Cart</a>
									<?php
								}
							?>
							<a href="<?= URL_SITE.$product['pagename'] ?>/" class="details">Details</a>
						</div>
						<?php
						if ($i % 4 == 0) echo '<div class="clearall"></div>';
					}
				?>
			</div>
		<?php
		}
		?>
		
		<?php
			if (!empty($page['secondarytext']))
			{
				?>
					<!-- Secondary Text -->
					<div class="text">
						<br /><br />
						<?= $page['secondarytext'] ?>
					</div>
				<?php
			}
		?>
		
		
