<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8">
<title><?= $page_title ?></title>
<meta http-equiv="content-language" content="en" />
<meta name="keywords" content="<?= $page_keywords ?>" />
<meta name="description" content="<?= $page_description ?>" />
<?php
	if ($metanoindex)
	{
		?>
		<meta name="robots" content="noindex,follow" />
		<?php
	}
	else
	{
		?>
		<meta name="robots" content="index,follow" />
		<?php
	}
?>
<link rel="canonical" href="<?= $canonicalurl ?>" />

<?php
	if($pagination['currentpage'])
	{
		if ($pagination['currentpage'] <> 1)
		{
			?>
				<link rel="prev" href="<?= buildListingLink($pagination['baselink'], $pagination['currentpage']-1, $pagination['currentsort'], key($pagination['sortoptions']), $pagination['currentperpage'], $defaultperpage) ?>" />
			<?php
		}
		if ($pagination['currentpage'] <> $pagination['pages'])
		{
			?>
				<link rel="next" href="<?= buildListingLink($pagination['baselink'], $pagination['currentpage']+1, $pagination['currentsort'], key($pagination['sortoptions']), $pagination['currentperpage'], $defaultperpage) ?>" />
			<?php
		}
	}
?>

<script type="text/javascript">
if (top.location != self.location) top.location = self.location;
window.siteurl = '<?= URL_SITE ?>';
</script>

<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/js/jquery.tools.min.js"></script>
<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/js/jquery.pikachoose.js"></script>
<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/js/jquery.jcarousel.min.js"></script>

<!--- Carousel JS (product only) -->
<script>
	$(document).ready(
		function (){
			$("#pikame").PikaChoose({showCaption:false, transition:[4]});
			$("#pikame").jcarousel({scroll:4,					
						initCallback: function(carousel) 
					{
						$(carousel.list).find('img').click(function() {
					    carousel.scroll(parseInt($(this).parents('.jcarousel-item').attr('jcarouselindex')));
					 });
			}
		});

	});
</script>
<!--- Smooth Scroll (product only) -->
<script type="text/javascript">
	var jump=function(e)
	{
	       e.preventDefault();
	       var target = $(this).attr("href");
	       $('html,body').animate(
	       {
	               scrollTop: $(target).offset().top
	       },2500,function()
	       {
	               location.hash = target;
	       });
	}

	$(document).ready(function()
	{
	       $('a[href*=#]').bind("click", jump);
	       return false;
	});
</script>





<link rel="stylesheet" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/css/pika.css" />
<link rel="stylesheet" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/css/reset.css" />
<link rel="stylesheet" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/css/scrollable.css" />
<link rel="stylesheet" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/css/style.css" />
<?= $cssdeclerations ?>

<!--- Slideshow JS (index only) -->
<script type="text/javascript"> 
	$(function() {
		$(".scrollable").scrollable({circular: true, speed: 500}).autoscroll(5000); 
	});
</script>
<?php require('elements/analytics.php'); ?>


		<?php
             if ($pagetype == 'category')
             {
                ?>
                <link href="<?= URL_SITE ?>rss/<?= PAGENAME ?>/" rel="alternate" type="application/rss+xml" title="<?= SITE_NAME ?> Products in category <?= $thiscategory['linktitle'] ?>" />
                <?php
             } elseif ($pagetype == 'product')
             {
             	?>
             	<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/scripts/productoptions.js"></script>
             	<?php
             }
          ?>
          
          <link href="<?= URL_SITE ?>rss/all-products/" rel="alternate" type="application/rss+xml" title="<?= SITE_NAME ?> Products" />
          <link href="<?= URL_SITE ?>rss/special-offers/" rel="alternate" type="application/rss+xml" title="<?= SITE_NAME ?> Special Offers" />



</head>

<body<?= $body_onload ?>>
<!--- Header Area -->
<div class="header_wide">
	<div class="header">
		<?php
			if (ADMIN_LOGGED_IN)
			{
				require('elements/'.$editinplacename.'_editinplaceoptions.php');
			}
		?>
				
		<?= getTemplateImage('HEAD_LOGO', '', '', '<h1>'.SITE_NAME.'</h1>') ?>
		
		<div class="cart">
			<div class="cart_icon">&nbsp;</div>
			<p><?= ($amazon->cart ? ($amazon->cart['totalquantity'] == 1 ? '1 item in cart' : $amazon->cart['totalquantity'].' items in cart') : '0 items in cart') ?>, <span> <?= formatProductPrice($amazon->cart['subtotal']) ?></span></p>
			<a href="<?= URL_SITE ?><?= $pages['basket']['pagename'] ?>/" rel="nofollow" class="checkout" >View Cart</a>
		</div>
		<ul class="main_nav">		
				
		
			<?php
				
		      	$topnavitems = getTemplateOption('TOP_NAV_LINKS');
		      	
		      	$i = 0;
		      	$length = sizeof($topnavitems);
		      	if (sizeof($topnavitems) > 0)
		      	{
		      		foreach ($topnavitems as $page_var)
		      		{
		      			if ($i != $length - 1){
		      			?>
		      				<li><a href="<?= URL_SITE ?><?= $page_var['pagename'] == '' ? '' : $page_var['pagename'].'/' ?>"><?= $page_var['linktitle'] ?></a></li>
		      			<?php
		      			} else {
		      			?>	
		      				<li class="last"><a href="<?= URL_SITE ?><?= $page_var['pagename'] == '' ? '' : $page_var['pagename'].'/' ?>" class="last"><?= $page_var['linktitle'] ?></a></li>
		      			<?php
		      			}
		      			$i++;
		      		}
		   		}
		   		else
	      		{
		      	?>
			     	<li><a href="<?= URL_SITE ?>">Home</a></li>
			      	<li><a href="<?= URL_SITE ?>freshadmin/">Change your Template Options to Add More Links Here</a></li>
		      	<?php
		      	}
				?>
		</ul>
	</div>
</div>
<!--- Header Area end -->
<!-- Bread Crumb Navigations -->
<?php include 'elements/breadcrumb.php';?>
<!--- Body Area -->
					
<div class="container">
	
	
	<!--- Side Bar Area -->
	<div class="sidebar_holder">
		
 		
		<?php

			foreach ($leftmenucategories as $categorygroup)
			{
			
				$cat_size = sizeof($categorygroup['categories']);
				if ( $cat_size == 0) continue;
				$size = sizeof($categorygroup);
				
				?>
				<div class="sidebar">
				<h4><?= $categorygroup['name'] ?></h4>
		        <ul class="menu">

		          <?php
		          		$level = 0;
		          		$count = 0;
		          		$i = 0;
						foreach ($categorygroup['categories'] as $leftcategory)
						{
							$i++;
							$lastlevel = $level;
							$level = $leftcategory['level'];
							
							if ($page['pagekey'] == 'homepage') {
								if ( $level == 0 )	{
									?>
									<li <?php if($i== $size) echo 'class="last"'?>>
										<a class="<?= (PAGENAME == $leftcategory['pagename'] ? 'selected' : '') ?>" href="<?= URL_SITE ?><?= $leftcategory['pagename'] ?>/"><?= $leftcategory['linktitle'] ?></a>
									</li>
									<?php 
								}										
							}
							
							else {
							
									if ($level > $lastlevel )
									{
										?>
										<ul class="submenu">	
										<?php
									}

									if ($level < $lastlevel)
									{
										?>	
												</li>
					            			</ul>
										<?php
									}
									else
									{
										?>
										<?php
									}
									$count++;
									?>

							
							<li <?php if($i== $cat_size) echo 'class="last"'?>>
								<a href="<?= URL_SITE ?><?= $leftcategory['pagename'] ?>/"><?php for ($p=1;$p<$level;$p++) {echo '&nbsp;&nbsp;'; if($p == $level-1) echo '&rarr;&nbsp;';} ?><?= $leftcategory['linktitle'] ?></a>
							</li>
							<?php
							}
							
						}
						echo '</li>';
					?>
				</ul>
				</div>
				<?php
				}
			?>
				
			
		<!--- Search Widget -->
		<div class="sidebar">
			<h4>Search Store</h4>
			<form action="<?= URL_SITE ?><?= $pages['search']['pagename'] ?>/" method="post">
				<input type="text" id="search-keywords" name="keywords" value="" />
				<input type="image" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/img/search_button.png" style="margin-top:10px;" alt="Submit button">
			</form>
		</div>
				
		<div class="sidebar">
		<?php
			if (sizeof($leftmenumanufacturers) > 0)
			{
				?>
					<h4>Browse Brands</h4>
					<ul class="menu">
			        
							
						<?php
							$size = sizeof($leftmenumanufacturers);
							$i=0;
							foreach ($leftmenumanufacturers as $leftmanufacturer)
							{	$i++;
								?>
								<li <?php if($i== $size) echo 'class="last"'?>><a href="<?= URL_SITE ?><?= $leftmanufacturer['pagename'] ?>/"><?= $leftmanufacturer['linktitle'] ?></a></li>
								<?php
							}
						?>
					</ul>
		   			
				<?php
			}
		?>
			</div>
		
		
		
			<?php
						if (is_array($sidebarfilters))
						{
							?>
								<div class="sidebar">
									<h4>Filter Options - <a href="<?= URL_SITE ?><?= $pages['filterproducts']['pagename'] ?>/">more</a></h4>
								<form action="<?= URL_SITE ?>filter-products/" method="post" id="sidefilterform">
									<div id="sidefilteroptions">
										<?php
										foreach ($sidebarfilters as $key => $item)
										{
										if ($key === 'filterprices')
										{
											?>
												<div class="sidefilteroption">
												<label for="side-filterprice"><strong>Price:</strong></label>
												
												<select name="filterprice" id="side-filterprice">
													<option value="-1">Any</option>
													<?php
														$filterprices = $item;
														foreach ($filterprices as $key => $item)
														{
															?>
															<option value="<?= $item['start'].'|'.$item['end'] ?>"<?= $_SESSION['productfilters']['filterprice'] == $item['start'].'|'.$item['end'] ? ' selected' : '' ?> ><?= $item['displayvalue'] ?></option>
															<?php
														}
													?>
												</select>
												</div>
												
											<?php
											
										}
										else if ($key === 'filtermanufacturer')
										{
											?>
												<div class="sidefilteroption">
												<label for="side-filtermanufacturer"><strong>Manufacturer:</strong></label>

												<select name="filtermanufacturer" id="side-filtermanufacturer">
													<option value="-1">Any</option>
													<?php
														$filtermanufacturers = $item;
														foreach ($filtermanufacturers as $key => $item)
														{
															?>
															<option value="<?= $item['id'] ?>"<?= $_SESSION['productfilters']['filtermanufacturer'] == $item['id'] ? ' selected' : '' ?> ><?= $item['linktitle'] ?></option>
															<?php
														}
													?>
												</select>
												</div>
				
											<?php
										}
										else
										{
										?>
													
												<div class="sidefilteroption">
													<?php
														if ($item['valuetype'] == 'checkbox')
														{
															?>
															<strong><?= $item['displayname'] ?></strong> - <a href="#" onclick="unCheck($('sidefilterform'), '<?= $item['originalname'] ?>'); return false;">Reset</a><br />
															<?php
														
															$i = 0;
															foreach ($item['values'] as $valuekey => $valueitem)
															{
																?>
																
																<span class="sidefiltercheckbox">
																	<input type="checkbox" id="<?= $item['originalname'].$i ?>" name="<?= $item['originalname'] ?>[]" value="<?= $valueitem['value'] ?>" onclick="checkForAllTicked(<?= $item['originalname'] ?>, $(all<?= $item['originalname'] ?>))" <?= $_SESSION['productfilters'][$item['originalname']][$valueitem['value']] ? ' checked' : '' ?> />
																	<label for="<?= $item['originalname'].$i ?>"><?= $valueitem['value'].$item['units'] ?></label>
																</span>
																<br />
																<?php
																$i++;
															}
														}
														else if ($item['valuetype'] == 'dropdown')
														{
															?>
															<label for="side-<?= $item['originalname'] ?>"><strong><?= $item['displayname'] ?></strong></label>
															<select name="<?= $item['originalname'] ?>" id="side-<?= $item['originalname'] ?>">
																<option value="-1">Any</option>
																<?php
																foreach ($item['values'] as $valuekey => $valueitem)
																{
																	?>
																	<option value="<?= $valueitem['value'] ?>"<?= $_SESSION['productfilters'][$item['originalname']] == $valueitem['value'] ? ' selected' : '' ?> ><?= $valueitem['value'] ?></option>
																	<?php
																}
																?>
															</select>
															<?php
														}
														else if ($item['valuetype'] == 'yesorno')
														{
															?>
															<label for="side-<?= $item['originalname'] ?>"><strong><?= $item['displayname'] ?></strong></label>
															<select name="<?= $item['originalname'] ?>" id="side-<?= $item['originalname'] ?>">
																<option value="-1">Any</option>
																<?php
																foreach ($item['values'] as $valuekey => $valueitem)
																{
																	?>
																	<option value="<?= $valueitem['value'] ?>"<?= $_SESSION['productfilters'][$item['originalname']] == $valueitem['value'] ? ' selected' : '' ?> ><?= $valueitem['value'] == '1' ? 'Yes' : 'No' ?></option>
																	<?php
																}
																?>
															</select>
															<?php
														}
													?>
													</div>
										
										<?php	
										
											}		
										}
										?>
										<input id="sidefilteroptionssubmit" type="image" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/icons/filter.jpg" style="margin-top:10px;" alt="Submit button">
										<?php
											if ($_SESSION['productfilters'])
											{
												?>
													<br /><br /><a href="<?= URL_SITE ?><?= $pages['filterproducts']['pagename'] ?>/cancel/"><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/icons/delete.png" />Remove Current Filters</a>
												<?php
											}
										?>
										
									</div>
								</form>
								</div>
								<?php
						}
					?>
		
					<?php
						foreach ($sideboxes as $sidebox)
						{
							require('elements/sidebox_'.$sidebox['type'].'.php');
						}
					?>
		
			<?= getTemplateImage('LEFT_SECUREPAYMENTS','','','') ?>

		
		</div>	


			<?php
				## Initialise Messages
				$messages = getMessages();
			
				if ($messages)
				{
					echo '<div class="messages">';
					foreach ($messages as $message)
					{
						?>
						<div class="message-<?= $message['type'] ?>"><?= $message['message'] ?></div>
						<?php
					}
					echo '</div>';
				}
			?>

			<?= $pagecontents ?><!-- IMPORTANT -->
			
			<?php
						if (ADMIN_LOGGED_IN && $editinplacename != '')
						{
							require('elements/'.$editinplacename.'_editinplacejs.php');
						}
			?>
			
			
			
			
<div class="footer_wide">
	<!-- Footer -->
	<div class="footer">
		<?php
			if(defined(FOOTER_LOGO))
			{
				?><a href="<?= URL_SITE ?>"><?= getTemplateImage('FOOTER_LOGO', '', '', ''); ?></a><?php 
			}
			else
			{
				?><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/img/amazon_logo.png" alt="Amazon Associates" title="Amazon Associates" class="amazon"><?php
			}
		?>

		<ul class="footer_nav">
			<li><a href="<?= URL_SITE ?>privacy-policy/">Privacy Policy</a></li>
			<li><a href="<?= URL_SITE ?>terms-of-use/">Terms &amp; Conditions</a></li>
			<li><a href="<?= URL_SITE ?>site-map/">Sitemap</a></li>
			<li><a href="<?= URL_SITE ?>contact-us/" class="last">Contact Us</a></li>
		</ul>
		<p><?= sprintf(gTT('FOOTER_COPYRIGHT'), date('Y').' '.SITE_NAME) ?></p>
		<p><?= getFooterText() ?></p>
	</div>
</div>
</body>
</html>


		
