<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8">
<title><?= $page_title ?></title>
<meta http-equiv="content-language" content="en" />
<meta name="keywords" content="<?= $page_keywords ?>" />
<meta name="description" content="<?= $page_description ?>" />
<?php
	if ($metanoindex)
	{
?>
<meta name="robots" content="noindex,follow" />
<?php
	}
	else
	{
?>
<meta name="robots" content="index,follow" />
<?php
	}
?>
<link rel="canonical" href="<?= $canonicalurl ?>" />
<script type="text/javascript">
if (top.location != self.location) top.location = self.location;
window.siteurl = '<?= URL_SITE ?>';
</script>
<link rel="stylesheet" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/css/pika.css" />
<link rel="stylesheet" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/css/reset.css" />
<link rel="stylesheet" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/css/scrollable.css" />
<link rel="stylesheet" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/css/style.css" />
<script src="http://cdn.jquerytools.org/1.2.5/full/jquery.tools.min.js" type="text/javascript"></script>

<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/scripts/main.js"></script>
		
<?php
	if (isset($includescripts) && is_array($includescripts))
	foreach ($includescripts as $script)
	{
		?>
			<script type="text/javascript" src="<?= $script ?>"></script>
		<?php
	}
?>

<?php require('elements/analytics.php'); ?>
</head>

<body<?= $body_onload ?>>
<?= $pagecontents ?>
</body>
</html>