	<!-- Product View -->
	<div class="product_large">
		<div class="product_view">
			<!-- Image Slideshow & Gallery -->
			<div class="carousel">
			
				<ul id="pikame" class="jcarousel-skin-pika">
					<li><img src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $mainimage['id'] ?>_300.jpg"/></li>
		
			<?php
				if (sizeof($images) > 0) 
				{
					foreach ($images as $image)
					{
						?>
							<li><a href="#"><img src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $image['id'] ?>_300.jpg" alt="<?= $product['linktitle'] ?>" title="<?= $product['title'] ?>" /></a></li>
						<?php
					}
				}
			?>
			
				</ul>
			</div>
			<!-- Product Details -->
			<div class="product_details">
				<h1><?= $product['title'] ?></h1>
				<h2>
				<?php
					if ($offer['isreduced'])
					{
						?>
						<span><?= $offer['originalpriceformatted'] ?></span>
						<?php
					}
				?>
				<?php
					if ($offer && $offer['price'] > 0)
					{
						echo $offer['priceformatted'];
					}
					else if($offer['listprice'])
					{
						echo "List price: {$offer['listprice']}";
					}
					else if ($offer && $offer['price'] == 0)
					{
						echo 'Price shown when you add to cart';
					}
					else if ($product['price'] > 0 && $product['expired'] == 0)
					{
						echo $product['priceformatted'];
					}
					else
					{
						echo 'Price not available at this time';
					}
				?>
				</h2>
				<?php
					if ($offer && $offer['price'] == 0 && !$offer['listprice'])
					{
						echo '<p><small><strong>Why is the price not displayed here?</strong><br />The manufacturer has requested that the price is not displayed until it is requested. To request the price, simply click add to shopping car below.</small</p>';	
					}
				?>
				<?php
					if ($offer['ispreorder'])
					{
						?>
						<p id="product-preorder">Available to Pre-order now!<br />Your card will not be charged until the item is dispatched. You will pay the lowest price this item has been available for in the Pre-order period - guaranteed.</p>
						<?php
					}
				?>
				<?php
					if ($offer['availabilitytext'])
					{
						?>
						<p><?= $offer['availabilitytext'] ?></p>
						<?php
					}
				?>
				
				<?php
					if ($product['reviewiframelink'] != '')
					{
						?>
							<h3><a href="<?= URL_SITE ?><?= $product['pagename'] ?>/reviews/">View Customer Ratings</a></h3>
						<?php
					}
				?>
				
				
				<h4>Availability: <span>Usually ships in 24 hours</span></h4>
				<h4>Shipping: <span>
								<?php
								if ($offer && $offer['supersavershipping'])
								{
									?>
										<?php
										if ($offer['priceraw'] > ($amazon->supersavershippinglimit - 10))
										{
											?>
											This item ships for FREE with Super Saver Shipping.
											<?php
										}
										else
										{
											?>
											This item ships for <strong>FREE</strong> with Super Saver Shipping, when the order total is greater than <?= formatProductPrice($amazon->supersavershippinglimit) ?>.
											<?php
										}
								}
								else if ($product['expired'] == 0)
								{
									?>
									Shipping cost is calculated during checkout.
									<?php
								}
							?>	
							  </span></h4>
				<?php
					if ($offer && $offer['quantity'] > 0 && $offer['quantity'] < 5)
					{
						?>
							<p id="product-lowstock">Only <?= $offer['quantity'] ?> left in stock - order now to avoid dissapointment.</p>
						<?php
					}	
				?>
				<?php
					if(!PRODUCT_HIDE_ADD_TO_CART)
					{
						if ($offer && !$offer['listprice'])
						{
							?>
								<a href="<?= URL_SITE ?><?= $pages['basket']['pagename'] ?>/add/<?= $product['id'] ?>/<?= $offer['id'] ?>/" class="cart">
									<?= $offer['ispreorder'] ? 'Preorder' : 'Add To Cart' ?>
								</a>
							<?php
						}
						else if ($product['expired'])
						{
							?>
								<p><span class="outofstock">Discontinued</span> - Unfortunately this product has been discontinued and we will not be receiving any more stock. <a href="<?= URL_SITE ?><?= $pages['buyamazon']['pagename'] ?>/<?= $product['id'] ?>/3/">Click here for alternative products</a>.</p>
							<?php
						}
						else if(!$offer['listprice'] && PRODUCT_OFFERS_WITHOUT_STOCK)
						{
							?>
								<p><span class="outofstock">Not Available to Buy</span> - Awaiting stock</p>
							<?php
						}
					}
				?>
				<a href="#related_products" class="details related">Related Products</a>
				<!-- Optional Buy It Now Button -->
				<div class="divider">&nbsp;</div>
				<?php
					if (PRODUCT_SHOW_AMAZON_LINK  || (PRODUCT_OFFERS_WITHOUT_AMAZON && $offer['listprice']))
					{
						?>
							<a href="<?= URL_SITE ?><?= $pages['buyamazon']['pagename'] ?>/<?= $product['id'] ?>/<?= $product['expired'] ? '3' : '2' ?>/" class="amazon_cart">Buy It Now</a>
							<span class="buy_it_now">from<img src="<?= URL_SITE ?>/templates/stalfoshop/img/buy_it_now_amazon.png" alt="Buy It Now On Amazon"></span>
						<?php
					}
				?>
			</div>
		</div>
		
		
		
		<br clear="all" /><br clear="all" />
		
		
		<!--- Product Description -->
		<h5>Description</h5>
		<?php
			if (trim($product['description']) != '' || ADMIN_LOGGED_IN)
			{
				?>	
					<h2>Introducing: <?= $product['linktitle'] ?></h2>
					<div id="product-description"><?= $product['description'] ?></div>
				<?php
			}
		?>
		
		<?php
			if (trim($amazoncontent['description']) != '' && PRODUCT_INFO_DISPLAY_AZDESC != '0')
			{
				?>
					<div id="product-azdescription">
						<h3>Manufacturer Description</h3>
						<p><?= $amazoncontent['description'] ?></p>
					</div>
				<?php
			}
		?>
		
		
		
		
		<h5 class="half">Features</h5><h5 class="half right">Attributes</h5>
		<!--- Product Features -->
		<ul class="feature_list">
			<?php
			if (sizeof($product['keyfeatures']) > 0 && $product['keyfeatures'][0] != '')
			{
				?>
				<?php
				$product['keyfeatures'] = explode("\n",$product['keyfeatures']);
				foreach($product['keyfeatures'] as $feature)
				{
					?>
					<li><span><?= $feature ?></span></li>
					<?php
				}
				?>
				<?php
			}
			else echo "Currently no features."
			?>
		</ul>
		
		<ul class="feature_list right">
			<?php
			if (sizeof($attributes) > 0)
			{
				foreach ($attributes as $name => $value)
				{
					if (trim($value) == '') continue;
					?>
						<li>
							<span>
							<?php
								if (is_array($value))
								{
									foreach ($value as $key => $item)
									{
										echo $key . ' = ' . $item.',';
									}
								}
								else
								{
									echo $value;
								}
							?>
							</span>
							<br class="clearall" />
						</li>
					<?php
				}
			?>
			<?php } else echo "Currently no attributes." ?>
		</ul>

		<br clear="all" />

		<?php
			if (trim($product['descriptionsecondary']) !== '')
			{
				?>
					<h5>Further Details</h5>
					
					<?= $product['descriptionsecondary'] ?>
				<?php
			}
		?>
		
		
		<?php if($product['feed']): ?>
			<div id="product-feed">
				<h5>Recent Product News</h5>
				<?php
					$i = 0;
					foreach($product['feed'] as $feeditem)
					{
						echo '<div class="product-feed-item">';
						echo "<a href=\"{$feeditem['item_url']}\" class=\"product-feed-item-link\" rel=\"nofollow\">{$feeditem['item_title']}</a>";
						echo '<div class="product-feed-item-body">'.$feeditem['item_body'].'</div>';
						echo '</div>';
						$i++;
						if($i == RSSFEED_COUNT) break;
					}
				?>
			</div>
			<br class="clearall" />
		<?php endif; ?>

	</div>
	
	<div class="products">
		<h1 id="related_products">Related <span>Products</span></h1>
		<?php
			if (sizeof($relatedproducts) > 0)
			{
				?>
					<!-- Related Products -->
					
						<?php
							$i = 0;
							foreach ($relatedproducts as $rproduct)
							{
								$i++;
								$rproduct['image'] = $db->get('productimages',$rproduct['id'], 'product_id');
								$rproduct['offer'] = getProductOffer($rproduct['id']);
								?>
								
								
								<div class="product_details <?php if ($i % 4 == 0) echo 'last'; ?>">
				
									<div class="imagebox">
										<a href="<?= URL_SITE.$rproduct['pagename'] ?>/"><img src="<?= URL_SITE ?>img/<?= $rproduct['pagename'] ?>_<?= $rproduct['image']['id'] ?>_96.jpg" alt="<?= $rproduct['title'] ?>" title="<?= $rproduct['title'] ?>"></a>
									</div>
									
									<a href="<?= URL_SITE.$rproduct['pagename'] ?>/"><h1><?= substr(strip_tags($rproduct['title']), 0, 20) ?>...</h1></a>
									<h2><?= formatProductPrice($rproduct['price']) ?></h2>
									<p><?= substr($rproduct['metadescription'], 0, 180).'...'; ?></p>
									<a href="<?= URL_SITE ?><?= $pages['basket']['pagename'] ?>/add/<?= $rproduct['id'] ?>/<?= $rproduct['offer']['id'] ?>/" class="cart">Add To Cart</a>
									<a href="<?= URL_SITE.$rproduct['pagename'] ?>/" class="details">Details</a>
								</div>
								<?php if ($i % 4 == 0) echo '<div style="clear:both;"></div>'; ?>
							<?php } ?>
					</div>	
					
				<?php
			}
			else
			{
				?>
				<p>No related products found.. why not check out our current <a href="<?= URL_SITE ?>special-offers/">Special Offers</a>?</p>
				<?php
			}
		
		?>
	
	</div>

	
	
	
	
</div>
