<?php
	require('../start/ajax.php');
	
	# Amazon cart
	$amazon->getCart();	
	
	# Vars		
	$product_id = $_GET['product'];
	$offer_id = $_GET['offer'];
	$product = $db->get('products', $product_id);
	
	if (!$product)
	{
		setMessage('error', 'Product could not be found and was not added to your basket.');
		redirect(URL_SITE.'basket/');
		exit();
	}
	
	# Action Tracking
	$temp = array();
	$temp['product_id']	= $product['id'];
	$temp['asin']		= $product['asin'];
	$temp['quantity']	= 1;
	$temp['price']		= $product['price'];
	$temp['title']		= $product['title'];
	$temp['pagename']	= $product['pagename'];
	$temp['url']		= $product['url'];
	$products[] = $temp;
	
	# Get Offer Listing Id
	$offerlistingid = $db->value('productoffers', 'offerlistingid', $offer_id);
	
	# Make sure product offer listing id is current
	updateProductOffers($product);
	
	# Check offer listing id again, after update
	$offerlistingid = $db->value('productoffers', 'offerlistingid', $offerlistingid, 'offerlistingid');
	
	if (!$offerlistingid)
	{
		$offer = getProductOffer($product['id']);
		$offerlistingid = $offer['offerlistingid'];
	}
		
	# Check if no offer listing id, send back and set message
	if (!$offerlistingid)
	{
		$analyticslocal->recordAction('basket_add_failed', '', $products);
	
		die('error');
	}
	
	$analyticslocal->recordAction('basket_add', '', $products);
							
	# Add to Cart
	$amazon->addToCart($offerlistingid, $product['asin']);
	die('success');
