<?php

	$page_title = $thiscategory['metatitle'];
	$page_description = $thiscategory['metadescription'];
	$page_keywords = $thiscategory['metakeywords'];

	# Caching
	$cacheidentifier = getCacheIdentifier(array(PAGENAME, $_GET));
	$pagecontents = getCacheFile($cacheidentifier);

	if ($pagecontents)
	{
		require(pickTemplateFile('layout_default.php'));
		exit();
	}

	# Category list only	
	$sql = "SELECT * FROM categories WHERE parent_id = " . $thiscategory['id'] . " ORDER BY sortorder ASC";
	$rs = $db->query($sql);
	$ra = $rs->getFullArray();
	$subcategories = array();
	foreach ($ra as $category)
	{
		$category['productcount']	= getCategoryProductCount($category['id'], true);
		$category['browsenodelink'] = $amazon->createBrowseNodeLink($category['browsenode']);
		$category['searchtermlink'] = $amazon->createSearchTermLink($category['searchterm']);
		
		$sql = "SELECT MIN(p.price) as minprice, MAX(p.price) as maxprice, COUNT(*) as products
				FROM products p, products_categories c
				WHERE p.id = c.product_id
				  AND c.category_id = ".$category['id']."
				  AND p.offers > 0
				  AND p.hidden = 0
				  AND p.enabled = 1
				  AND p.parent = 0
				  AND p.price > 0";
		
		$rs = $db->query($sql);
		$pricerange = $rs->fetch();
		
		$category = array_merge($category, $pricerange);
		
		$category['productimage'] = getTopProductImageByCategory($category['id'], 150);
	
		$subcategories[$category['id']] = $category;
	}
	
	
	
	# Category Images	
	$rs = $db->query("SELECT * FROM categoryimages WHERE category_id = ".$thiscategory['id']);
	$categoryimages = $rs->getFullArray();
	
	$pagecontents = getFileContents(pickTemplateFile('category_subcategories.php'));
	require(pickTemplateFile('layout_default.php'));

	# Create cache file
	createCacheFile($pagecontents, $cacheidentifier);