<?php

	# Valid cart?
	if (!$amazon->cart)	redirect(URL_SITE.'basket/');

	$page = getPage(PAGENAME, 'pagename');
	$breadcrumb = getBreadcrumb($pagetype, $page);	
	require('page.php');

	# Products for action recording	
	$products = array();
	foreach ($amazon->cart['items'] as $id => $item)
	{
		$product = $db->get('products', $item['asin'], 'asin');

		$temp = array();
		$temp['product_id']	= $product['id'];
		$temp['asin']		= $product['asin'];
		$temp['quantity']	= $item['quantity'];
		$temp['price']		= $product['price'];
		$temp['title']		= $product['title'];
		$temp['pagename']	= $product['pagename'];
		$temp['url']		= $product['url'];
		
		$products[] = $temp;
	}
	
	$checkout_link = $amazon->cart['purchaseurl'];

	if ($amazon->locale == 'USA' && true == false)
	{
		$analyticslocal->recordAction('checkout_framed', '', $products);
		$pagecontents = getFileContents(pickTemplateFile('checkout_framed.php'));
	}
	else
	{
		$analyticslocal->recordAction('checkout_explain', '', $products);
		$pagecontents = getFileContents(pickTemplateFile('checkout_explain.php'));
	}
	
	# Redirect without showing the page
	if(!CHECKOUT_REDIRECTION_TIME) redirect('/checkout-amazon/');
	
	$page_title = $page['metatitle'];
	$page_description = $page['metadescription'];
	$page_keywords = $page['metakeywords'];
	
	require(pickTemplateFile('layout_minimum.php'));