<?php
	$page = getPage(PAGENAME, 'pagename');
	$breadcrumb = getBreadcrumb($pagetype, $page);
	require('page.php');
	
	if ($_POST && $_POST['newsletter_action'])
	{
		if ($_POST['newsletter_action'] == 'subscribe')
		{
			$email = trim($_POST['newsletter_email']);
			$return_to = $_POST['return_to'];
			$subscribe_valid = true;
			
			
			if (!validEmail($email))
			{
				setMessage('error', 'Please enter a valid email address.');
				$subscribe_valid = false;
			}
			
			if ($subscribe_valid)
			{			
				$success = addNewsletterUser('', $email);
				
				if (!$success)
				{
					setMessage('error', 'This email address is already registered!');
				}
				else
				{
					#mail(EMAIL_TO, 'New Newsletter Subscriber - '.URL_SITE, 'woot!'."\n\nemail: $email \nname: $name");
					
					setMessage ('success', 'You are now a member of our newsletter. Thank you for Joining.');
					
					$name = '';
					$email = '';
					
					if ($return_to != '')
					{
						redirect($return_to);
					}
					
				}
			}
			
		}
		else if ($_POST['newsletter_action'] == 'unsubscribe')
		{
			$email = $_POST['newsletter_email'];
			removeNewsletterUser($email);
			setMessage ('success', 'You have been removed from the Newsletter');
			$email = '';
		}
	}
	
	
	$page_title = $page['metatitle'];
	$page_description = $page['metadescription'];
	$page_keywords = $page['metakeywords'];
	
	$pagecontents = getFileContents(pickTemplateFile('newsletter.php'));
	require(pickTemplateFile('layout_default.php'));