<?php

	$disableadminchecks = true;
	require('../../start/controlpanel.php');
	
	$asin = $_GET['asin'];
	$product = $db->get('products', $asin, 'asin');
	if(!$product) exit;

	$product['image'] = $db->get('productimages', $product['id'], 'product_id', 'sortorder');
	$product['manufacturer'] = $db->get('manufacturers', $product['manufacturer_id']);
?>
<td>
	<div style="width:50px;height:50px;"><img class="main" src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $product['image']['id'] ?>_50.jpg" alt="product" /></div>
</td>
<td>
	<a href="<?= URL_SITE ?>freshadmin/product/edit/<?= $product['id'] ?>/" title="Edit: <?= $product['linktitle'] ?>">
	<?= substr($product['title'], 0, 60) ?>
	</a>
</td>
<td>
	<?= formatProductPrice($product['price']) ?>
</td>
<td>
	<?php
		if (isset($product['manufacturer']['name']))
		{
			?>
				<a href="<?= URL_SITE ?>freshadmin/product/bymanufacturerlist/<?= $product['manufacturer']['id'] ?>/" title="<?= $product['manufacturer']['name'] ?>">
			<?= (strlen($product['manufacturer']['name']) > 20 ? substr($product['manufacturer']['name'],0,20).'...' : $product['manufacturer']['name']) ?>
			</a>
			<?php
		}
		else
		{
			echo '<em>unknown</em>';
		}
	?>
</td>
<td class="center">
	<?= $product['salesrank'] ?>
</td>
<td class="options">
	<a href="<?= URL_SITE.$product['pagename'].'/' ?>">
		<img src="<?= URL_SITE ?>freshadmin/icons/link_view.png" alt="View on <?= SITE_NAME ?>" title="View on <?= SITE_NAME ?>" />
	</a>
	<a href="<?= $product['url'] ?>">
		<img src="<?= URL_SITE ?>freshadmin/icons/amazon_<?= strtolower(AMAZON_LOCALE) ?>.png" alt="View on Amazon" title="View on Amazon" />
	</a>
	<a href="<?= URL_SITE ?>freshadmin/product/edit/<?= $product['id'] ?>/">
		<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Edit" title="Edit" />
	</a>
	<a href="<?= URL_SITE ?>freshadmin/product/removefromcategory/<?= $product['id'] ?>/<?= $category_id ?>/">
		<img src="<?= URL_SITE ?>freshadmin/icons/link_removefromcategory.png" alt="Remove from Category" title="Remove from Category" />
	</a>
	<a href="<?= URL_SITE ?>freshadmin/product/changestatus/<?= $product['id'] ?>/">
		<img src="<?= URL_SITE ?>freshadmin/icons/link_<?= ($product['enabled'] ? 'enabled' : 'disabled') ?>.png" alt="<?= ($product['enabled'] ? 'Product Enabled - Click to Disable' : 'Product Disabled - Click to Enable') ?>" title="<?= ($product['enabled'] ? 'Product Enabled - Click to Disable' : 'Product Disabled - Click to Enable') ?>" />
	</a>
	<a href="<?= URL_SITE ?>freshadmin/product/hide/<?= $product['id'] ?>/">
		<img src="<?= URL_SITE ?>freshadmin/icons/link_hide.png" alt="Hide" title="Hide" onclick="return confirm('Are you sure you wish to hide this product? Hiding a product will make sure it does not appear anywhere on the site.');" />
	</a>
	<a href="<?= URL_SITE ?>freshadmin/product/delete/<?= $product['id'] ?>/">
		<img src="<?= URL_SITE ?>freshadmin/icons/link_delete.png" alt="Delete" title="Delete" onclick="return confirm('Are you sure you wish to delete this product? This cannot be undone and you will lose any custom created content.');" />
	</a>
</td>			
