<?php

  $countsql = "SELECT COUNT(*) FROM newsletterusers";
  $getsql = "SELECT * FROM newsletterusers";

  $pagination = getPaginationCurrentOptions();
  $rs = $db->query($countsql);
  $pagination['quantity'] = $rs->getSingleResult();
  $pagination['pages'] = ceil($pagination['quantity']/$pagination['currentperpage']);
  $pagination['baselink'] = URL_CONTROLPANEL."newsletter/viewall/";
  if(!$pagination['currentsort'] || $pagination['currentsort'] == 'bestselling') $pagination['currentsort'] = 'address-asc';
  
  # Sort options
  $pagination['sortoptions'] = getPaginationSortOptions('emails');

  # Sort Order
  $orderby = $pagination['sortoptions'][$pagination['currentsort']]['sql'];

  # Limit
  $limitstart = ($pagination['currentpage'] - 1) * $pagination['currentperpage'];
  
  # Get the subscribers
  $getsql .= " ORDER BY {$orderby} LIMIT {$limitstart}, {$pagination['currentperpage']}";
  $rs = $db->query($getsql);
  $subscriberlist = $rs->getFullArray();

  $navactive = 'tools';

  $template_filename = PATH_CONTROLPANEL_TEMPLATES.'/newsletter/viewall.php';
  require(PATH_CONTROLPANEL_TEMPLATES.'/layout_default.php');