<?php
	
	
	$manufacturer_id = (isset($_GET['var1']) ? $_GET['var1'] : 0);
	if ($manufacturer_id == 0) redirect(URL_SITE.'freshadmin/');
	
	$selectedproducts = array();
	if ($_POST)
	{
	
		$formaction = $_POST['formaction'];
	
		if ($formaction == 'products')
		{
	
			$action = strtolower($_POST['action']);
			
			if (isset($_POST['selected']))
			{
				foreach ($_POST['selected'] as $product_id => $trash)
				{
					$selectedproducts[$product_id] = $product_id;
				}
			} 
			
			if (sizeof($selectedproducts) == 0)
			{
				setMessage('error', 'No products selected');
			}
			else if ($_POST['category_id'] != '')
			{
				#Move products to a category
				$category_id = $_POST['category_id'];
				foreach ($selectedproducts as $product_id)
				{
					$db->query("INSERT INTO products_categories (category_id, product_id) SELECT $category_id, $product_id");
				}
				setMessage('success', 'Product(s) added to category');
				$selectedproducts = array();
			}
			else if ($action == 'disable')
			{
				disableProducts($selectedproducts);
				setMessage('success', 'Product(s) successfully disabled');
				$selectedproducts = array();
			}
			else if ($action == 'delete')
			{
				deleteProducts($selectedproducts);			
				setMessage('success', 'Product(s) successfully deleted');
				$selectedproducts = array();
			}
			else if ($action == 'enable')
			{
				enableProducts($selectedproducts);			
				setMessage('success', 'Product(s) successfully enabled');
				$selectedproducts = array();
			}
			else if ($action == 'hide')
			{
				hideProducts($selectedproducts);			
				setMessage('success', 'Product(s) successfully hidden');
				$selectedproducts = array();
			}
			else if ($action == 'removecategory')
			{
				$db->query("DELETE FROM products_categories WHERE product_id IN (".implode(',', $selectedproducts).")");
				setMessage('success', 'Product(s) removed from categories');
				$selectedproducts = array();
			}
		}
	}
	
	
	$baselink = URL_CONTROLPANEL."product/bymanufacturerlist/$manufacturer_id/";
	$countsql = "SELECT COUNT(*) FROM products p WHERE p.manufacturer_id = $manufacturer_id AND p.hidden = 0 AND p.parent_id = 0";
	$getsql = "SELECT * FROM products p WHERE p.manufacturer_id = $manufacturer_id AND p.hidden = 0 AND p.parent_id = 0";
	
	# Current pagination options
	$pagination = getPaginationCurrentOptions(2);
	$rs = $db->query($countsql);
	$pagination['quantity'] = $rs->getSingleResult();
	$pagination['pages'] = ceil($pagination['quantity']/$pagination['currentperpage']);
	$pagination['baselink'] = $baselink;
	
	# Sort options
	$pagination['sortoptions'] = getPaginationSortOptions('products');

	# Sort Order
	$orderby = $pagination['sortoptions'][$pagination['currentsort']]['sql'];

	# Limit
	$limitstart = ($pagination['currentpage'] - 1) * $pagination['currentperpage'];
		
	# Get the products
	$getsql .= " ORDER BY {$orderby} LIMIT {$limitstart}, {$pagination['currentperpage']}";
	$rs = $db->query($getsql);
	$productlist = $rs->getFullArray();
	
	/*
	foreach ($productlist as $key => $item)
	{
		$productlist[$key]['variationcount'] = $db->value('products', 'COUNT(*)', $item['id'], 'parent_id');
	}
	*/
	
	# Filter Option Stuff
	$categorytree = getCategoryChildren();
	
	$manufacturer = getManufacturer($manufacturer_id);
	
	$javascripts[] = URL_CONTROLPANEL.'scripts/checkall.js';
	
	$navactive = 'products';

	$template_filename = PATH_CONTROLPANEL_TEMPLATES.'product/bymanufacturerlist.php';
	require(PATH_CONTROLPANEL_TEMPLATES.'layout_default.php');
?>
