<?php
	

	if (!isset($_GET['var1']))
	{
		redirect(URL_SITE.'freshadmin/');
	}
	else
	{
		$product_id = $_GET['var1'];
	}
	
	if ($_POST)
	{
			
		$product = $_POST['product'];
		if (!isset($product['edited']))
		{
			$product['edited'] = 0;
		}
		else
		{
			$product['edited'] = 1;
		}
		$product['marketplaceitem'] = isset($product['marketplaceitem'])? 1 : 0;
		$result = saveProduct($product_id, $product);
		
		# Product Amazon Content
		if($_POST['productamazoncontent'])
		{
			$amazoncontent = $_POST['productamazoncontent'];
			$update = array();
			$update['description'] = $amazoncontent['description'];
			$update['lockdescription'] = isset($amazoncontent['lockdescription']) ? '1' : '0';
			$db->update('productamazoncontent', $product_id, $update, 'product_id');
		}
		
		
		# Product Categories
		if (isset($_POST['categories']) && is_array($_POST['categories']))
		{
			$db->query("DELETE FROM products_categories WHERE product_id = $product_id");
			foreach ($_POST['categories'] as $category_id)
			{
				$fields = array();
				$fields['product_id'] = $product_id;
				$fields['category_id'] = $category_id;
				$db->insert('products_categories', $fields);
			}
		}
		
		if ($result) setMessage('success', 'Product Saved Succesfully');
		
		$attributeschanged = false;
		if (isset($_POST['attributes']) && is_array($_POST['attributes']))
		{
			foreach ($_POST['attributes'] as $attributename => $new_value)
			{
				$attribute = $db->query("SELECT * FROM productattributes WHERE product_id = $product_id AND name = '$attributename'")->fetch();
				
				if (!$attribute && $new_value != '')
				{	
					$values = array();
					$values['product_id'] = $product_id;
					$values['name'] = $attributename;
					$values['value'] = $new_value;
					$values['edited'] = 'NOW()';
					$db->insert('productattributes', $values);
				}
				else
				{
					if ($new_value === '')
					{
						$db->query("DELETE FROM productattributes WHERE product_id = $product_id AND name = '$attributename'");
					}
					else if ($attribute['value'] != $new_value)
					{
						$new_value = $db->cleanValue($new_value);
						
						$sql = "UPDATE productattributes SET value = '$new_value', edited = NOW() WHERE product_id = $product_id AND name = '$attributename'";
						$db->query($sql);
						
						$attributeschanged = true;
					}
				}
			}
		}
		
		if ($attributeschanged) setMessage('success', 'Attributes Saved Succesfully');
	}

	$product = $db->get('products', $product_id);
	$productamazoncontent = $db->get('productamazoncontent', $product_id, 'product_id');
	
	$productimage = getMainProductImage($product_id, 150);
	$productoffer = getProductOffer($product_id);
	$product['variationcount'] = $db->value('products', 'COUNT(*)', $product['id'], 'parent_id');
	
	# Product Attributes
	$attributes = $db->query("SELECT a.id as attribute_id, a.*, n.* FROM productattributenames n, productattributes a WHERE a.name = n.originalname AND a.product_id = $product_id AND n.hidden = 0 ORDER BY n.displayname")->getFullArray();
	$attributes_unset = $db->query("SELECT * FROM productattributenames n WHERE n.originalname NOT IN (SELECT name FROM productattributes WHERE product_id = $product_id) and n.hidden = 0 ORDER BY n.displayname")->getFullArray();
	
	
	$categorytree = getCategoryChildren();
	$temp = $db->getAll('products_categories', $product_id, 'product_id');
	foreach ($temp as $item)
	{
		$selectedcategories[] = $item['category_id'];
	}
	$manufacturerlist = getManufacturerList(false, true);
	
	if (EDITOR_ENABLED == '1')
	{
		$javascripts[] = URL_SITE.'freshadmin/scripts/tiny_mce/tiny_mce.js';
		$javascripts[] = URL_SITE.'freshadmin/scripts/tiny_mce_config.js';
	}
	
	
	$navactive = 'products';

	$template_filename = PATH_CONTROLPANEL_TEMPLATES.'/product/edit.php';
	require(PATH_CONTROLPANEL_TEMPLATES.'/layout_default.php');
?>
