<?php
	

	# Get the current template
	$currenttemplate = $db->value('parameters', 'value', 'TEMPLATE_FOLDER', 'parameter');

	# Get the template image option
	$image_id = $_GET['var1'];
	$image = $db->get('template_images', $image_id);
	
	if ($_POST)
	{
	
		if ($_FILES['imagefile']['tmp_name'] !== '')
		{
			# Post data
			$tempimage = $_FILES['imagefile']['tmp_name'];
			$name = $_FILES['imagefile']['name'];
			$name = explode('.', $name);
			$name = $name[0];
			$type = $_FILES['imagefile']['type'];
			
			$types['image/jpeg'] = 'jpeg';
			$types['image/gif'] = 'gif';
			$types['image/png'] = 'png';
			
			# Initialise phpThumb class
			$phpThumb = new phpThumb();
			$phpThumb->setSourceFilename($tempimage);
			$filename = $name.'_'.date('YmdHis').'_'.$image_id.'.'.$types[$type];
			$output_filename = PATH_IMAGES_TEMPLATE.$filename;

			# Make sure that the directory exists
			if(!is_dir(PATH_IMAGES_TEMPLATE))
			{
				@mkdir(PATH_IMAGES_TEMPLATE);
				@chmod(PATH_IMAGES_TEMPLATE, 0755);
			}
			
			# Resize - This is just because the source images needs not be bigger than this
			if ($image['forcedimensions'] == 1)
			{
				$phpThumb->setParameter('w', $image['width']);
				$phpThumb->setParameter('h', $image['height']);
				$phpThumb->setParameter('far', 1);
			}
			$phpThumb->setParameter('f', $types[$type]);
			
			# Generate and save
			$phpThumb->GenerateThumbnail();
			$phpThumb->RenderToFile($output_filename);
			@chmod($output_filename, 0777);
		}
	
		if ($image['type'] == 'css')
		{
			$imageupdate = $_POST['image'];
			$update['disabled'] = $imageupdate['disabled'] ? '1' : '0';
			$update['updated'] = date('Y-m-d H:i:s');
		
			if ($_FILES['imagefile']['tmp_name'] !== '')
			{
				# Save image details
				$update['cssdecleration'] = str_replace('%IMAGE_URL%', URL_SITE.'images/template/'.$filename, $image['default_cssdecleration']);
				$update['src'] = URL_SITE.'images/template/'.$filename;
			}
			else if ($update['disabled'] == 0)
			{
				# Just in case it was disabled previously and no new image, revert to previous image
				$currentimage = $db->get('template_images', $image_id);
				$update['cssdecleration'] = str_replace('%IMAGE_URL%', $currentimage['src'], $image['default_cssdecleration']);
			}
			
			# If it is disabled, update the cssdecleration
			if ($update['disabled'] == 1)
			{
				$update['cssdecleration'] = str_replace('url(%IMAGE_URL%)', 'none', $image['default_cssdecleration']);
			}
			
			$db->update('template_images', $image_id, $update);			
		}
		else if ($image['type'] == 'html')
		{
		
			# Save to Database
			if ($_FILES['imagefile']['tmp_name'] !== '')
			{
				$update['src'] = URL_SITE.'images/template/'.$filename;
			}
			
			$imageupdate = $_POST['image'];
			if ($imageupdate['alt'] !== '') $update['alt'] = $imageupdate['alt'];
			if ($imageupdate['title'] !== '') $update['title'] = $imageupdate['title'];
			if ($imageupdate['link'] !== '') $update['link'] = $imageupdate['link'];
			$update['linktarget'] = $imageupdate['linktarget'] ? $imageupdate['linktarget'] : '';
			$update['linknofollow'] = $imageupdate['linknofollow'] ? '1' : '0';
			$update['disabled'] = $imageupdate['disabled'] ? '1' : '0';
			
			$update['updated'] = date('Y-m-d H:i:s');
			$db->update('template_images', $image_id, $update);
		}
		
		
		setMessage('success', 'Template Image Saved');
		redirect(URL_SITE.'freshadmin/template/configure/');
		
	}
	
	# For image type = html, we need to figure out the default link and linknofollow
	if ($image['type'] == 'html')
	{
		$imagelink = $image['default_link'];
		if (strstr($imagelink, '[PAGE]'))
		{
			$page = $db->get('pages', str_replace('[PAGE]', '', $imagelink), 'pagekey');
			$imagelink = URL_SITE.$page['pagename'].'/';
		}
		
		if ($image['src'] == '')
		{
			$linknofollow = $image['default_linknofollow'];
		}
		else
		{
			$linknofollow = $image['linknofollow'];
		}
		
	}
	
	
	# Ok so we decide what template based on the image type...
	$templates['css'] = 'editimage_css.php';
	$templates['html'] = 'editimage_html.php';
	
	
	$navactive = 'template';

	$template_filename = PATH_CONTROLPANEL_TEMPLATES.'template/'.$templates[$image['type']];
	require(PATH_CONTROLPANEL_TEMPLATES.'/layout_default.php');
?>
