<form action="<?= URL_CONTROLPANEL ?>banner/add/" method="post" enctype="multipart/form-data">
<input type="hidden" name="MAX_FILE_SIZE" value="5242880" />

<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Add New Banner</h2>
	</div>
	
	<div class="block_content">
	
		
		<p><strong>Important</strong> - please note that adding banners here does not work for the latest version templates. If you have not added banners before, please use the "Configure Template" option under "Template" in the menu.</p>
		
		<p>
			<label for="form-bannerkey" class="required">Banner Key</label><br />
			<input class="text" id="form-bannerkey" type="text" name="banner[bannerkey]" value="" />
		</p>
	
		<p>
			<label for="form-alt" class="required">Alt Text</label><br />
			<input class="text" id="form-alt" type="text" name="banner[alt]" value="" />
		</p>
			
		<p>
			<label for="form-title" class="required">Title Text</label><br />
			<input class="text" id="form-title" type="text" name="banner[title]" value="" />
		</p>
			
		<p>
			<label for="form-url" class="optional">URL</label><br />
			<input class="text" id="form-url" type="text" name="banner[url]" value="" />
		</p>
			
		<p>
			<label for="form-nofollow" class="optional">Nofollow link?</label><br />
			<select name="banner[nofollow]" class="styled">
				<option value="0">No</option>
				<option value="1">Yes</option>
			</select>
		</p>
			
		<p class="fileupload">
			<label for="form-image" class="required">Banner Image</label><br />
			<input type="file" id="form-image" class="fileinput" name="bannerimage" />
		</p>
		
		<p>
			<input type="submit" class="submit long" value="Add Banner" />
		</p>

	
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>


<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>About Banners</h2>
	</div>
	
	<div class="block_content">
	
		<p>A banner/image can appear anywhere in your template. You can upload more than one image for a banner key and it will randomly choose the image. Optionally add a link to make your banner clickable.</p>
		
		<h3>Tips</h3>
		<ul>
			<li>Banners can be used to link to other pages in your site</li>
			<li>Banners can be used to link to external websites</li>
			<li>Add more than one banner for the same banner key and they will randomly rotate</li>
		</ul>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>

	
</form>