

<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Images for Category <a href="<?= URL_SITE ?>freshadmin/category/edit/<?= $category['id'] ?>/" class="edit"><?= $category['linktitle'] ?></a></h2>
		
		<ul>
			<li><a href="<?= URL_SITE ?><?= $category['pagename'] ?>/">View Category</a></li>
			<li><a href="<?= URL_SITE ?>freshadmin/category/edit/<?= $category['id'] ?>/">Edit Category</a></li>
			<li><a href="<?= URL_SITE ?>freshadmin/category/populate/<?= $category['id'] ?>/">Auto Populate</a></li>
			<li><a href="<?= URL_SITE ?>freshadmin/category/delete/<?= $category['id'] ?>/">Delete Category</a></li>
		</ul>
		
	</div>
	
	<div class="block_content">
		<p>You are currently managing the images for the category <?= $category['linktitle'] ?>. Images appear on the category page - read the tips below for more information.</p>
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
		
</div>		<!-- .block ends -->



<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Add New Image</h2>	
	</div>
	
	<div class="block_content" style="height: 240px;">

		<form action="<?= URL_SITE ?>freshadmin/category/images/<?= $category['id'] ?>/" method="post" enctype="multipart/form-data">
		
			<input type="hidden" name="MAX_FILE_SIZE" value="5242880" />
			
			<p>
				<label for="categoryimage-alt" class="required">Alt Text</label><br />
				<input type="text" class="text large" id="categoryimage-alt" name="alt" value="<?= $category['title'] ?>" />
			</p>
			
			
			<p>
				<label for="categoryimage-title" class="required">Title Text</label><br />
				<input type="text" class="text large" id="categoryimage-title" name="title" value="<?= $category['title'] ?>" />
			</p>
			
			
			<p class="fileupload">
				<label for="categoryimage-file" class="required">Choose Image</label><br />
				<input type="file" id="categoryimage-file" name="categoryimage" />
				<span id="uploadmsg">Max size 5Mb</span>
			</p>
			
			<p>
				<input type="submit" class="submit long" value="Add Image" />
			</p>

		</form>
	
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>


<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>About Category Images</h2>
	</div>
	
	<div class="block_content" style="height: 240px;">
	
		<p>Adding category images brings a bit of life to your site and makes it more unique. Add category images where you can to make your site more professional.</p>
		
		
		<h3>Category Image Tips</h3>
		<ul>
			<li>Use a good quality, clear image related to your category.</li>
			<li>In some templates, only the first image is used.</li>
			<li>Be careful of using copyrighted images</li>
			<li>We recommend <a href="http://www.freshstorebuilder.c0m/go/istockphoto/">iStockphoto</a> for finding good images</li>
			<li>Check your site to see how your image looks after you have added</li>
		</ul>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>





<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Current Images</h2>						
	</div>	
	
	
	<div class="block_content">
	
		<ul class="imglist">
		
		<?php
			if (sizeof($categoryimages) == 0)
			{
				?>
				<p>You currently have no images for this category.</p>
				<?php
			}
			else
			{
				foreach ($categoryimages as $image)
				{
					?>
						<li>
							<img src="<?= URL_SITE ?>i/?src=<?= PATH_IMAGES_CATEGORY.$image['filename'] ?>&w=150&h=150&zc=1" alt="<?= $image['alt'] ?>" title="<?= $image['title'] ?>" />
							<ul>
								<li class="view"><a href="<?= URL_SITE ?>i/?src=<?= PATH_IMAGES_CATEGORY.$image['filename'] ?>&w=400&h=400" rel="facebox">View</a></li>
								<li class="delete"><a href="<?= URL_SITE ?>freshadmin/category/images/<?= $category['id'] ?>/delete/<?= $image['id'] ?>/">Delete</a></li>
							</ul>
						</li>
					<?php
				}
			}
		?>
		
			
		</ul>
		
	</div>		<!-- .block_content ends -->
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>		<!-- .leftcol ends -->





