<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Auto Populate Settings: <?=$category['title']?></h2>
		<ul>
			<li><a href="<?= URL_SITE ?>freshadmin/category/populate/<?= $category['id'] ?>/">Add Autopopulate Setting</a></li>
			<li><a href="<?= URL_SITE ?>freshadmin/category/list/">View Categories</a></li>
		</ul>
	</div>
	
	<div class="block_content">
	
		<table cellpadding="0" cellspacing="0" width="100%">
	
			<tr>
				<td width="10"><input type="checkbox" class="check_all" /></td>
				<th>Summary</th>
				<th>Last Ran</th>
				<th class="center">Current Page</th>
				<th class="center">Products Added</th>
				<th class="center">Product Limit</th>
				<th class="right">Options</th>
			</tr>
			
			<?php
			if (sizeof($autopopulatelist) == 0)
			{
				?>
				<tr>
					<td colspan="7">
						There are no autopopulate settings to show.
					</td>
				</td>
				<?php
			}
			else
			{
				foreach($autopopulatelist as $autopopulate)
				{
					?>
					<tr>
						<td><input type="checkbox" name="selected[<?= $autopopulate['id'] ?>]"<?= (isset($selectedautopopulates[$autopopulate['id']]) ? ' checked' : '') ?> /></td>
						<td>
							<?php
								if($autopopulate['populationtype'] == 'search')
									echo "Search: \"{$autopopulate['searchterm']}\" ({$autopopulate['searchindex']})";
								else
									echo "Browse Node: \"{$autopopulate['browsenode']}\" ({$autopopulate['searchindex']})";
							?>
						</td>
						<td><?= format_date($autopopulate['lastpopulated'], 2) ?></td>
						<td class="center"><?=$autopopulate['lastpopulatedpage']?></td>
						<td class="center"><?=$autopopulate['productsadded']?></td>
						<td class="center"><?=($autopopulate['productlimit'])? $autopopulate['productlimit'] : 'none' ?></td>
						<td class="options">
							<a href="<?php echo ($autopopulate['populationtype']=='search')? $amazon->url."s/?field-keywords=".$autopopulate['searchterm'] : $amazon->url."b/?node=".$autopopulate['browsenode'] ?>">
									<img src="<?= URL_SITE ?>freshadmin/icons/amazon_<?= strtolower(AMAZON_LOCALE) ?>.png" alt="View on Amazon" title="View on Amazon" />
							</a>
							<a href="<?= URL_SITE ?>freshadmin/category/runpopulate/<?= $category['id'] ?>/<?= $autopopulate['id'] ?>/">
								<img src="<?= URL_SITE ?>freshadmin/icons/link_populatego.png" alt="Manually Run Auto Populate" title="Manually Run Auto Populate" />
							</a>
							<a href="<?= URL_SITE ?>freshadmin/category/populate/<?= $category['id']?>/<?= $autopopulate['id'] ?>/">
								<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Edit" title="Edit" />
							</a>
							<a href="<?= URL_SITE ?>freshadmin/category/changepopulatestatus/<?= $category['id']?>/<?= $autopopulate['id'] ?>/">
								<img src="<?= URL_SITE ?>freshadmin/icons/<?= (($autopopulate['paused'] == 0) ? 'pause' : 'play') ?>.png" alt="<?= (($autopopulate['paused'] == 0) ? 'Auto Populate Started - Click to Pause' : 'Auto Populate Paused - Click to Start') ?>" title="<?= (($autopopulate['paused'] == 0) ? 'Auto Populate Started - Click to Pause' : 'Auto Populate Pause - Click to Start') ?>" />
							</a>
							<a href="<?= URL_SITE ?>freshadmin/category/deletepopulate/<?= $category['id']?>/<?= $autopopulate['id'] ?>/">
								<img src="<?= URL_SITE ?>freshadmin/icons/link_delete.png" alt="Delete" title="Delete" onclick="return confirm('Are you sure you wish to delete this auto populate setting? This cannot be undone.');" />
							</a>
						</td>
					</tr>
					<?php
				}
			}
			?>
		</table>
	</div>
</div>
