<script type="text/javascript">
	$(document).ready(function() {
		$("a.spintemplate-fancyboxlink").fancybox({
				'titlePosition'		: 'outside',
				'transitionIn'		: 'elastic',
				'transitionOut'		: 'fade',
				'autoDimensions'	: 'false',
				'width'				: '500',
				'height'			: '400',
			});
	});
</script>

<form action="/freshadmin/contenttemplate/add/" method="post">

	<input type="hidden" name="template[generic]" value="0" />
	<input type="hidden" name="template[logocaptiontemplate]" value="" />
	

	<div class="block withsidebar">
	
		<div class="block_head">
			<div class="bheadl"></div>
			<div class="bheadr"></div>
			
			<h2>Add New Content Template</h2>
			
		</div>
		
		
		
		<div class="block_content">
		
			<div class="sidebar">
				<ul class="sidemenu">
					<li><a href="#sb1">Template Options</a></li>
					<li><a href="#sb2">Titles</a></li>
					<li><a href="#sb3">SEO &amp; Meta</a></li>
					<li><a href="#sb4">Descriptions</a></li>
					<li><a href="#sb5">Tips &amp; Help</a></li>
					<li><a href="#sb6">Available Attributes</a></li>
				</ul>
				
				<p>You are currently adding a new content template.</p>
			</div>
			
			<div class="sidebar_content" id="sb1">
			
				<p>Your are editing an existing Content Template. You can enter any of the fields using "Spintax". This is an extremely powerful tool and will work smoother with <a href="http://www.freshstorebuilder.c0m/go/bestspinner/">Best Spinner</a>. For more information see the Tips &amp; Help section to the left, or see our <a href="http://www.freshstorebuilder.c0m/tools/view/content-spinning/">Content Spinning Guide</a></p>
			
				<p>
					<label for="form-productgroup" class="required">Product Group</label><br />
					<select name="template[productgroup]" id="form-productgroup" class="styled">
						<option value="">All</option>
						<?php
							foreach ($productgroups as $item)
							{
								?>
									<option value="<?= $item['productgroup'] ?>"><?= $item['productgroup'] ?></option>
								<?php
							}
						?>
					</select>
				</p>
				
				<p>
					<input type="submit" class="submit long" value="Add Template" />
				</p>
			
			</div>
			
			<div class="sidebar_content" id="sb2">
				
				<p>
					
					
					<a class="spintemplate-fancyboxlink" id="create-titletemplate" href="<?= URL_SITE ?>freshadmin/ajax/spinning_templateform.php?type=text&element=form-titletemplate" title="Create your template with Best Spinner">Create with Best Spinner <img src="<?= URL_SITE ?>freshadmin/icons/form_bestspinner.png" style="vertical-align: middle;" /></a>
					
					<a class="spintemplate-fancyboxlink" id="preview-titletemplate" href="<?= URL_SITE ?>freshadmin/ajax/spinning_preview.php?type=text&element=form-titletemplate" title="Preview of your Content Template">Preview <img src="<?= URL_SITE ?>freshadmin/icons/form_preview.png" style="vertical-align: middle;" /></a>
					
					<label for="form-titletemplate" class="optional">Title Template</label><br />
					<input class="text big" id="form-titletemplate" type="text" name="template[titletemplate]" value="" />
					
				</p>
				
				<p>
					
					<a class="spintemplate-fancyboxlink" id="create-linktitletemplate" href="<?= URL_SITE ?>freshadmin/ajax/spinning_templateform.php?type=text&element=form-linktitletemplate" title="Create your template with Best Spinner">Create with Best Spinner <img src="<?= URL_SITE ?>freshadmin/icons/form_bestspinner.png" style="vertical-align: middle;" /></a>
					
					<a class="spintemplate-fancyboxlink" id="preview-linktitletemplate" href="<?= URL_SITE ?>freshadmin/ajax/spinning_preview.php?type=text&element=form-linktitletemplate" title="Preview of your Content Template">Preview <img src="<?= URL_SITE ?>freshadmin/icons/form_preview.png" style="vertical-align: middle;" /></a>
				
					<label for="form-linktitletemplate" class="optional">Link Title Template</label><br />
					<input class="text big" id="form-linktitletemplate" type="text" name="template[linktitletemplate]" value="" />
				</p>
				
				<p>
					<input type="submit" class="submit long" value="Add Template" />
				</p>
			
			</div>
			
			<div class="sidebar_content" id="sb3">
				<p>
					
					<a class="spintemplate-fancyboxlink" id="create-metatitletemplate" href="<?= URL_SITE ?>freshadmin/ajax/spinning_templateform.php?type=text&element=form-metatitletemplate" title="Create your template with Best Spinner">Create with Best Spinner <img src="<?= URL_SITE ?>freshadmin/icons/form_bestspinner.png" style="vertical-align: middle;" /></a>
					
					<a class="spintemplate-fancyboxlink" id="preview-metatitletemplate" href="<?= URL_SITE ?>freshadmin/ajax/spinning_preview.php?type=text&element=form-metatitletemplate" title="Preview of your Content Template">Preview <img src="<?= URL_SITE ?>freshadmin/icons/form_preview.png" style="vertical-align: middle;" /></a>
				
					<label for="form-metatitletemplate" class="optional">Meta Title Template</label><br />
					<input class="text big" id="form-metatitletemplate" type="text" name="template[metatitletemplate]" value="" />
				</p>
				
				<p>
					
					<a class="spintemplate-fancyboxlink" id="create-pagenametemplate" href="<?= URL_SITE ?>freshadmin/ajax/spinning_templateform.php?type=text&element=form-pagenametemplate" title="Create your template with Best Spinner">Create with Best Spinner <img src="<?= URL_SITE ?>freshadmin/icons/form_bestspinner.png" style="vertical-align: middle;" /></a>
					
					<a class="spintemplate-fancyboxlink" id="preview-pagenametemplate" href="<?= URL_SITE ?>freshadmin/ajax/spinning_preview.php?type=text&element=form-pagenametemplate" title="Preview of your Content Template">Preview <img src="<?= URL_SITE ?>freshadmin/icons/form_preview.png" style="vertical-align: middle;" /></a>
				
					<label for="form-pagenametemplate" class="optional">Page Name Template</label><br />
					<input class="text big" id="form-pagenametemplate" type="text" name="template[pagenametemplate]" value="" />
				</p>
					
				<p>
					
					<a class="spintemplate-fancyboxlink" id="create-metadescriptiontemplate" href="<?= URL_SITE ?>freshadmin/ajax/spinning_templateform.php?type=textarea&element=form-metadescriptiontemplate" title="Create your template with Best Spinner">Create with Best Spinner <img src="<?= URL_SITE ?>freshadmin/icons/form_bestspinner.png" style="vertical-align: middle;" /></a>
					
					<a class="spintemplate-fancyboxlink" id="preview-metadescriptiontemplate" href="<?= URL_SITE ?>freshadmin/ajax/spinning_preview.php?type=textarea&element=form-metadescriptiontemplate" title="Preview of your Content Template">Preview <img src="<?= URL_SITE ?>freshadmin/icons/form_preview.png" style="vertical-align: middle;" /></a>
				
					<label for="form-metadescriptiontemplate" class="optional">Meta Description Template</label><br />
					<textarea rows="5" cols="100" id="form-metadescriptiontemplate" name="template[metadescriptiontemplate]"></textarea>
				</p>
				
				<p>
					<input type="submit" class="submit long" value="Add Template" />
				</p>
			</div>
			
			<div class="sidebar_content" id="sb4">
				<p>
					
					<a class="spintemplate-fancyboxlink" id="create-descriptiontemplate" href="<?= URL_SITE ?>freshadmin/ajax/spinning_templateform.php?type=textarea&element=form-descriptiontemplate" title="Create your template with Best Spinner">Create with Best Spinner <img src="<?= URL_SITE ?>freshadmin/icons/form_bestspinner.png" style="vertical-align: middle;" /></a>
					
					
					<a class="spintemplate-fancyboxlink" id="preview-descriptiontemplate" href="<?= URL_SITE ?>freshadmin/ajax/spinning_preview.php?type=textarea&element=form-descriptiontemplate" title="Preview of your Content Template">Preview <img src="<?= URL_SITE ?>freshadmin/icons/form_preview.png" style="vertical-align: middle;" /></a>
				
					<label for="form-descriptiontemplate" class="optional">Description Template</label><br />
					<textarea rows="20" cols="100" id="form-descriptiontemplate" name="template[descriptiontemplate]"></textarea>
				</p>
					
				<p>
					<a class="spintemplate-fancyboxlink" id="create-descriptionsecondarytemplate" href="<?= URL_SITE ?>freshadmin/ajax/spinning_templateform.php?type=textarea&element=form-descriptionsecondarytemplate" title="Create your template with Best Spinner">Create with Best Spinner <img src="<?= URL_SITE ?>freshadmin/icons/form_bestspinner.png" style="vertical-align: middle;" /></a>
					
					<a class="spintemplate-fancyboxlink" id="preview-descriptionsecondarytemplate" href="<?= URL_SITE ?>freshadmin/ajax/spinning_preview.php?type=textarea&element=form-descriptionsecondarytemplate" title="Preview of your Content Template">Preview <img src="<?= URL_SITE ?>freshadmin/icons/form_preview.png" style="vertical-align: middle;" /></a>
				
					<label for="form-descriptionsecondarytemplate" class="optional">Description Secondary Template</label><br />
					<textarea rows="20" cols="100" id="form-descriptionsecondarytemplate" name="template[descriptionsecondarytemplate]"></textarea>
				</p>
				
				<p>
					<input type="submit" class="submit long" value="Add Template" />
				</p>
			</div>
			
			<div class="sidebar_content" id="sb5">
			
				<h2>Tips &amp; Help</h2>
		
				<p>Content Spinning is a great way to get unique onto all your product pages quickly and easily. If you use <a href="http://www.freshstorebuilder.c0m/go/bestspinner/">Best Spinner</a> to automatically create your Content Templates, the entire process is even quicker and simpler.</p>
				
				<h3>How to write a template</h3>
				
				<p>A template example is as follows:</p>
				
				<p><code>The {excellent|great|classy} [Title] is {available|on sale} now at [[SITE_NAME]]</code></p>
				
				<p>This template will produce 6 unique sentences for each product. Using an "Apple Mac" as the product, three examples are:</p>
				
				<p><code>
					The excellent Apple Mac is on sale now at The Apple Mac Store.<br />
					The classy Apple Mac is available now at The Apple Mac Store.<br />
				</code></p>
				
				<p>There are three parts to a content spinning template in Fresh Store Builder:</p>
				
				<ul>
					<li><strong>Synonyms</strong> (e.g. {excellent|great}) that allow words to be switched randomly</li>
					<li><strong>Attributes</strong> (e.g. [Title]) that allow product details to be insterted</li>
					<li><strong>Parameters</strong> (e.g. [[SITE_NAME]]) that allow site parameters to be insterted</li>
				</ul>
			
			
				<h3>Content Spinning Tips</h3>
				<ul>
					<li>Create different templates for each type of product, to keep your content relevant</li>
					<li>Get <a href="http://www.freshstorebuilder.c0m/go/bestspinner/">Best Spinner</a> for to make your content spinning quicker and easier</li>
					<li>Include attributes in your content templates to make your content even more unique and relevant</li>
					<li>Write real descriptions for the best products</li>
					<li>Have different content templates for different websites</li>
					<li>Remember to check the product descriptions and tweak if necessary</li>
					<li>Share tips and find out more in our <a href="http://forum.freshstorebuilder.c0m/">Private Forum</a></li>
				</ul>

			
			</div>
			
			<div class="sidebar_content" id="sb6">
			
				<h2>Available Attributes</h2>
				
				<p>This is a list of the attributes available in your store - the attribute name is in bold and is followed by example attribute values. You can use attributes in any part of your content template as follows:</p>
				
				<code>This is a classic film starring the renowned [Actor0].</code><br /><br />
				
				<p><strong>Important</strong> - Not all products have the same attributes. If you create a template with an attribute called "Artist", then any product without the "Artist" attribute will not be able to use the template.</p>
				
				<h2>The Attributes</h2>
				
				<?php
				foreach ($productattributes as $item)
				{
					echo '<strong>'.$item['name'].'</strong> '.substr(strip_tags($item['valuestring']), 0, 140).'...<br />';
				}
				?>
			
			</div>
							
		</div>
	
		
		<div class="bendl"></div>
		<div class="bendr"></div>
		
	</div>

</form>





