
<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Content Templates</h2>
		
		<ul>
			<li><a href="<?= URL_SITE ?>freshadmin/contenttemplate/add/">Add Template</a></li>
		</ul>
	</div>
	
	
	
	<div class="block_content">
	
		<p>Content templates allow you to create spinnable content to be automatically used in the product descriptions.</p>
		
		<table cellpadding="0" cellspacing="0" width="100%">

			<tr>
				<th>Type</th>
				<th>Product Group</th>
				<th>Attributes</th>
				<th>Options</th>
			</tr>

		
		<?php
			if (sizeof($templates) == 0)
			{
				?>
				<tr>
					<td colspan="5">
						There are currently no content templates.
					</td>
				</td>
				<?php
			}
			else
			{
				foreach ($templates as $template)
				{
					?>
						<tr>
							
							<td>
								Product
							</td>
							<td>
								<?= $template['productgroup'] ?>
							</td>
							<td>
								<?= ($template['attributesrequired'] == '' ? 'None' : $template['attributesrequired']) ?>
							</td>
							<td class="options">
								<a href="<?= URL_CONTROLPANEL ?>contenttemplate/edit/<?= $template['id'] ?>/">
									<img src="<?= URL_CP_ICONS ?>/link_edit.png" alt="Edit" title="Edit" />
								</a>
								<a href="<?= URL_CONTROLPANEL ?>contenttemplate/delete/<?= $template['id'] ?>/">
									<img src="<?= URL_CP_ICONS ?>/link_delete.png" alt="Delete" title="Delete" onclick="return confirm('Are you sure you wish to delete this template? This cannot be undone.');" />
								</a>
							</td>
						</tr>
					<?php
				}
			}
		?>
		</table>
		
		
		<div class="tableactions">
			&nbsp;
		</div>
		
		
		
		<div class="paggination right">
			<p><?= count($templates) ?> Content Templates</p>
		</div>
		
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
</div>