

<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Images for Manufacturer <a href="<?= URL_SITE ?>manufacturer/edit/<?= $manufacturer['id'] ?>/" class="edit"><?= $category['linktitle'] ?></a></h2>
		
		<ul>
				<a href="<?= URL_SITE ?>freshadmin/manufacturer/edit/<?= $manufacturer['id'] ?>/">
					<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Edit Manufacturer" title="Edit Manufacturer" />
				</a>
				<a href="<?= URL_SITE ?>freshadmin/manufacturer/merge/<?= $manufacturer['id'] ?>/">
					<img src="<?= URL_SITE ?>freshadmin/icons/link_merge.png" alt="Merge" title="Merge" />
				</a>
				<a href="<?= URL_SITE ?>freshadmin/product/bymanufacturerlist/<?= $manufacturer['id'] ?>/">
					<img src="<?= URL_SITE ?>freshadmin/icons/menu_view.png" alt="Manufacturer Products" title="Manufacturer Products" />
				</a>
				<a href="<?= URL_SITE ?><?= $manufacturer['pagename'] ?>/">
					<img src="<?= URL_SITE ?>freshadmin/icons/link_view.png" alt="View Manufacturer on your Store" title="View Manufacturer on your Store" />
				</a>
		</ul>
		
	</div>
	
	<div class="block_content">
		<p>You are currently managing the images for the manufacturer <?= $manufacturer['linktitle'] ?>. Images appear on the manufacturer page - read the tips below for more information.</p>
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
		
</div>		<!-- .block ends -->



<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Add New Image</h2>	
	</div>
	
	<div class="block_content">

		<form action="<?= URL_SITE ?>freshadmin/manufacturer/images/<?= $manufacturer['id'] ?>/" method="post" enctype="multipart/form-data">
		
			<input type="hidden" name="MAX_FILE_SIZE" value="5242880" />
			
			<p>
				<label for="manufacturerimage-alt" class="required">Alt Text</label><br />
				<input type="text" class="text large" id="manufacturerimage-alt" name="alt" value="<?= $manufacturer['name'] ?>" />
			</p>
			
			
			<p>
				<label for="manufacturerimage-title" class="required">Title Text</label><br />
				<input type="text" class="text large" id="manufacturerimage-title" name="title" value="<?= $manufacturer['name'] ?>" />
			</p>
			
			
			<p class="fileupload">
				<label for="manufacturerimage-file" class="required">Choose Image</label><br />
				<input type="file" id="manufacturerimage-file" name="manufacturerimage" />
				<span id="uploadmsg">Max size 5Mb</span>
			</p>
			
			<p>
				<input type="submit" class="submit long" value="Add Image" />
			</p>

		</form>
	
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>


<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>About Manufacturer Images</h2>
	</div>
	
	<div class="block_content" style="height: 240px;">
	
		<p>Adding manufacturer images brings a bit of life to your site and makes it more unique. Adding a category image will also make it appear on the homepage.</p>
		
		
		<h3>Manufacturer Image Tips</h3>
		<ul>
			<li>Use the manufacturer logo as the first image, as it will show on the homepage.</li>
			<li>In some templates, only the first image is used.</li>
			<li>Be careful of using copyrighted images</li>
			<li>We recommend <a href="http://www.freshstorebuilder.c0m/go/istockphoto/">iStockphoto</a> for finding good images</li>
			<li>Check your site to see how your image looks after you have added</li>
		</ul>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>





<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Current Images</h2>						
	</div>	
	
	
	<div class="block_content">
	
		<ul class="imglist">
		
		<?php
			if (sizeof($manufacturerimages) == 0)
			{
				?>
				<p>You currently have no images for this manufacturer.</p>
				<?php
			}
			else
			{
				foreach ($manufacturerimages as $image)
				{
					?>
						<li>
							<img src="<?= URL_SITE ?>i/?src=<?= PATH_IMAGES_MANUFACTURER.$image['filename'] ?>&w=150&h=150&zc=1" alt="<?= $image['alt'] ?>" title="<?= $image['title'] ?>" />
							<ul>
								<li class="view"><a href="<?= URL_SITE ?>i/?src=<?= PATH_IMAGES_MANUFACTURER.$image['filename'] ?>&w=400&h=400" rel="facebox">View</a></li>
								<li class="delete"><a href="<?= URL_SITE ?>freshadmin/manufacturer/images/<?= $manufacturer['id'] ?>/delete/<?= $image['id'] ?>/">Delete</a></li>
							</ul>
						</li>
					<?php
				}
			}
		?>
		
			
		</ul>
		
	</div>		<!-- .block_content ends -->
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>		<!-- .leftcol ends -->