<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Merge Manufacturer <a href="<?= URL_SITE ?><?= $manufacturer['pagename'] ?>/"><?= substr($manufacturer['linktitle'], 0, 50) ?></a></h2>
		
		<ul>
			<li>
				
				<a href="<?= URL_SITE ?>freshadmin/manufacturer/edit/<?= $manufacturer['id'] ?>/">
					<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Edit Manufacturer" title="Edit Manufacturer" />
				</a>
				<a href="<?= URL_SITE ?>freshadmin/manufacturer/images/<?= $manufacturer['id'] ?>/">
					<img src="<?= URL_SITE ?>freshadmin/icons/link_image.png" alt="Manufacturer Images" title="Manufacturer Images" />
				</a>
				<a href="<?= URL_SITE ?>freshadmin/product/bymanufacturerlist/<?= $manufacturer['id'] ?>/">
					<img src="<?= URL_SITE ?>freshadmin/icons/menu_view.png" alt="Manufacturer Products" title="Manufacturer Products" />
				</a>
				<a href="<?= URL_SITE ?><?= $manufacturer['pagename'] ?>/">
					<img src="<?= URL_SITE ?>freshadmin/icons/link_view.png" alt="View Manufacturer on your Store" title="View Manufacturer on your Store" />
				</a>
			</li>
		</ul>
		
	</div>
	
	<div class="block_content">
		
		<form action="<?= URL_SITE ?>freshadmin/manufacturer/merge/<?= $from_manufacturer_id ?>/" method="post">
		
			<input type="hidden" name="from_manufacturer_id" value="<?= $from_manufacturer_id ?>">
			<p>
				<label for="form-manufacturer">Choose Manufacturer to Merge To</label><br />
				<select name="to_manufacturer_id" id="form-manufacturer" size="20" style="width: 450px;">
					<?= generateManufacturerFormOptions($manufacturerlist, $to_manufacturer_id, true) ?>
				</select>
			</p>
			
			<p>
				<input type="submit" class="submit long" value="Merge This Category" />
			</p>
			
		</form>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
		
</div>






<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>About Merging Manufacturers</a></h2>
		
	</div>
	
	<div class="block_content">
	
		<p>Quite often the manufacturer data from Amazon is incorrect. There are usually many duplicate manufacturers (for example "Apple", "Apple Computers", "Apple Inc." etc.) so we provide the ability to merge these manufacturers together. This means you can have a single manufacturer and page for all Apple products making it easier for your customers and better for the search engines.</p>
	
		<p>Simply choose the manufacturer to merge <strong><?= $manufacturer['name'] ?></strong> to. After merging, <strong><?= $manufacturer['name'] ?></strong> will no longer be visible and the products will be linked to the manufacturer chosen below.</p>
	
		<p><em>For more info and advice, check out the <a href="http://www.freshstorebuilder.c0m/guides/" target="_blank">Exclusive Guides</a> and <a href="http://forum.freshstorebuilder.c0m/" target="_blank">Private Forum</a>.</em></p>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
		
</div>






