<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Active Pages</h2>

		<ul>
			<li><a href="<?= URL_SITE ?>freshadmin/page/add/">Add Page</a></li>
		</ul>
	</div>

	<div class="block_content">

	<p><em>Some of these pages are <strong>core pages</strong>, meaning they are part of the Fresh Associate system and can be edited but not deleted (e.g. your homepage is a core page).</p>

	<table cellpadding="0" cellspacing="0" width="100%">
	
		<tr>
			<th>Page Name</th>
			<th>Core</th>
			<th class="right">Options</th>
		</tr>


		<?php
			if (sizeof($pagelist) == 0)
			{
				?>
				<tr>
					<td colspan="3">
						<em>There are currently no pages.</em>
					</td>
				</tr>
				<?php
			}	
			foreach ($pagelist as $page)
			{
				?>
					<tr>
						<td>
							<a href="<?= URL_SITE ?>freshadmin/page/edit/<?= $page['id'] ?>/">
								<?= $page['title'] ?>
							</a>
						</td>
						<td>
							<?= ($page['core'] == 0 ? 'No' : $page['corereference']) ?>
						</td>
						<td class="options">
							<a href="<?= URL_SITE ?>freshadmin/page/edit/<?= $page['id'] ?>/">
								<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Edit" title="Edit" />
							</a>
							<a href="<?= URL_SITE ?>freshadmin/page/delete/<?= $page['id'] ?>/" onclick="return confirm('Are you sure you wish to delete this page? This cannot be undone and you will lose any content you have added.');">
								<img src="<?= URL_SITE ?>freshadmin/icons/link_delete.png" alt="Delete" title="Delete" />
							</a>
						</td>
					</tr>
				<?php
			}
		?>



		</table>
		
		
		
		<div class="tableactions">
			
		
			
		</div>
		
		
		
		<div class="paggination right">
		
			<p class="itemcount"><?= count($pagelist) ?> pages</p>
		
		</div>
		
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
</div>



