<script type="text/javascript">
	$(document).ready(function() {
		$("a.spintemplate-fancyboxlink").fancybox({
				'titlePosition'		: 'outside',
				'transitionIn'		: 'elastic',
				'transitionOut'		: 'fade',
				'autoDimensions'	: 'false',
				'width'				: '500',
				'height'			: '400',
				'centerOnScroll'	: 'true'
			});
	});
</script>

<form action="<?= URL_CONTROLPANEL ?>product/edit/<?= $product_id ?>/" method="post">
<input type="hidden" name="product[logocaption]" value="" />

<div class="block withsidebar">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Edit Product <a href="<?= URL_SITE ?><?= $product['pagename'] ?>/"><?= substr($product['linktitle'], 0, 50) ?></a></h2>
		
		<ul>
			<li>
				<a href="<?= URL_SITE ?><?= $product['pagename'] ?>/">
					<img src="<?= URL_SITE ?>freshadmin/templates/icons/link_view.png" alt="View this Product" title="View this Product" />
				</a>
				<a href="<?= URL_SITE ?>freshadmin/contenttemplate/generate/<?= $product['id'] ?>/">
					<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/icons/admin_generatecontent.png" alt="Generate Content" title="Generate Content" />
				</a>
				<a href="<?= URL_SITE ?>freshadmin/product/update/<?= $product['id'] ?>/">
					<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/icons/admin_update.png" alt="Update" title="Update" />
				</a>
				<a href="<?= URL_SITE ?>freshadmin/manufacturer/edit/<?= $product['manufacturer_id'] ?>/">
					<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/icons/admin_manufactureredit.png" alt="Edit Manufacturer" title="Edit Manufacturer" />
				</a>
				<a href="<?= $product['url'] ?>">
					<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/icons/amazon_<?= strtolower(AMAZON_LOCALE) ?>.png" alt="view on Amazon" title="view on Amazon" />
				</a>
				<a href="<?= URL_SITE ?>freshadmin/product/changestatus/<?= $product['id'] ?>/">
					<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/icons/admin_<?= ($product['enabled'] ? 'disable' : 'enable') ?>.png" alt="Change Product Status" title="Change Product Status" />
				</a>
				<a href="<?= URL_CONTROLPANEL ?>product/hide/<?= $product['id'] ?>/">
					<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/icons//admin_hide.png" alt="Hide" title="Hide" />
				</a>
				<a href="<?= URL_CONTROLPANEL ?>product/delete/<?= $product['id'] ?>/">
					<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/icons//admin_delete.png" alt="Delete" title="Delete" />
				</a>
			</li>
		</ul>
	</div>
	
	
	
	<div class="block_content">
		
		<div class="sidebar">
			<ul class="sidemenu">
				<li><a href="#sb1">Titles &amp; Content</a></li>
				<li><a href="#sb2">Amazon Content</a></li>
				<li><a href="#sb3">SEO &amp; Meta</a></li>
				<li><a href="#sb4">Options &amp; Info</a></li>
				<li><a href="#sb5">Set Attributes</a></li>
				<li><a href="#sb6">Unset Attributes</a></li>
				<li><a href="#sb7">Tips &amp; Help</a></li>
			</ul>
			
			<p>To get <strong>more sales</strong> of your products read the tips section above and for more great advice, check out the <a href="http://www.freshstorebuilder.c0m/guides/" target="_blank">Exclusive Guides</a> and <a href="http://forum.freshstorebuilder.c0m/" target="_blank">Private Forum</a>.</p>
		</div>
		
		<div class="sidebar_content" id="sb1">
		
			<h3>Titles and Content</h3>
			
			<p>The key information for the product is below. The only required field is the Title. Please read the Tips &amp; Help section for more information.</p>
			
			
			
			<p>
				<label for="form-productedited" class="optional">Lock the Product Content?</label>
				<input name="product[edited]" type="checkbox" class="checkbox" id="form-amazonlockdescription" checked />
			</p>
			
			<p>Product content is currently: <strong><?= $product['edited'] == '0' ? 'un' : '' ?>locked</strong></p>
			
			<p>
				<a class="spintemplate-fancyboxlink" id="spin-title" href="<?= URL_SITE ?>freshadmin/ajax/spinning_spintext.php?type=text&element=form-title" title="Spin this text with Best Spinner">Spin Text <img src="<?= URL_SITE ?>freshadmin/icons/form_bestspinner.png" style="vertical-align: middle;" /></a>
			
				<label for="form-title" class="required">Title</label><span class="note">The title that appears on the category page</span><br />
				<input class="text big" id="form-title" type="text" name="product[title]" value="<?= htmlentities(utf8_decode($product['title'])) ?>" />
			</p>
			
			<p>
				<a class="spintemplate-fancyboxlink" id="spin-linktitle" href="<?= URL_SITE ?>freshadmin/ajax/spinning_spintext.php?type=text&element=form-linktitle" title="Spin this text with Best Spinner">Spin Text <img src="<?= URL_SITE ?>freshadmin/icons/form_bestspinner.png" style="vertical-align: middle;" /></a>
			
				<label for="form-linktitle" class="autogenerated">Link Title</label><span class="note">The title used when linking to the product (e.g. from a category)</span><br />
				<input class="text big" id="form-linktitle" type="text" name="product[linktitle]" value="<?= htmlentities(utf8_decode($product['linktitle'])) ?>" />
			</p>
		
			<p>
				<a class="spintemplate-fancyboxlink" id="spin-description" href="<?= URL_SITE ?>freshadmin/ajax/spinning_spintext.php?type=textarea&element=form-description" title="Spin this text with Best Spinner">Spin Text <img src="<?= URL_SITE ?>freshadmin/icons/form_bestspinner.png" style="vertical-align: middle;" /></a>
			
				<label for="form-description" class="optional">Product Description</label>
				<span class="note">The main product description.</span>
				<textarea id="form-description" name="product[description]" class="mceEditor"><?= $product['description'] ?></textarea>
				
			</p>
			
			<p>
				<a class="spintemplate-fancyboxlink" id="spin-descriptionbottom" href="<?= URL_SITE ?>freshadmin/ajax/spinning_spintext.php?type=textarea&element=form-descriptionbottom" title="Spin this text with Best Spinner">Spin Text <img src="<?= URL_SITE ?>freshadmin/icons/form_bestspinner.png" style="vertical-align: middle;" /></a>
			
				<label for="form-descriptionbottom" class="optional">Product Secondary Description</label>
				<span class="note">A secondary description for the product.</span>
				<textarea id="form-descriptionbottom" name="product[descriptionsecondary]" class="mceEditor"><?= $product['descriptionsecondary'] ?></textarea>
			</p>
			
			<p>
				<a class="spintemplate-fancyboxlink" id="spin-keyfeatures" href="<?= URL_SITE ?>freshadmin/ajax/spinning_spintext.php?type=textarea&element=form-keyfeatures" title="Spin this text with Best Spinner">Spin Text <img src="<?= URL_SITE ?>freshadmin/icons/form_bestspinner.png" style="vertical-align: middle;" /></a>
				
				<label for="form-keyfeatures" class="optional">Key Features</label>
				<span class="note">Listed features of the product.</span>
				<textarea rows="10" cols="100" id="form-keyfeatures" name="product[keyfeatures]"><?= $product['keyfeatures'] ?></textarea>
			</p>
		
			
			<p>
				<input type="submit" class="submit long" value="Save Product" />
			</p>
			
		</div>
		
		<div class="sidebar_content" id="sb2">
		
			<h3>Amazon Content</h3>
			
			<p>This is the content pulled from Amazon, but can sometimes be mixed with bad HTML or need to be edited in another way. To change this, edit the "Amazon Content" section and be sure to check "Lock the Amazon Description" to prevent it being overwritten when the product updates.</p>
			
			<p>
				<label for="form-amazonlockdescription" class="optional">Lock the Amazon Description?</label>
				<input name="productamazoncontent[lockdescription]" type="checkbox" class="checkbox" id="form-amazonlockdescription" <?= $productamazoncontent['lockdescription'] == '1' ? 'checked' : '' ?> />
			</p>
			
			<p>
				<a class="spintemplate-fancyboxlink" id="spin-amazondescription" href="<?= URL_SITE ?>freshadmin/ajax/spinning_spintext.php?type=textarea&element=form-amazondescription" title="Spin this text with Best Spinner">Spin Text <img src="<?= URL_SITE ?>freshadmin/icons/form_bestspinner.png" style="vertical-align: middle;" /></a>
			
				<label for="form-amazondescription" class="optional">Amazon Description</label>
				<span class="note">The Amazon description that will show on the site.</span>
				<textarea id="form-amazondescription" name="productamazoncontent[description]" class="mceEditor"><?= $productamazoncontent['description'] ?></textarea>
			</p>
			
			<p>
				<input type="submit" class="submit long" value="Save Product" />
			</p>
			
			<p>
				<label for="form-amazonoriginaldescription" class="optional">Amazon Original Description</label>
				<span class="note">ANY CHANGES HERE WILL NOT BE SAVED. This is the actual current Amazon Content.</span>
				<textarea id="form-amazonoriginaldescription" name="blackhole[originaldescription]" class="mceEditor"><?= $productamazoncontent['originaldescription'] ?></textarea>
			</p>
			
			
			
			
			
		</div>
		
		<div class="sidebar_content" id="sb3">
			<h3>SEO &amp; Meta Information</h3>
			
			<p>These details can be finely tuned to help target keywords organically in the search engine. All fields are optional and if left blank they will be autogenerated.</p>
		
			<p>
				<label for="form-pagename" class="autogenerated">Page Name</label><span class="note">The part of the URL for this page (e.g. www.site.com/this-is-a-page-name)</span><br />
				<input class="text big" id="form-pagename" type="text" name="product[pagename]" value="<?= $product['pagename'] ?>" />
			</p>
		
			<p>
				<a class="spintemplate-fancyboxlink" id="spin-metatitle" href="<?= URL_SITE ?>freshadmin/ajax/spinning_spintext.php?type=text&element=form-metatitle" title="Spin this text with Best Spinner">Spin Text <img src="<?= URL_SITE ?>freshadmin/icons/form_bestspinner.png" style="vertical-align: middle;" /></a>
			
				<label for="form-metatitle" class="autogenerated">Meta Title</label><span class="note">The text that appears in the browser bar and Search Engine listings. Important for SEO.</span><br />
				<input class="text big" id="form-metatitle" type="text" name="product[metatitle]" value="<?= htmlentities(utf8_decode($product['metatitle'])) ?>" />
			</p>
			
			<p>
				<a class="spintemplate-fancyboxlink" id="spin-metakeywords" href="<?= URL_SITE ?>freshadmin/ajax/spinning_spintext.php?type=text&element=form-metakeywords" title="Spin this text with Best Spinner">Spin Text <img src="<?= URL_SITE ?>freshadmin/icons/form_bestspinner.png" style="vertical-align: middle;" /></a>
			
				<label for="form-metakeywords" class="autogenerated">Meta Keywords</label><span class="note">Keywords to describe the page. Generally ignored by search engines but could have a use.</span><br />
				<input class="text big" id="form-metakeywords" type="text" name="product[metakeywords]" value="<?= $product['metakeywords'] ?>" />
			</p>
		
			<p>
				<a class="spintemplate-fancyboxlink" id="spin-metadescription" href="<?= URL_SITE ?>freshadmin/ajax/spinning_spintext.php?type=textarea&element=form-metadescription" title="Spin this text with Best Spinner">Spin Text <img src="<?= URL_SITE ?>freshadmin/icons/form_bestspinner.png" style="vertical-align: middle;" /></a>
			
				<label for="form-metadescription" class="autogenerated">Meta Description</label>
				<span class="note">The text that appears in search engine listings, describing the page. Important for SEO.</span>
				<textarea id="form-metadescription" name="product[metadescription]"><?= $product['metadescription'] ?></textarea>
			</p>
		
			
			
			<p>
				<input type="submit" class="submit long" value="Save Product" />
			</p>
			
		</div>
		
		<div class="sidebar_content" id="sb4">
			
			<h3>Product Info</h3>
			
			<p>See some information about the product to the right, and choose a category below.</p>
		
			<ul style="float: right; width: 180px; margin-left: 30px;">
				<li>ASIN: <?= $product['asin'] ?></li>
				<li>Sales Rank: <?= $product['salesrank'] ?></li>
				<li>Price: <?= formatProductPrice($productoffer['price']) ?></li>
				<li>Views: <?= $product['viewcount'] ?></li>
				<li>Variations: <?= $product['variationcount'] ?></li>
				<li>Edited? <?= $product['edited'] ? 'Yes' : 'No' ?></li>
				<li>Enabled? <?= $product['enabled'] ? 'Yes' : 'No' ?></li>
				<li>Expired? <?= $product['expired'] ? 'Yes' : 'No' ?></li>
			</ul>
			
			<img src="<?= $productimage ?>" style="float: right;" />
			
			<p>
				<label for="form-categories" class="optional">Categories</label><br />
				<select multiple name="categories[]" id="form-categories" size="10" style="width: 200px;">
					<?= generateCategoryFormOptions($categorytree, $selectedcategories, 0, false) ?>
				</select>
			</p>
			
			<p><em>Hold the CTRL key and click to select multiple categories.</em></p>

			<p>
				<label for="form-manufacturer_id" class="optional">Manufacturer</label><br />
				<select name="product[manufacturer_id]" id="form-manufacturer_id" style="width: 200px;">
					<?= generateCategoryFormOptions($manufacturerlist, $product['manufacturer_id'], 0, false) ?>
				</select>
			</p>
			
			<p>
				<label for="form-feedurl" class="autogenerated">RSS Feed URL</label><span class="note">This feed will be used to retrieve news items to be displayed on the product page.</span><br />
				<input class="text big" id="form-feedurl" type="text" name="product[feedurl]" value="<?= $product['feedurl'] ?>" />
			</p>
			
			<?php if($amazon->marketplacedomain) { ?>
				<p>
					<label for="form-marketplaceitem" class="optional">Marketplace Item?</label>
					<input name="product[marketplaceitem]" type="checkbox" class="checkbox" id="form-marketplaceitem" <?= $product['marketplaceitem'] == '1' ? 'checked' : '' ?> />
					<span class="note">If this product comes from <?= $amazon->marketplacedomain ?>, this box needs to be checked on order for offers to be found.
				</p>
			<?php } ?>
			
			<p>
				<input type="submit" class="submit long" value="Save Product" />
			</p>
		
		</div>
		
		<div class="sidebar_content" id="sb5">
	
			<h3>Set Attributes</h3>
			
			<p>These are attributes that already have a value set for this product.</p>
			
			<?php
				foreach ($attributes as $key => $item)
				{
					
					if ($item['valuetype'] == 'yesorno')
					{
						?>
							<p>
								<label for="form-attribute-<?= $key ?>" class="optional"><?= $item['displayname'] ?></label><br class="clearall" />
								<input type="radio" name="attributes[<?= $item['originalname'] ?>]" value="0" <?= $item['value'] === '0' ? ' checked' : '' ?> /> No &nbsp;&nbsp;&nbsp;
								<input type="radio" name="attributes[<?= $item['originalname'] ?>]" value="1" <?= $item['value'] === '1' ? ' checked' : '' ?> /> Yes &nbsp;&nbsp;&nbsp;
								<input type="radio" name="attributes[<?= $item['originalname'] ?>]" value="" <?= is_null($item['value']) ? ' checked' : '' ?> /> None &nbsp;&nbsp;&nbsp;<br /><br />
							</p>
								
						<?php
					}
					else
					{
						?>
							<p>
							<label for="form-attribute-<?= $key ?>" class="optional"><?= $item['displayname'] ?></label><br />
							<input class="text big" id="form-attribute-<?= $key ?>" type="text" name="attributes[<?= $item['originalname'] ?>]" value="<?= $item['value'] ?>" /><?= $item['units'] ?>
							</p>
						<?php
					}
					
				}
				
				if (sizeof($attributes) == 0)
				{
					?>
						<p><em>Currently no attributes.</em></p>
					<?php
				}
			?>
		
			<p>
				<input type="submit" class="submit long" value="Save Product" />
			</p>
		
		</div>
		
		<div class="sidebar_content" id="sb6">
		
			<h3>Unset Attributes</h3>
			
			<p>These are attributes that do not yet have a value set for this product.</p>
			
			<?php
				foreach ($attributes_unset as $key => $item)
				{
					
					if ($item['valuetype'] == 'yesorno')
					{
						?>
							<p>
								<label for="form-attribute-<?= $key ?>" class="optional"><?= $item['displayname'] ?></label><br class="clearall" />
								<input type="radio" name="attributes[<?= $item['originalname'] ?>]" value="0" <?= $item['value'] === '0' ? ' checked' : '' ?> /> No &nbsp;&nbsp;&nbsp;
								<input type="radio" name="attributes[<?= $item['originalname'] ?>]" value="1" <?= $item['value'] === '1' ? ' checked' : '' ?> /> Yes &nbsp;&nbsp;&nbsp;
								<input type="radio" name="attributes[<?= $item['originalname'] ?>]" value="" <?= is_null($item['value']) ? ' checked' : '' ?> /> None &nbsp;&nbsp;&nbsp;<br /><br />
							</p>
								
						<?php
					}
					else
					{
						?>
							<p>
							<label for="form-attribute-<?= $key ?>" class="optional"><?= $item['displayname'] ?></label><br />
							<input class="text big" id="form-attribute-<?= $key ?>" type="text" name="attributes[<?= $item['originalname'] ?>]" value="<?= $item['value'] ?>" /><?= $item['units'] ?>
							</p>
						<?php
					}
					
					
				}
				
				if (sizeof($attributes_unset) == 0)
				{
					?>
						<p><em>Currently no attributes.</em></p>
					<?php
				}
			?>
			
			<p>
				<input type="submit" class="submit long" value="Save Product" />
			</p>
		
		</div>
		
		<div class="sidebar_content" id="sb7">
		
			<h3>Tips and Help</h3>
		
			<p>Products are linked directly to Amazon and are updated automatically. Any content you change is permanently saved and not overwritten when the product updates.</p>
				
			<h3>Product Tips</h3>
			<ul>
				<li>Adding unique content to a product will give better search engine results</li>
				<li>Try using <a href="http://www.freshstorebuilder.c0m/go/market-samurai/">Market Samurai</a> to research keywords and products worth promoting directly</li>
				<li>Use your keywords in the your titles, descriptions and meta information</li>
				<li>You can add one product to many different categories</li>
				<li>You can hide a product from your site, meaning it will be blocked and will never appear again</li>
				<li>Hover over the icons above for information on what each does</li>
				<li>Login to <a href="http://www.freshstorebuilder.c0m/account/login/">your account at Fresh Store Builder</a> for exclusive guides and help</li>
			</ul>
			
		</div>
		
							
	</div>
	
	

	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>
	
</form>
