<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Hidden Products</a></h2>
		
		
		<form action="/" method="get">
			<label for="form-sort">Sort by </label>
			<select id="form-sort" onchange="window.location = this.value;">
				<?php
				$i=0;
				foreach ($pagination['sortoptions'] as $sortkey => $sortoption)
				{
					if ($i == 0) $sortkeydefault = $sortkey;
					$i++;
						?>
						<option value="<?= buildListingLink($pagination['baselink'], $pagination['currentpage'], $sortkey, $sortkeydefault, $pagination['currentperpage'], PER_PAGE_LISTING) ?>" <?= ($sortkey == $pagination['currentsort'] ? 'selected' : '') ?>><?= $sortoption['displayname'] ?></option>
						
						<?php
				}
				?>
			</select>
		</form>	

	</div>

	<div class="block_content">
	
	<p>Hidden products cannot appear on the site (Deleted products in contrast could still be added to another category automatically via auto population). Unhiding a product will allow it to appear on the website again. Hiding products is usually done for those that are inappropriate to the theme of the site.</p>
	
	<form action="<?= URL_CONTROLPANEL ?>product/hiddenlist/" method="post">
	<input type="hidden" name="formaction" value="products" />

	<table cellpadding="0" cellspacing="0" width="100%">
	
		<tr>
			<td width="10"><input type="checkbox" class="check_all" /></td>
			<th>Product Name</th>
			<th>Price</th>
			<th>Manufacturer</th>
			<th class="center">Sales Rank</th>
			<th class="right">Options</th>
		</tr>

		
		<?php
			if (sizeof($productlist) == 0)
			{
				?>
				<tr>
					<td colspan="6">
						There are currently no hidden products.
					</td>
				</td>
				<?php
			}
			else
			{
				foreach ($productlist as $product)
				{
					?>
						<tr>
							<td>
								<input type="checkbox" name="selected[<?= $product['id'] ?>]"<?= (isset($selectedproducts[$product['id']]) ? ' checked' : '') ?> />
							</td>
							<td>
								<!--<img src="<?= URL_CP_ICONS ?>/productlist_<?= ($product['edited'] == 1 ? 'edited' : 'notedited') ?>.png" title="<?= ($product['edited'] == 1 ? 'Default Amazon Copy Has Been Edited' : 'Default Amazon Copy Hasnt Been Changed') ?>" alt="<?= ($product['edited'] == 1 ? 'Default Amazon Copy Has Been Edited' : 'Default Amazon Copy Hasnt Been Changed') ?>" />-->
								<a href="<?= URL_CONTROLPANEL ?>product/edit/<?= $product['id'] ?>/" title="Edit: <?= $product['linktitle'] ?>">
								<?= (strlen($product['linktitle']) > 55 ? substr($product['linktitle'],0,53).'..' : $product['linktitle']) ?>
								</a>
							</td>
							<td>
								<?= formatProductPrice($product['price']) ?>
							</td>
							<td>
								<?php
									if (isset($product['manufacturer']['name']))
									{
										?>
											<a href="<?= URL_CONTROLPANEL ?>product/bymanufacturerlist/<?= $product['manufacturer']['id'] ?>/" title="<?= $product['manufacturer']['name'] ?>">
										<?= (strlen($product['manufacturer']['name']) > 10 ? substr($product['manufacturer']['name'],0,10).'...' : $product['manufacturer']['name']) ?>
										</a>
										<?php
									}
									else
									{
										echo '<em>unknown</em>';
									}
								?>
							</td>
							<td class="center"><?= ($product['salesrank'] == 2147483647)? 'n/a' : $product['salesrank'] ?></td>
							<td class="options">
								<a href="<?= URL_SITE.$product['pagename'].'/' ?>">
									<img src="<?= URL_CP_ICONS ?>/link_view.png" alt="View on <?= SITE_NAME ?>" title="View on <?= SITE_NAME ?>" />
								</a>
								<a href="<?= $product['url'] ?>">
									<img src="<?= URL_CP_ICONS ?>/amazon_<?= strtolower(AMAZON_LOCALE) ?>.png" alt="View on Amazon" title="View on Amazon" />
								</a>
								<a href="<?= URL_CONTROLPANEL ?>product/edit/<?= $product['id'] ?>/">
									<img src="<?= URL_CP_ICONS ?>/link_edit.png" alt="Edit" title="Edit" />
								</a>
								<a href="<?= URL_CONTROLPANEL ?>product/removefromcategory/<?= $product['id'] ?>/<?= $category_id ?>/">
									<img src="<?= URL_CP_ICONS ?>/link_removefromcategory.png" alt="Remove from Category" title="Remove from Category" />
								</a>
								<a href="<?= URL_CONTROLPANEL ?>product/changestatus/<?= $product['id'] ?>/">
									<img src="<?= URL_CP_ICONS ?>/link_<?= ($product['enabled'] ? 'enabled' : 'disabled') ?>.png" alt="<?= ($product['enabled'] ? 'Product Enabled - Click to Disable' : 'Product Disabled - Click to Enable') ?>" title="<?= ($product['enabled'] ? 'Product Enabled - Click to Disable' : 'Product Disabled - Click to Enable') ?>" />
								</a>
								<a href="<?= URL_CONTROLPANEL ?>product/hide/<?= $product['id'] ?>/">
									<img src="<?= URL_CP_ICONS ?>/link_hide.png" alt="Hide" title="Hide" onclick="return confirm('Are you sure you wish to hide this product? Hiding a product will make sure it does not appear anywhere on the site.');" />
								</a>
								<a href="<?= URL_CONTROLPANEL ?>product/delete/<?= $product['id'] ?>/">
									<img src="<?= URL_CP_ICONS ?>/link_delete.png" alt="Delete" title="Delete" onclick="return confirm('Are you sure you wish to delete this product? This cannot be undone and you will lose any custom created content.');" />
								</a>
							</td>
							
						</tr>
					<?php
				}
			}
		?>



		</table>
		
		
		
		<div class="tableactions">
			
			<select name="action">
				<option value="">--select--</option>
				<option value="delete">Delete</option>
				<option value="disable">Disable</option>
				<option value="enable">Enable</option>
			</select>
			
			<input type="submit" class="submit tiny" value="Apply to selected" onclick="return confirm('This action cannot be undone - are you sure?');" />
			
			<br /><br />
			
			<select name="category_id">
				<option value="">--select--</option>
				<?= generateCategoryFormOptions($categorytree, false, 0, false) ?>
			</select>
			
			<input type="submit" class="submit tiny" value="Add to Category" onclick="" />
			<p><em>Adding to a category will also unhide the selected products</em></p>
			
			<!--
			<p>
				<input type="checkbox" value="1" name="applytoall" id="applytoall" /> <label for="applytoall">Apply to Products on All Pages? (i.e. every page)</label>
			</p>
			-->
		</div>
		
		
		
		<div class="paggination right">	
			<?= getPaginationPagesHTML($pagination); ?>
		</div>
		
		<p class="itemcount"><?php require (PATH_CONTROLPANEL_TEMPLATES.'elements/listing_information.php') ?></p>
		
		</form>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
</div>