<script type="text/javascript">
$(document).ready(function() {
     $('.edit_displayname').editable(window.siteurl+'/freshadmin/ajax/saveproductoptionname.php', {
     indicator : '<img src="<?= URL_SITE ?>freshadmin/icons/common_loading.gif">',
     tooltip   : 'Click to change this options display name'
     });
 });
</script>


<script type="text/javascript">
$(document).ready(function() {
     $('.edit_metabrowse').editable(window.siteurl+'/freshadmin/ajax/saveproductoptionname.php', {
     indicator : '<img src="<?= URL_SITE ?>freshadmin/icons/common_loading.gif">',
     tooltip   : 'Click to change if this option can be browsed by.',
     type   : 'select',
     data   : "{0: 'No', 1: 'Yes'}",
     submit : 'OK',
     submitdata : {type: "select"}
     });
 });
</script>

<script type="text/javascript">
$(document).ready(function() {
     $('.edit_searchable').editable(window.siteurl+'/freshadmin/ajax/saveproductoptionname.php', {
     indicator : '<img src="<?= URL_SITE ?>freshadmin/icons/common_loading.gif">',
     tooltip   : 'Click to change if this option can be searched by.',
     type   : 'select',
     data   : "{0: 'No', 1: 'Yes'}",
     submit : 'OK',
     submitdata : {type: "select"}
     });
 });
</script>







<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Product Option Names</h2>
		
	</div>

	<div class="block_content">
	
	<p>Product options are when you have a variation on the product, for example a T-Shirt with different sizes and different colours. This section allows you to change the default Amazon name of these options and also whether the option is browse-able and/or searchable.</p>

	<table cellpadding="0" cellspacing="0" width="100%">
	
		<tr>
			<th>Original Name</th>
			<th>Display Name</th>
			<th>Browseable?</th>
			<th>Searchable?</th>
		</tr>


		<?php
			if (sizeof($optionnames) == 0)
			{
				?>
				<tr>
					<td colspan="4">
						There are currently no product option names.
					</td>
				</td>
				<?php
			}
			else
			{
				foreach ($optionnames as $name)
				{
					?>
						<tr>
							<td><?= $name['originalname'] ?></td>
							<td>
								<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Click Text to Edit" title="Click Text to Edit" class="middle" />
								<span class="edit_displayname" id="displayname-<?= $name['id'] ?>"><?= $name['displayname'] ?></span>
							</td>
							<td>
								<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Click Text to Edit" title="Click Text to Edit" class="middle" />
								<span class="edit_metabrowse" id="metabrowse-<?= $name['id'] ?>"><?= ($name['metabrowse'] == 1 ? 'Yes' : 'No') ?></span>
							</td>
							<td>
								<img src="<?= URL_SITE ?>freshadmin/icons/link_edit.png" alt="Click Text to Edit" title="Click Text to Edit" class="middle" />
								<span class="edit_searchable" id="searchable-<?= $name['id'] ?>"><?= ($name['searchable'] == 1 ? 'Yes' : 'No') ?></span>
							</td>
						</tr>
						
						
					<?php
				}
			}
		?>



		</table>
		
		
		
		<div class="tableactions">
			
		</div>
		
		
		
		<div class="paggination right">
			<p class="itemcount"><?= count($optionnames) ?> product option names</p>
		</div>
		
		
		
		</form>
		
	</div>
	
	
	<div class="bendl"></div>
	<div class="bendr"></div>
</div>


