<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Active Product Queues</h2>
		
		
		
		<ul>
			<li><a href="<?= URL_SITE ?>freshadmin/productqueue/add/">Add Queue</a></li>
			<li><a href="<?= URL_SITE ?>freshadmin/productqueuerun/add/">Add Queue Run</a></li>
			<li><a href="<?= URL_SITE ?>freshadmin/productqueuerun/list/">View Queue Runs</a></li>
		</ul>
	</div>

	<div class="block_content">
	
	

	<table cellpadding="0" cellspacing="0" width="100%">
	
		<tr>
			<th>Name</th>
			<th>Description</th>
			<th class="center">Products</th>
			<th class="right">Options</th>
		</tr>

		
		<?php
			if (sizeof($productqueues) == 0)
			{
				?>
				<tr>
					<td colspan="4">
						There are no product queues.
					</td>
				</td>
				<?php
			}
			else
			{
				foreach ($productqueues as $productqueue)
				{
					?>
						<tr>
							<td>
								<a href="<?= URL_CONTROLPANEL ?>productqueue/edit/<?= $productqueue['id'] ?>/">
									<?= $productqueue['name'] ?>
								</a>
							</td>
							<td>
								<?= substr($productqueue['description'], 0, 100) ?>...
							</td>
							<td class="center">
								<a href="<?= URL_CONTROLPANEL ?>productqueue/addproducts/<?= $productqueue['id'] ?>/">
								<?= $productqueue['productcount'] ?>
								</a>
							</td>
							<td class="options">
								<a href="<?= URL_CONTROLPANEL ?>productqueue/addproducts/<?= $productqueue['id'] ?>/">
									<img src="<?= URL_CP_ICONS ?>/link_add.png" alt="Add Products" title="Add Products to this Queue" />
								</a>
								<a href="<?= URL_CONTROLPANEL ?>productqueue/edit/<?= $productqueue['id'] ?>/">
									<img src="<?= URL_CP_ICONS ?>/link_edit.png" alt="Edit" title="Edit" />
								</a>
								<a href="<?= URL_CONTROLPANEL ?>productqueue/delete/<?= $productqueue['id'] ?>/">
									<img src="<?= URL_CP_ICONS ?>/link_delete.png" alt="Delete" title="Delete" />
								</a>					
							</td>
						</tr>
					<?php
				}
			}
		?>



		</table>
		
		
		
		<div class="tableactions">
			
		
			
		</div>
		
		
		
		<div class="paggination right">
		
			<p class="itemcount"><?= count($productqueues) ?> Product Queues</p>
		
		</div>
		
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
</div>