
<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Recent Checkouts</h2>
		
	</div>
	
	
	
	<div class="block_content">
	
		<p><em>This report shows checkouts that have happened in the past 7 days. This does not necessarily mean sales - these are the visitors that have checked out on your site and they still have to complete the order at Amazon. Unfortunately there is no way to know if they have purchased except by checking your Amazon Associates account.</em></p>

		<table cellpadding="0" cellspacing="0" width="100%">
		
			<tr>
				<th>Date</th>
				<th>Time</th>
				<th class="center">User</th>
				<th>Action</th>
				<th>First Seen</th>
				<th>This Visit</th>
				<th class="center">Pages</th>
				<th>Source</th>
				<th>Keyword</th>
				<th>Products</th>
				<th>Total</th>
			</tr>

			
		<?php
			$alternaterow = false;
			$lastid = $checkouts[0]['gauser_id'];
			foreach ($checkouts as $checkout)
			{
				if ($lastid != $checkout['gauser_id']) $alternaterow = ($alternaterow ? false : true);
				$lastid = $checkout['gauser_id'];
				?>
				<tr<?= ($alternaterow ? ' class="alternate"' : '') ?>>
					<td><?= date("jS M", $checkout['timestamp']) ?></td>
					<td><?= date("H:i:s", $checkout['timestamp']) ?></td>
					<td class="center">
						<a title="<?= implode(', ',unserialize($checkout['ips'])) ?>" href="#"><?= $checkout['gauser_id'] ?></a>
					</td>
					<td><?= $checkoutactions[$checkout['action']] ?></td>
					<td><?= date("jS M Y", $checkout['firstvisit']) ?></td>
					<td><?= date("H:i:s", $checkout['currentvisit']) ?></td>
					<td class="center"><?= $checkout['pageviews'] ?></td>
					<td><?= $checkout['source'] ?><?= ($checkout['source'] != '(direct)' ? '-'.$checkout['medium'] : '') ?></td>
					<td><a href="#" title="<?= $checkout['keyword'] ?>"><?= substr($checkout['keyword'],0,10) ?></a>...</td>
					<td>
						<?php
							$total = 0;
							foreach ($checkout['products'] as $product)
							{
								$total += $product['price'] * $product['quantity'];
								?>
									<?= $product['quantity'] ?> x <a href="<?= URL_SITE ?><?= $product['pagename'] ?>/"><?= substr($product['title'],0,30) ?></a>...<br />
								<?php
							}
						?>
					</td>
					<td>
						<strong><?= formatProductPrice($total) ?></strong>
					</td>
				</tr>
				
				<?php
			}
		?>
			
			
		</table>
		
		
		
		<div class="tableactions">
			&nbsp;
		</div>
		
		
		
		<div class="paggination right">
			&nbsp;
		</div>
		
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
</div>









