<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Your Sideboxes</h2>
		
		
		
		<ul>
			<li><a href="<?= URL_SITE ?>freshadmin/sidebox/add/">Add Sidebox</a></li>
		</ul>
	</div>

	<div class="block_content">
	
	<p><em>Sideboxes are located in the left hand side of your site. They can be used to link to pages or to enter custom HTML (such as banners or Google Adsense code).</em></p>
	

	<table cellpadding="0" cellspacing="0" width="100%">
	
		<tr>
			<th>Name</th>
			<th>Type</th>
			<th>Sort Order</th>
			<th class="right">Options</th>
		</tr>

		
		<?php
			if (sizeof($sideboxes) == 0)
			{
				?>
				<tr>
					<td colspan="4">
						<em>There are currently no sideboxes.</em>
					</td>
				</tr>
				<?php
			}	
			foreach ($sideboxes as $sidebox)
			{
				?>
					<tr>
						<td>
							<a href="<?= URL_SITE ?>freshadmin/sidebox/edit/<?= $sidebox['id'] ?>/">
								<?= $sidebox['title'] ?>
							</a>
						</td>
						<td>
							<?= $sidebox['type'] ?>
						</td>
						<td>
							<?= $sidebox['sortorder'] ?>
						</td>
						<td class="options">
							<a href="<?= URL_SITE ?>freshadmin/sidebox/edit/<?= $sidebox['id'] ?>/">
								<img src="<?= URL_CP_ICONS ?>/link_edit.png" alt="Edit" title="Edit" />
							</a>
							<a href="<?= URL_SITE ?>freshadmin/sidebox/delete/<?= $sidebox['id'] ?>/" onclick="return confirm('Are you sure you wish to delete this sidebox? This cannot be undone and you will lose any content you have added.');">
								<img src="<?= URL_SITE ?>freshadmin/icons/link_delete.png" alt="Delete" title="Delete" />
							</a>
						</td>
					</tr>
				<?php
			}
		?>



		</table>
		
		
		
		<div class="tableactions">
			
		
			
		</div>
		
		
		
		<div class="paggination right">
		
			<p class="itemcount"><?= count($sideboxes) ?> Sideboxes</p>
		
		</div>
		
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
</div>

