<form action="<?= URL_CONTROLPANEL ?>template/editcss/<?= $css_id ?>/" method="post">


<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Edit CSS style: <?= $css['name'] ?></h2>	
	</div>
	
	<div class="block_content">
		
		
		<?php
			foreach ($csstypes as $item)
			{
				if ($item == 'color')
				{
					?>
					<p>
						<label>Color (Use a Hex Code e.g. #FF0000 - find them at <a href="http://colorschemedesigner.com/" target="_blank">http://colorschemedesigner.com/</a>)</label><br />
						<input type="text" class="text" name="cssdeclerations[<?= strtoupper($item) ?>]" value="<?= $currentvalues[$item] ?>" />
					</p>
					<?php
				}
				else if ($item == 'background-color')
				{
					?>
					<p>
						<label>Background Color (Use a Hex Code e.g. #FF0000 - find them at <a href="http://colorschemedesigner.com/" target="_blank">http://colorschemedesigner.com/</a>)</label><br />
						<input type="text" class="text" name="cssdeclerations[<?= strtoupper($item) ?>]" value="<?= $currentvalues[$item] ?>" />
					</p>
					<?php
				}
				else if ($item == 'background-repeat')
				{
					?>
					<p>
						<label>Should the background repeat?</label><br />
						
						<select name="cssdeclerations[<?= strtoupper($item) ?>]" class="styled">
							<option value="no-repeat"<?= $currentvalues[$item] == 'no-repeat' ? ' selected' : '' ?>>No</option>
							<option value="repeat"<?= $currentvalues[$item] == 'repeat' ? ' selected' : '' ?>>Yes - horizontally and vertically</option>
							<option value="repeat-x"<?= $currentvalues[$item] == 'repeat-x' ? ' selected' : '' ?>>Yes - horizontally only</option>
							<option value="repeat-y"<?= $currentvalues[$item] == 'repeat-y' ? ' selected' : '' ?>>Yes - vertically only</option>
						</select>
					</p>
					<?php
				}
				else if ($item == 'background-position')
				{
					?>
					<p>
						<label>Background Position</label><br />
						
						<select name="cssdeclerations[<?= strtoupper($item) ?>]" class="styled">
							<option value="left top"<?= $currentvalues[$item] == 'left top' ? ' selected' : '' ?>>Left Top</option>
							<option value="left center"<?= $currentvalues[$item] == 'left center' ? ' selected' : '' ?>>Left Center</option>
							<option value="left bottom"<?= $currentvalues[$item] == 'left bottom' ? ' selected' : '' ?>>Left Bottom</option>
							
							<option value="right top"<?= $currentvalues[$item] == 'right top' ? ' selected' : '' ?>>Right Top</option>
							<option value="right center"<?= $currentvalues[$item] == 'right center' ? ' selected' : '' ?>>Right Center</option>
							<option value="right bottom"<?= $currentvalues[$item] == 'right bottom' ? ' selected' : '' ?>>Right Bottom</option>
							
							<option value="center top"<?= $currentvalues[$item] == 'center top' ? ' selected' : '' ?>>Center Top</option>
							<option value="center center"<?= $currentvalues[$item] == 'center center' ? ' selected' : '' ?>>Center Center</option>
							<option value="center bottom"<?= $currentvalues[$item] == 'center bottom' ? ' selected' : '' ?>>Center Bottom</option>
						</select>
					</p>
					<?php
				}
				else if ($item == 'background-attachment')
				{
					?>
					<p>
						<label>Background Attachment</label><br />
						
						<select name="cssdeclerations[<?= strtoupper($item) ?>]" class="styled">
							<option value="scroll"<?= $currentvalues[$item] == 'scroll' ? ' selected' : '' ?>>Scroll (scrolls with the page)</option>
							<option value="fixed"<?= $currentvalues[$item] == 'fixed' ? ' selected' : '' ?>>Fixed (doesn't scroll when the page scrolls</option>
						</select>
					</p>
					<?php
				}
				else if ($item == 'text-decoration')
				{
					?>
					<p>
						<label>Text Decoration</label><br />
						
						<select name="cssdeclerations[<?= strtoupper($item) ?>]" class="styled">
							<option value="none"<?= $currentvalues[$item] == 'none' ? ' selected' : '' ?>>None</option>
							<option value="underline"<?= $currentvalues[$item] == 'underline' ? ' selected' : '' ?>>Underline</option>
							<option value="overline"<?= $currentvalues[$item] == 'overline' ? ' selected' : '' ?>>Overline</option>
							<option value="line-through"<?= $currentvalues[$item] == 'line-through' ? ' selected' : '' ?>>Line Through</option>
						</select>
					</p>
					<?php
				}
				else if ($item == 'font-size')
				{
					?>
					<p>
						<label>Font Size</label><br />
						
						<select name="cssdeclerations[<?= strtoupper($item) ?>]" class="styled">
							<?php
								for ($i=6; $i < 61; $i++)
								{
									?>
										<option value="<?= $i ?>px"<?= $currentvalues[$item] == $i.'px' ? ' selected' : '' ?>><?= $i ?> pixels</option>
									<?php
								}
							?>
						</select>
					</p>
					<?php
				}
				else
				{
					?>
					<p>
						<label><?= $item ?></label><br />
						<input type="text" class="text" name="cssdeclerations[<?= strtoupper($item) ?>]" value="<?= $currentvalues[$item] ?>" />
					</p>
					<?php
				}
			}
		?>
		
		<p>
			<input type="submit" class="submit long" value="Save Option" />
		</p>

	
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>


<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>About This CSS Style</h2>
	</div>
	
	<div class="block_content">
	
		<p><em>CSS Options allow you to change things like the colour, font size etc. in your template. See below for a description on this style and what it will affect when you change it.</em></p>
		
		<h3><?= $css['name'] ?></h3>
		<p><?= $css['description'] ?></p>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>






		

	
</form>


