<script type="text/javascript">
$(document).ready(function(){
 $("#search-products").submit(function()
 {	
 	$(".error").hide();
 	
 	var searchterm = $('#product-search-term').val();
 
 	if (searchterm == '')
 	{
 		$('#product-results').prepend('<div class="message error">Please enter a search term</div>');
 		prepareMessages();
 	}
 	else
 	{
 		$("#product-results").slideUp("normal", function()
		{
			$('#product-results').html('<p><img src="<?= URL_SITE ?>freshadmin/icons/common_loading.gif" alt="loading products" title="loading products" class="middle" /> loading...</p>');
		});
		$("#product-results").slideDown();
 	
 		$.post("<?= URL_SITE ?>freshadmin/ajax/searchproducts.php",
			{searchterm: searchterm},
		    function(data)
		    {
				$("#product-results").slideUp("normal", function()
				{
					$("#product-results").html(data);
				});
				
				$("#product-results").slideDown();
			}
		);  
 		
 	}
 	
 	return false;
 }
 );
});  

</script>



<form action="<?= URL_CONTROLPANEL ?>template/editoption/<?= $option_id ?>/" method="post">
	<input type="hidden" name="submitted" value="1" />

<div class="block small left">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Edit Option: <?= $option['name'] ?></h2>	
	</div>
	
	<div class="block_content">
		
		<div id="products-added">
			<h3>Selected Products</h3>
			
			<?php
				if (empty($selectedproducts))
				{
					?>
					<div class="message information" id="no-products-message">There are currently no products selected</div>
					<?php
				}
				else
				{
					foreach ($selectedproducts as $item)
					{
						?>
							<div id="product-added-<?= $item['id'] ?>">
								<input name="products[]" value="<?= $item['id'] ?>" type="hidden">
								<p>
									<a href="#" id="product-remove-<?= $item['id'] ?>">
										<img src="<?= URL_SITE ?>freshadmin/icons/link_delete.png" alt="Delete" title="Delete" class="middle">
									</a>
									<a href="<?= URL_SITE ?><?= $item['pagename'] ?>/"><?= str_replace("'", '"', (strlen($item['linktitle']) > 85 ? substr($item['linktitle'],0,83).'..' : $item['linktitle'])) ?></a>
								</p>
							</div>
							
							<script type="text/javascript">
								$('#product-remove-<?= $item['id'] ?>').click(function()
								{
									$(this).parent().fadeOut('slow', function() { $(this).parent().remove(); });
								});
							</script>
							
						<?php
					}
				}
			?>
			
		</div>
		
		<p>
			<input type="submit" class="submit long" value="Save Products" />
		</p>

	
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>


<div class="block small right">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>About This Option</h2>
	</div>
	
	<div class="block_content">
	
		<p><em>This option lets you choose specific products (e.g. to feature on the homepage) - use the form below to search. Read below for more information about this option.</em></p>
		
		<h3><?= $option['name'] ?></h3>
		<p><?= $option['description'] ?></p>
		
		<h3>Tips</h3>
		<ul>
			<li>Enter part of the product name to find lots of matching products</li>
			<li>Enter a product ASIN to find a specific product</li>
			<li>This will only search products already added to your store</li>
		</ul>
		
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
	
</div>
	
</form>


<div class="block">

	<div class="block_head">
		<div class="bheadl"></div>
		<div class="bheadr"></div>
		
		<h2>Search for Products</h2>
		
		<form action="#" method="post" id="search-products">
			<input type="text" class="search" value="Search" id="product-search-term" />
		</form>
		
	</div>

	<div class="block_content" id="product-results">

		<p><em>Use the search field above to find products. You can also enter a Product ASIN to find specific products.</em></p>
		
	</div>
	
	<div class="bendl"></div>
	<div class="bendr"></div>
</div>

