<?php

/*

- Install Script
	- Redirect to install if it exists
	- Script to:
		- enter database details (if not exists) to create config/mysql.php
		- install sql files (check against version or if db empty)
		- setup all required parameters
		- create an admin user
	- only enable /install/ if version check allows it (for updates)
	- only enable /install/ if admin user is available or database is empty
	- backup database via /install/ if upgrading

*/

	#Check here if we are installing or if we are upgrading
	
	$doinstall = true;
	
	if (file_exists('../config/mysql.php'))
	{
		require('../config/mysql.php');
		$db = @mysql_connect(MYSQL_HOST, MYSQL_USERNAME, MYSQL_PASSWORD);
		$db_selected = @mysql_select_db(MYSQL_DATABASE);
		
		if ($db && $db_selected)
		{
		
			$rs = mysql_query("SELECT * FROM version ORDER BY installed DESC LIMIT 1");
			$ra = @mysql_fetch_array($rs);
			if (is_array($ra))
			{
				$version = $ra['version'];
			}
			else
			{
				$version = str_replace('version=', '', file_get_contents('../version.ini'));
			}
		
			if ($version !== false && $version !== '0')
			{
				# We upgrade!
				$doinstall = false;
			}
		}
	}
	
	
	if ($doinstall)
	{
		# Go here to check permissions
		header("Location: install_checker.php");
		exit();
	}
	else
	{
		header("Location: upgrade_checker.php");
		exit();
	}

?>