<?php

	#Check current install status
	if (file_exists('../config/mysql.php'))
	{
		require('../config/mysql.php');
		$db = @mysql_connect(MYSQL_HOST, MYSQL_USERNAME, MYSQL_PASSWORD);
		$db_selected = @mysql_select_db(MYSQL_DATABASE);
		
		if (!$db || !$db_selected)
		{
			header("Location: install_database.php");
			exit();
		}
		else
		{
			$rs = mysql_query("SELECT COUNT(*) FROM users");
			$count = mysql_result($rs, 0, 0);
			if ($count > 0)
			{
				header("Location: install_parameters.php");
				exit();
			}
		}
	}
	else
	{
		header("Location: install_database.php");
		exit();
	}
	
	
	if ($_POST)
	{
		$email = $_POST['email'];
		$username = $_POST['username'];
		$password = $_POST['password'];
		$password2 = $_POST['password2'];
		
		if (empty($email) || empty($username) || empty($password) || empty($password2))
		{
			$error = 'Please complete all the fields';
		}
		else if ($password != $password2)
		{
			$error = 'Your passwords do not match - please try again';
		}
		
		if (!$error)
		{
			#Add user
			$username = mysql_real_escape_string($username);
			$email = mysql_real_escape_string($email);
			$password = mysql_real_escape_string(md5($password));
			
			mysql_query("INSERT INTO `users` (`username`, `password`, `email`, `level`, `created`, `modified`, `deleted`) VALUES ('$username', '$password', '$email', 0, NOW(), '0000-00-00 00:00:00', '0000-00-00 00:00:00')");
			
			header("Location: install_parameters.php");
			exit();
		}
	}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
	<head>
		<title>Admin User - Install Fresh Store Builder</title>
		
		<link rel="stylesheet" href="css/blueprint/screen.css" type="text/css" media="screen, projection">
		<link rel="stylesheet" href="css/blueprint/print.css" type="text/css" media="print">
		<!--[if lt IE 8]>
			<link rel="stylesheet" href="css/blueprint/ie.css" type="text/css" media="screen, projection">
		<![endif]-->
	</head>
	
	<body>
	
		<div class="prepend-4 append-4 span-16 prepend-top">
		
		<img src="images/logo.png" />
		
		<hr />
		
		<h1>2/3 - Create an Admin User</h1>
	
		<p>Enter a username and password below to create your admin login.</p>
		
		<?php
			if ($error)
			{
				?>
					<p><strong><?= $error ?></strong></p>
				<?php
			}
		?>
		
		<form action="install_admin.php" method="post">
		
		<fieldset>
			<legend>User Details</legend>
			
			<p>
				<label for="email">Email Address (in case of lost password)</label><br />
				<input type="text" class="title text" name="email" id="email" value="<?= isset($email) ? $email : '' ?>" />
			</p>
			
			<p>
				<label for="username">Username</label><br />
				<input type="text" class="title text" name="username" id="username" value="<?= isset($username) ? $username : '' ?>" />
			</p>
			
			<p>
				<label for="password">Password</label><br />
				<input type="password" class="title text" name="password" id="password" value="" />
			</p>
			
			<p>
				<label for="password2">Repeat Password</label><br />
				<input type="password" class="title text" name="password2" id="password2" value="" />
			</p>
			
			<p>
				<input type="submit" value="Create User" />
			</p>
		</fieldset>	
		
		</form>
		
		<hr />
		
		<p><em>Please note that it is an offence to use Fresh Store Builder without a valid license - visit <a href="http://www.freshstorebuilder.c0m/">http://www.freshstorebuilder.c0m/</a> to purchase your license</em></p>
		
		</div>
	
	</body>
</html>
