INSERT INTO `parameters` (`name`, `description`, `parameter`, `value`, `modified`) VALUES
('Site Name', 'The main website name.', 'SITE_NAME', 'Site Name', '0000-00-00 00:00:00'),
('Email To', 'Where emails are sent to.', 'EMAIL_TO', '', '0000-00-00 00:00:00'),
('Email From', 'Where emails are sent from.', 'EMAIL_FROM', '', '0000-00-00 00:00:00'),
('Enable Editor', 'Enable the Rich Text editor used on most large text fields (e.g. product description).', 'EDITOR_ENABLED', '1', '0000-00-00 00:00:00'),
('Product Basic Cache Time', 'The time, in minutes, before the basic product information is updated from Amazon (Amazons Terms & Conditions state a maximum of 24 hours which equals 1440 minutes).', 'CACHE_TIME_PRODUCT_BASIC', '1440', '0000-00-00 00:00:00'),
('Product Variations Cache Time', 'The time, in minutes, before the variations of a product (e.g. sizes, colour) are updated from Amazon (Amazons Terms & Conditions state a maximum of 24 hours which equals 1440 minutes).', 'CACHE_TIME_PRODUCT_VARIATIONS', '1440', '0000-00-00 00:00:00'),
('Product Offers Cache Time', 'The time, in minutes, before the offers for a product (i.e. the prices) are updated from Amazon (Amazons Terms & Conditions state a maximum of 1 hour or 24 hours if you display the last updated time).', 'CACHE_TIME_PRODUCT_OFFERS', '60', '0000-00-00 00:00:00'),
('Product Images Cache Time', 'The time, in minutes, before the images of a product are updated from Amazon (Amazons Terms & Conditions state a maximum of 24 hours which equals 1440 minutes).', 'CACHE_TIME_PRODUCT_IMAGES', '1440', '0000-00-00 00:00:00'),
('Product Reviews Cache Time', 'The time, in minutes, before the reviews of a product are updated from Amazon (Amazons Terms & Conditions state a maximum of 24 hours which equals 1440 minutes).', 'CACHE_TIME_PRODUCT_REVIEWS', '1440', '0000-00-00 00:00:00'),
('Product Promotions Cache Time', 'The time, in minutes, before the promotions for a product (e.g. free shipping) are updated from Amazon (Amazons Terms & Conditions state a maximum of 24 hours which equals 1440 minutes).', 'CACHE_TIME_PRODUCT_PROMOTIONS', '1440', '0000-00-00 00:00:00'),
('Category Auto Populate Delay (Search)', 'The delay, in minutes, before an auto populating category is updated. On each update a page of products is imported. This is specific to the Search option only.', 'AUTO_POPULATE_DELAY_SEARCH', '0', '0000-00-00 00:00:00'),
('Category Auto Populate Delay (BrowseNode)', 'The delay, in minutes, before an auto populating category is updated. On each update a page of products is imported. This is specific to the BrowseNode option only.', 'AUTO_POPULATE_DELAY_BROWSENODE', '0', '0000-00-00 00:00:00'),
('Product Attributes Cache Time', 'The time, in minutes, before the product product attributes updated from Amazon (Amazons Terms & Conditions state a maximum of 24 hours which equals 1440 minutes).', 'CACHE_TIME_PRODUCT_ATTRIBUTES', '1440', '0000-00-00 00:00:00'),
('Category Products Per Page', 'The number of products per page for the Products By Category view.', 'PER_PAGE_PRODUCTSBYCATEGORY', '20', '0000-00-00 00:00:00'),
('Analytics Site Reference', 'Enter the full reference starting (and including) UA. An example is UA-123456-12. You can find this reference in the google analytics tracking code.', 'GOOGLEANALYTICS_REFERENCE', 'UA-', '0000-00-00 00:00:00'),
('Default Logo Caption', 'This is the text that appears next to the logo. Can be set on a per product/category/page/manufacturer basis or this is the default.', 'TEXT_LOGOCAPTION_DEFAULT', 'Buy Online Today!', '0000-00-00 00:00:00'),
('Default Listing per Page', 'Default number of items listed on one page, for pagination. ', 'PER_PAGE_LISTING', '30', '0000-00-00 00:00:00'),
('Site Live', 'Is the website live? Shows a temporary page if not.', 'SITE_LIVE', '0', '0000-00-00 00:00:00'),

('MySQL Time Zone Offset', 'The number of seconds difference between the MySQL timezone and the php timezone. Used to adjust dates pulled from the database.', 'MYSQL_TIMEZONE_OFFSET', '28800', '0000-00-00 00:00:00'),
('Template Folder', 'The name of the folder where the active template files can be found.', 'TEMPLATE_FOLDER', 'classic', '0000-00-00 00:00:00'),
('Amazon Tag', 'The Amazon Tag e.g. name-21 for UK and name-20 for USA.', 'AMAZON_TAG', '', '0000-00-00 00:00:00'),
('Amazon Key', 'They key used to communicate with the Amazon API. Different for UK and USA.', 'AMAZON_KEY', '', '0000-00-00 00:00:00'),
('Site URL', 'The website url, so it can be used in cron jobs.', 'URL_SITE', '', '2008-10-14 12:53:46');
