ALTER TABLE `productattributes` DROP `type`;
CREATE TABLE IF NOT EXISTS `sideboxes` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `html` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

 CREATE TABLE `sideboxes_pages` (
`sidebox_id` INT( 11 ) NOT NULL ,
`page_id` INT( 11 ) NOT NULL
) ENGINE = MYISAM ;

ALTER TABLE `merchants` ADD `url` VARCHAR( 255 ) NOT NULL ;

ALTER TABLE `products` ADD `added` DATETIME NOT NULL ;
ALTER TABLE `categories` ADD INDEX `idx_pagename` ( `pagename` );
ALTER TABLE `manufacturers` ADD INDEX `idx_pagename` ( `pagename` );
ALTER TABLE `pages` ADD INDEX `idx_pagename` ( `pagename` );
ALTER TABLE `pagelegacy` ADD PRIMARY KEY ( `oldpagename` , `newpagename` );
ALTER TABLE `pagelegacy` ADD INDEX `idx_oldpagename` ( `oldpagename` );
ALTER TABLE `pagelegacy` ADD INDEX `idx_newpagename` ( `newpagename` );

CREATE TABLE IF NOT EXISTS `cachefiles` (
  `identifier` varchar(255) NOT NULL,
  `cachefile` varchar(255) NOT NULL,
  `created` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;