CREATE TABLE IF NOT EXISTS `productqueues` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `dailysummary` (
  `id` int(11) NOT NULL auto_increment,
  `summaryday` date NOT NULL,
  `created` datetime NOT NULL,
  `checkoutsexplained` int(11) NOT NULL,
  `checkoutssent` int(11) NOT NULL,
  `uniquevisitors` int(11) NOT NULL,
  `pageviews` int(11) NOT NULL,
  `uniquebaskets` int(11) NOT NULL,
  `basketadds` int(11) NOT NULL,
  `newsletteradds` int(11) NOT NULL,
  `totalnewsletteradds` int(11) NOT NULL,
  `activeproducts` int(11) NOT NULL,
  `productsnooffers` int(11) NOT NULL,
  `searches` int(11) NOT NULL,
  `amazonbuyclicks` int(11) NOT NULL,
  `orphanproducts` int(11) NOT NULL,
  `hiddenproducts` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `productqueues_products` (
  `productqueue_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `notes` text NOT NULL,
  `added` datetime NOT NULL,
  PRIMARY KEY  (`productqueue_id`,`product_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `productqueueruns` (
  `id` int(11) NOT NULL auto_increment,
  `productqueue_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `edittitle` int(1) NOT NULL default '0',
  `editlinktitle` int(1) NOT NULL default '0',
  `editlogotext` int(1) NOT NULL default '0',
  `editmetatitle` int(1) NOT NULL default '0',
  `editmetadescription` int(1) NOT NULL default '0',
  `editmetakeywords` int(1) NOT NULL default '0',
  `editkeyfeatures` int(1) NOT NULL default '0',
  `editdescription` tinyint(1) NOT NULL default '0',
  `editdescriptionsecondary` tinyint(1) NOT NULL default '0',
  `editcategories` tinyint(1) NOT NULL default '0',
  `enableonsave` tinyint(1) NOT NULL default '1',
  `productsperpage` int(1) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `productqueueruns_productattributenames` (
  `productqueuerun_id` int(11) NOT NULL,
  `productattributename_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;