CREATE TABLE IF NOT EXISTS `productphrasefilter` (
  `phrase` varchar(255) NOT NULL,
  `replace` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER TABLE `productamazoncontent` CHANGE `description` `description` TEXT CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;

ALTER TABLE `productamazoncontent` ADD `originaltitle` VARCHAR( 255 ) NOT NULL ,
ADD `originaldescription` TEXT NOT NULL ,
ADD `originalkeyfeatures` TEXT NOT NULL ;


CREATE TABLE IF NOT EXISTS `categorygroups` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

ALTER TABLE `categories` ADD `categorygroup_id` INT( 11 ) NOT NULL ;

ALTER TABLE `products` ADD `expired` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `hidden` ;

ALTER TABLE `amazonerrors` CHANGE `url` `url` TEXT CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;
 
ALTER TABLE `productattributenames` CHANGE `metabrowse` `metabrowse` INT( 1 ) NOT NULL DEFAULT '0',
CHANGE `searchable` `searchable` INT( 1 ) NOT NULL DEFAULT '0',
CHANGE `sidebarfilter` `sidebarfilter` INT( 1 ) NULL DEFAULT '0';

 CREATE TABLE `banners` (
`id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`bannerkey` VARCHAR( 255 ) NOT NULL ,
`image` VARCHAR( 255 ) NOT NULL ,
`alt` VARCHAR( 255 ) NOT NULL ,
`title` VARCHAR( 255 ) NOT NULL ,
`url` VARCHAR( 255 ) NOT NULL ,
`nofollow` VARCHAR( 255 ) NOT NULL ,
`created` DATETIME NOT NULL ,
`edited` DATETIME NOT NULL ,
`deleted` DATETIME NOT NULL
) ENGINE = MYISAM;

ALTER TABLE `categorygroups` ADD `sortorder` INT( 11 ) NOT NULL DEFAULT '0';
ALTER TABLE `categories` ADD `sortorder` INT( 11 ) NOT NULL ;

ALTER TABLE `sideboxes_pages` ADD `nofollow` TINYINT( 1 ) NOT NULL DEFAULT '0';