UPDATE products SET expired = 0, enabled = 1 WHERE expired = 1;

UPDATE parameters SET `value` = 60 WHERE `parameter` = 'AUTO_POPULATE_DELAY_BROWSENODE';
UPDATE parameters SET `value` = 60 WHERE `parameter` = 'AUTO_POPULATE_DELAY_SEARCH';

DROP TABLE cronjobs;

CREATE TABLE IF NOT EXISTS `autorun` (
  `id` int(11) NOT NULL auto_increment,
  `autorunkey` varchar(255) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `lastrun` datetime NOT NULL,
  `delay` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `cronkey` (`autorunkey`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;


INSERT INTO `autorun` (`autorunkey`, `filename`, `name`, `description`, `lastrun`, `delay`) VALUES
('AUTOPOPULATE', 'bg_autopopulate.php', 'Auto Populate Categories', 'This autorun task will populate any categories you have setup to autopopulate. Each time this task runs it will populate up to 2 categories, and each category will receive up to 10 products each (depending on filter settings).', '0000-00-00 00:00:00', 5),
('UPDATEPRODUCTS', 'bg_updateproducts.php', 'Update Products', 'This autorun task will check products that need updating in your store. It will check for new images, updated prices, information etc.', '0000-00-00 00:00:00', 3),
('XMLSITEMAP', 'bg_xmlsitemap.php', 'Create XML Sitemap', 'This autorun tasks creates an XML sitemap and pings all the relevant search engines; Google, Yahoo, Bing and Ask.com.', '0000-00-00 00:00:00', 1440),
('CLEANDATABASE', 'bg_cleandb.php', 'Clean & Optimise Database', 'This autorun task cleans up the database, removes redundant records, optimises tables, updates indexes etc. to keep things running smoothly.', '0000-00-00 00:00:00', 1440);

DELETE FROM `parameters` WHERE `parameter` = 'CRON_RANDOM_NUMBER';
