INSERT INTO `parameters` (`group`, `name`, `description`, `parameter`, `value`, `modified`) VALUES ('Search Engines', 'Meta Keyword Quantity', 'The number of meta keywords to generate for each product.', 'METAKEYWORD_COUNT', '5', '0000-00-00 00:00:00');

INSERT INTO `parameters` (`group` ,`name` ,`description` ,`parameter` ,`value` ,`modified`) VALUES ('Cart & Checkout', 'Checkout Redirection Time', 'The amount of time, in seconds, to display the "Transferring to Amazon" page. Set to "0" to auto redirect and disable this page.', 'CHECKOUT_REDIRECTION_TIME', '1', '');

INSERT INTO `parameters` (`group` ,`name` ,`description` ,`parameter` ,`value` ,`modified`) VALUES ('Store Settings', 'Category Minimum Products', 'The minimum amount of 
products to show category products rather than subcategories', 'CATEGORY_MIN_PRODUCTS', '3', '');

UPDATE `parameters` SET `group` = 'Cart & Checkout' WHERE `parameter` = 'CHECKOUT_MODE' OR `parameter` = 'PRODUCT_HIDE_ADD_TO_CART';

DELETE FROM `parameters` WHERE `parameter` = 'CHECKOUT_MODE';

UPDATE `parameters` SET `description` = 'The Amazon locale your store is promoting. USA for Amazon.com, UK for Amazon.co.uk, DE for Amazon.de, IT for Amazon.it, JP for Amazon.co.jp, CA for Amazon.ca, FR for Amazon.fr, ES for Amazon.es, and CN for Amazon.cn.' WHERE `parameter` = "STORE_LOCALE";

UPDATE `parameters` SET `description` = 'Your store URL. Please include http:// and <strong>do not change this value unless you are changing your store\'s URL</strong>.' WHERE `parameter` = "URL_SITE";