<?php

	#Connect to db
	require('../config/mysql.php');
	$db = @mysql_connect(MYSQL_HOST, MYSQL_USERNAME, MYSQL_PASSWORD);
	$db_selected = @mysql_select_db(MYSQL_DATABASE, $db);
	
	if (!$db || !$db_selected)
	{
		echo 'Your database settings are incorrect. Please check and try again.';
		exit();
	}
	
	# What version are we on?
	$rs = mysql_query("SELECT * FROM version ORDER BY installed DESC LIMIT 1");
	$ra = @mysql_fetch_array($rs);
	if (is_array($ra))
	{
		$version = $ra['version'];
	}
	else
	{
		$version = str_replace('version=', '', file_get_contents('../version.ini'));
	}
	
	$newversion = file_get_contents('version.txt');
	
	if ($version == $newversion)
	{
		header("Location: /");
		exit();
	}
	

	# Loop through each directory
	$path = './sql/';
	$dh = opendir($path);
	
	$sqlfiles = array();
	
	while (($item = readdir($dh)) !== false)
	{
		if (is_dir($path.$item) && $item != '..' && $item != '.' && $item > $version)
		{
			$dh2 = opendir($path.$item);

			while (($file = readdir($dh2)) !== false)
			{
				if (is_file($path.$item.'/'.$file) && substr($file,sizeof($file)-4,3) == 'sql')
				{
					$sqlfiles[] = $path.$item.'/'.$file;
				}
			}
			closedir($dh2);
		}
	}
	
	
	closedir($dh);
	
	asort($sqlfiles);
	
	# Additional SQL Files
	$sqlfiles[] = './defaultdata/searchindexes_all.sql';
	
	# Start log file
	$filename = '../logs/upgrade_'.time().'.txt';
	$lfh = fopen($filename, 'w');
	
	fwrite($lfh, date('Y-m-d H:i:s - ').' - SQL Statements Started'."\n");
	
	
	
	
	foreach ($sqlfiles as $file)
	{
		#echo $path.$file.'<br />';
		$sql = file_get_contents($file);
		$sql = explode(";\n", $sql);
		
		foreach ($sql as $statement)
		{
			if (trim($statement) == '') continue;
			#mysql_query($statement) or die (mysql_error());
			mysql_query($statement);
			
			if (mysql_errno())
			{
				fwrite($lfh, date('Y-m-d H:i:s - ').mysql_error().'. SQL Statement: '.$statement."\n");
			}
			
		}
	}
	
	
	
	
	
	fwrite($lfh, date('Y-m-d H:i:s - ').' - SQL Statements Finished'."\n");
	
	fclose($lfh);
	
	# Fix the site URL
	$rs = mysql_query("SELECT * FROM parameters WHERE parameter = 'URL_SITE'");
	$ra = mysql_fetch_array($rs);
	$url = $ra['value'];
	
	if (substr($url, strlen($url)-1, 1) != '/')
	{
		$url .= '/';
		mysql_query("UPDATE parameters SET value = '$url' WHERE parameter = 'URL_SITE'");
	}	
	
	# Update the version
	if ($newversion != '')
	{	
		mysql_query("INSERT INTO version (version, type, installed) SELECT '$newversion', 'upgrade', now()");
	}
	
	#file_put_contents('../version.ini', 'version='.$newversion);
	@unlink ('../version.ini');
	
	# Update the template
	require('../config/mysql.php');
	require('../config/paths.php');
	require('../library/mysql.php');
	require('../library/templates.php');
	require('../library/products.php');
	$db = new mysql(MYSQL_HOST, MYSQL_USERNAME, MYSQL_PASSWORD, MYSQL_DATABASE);
	$currenttemplate = $db->value('parameters', 'value', 'TEMPLATE_FOLDER', 'parameter');
	getTemplateConfig($currenttemplate);

	# Fix any parent products
	$ra = $db->query("SELECT id FROM products WHERE parent = 1")->getFullArray();
	foreach($ra as $product)
	{
		updateProductVariationOfferStats($product['id']);
	}
	
?>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
	<head>
		<title>Upgrade Complete - Fresh Store Builder</title>
		
		<link rel="stylesheet" href="css/blueprint/screen.css" type="text/css" media="screen, projection">
		<link rel="stylesheet" href="css/blueprint/print.css" type="text/css" media="print">
		<!--[if lt IE 8]>
			<link rel="stylesheet" href="css/blueprint/ie.css" type="text/css" media="screen, projection">
		<![endif]-->
	</head>
	
	<body>
	
		<div class="prepend-4 append-4 span-16 prepend-top">
		<img src="images/logo.png" />
		
		<hr />
		
		<h1>Upgrade Completed</h1>
	
		<p>Thank you for upgrading - your store is now version <?= $newversion ?></p>
		
		<p>-> <a href="../">Continue to your store</a></p>
		<p>-> <a href="../freshadmin/">Continue to your admin area</a></p>
		
		<p><strong>Important!</strong> Please delete the /install/ folder on your server.</p>
		
		<hr />
		
		<p><em>Please note that it is an offence to use Fresh Store Builder without a valid license - visit <a href="http://www.freshstorebuilder.c0m/">http://www.freshstorebuilder.c0m/</a> to purchase your license</em></p>
		
		</div>
		
	
	</body>
</html>
