<?php

	function checkAutoRun()
	{
		global $db;
		
		# Get the delays and last run dates
		$items = $db->getAll('autorun', false, 'id', 'lastrun', 'ASC');


		foreach ($items as $item)
		{
			if (time() - strtotime($item['lastrun']) > ($item['delay'] * 60))
			{
				$update = array();
				$update['lastrun'] = date('Y-m-d H:i:s');
				$db->update('autorun', $item['id'], $update);
				
				setAutoRun(URL_SITE.'autorun/'.$item['filename']);
				
				return;
			}
		}
	}
	
	function setAutoRun($url)
	{
		register_shutdown_function('sendRemoteRequest', $url, '1');
	}


?>