<?php
	function getSearchIndexList($exclude = array())
	{
		global $db;
		
		if (sizeof($exclude) == 0)
		{
			$excludetext = "''";
		}
		else
		{
			$excludetext = "'".implode("', '", $exclude)."'";
		}
		
		$sql = "SELECT searchindex FROM searchindexes WHERE locale = '".AMAZON_LOCALE."' AND searchindex NOT IN ($excludetext)";
		$rs = $db->query($sql);
		$ra = $rs->getFullArray();
		return ($ra);
	}
	
	function generateSearchIndexFormOptions($searchindexlist, $selected = '', $first = true)
	{
		$options = '';
		if ($first)
		{
			$options .= '<option value=""'.($selected == '' ? ' selected' : '').'>-- none --</option>';
		}
		foreach ($searchindexlist as $item)
		{
			$options .= '<option value="'.$item['searchindex'].'"'.($item['searchindex'] == $selected ? 'selected' : '').'>';
			$options .= $item['searchindex'];
			$options .= '</option>';
		}
		
		return $options;
	}
?>