<?php
	
	# Sort out the get parameters from .htaccess rule
	$querystring = explode('/', $_GET['q']);
	if ($querystring[0] != '') $_GET['n'] = $querystring[0];
	unset($querystring[0]);
	foreach ($querystring as $key => $item)
	{
		if ($item != '')
		{
			#$item = preg_replace('/[^a-zA-Z0-9-]/', ' ', $item);
			$_GET['var'.$key] = $item;
		}
	}


	## Paths, URLs and Configs
	require($path.'config/paths.php');
	require(PATH_CONFIG.'/server.php');
	require(PATH_CONFIG.'/mysql.php');

	
	##  Session
	session_start();


	##  Core Application Functions and Classes
	require(PATH_LIBRARY.'amazon.php');
	require(PATH_LIBRARY.'authentication.php');
	require(PATH_LIBRARY.'messages.php');
	require(PATH_LIBRARY.'pagenames.php');
	require(PATH_LIBRARY.'categories.php');
	require(PATH_LIBRARY.'parameters.php');
	require(PATH_LIBRARY.'misc.php');
	require(PATH_LIBRARY.'mysql.php');
	require(PATH_LIBRARY.'remote.php');
	require(PATH_LIBRARY.'xmltoarray.php');
	require(PATH_LIBRARY.'html.php');
	require(PATH_LIBRARY.'products.php');
	require(PATH_LIBRARY.'manufacturers.php');
	require(PATH_LIBRARY.'searchindexes.php');
	require(PATH_LIBRARY.'pages.php');
	require(PATH_LIBRARY.'merchants.php');
	require(PATH_LIBRARY.'class_googlesitemap.php');
	require(PATH_LIBRARY.'contenttemplates.php');
	require(PATH_LIBRARY.'bestspinner.php');
	
	##  Setup MySQL Connection
	$db = new mysql(MYSQL_HOST, MYSQL_USERNAME, MYSQL_PASSWORD, MYSQL_DATABASE);
	
	## Load and Setup Local Parameters
	defineParameters();
	require(PATH_CONFIG.'/urls.php');
	
	# Time Zone
	$db->query("SET time_zone = '".TIME_ZONE."'", 'Setting Time Zone', false);
	@putenv('TZ='.TIME_ZONE);
	@mktime(0,0,0,1,1,1970);
	
	# Basically Clean slashes from the GET, POST & COOKIE
	cleanGPC();
	
	# Set the Locale
	define('AMAZON_LOCALE', checkAmazonTagLocale(AMAZON_TAG));
			
	## Initialise the Amazon Class
	$amazon = initialiseAmazon();

	#Amazon cart
	$amazon->getCart();
?>