<?php
	if ($manufacturer['display'] && $manufacturerimage)
	{
		?>
			<div id="product-manufacturer">
				<a href="<?= URL_SITE.$manufacturer['pagename'] ?>/" rel="nofollow">
					<img src="<?= URL_SITE ?>i/?src=<?= RELATIVE_URL_IMAGES_MANUFACTURER.$manufacturerimage['filename'] ?>&w=250&h=80" />
				</a>
			</div>
		<?php
	}
?>

<h1 id="product-title"<?= ($manufacturer['display'] ? ' class="product-title-manufacturer"' : '') ?>><?= $product['title'] ?></h1>
<br class="clearall" />

<div id="product-price-box">

	<?php
		if ($optionsummary['minprice'] == $optionsummary['maxprice'])
		{
			?>
				<h2 class="price"><?= formatProductPrice($optionsummary['minprice']) ?></h2>
			<?php
		}
		else
		{
			?>
				<h2 class="price"><?= gTT('PRICE_FROM') ?> <?= formatProductPrice($optionsummary['minprice']) ?> <?= gTT('PRICE_TO') ?> <?= formatProductPrice($optionsummary['maxprice']) ?></h2>
			<?php
		}
	?>
	
	<?php
		if (PRODUCT_HIDE_ADD_TO_CART == '0' || (PRODUCT_SHOW_AMAZON_LINK && PRODUCT_DISPLAY_OPTIONS_LINK))
		{
			?>
			<div id="product-options">
				<?php require('elements/product_options'.$optionsdisplaytype.'.php'); ?>
			</div>
			<?php
		}
	?>	
		
	<?php

		if (PRODUCT_SHOW_AMAZON_LINK && !PRODUCT_DISPLAY_OPTIONS_LINK)
		{
			?>
				<br /><br />
				<a href="<?= URL_SITE ?><?= $pages['buyamazon']['pagename'] ?>/<?= $product['id'] ?>/<?= $product['expired'] ? '3' : '2' ?>/" rel="nofollow">
					<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/buttons/buy_at_amazon_<?= strtolower($amazon->locale) ?>.gif" alt="<?= gTT('PRODUCT_BUY_AMAZON') ?>" />
				</a>
			<?php
		}
	?>
	

</div>




<div id="product-image-box">

	<a href="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $mainimage['id'] ?>_500.jpg" rel="lightbox[product]" title="<?= $product['title'] ?>">
	<img src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $mainimage['id'] ?>_250.jpg" />
	</a>
	
	<p><em><?= gTT('IMAGES_ENLARGE') ?></em></p>
	
	<?php
		if (sizeof($images) > 0) 
		{
			?>
			
				<?php
				foreach ($images as $image)
				{
					?>
						<a href="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $image['id'] ?>_500.jpg" rel="lightbox[product]" title="<?= $product['title'] ?>">
							<img src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $image['id'] ?>_50.jpg" class="image-thumbnail" />
						</a>				
					<?php
				}
				?>
			
			<?php	
		}
	?>
</div>


<br clear="all" />



<?php
if ($product['reviewiframelink'] != '')
{
	?>
		<div id="product-review-box">			
			<h3><a href="<?= URL_SITE ?><?= $product['pagename'] ?>/reviews/" rel="nofollow"><?= gTT('PRODUCT_REVIEWS') ?></a></h3>
		</div>
	<?php
}
?>

<?php
	if (trim($product['description']) != '' || ADMIN_LOGGED_IN)
	{
		?>	
			<h2><?= sprintf(gTT('PRODUCT_INTRODUCING'), $product['linktitle']) ?></h2>
			<div id="product-description"><?= $product['description'] ?></div>
		<?php
	}
?>

<?php
	if (trim($amazoncontent['description']) != '' && PRODUCT_INFO_DISPLAY_AZDESC != '0')
	{
		?>
			<div id="product-azdescription">
				<h3><?= gTT('PRODUCT_DESCRIPTION_MANUFACTURER') ?></h3>
				<p><?= $amazoncontent['description'] ?></p>
			</div>
		<?php
	}
?>

	
	
	<?php
	if (sizeof($product['keyfeatures']) > 0 && $product['keyfeatures'][0] != '')
	{
		?>
			<h2><?= gTT('PRODUCT_FEATURES') ?></h2>
			
			<ul>
				<?php
				$product['keyfeatures'] = explode("\n",$product['keyfeatures']);
				foreach($product['keyfeatures'] as $feature)
				{
					?>
					<li><?= $feature ?></li>
					<?php
				}
				?>
			</ul>
			
		<?php
	}
	?>
<br class="clearall" />

<?php
	if (sizeof($attributes) > 0)
	{
		?>
			<div id="product-details-box">
				<h2><?= gTT('PRODUCT_INFORMATION') ?></h2>
				<ul>
				<?php
					foreach ($attributes as $name => $value)
					{
						if (trim($value) == '') continue;
						?>
							<li>
								<span class="label"><?= $name ?></span>
								<span class="value">
								<?php
									if (is_array($value))
									{
										foreach ($value as $key => $item)
										{
											echo $key . ' = ' . $item.',';
										}
									}
									else
									{
										echo $value;
									}
								?>
								</span>
								<br class="clearall" />
							</li>
						<?php
					}
				?>
				</ul>
			</div>
		<?php	
	}
?>
<br class="clearall" />

<?php
	if (trim($product['descriptionsecondary']) != '' || ADMIN_LOGGED_IN)
	{
		?>	
			<div id="product-descriptionsecondary"><?= $product['descriptionsecondary'] ?></div>
		<?php
	}
?>

<?php if($product['feed']): ?>
	<div id="product-feed">
		<h2><?= gTT('PRODUCT_NEWS') ?></h2>
		<?php
			$i = 0;
			foreach($product['feed'] as $feeditem)
			{
				echo '<div class="product-feed-item">';
				echo "<a href=\"{$feeditem['item_url']}\" class=\"product-feed-item-link\" rel=\"nofollow\">{$feeditem['item_title']}</a>";
				echo '<div class="product-feed-item-body">'.$feeditem['item_body'].'</div>';
				echo '</div>';
				$i++;
				if($i == RSSFEED_COUNT) break;
			}
		?>
	</div>
	<br class="clearall" />
<?php endif; ?>

<?php
	if ($manufacturer['display_product'])
	{
		?>
			<p><?= sprintf(gTT('MANUFACTURER_RANGE'), "<a href=\"".URL_SITE."{$manufacturer['pagename']}/\">{$manufacturer['name']}</a>") ?> </p>
		<?php
	}
?>
