<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
	<head>
		<title><?= $page_title ?></title>
		
		<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" />
		<meta http-equiv="content-language" content="en" />
		<meta name="keywords" content="<?= $page_keywords ?>" />
		<meta name="description" content="<?= $page_description ?>" />

		<?php
			if ($metanoindex)
			{?>
					<meta name="robots" content="noindex,follow" />
				<?php
			}
			else
			{	?>
					<meta name="robots" content="index,follow" />
				<?php
			}
		?>
		
		<link rel="canonical" href="<?= $canonicalurl ?>" />
		
		<?php
			if($pagination['currentpage'])
			{
				if ($pagination['currentpage'] <> 1)
				{
					?>
						<link rel="prev" href="<?= buildListingLink($pagination['baselink'], $pagination['currentpage']-1, $pagination['currentsort'], key($pagination['sortoptions']), $pagination['currentperpage'], $defaultperpage) ?>" />
					<?php
				}
				if ($pagination['currentpage'] <> $pagination['pages'])
				{
					?>
						<link rel="next" href="<?= buildListingLink($pagination['baselink'], $pagination['currentpage']+1, $pagination['currentsort'], key($pagination['sortoptions']), $pagination['currentperpage'], $defaultperpage) ?>" />
					<?php
				}
			}
		?>
		
		<script language="JavaScript" type="text/javascript">
		if (top.location != self.location) top.location = self.location;
		window.siteurl = '<?= URL_SITE ?>';
		</script>
        
        <script language="JavaScript" type="text/javascript">
        function addBookmark(){
        if (document.all) {window.external.AddFavorite(location.href, document.title);}
        else if (window.sidebar){window.sidebar.addPanel(document.title, location.href, "");}
        }
        </script>

		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/style.css">
        <link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/screen.css">
        
        <link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/revert.css"/>
		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/defaults.css"/>
		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/layout.css"/>
		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/leftnav.css"/>
		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/slider.css"/>
		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/gallery.css"/>
		<!--[if lte IE 7]>
		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/layout-ie.css"/>
		<![endif]-->
        
        
		<?= $cssdeclerations ?>
		
		<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/scripts/main.js"></script>
        
        <?php
			if ($pagetype == 'product')
			{
				$jqueryincluded = true;
				?>
					<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/scripts/jquery.min.js"></script>
					<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/scripts/jquery.ui.min.js"></script>
					<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/scripts/jquery.microgallery.js"></script>
					<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/scripts/productoptions.js"></script>

				<?php
			}
			else
			{ if (isset($includescripts) && is_array($includescripts))
				foreach ($includescripts as $script)
				{  ?>
						<script type="text/javascript" src="<?= $script ?>"></script>
					<?php
				}
			}
			
		?>				
		
		
		<?php require('elements/analytics.php'); ?>
		
		<?php
			if ($pagetype == 'category')
			{	?>
				<link href="<?= URL_SITE ?>rss/<?= PAGENAME ?>/" rel="alternate" type="application/rss+xml" title="<?= SITE_NAME ?> Products in category <?= $thiscategory['linktitle'] ?>" />
				<?php
			}
		?>
		
		<link href="<?= URL_SITE ?>rss/all-products/" rel="alternate" type="application/rss+xml" title="<?= SITE_NAME ?> Products" />
		<link href="<?= URL_SITE ?>rss/special-offers/" rel="alternate" type="application/rss+xml" title="<?= SITE_NAME ?> Special Offers" />
			
	</head>
	<body<?= $body_onload ?>>
		<?php
			if (ADMIN_LOGGED_IN && file_exists(PATH_TEMPLATES.TEMPLATE_FOLDER.'/elements/admin_stripe_'.$adminstripename.'.php'))
			{
				require('elements/admin_stripe_'.$adminstripename.'.php');
			}
		?>
		<!-- QNVUKGJHMVND -->
		
<div class="content_bg">
      
      <div class="main_cont">
           <img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/main_cont_top.png" class="main_cont_top" alt="" />                
				<?php
					if (ADMIN_LOGGED_IN)
					{	require('elements/'.$editinplacename.'_editinplaceoptions.php');
					}
				?>
            
           <div class="main_in">   
                
               <div class="header">
                              
                  <div class="img"><?= getTemplateImage('HEAD_LOGO') ?></div>              
                  <div class="header_right">
                       <span><?= ($amazon->cart ? ($amazon->cart['totalquantity'] == 1 ? '1 '.gTT('HEAD_ITEM') : $amazon->cart['totalquantity'].' '.gTT('HEAD_ITEMS')) : '0 '.gTT('HEAD_ITEMS')) ?> - <?= formatProductPrice($amazon->cart['subtotal']) ?></span>
                       <span><a href="<?= URL_SITE ?><?= $pages['basket']['pagename'] ?>/" rel="nofollow">View Cart</a> 
                       <?php
						if ($amazon->cart && $amazon->cart['totalquantity'] > 0 && $showcheckoutbutton)
						{  ?>
									 :: <a href="<?= URL_SITE ?><?= $pages['checkout']['pagename'] ?>/" rel="nofollow">
										<?= getTemplateImage('BUTTON_CHECKOUT') ?>
									</a>
							<?php
						}
					   ?>
                       </span>
                  </div>              
                  <ul class="menu_cont">
                  	<?php
			      		$topnavitems = getTemplateOption('TOP_NAV_LINKS');
			      		if (sizeof($topnavitems) > 0)
			      		{
			      			foreach ($topnavitems as $page)
			      			{
			      				?>
			      					<li><a href="<?= URL_SITE ?><?= $page['pagename'] == '' ? '' : $page['pagename'].'/' ?>"><?= $page['linktitle'] ?></a></li>
			      				<?php
			      			}
			      		}
			      		else
			      		{
			      			?>
				      			<li><a href="<?= URL_SITE ?>">Home</a></li>
				      			<li><a href="<?= URL_SITE ?>all-products/">All Products</a></li>
				      			<li><a href="<?= URL_SITE ?>site-map/">Sitemap</a></li>
				      			<li><a href="<?= URL_SITE ?>contact-us/">Contact us</a></li>
			      			<?php
			      		}
					?>
                      
                  </ul>
                  
                  <div id="header-center">
					<?= getTemplateImage('HEAD_BANNER') ?>
				  </div>
                  
             </div>       
                                                                						
	
			<div class="content_in">    
            <?PHP
            $category_name = 'all-products'; 
            ?>
            
                <div class="link_site">
                  <span class="left"><?php require('elements/breadcrumb.php') ?></span>
                  <div class="right"> 
                         <span>Share:</span>
                         <a href="JavaScript:addBookmark();" title="Add to Favorites"><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/icon1.jpg" class="img" alt="" /></a>
                         
							<?php
								if ($pagetype == 'category')
								{	?>
									<a href="<?= URL_SITE ?>rss/<?= PAGENAME ?>/" title="RSS"><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/icon2.jpg" class="img" alt="" /></a>
									<?php
								}
								else
								{
									?>
									<a href="<?= URL_SITE ?>rss/all-products/" title="RSS"><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/icon2.jpg" class="img" alt="" /></a>
									<?php
								}
							?>

                         <a href="http://www.facebook.com/share.php?u=<?= urlencode(URL_SITE) ?>"><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/icon3.jpg" class="img" alt="" /></a>
                         <a href="https://twitter.com/share?text=<?= urlencode('Check out this great shop: '/SITE_NAME) ?>&url=<?= urlencode(URL_SITE) ?>"><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/icon4.jpg" class="img" alt="" /></a>
                         <a href="http://www.stumbleupon.com/submit?url=<?= urlencode(URL_SITE) ?>&title=<?= urlencode(SITE_NAME) ?>"><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/icon5.jpg" class="img" alt="" /></a>
                  </div>
               </div>
               
               
               <div class="cont_left">
                              
                  <div class="left_search">
                     <form action="<?= URL_SITE ?><?= $pages['search']['pagename'] ?>/" method="post">
						<input type="text" id="search-keywords" name="keywords" value=""  class="input"/>
						<input type="submit" id="search-submit" value="" class="go" />
					</form>
                  </div>
                                    
				   <?php
                    foreach ($leftmenucategories as $categorygroup)
                    {	if (sizeof($categorygroup['categories']) == 0) continue;
                        ?>
                        <div class="cont_left_in">
                        <h4><?= $categorygroup['name'] ?></h4>														
                        <ul>
                            <?php
                                foreach ($categorygroup['categories'] as $leftcategory)
                                {  ?>
                                    <li class="level-<?= $leftcategory['level'].($current_category_id == $leftcategory['id'] ? ' selected' : '') ?>">
                                        <a class="<?= (PAGENAME == $leftcategory['pagename'] ? 'selected' : '') ?>" href="<?= URL_SITE ?><?= $leftcategory['pagename'] ?>/"><?= $leftcategory['linktitle'] ?></a>
                                    </li>
                                    <?php
                                }
                            ?>
                            <li class="level-0 no_bg"><a href="<?= URL_SITE ?><?= $pages['allproducts']['pagename'] ?>/" class="<?= (PAGENAME == $pages['allproducts']['pagename'] ? 'selected' : 'allproducts') ?>"><?= $pages['allproducts']['linktitle'] ?></a></li>
                        </ul>
                        <img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/cont_left_in_bott.jpg" class="img" alt="" />
                        </div>
                        <?php
                    }
                ?>                                                                      
                  
				   <?php
                    if (sizeof($leftmenumanufacturers) > 0)
                    {	?>
                      <div class="cont_left_in">
                            <h4>Browse Brands</h4>								
                            <ul class="li_grey">
                                <?php									
                                foreach ($leftmenumanufacturers as $leftmanufacturer)
                                {	?>
                                    <li><a href="<?= URL_SITE ?><?= $leftmanufacturer['pagename'] ?>/"><?= $leftmanufacturer['linktitle'] ?></a></li>
                                    <?php
                                }
                                ?>
                            </ul>
                            <img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/cont_left_in_bott.jpg" class="img" alt="" /> 
                        </div>
                        <?php
                    }
                ?>                                                                     
                  
                  <div class="cont_left_in">
                       <?php
						if (is_array($sidebarfilters))
						{	?>
								<h4><?= gTT('MAIN_FILTER_TITLE') ?> - <a href="<?= URL_SITE ?><?= $pages['filterproducts']['pagename'] ?>/"><?= gTT('MAIN_FILTER_MORE') ?></a></h4>
							
								<div class="menu-left-contents">
								<form action="<?= URL_SITE ?>filter-products/" method="post" id="sidefilterform">
									<div id="sidefilteroptions">
										<?php
										foreach ($sidebarfilters as $key => $item)
										{
										if ($key === 'filterprices')
										{
											?>
												<div class="sidefilteroption">
												<label for="side-filterprice"><strong><?= gTT('MAIN_FILTER_PRICE') ?>:</strong></label>												
												<select name="filterprice" id="side-filterprice">
													<option value="-1"><?= gTT('MAIN_FILTER_ANY') ?></option>
													<?php
														$filterprices = $item;
														foreach ($filterprices as $key => $item)
														{	?>
															<option value="<?= $item['start'].'|'.$item['end'] ?>"<?= $_SESSION['productfilters']['filterprice'] == $item['start'].'|'.$item['end'] ? ' selected' : '' ?> ><?= $item['displayvalue'] ?></option>
															<?php
														}
													?>
												</select>
												</div>												
											<?php											
										}
										else if ($key === 'filtermanufacturer')
										{	?>
												<div class="sidefilteroption">
												<label for="side-filtermanufacturer"><strong><?= gTT('MAIN_FILTER_MANUFACTURER') ?>:</strong></label>

												<select name="filtermanufacturer" id="side-filtermanufacturer">
													<option value="-1"><?= gTT('MAIN_FILTER_ANY') ?></option>
													<?php
														$filtermanufacturers = $item;
														foreach ($filtermanufacturers as $key => $item)
														{	?>
															<option value="<?= $item['id'] ?>"<?= $_SESSION['productfilters']['filtermanufacturer'] == $item['id'] ? ' selected' : '' ?> ><?= $item['linktitle'] ?></option>
															<?php
														}
													?>
												</select>
												</div>				
											<?php
										}
										else
										{
											?>													
												<div class="sidefilteroption">
													<?php
														if ($item['valuetype'] == 'checkbox')
														{	?>
															<strong><?= $item['displayname'] ?></strong> - <a href="#" onclick="unCheck($('sidefilterform'), '<?= $item['originalname'] ?>'); return false;">Reset</a><br />
															<?php														
															$i = 0;
															foreach ($item['values'] as $valuekey => $valueitem)
															{	?>																
																<span class="sidefiltercheckbox">
																	<input type="checkbox" id="<?= $item['originalname'].$i ?>" name="<?= $item['originalname'] ?>[]" value="<?= $valueitem['value'] ?>" onclick="checkForAllTicked(<?= $item['originalname'] ?>, $(all<?= $item['originalname'] ?>))" <?= $_SESSION['productfilters'][$item['originalname']][$valueitem['value']] ? ' checked' : '' ?> />
																	<label for="<?= $item['originalname'].$i ?>"><?= $valueitem['value'].$item['units'] ?></label>
																</span>
																<br />
																<?php
																$i++;
															}
														}
														else if ($item['valuetype'] == 'dropdown')
														{	?>
															<label for="side-<?= $item['originalname'] ?>"><strong><?= $item['displayname'] ?></strong></label>
															<select name="<?= $item['originalname'] ?>" id="side-<?= $item['originalname'] ?>">
																<option value="-1">Any</option>
																<?php
																foreach ($item['values'] as $valuekey => $valueitem)
																{	?>
																	<option value="<?= $valueitem['value'] ?>"<?= $_SESSION['productfilters'][$item['originalname']] == $valueitem['value'] ? ' selected' : '' ?> ><?= $valueitem['value'] ?></option>
																	<?php
																}
																?>
															</select>
															<?php
														}
														else if ($item['valuetype'] == 'yesorno')
														{	?>
															<label for="side-<?= $item['originalname'] ?>"><strong><?= $item['displayname'] ?></strong></label>
															<select name="<?= $item['originalname'] ?>" id="side-<?= $item['originalname'] ?>">
																<option value="-1">Any</option>
																<?php
																foreach ($item['values'] as $valuekey => $valueitem)
																{	?>
																	<option value="<?= $valueitem['value'] ?>"<?= $_SESSION['productfilters'][$item['originalname']] == $valueitem['value'] ? ' selected' : '' ?> ><?= $valueitem['value'] == '1' ? 'Yes' : 'No' ?></option>
																	<?php
																}
																?>
															</select>
															<?php
														}
													?>
													</div>										
										<?php											
											}		
										}
										?>										
										<input type="submit" value="<?= gTT('MAIN_FILTER_BUTTON') ?>" id="sidefilteroptionssubmit" />
										<?php
											if ($_SESSION['productfilters'])
											{	?>
													<br /><br /><a href="<?= URL_SITE ?><?= $pages['filterproducts']['pagename'] ?>/cancel/"><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/icons/delete.png" /><?= gTT('MAIN_FILTER_REMOVE') ?></a>
												<?php
											}
										?>										
									</div>
								</form>
								</div>
                                <img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/cont_left_in_bott.jpg" class="img" alt="" /> 
								<?php
						}
					?>                                                                    
                  </div>
                  
                  <?php
						foreach ($sideboxes as $sidebox)
						{
							require('elements/sidebox_'.$sidebox['type'].'.php');
						}
				  ?>
                  
                  <?= getTemplateImage('SIDE_BANNER') ?>
                  
                  <img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/all_major_cards.jpg" class="all_major_cards" alt="" />
                  
                  <div align="center" class="amazon_left">
						<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/amazon_logo_<?= strtolower($amazon->locale) ?>.gif" alt="<?= SITE_NAME ?> is brought to you in association with Amazon" title="<?= SITE_NAME ?> is brought to you in association with Amazon" />
				  </div>                                    
                  
             </div>
               
             <div class="cont_right">										
					<?php
						## Initialise Messages
						$messages = getMessages();					
						if ($messages)
						{	foreach ($messages as $message)
							{	?>
								<div class="message-<?= $message['type'] ?>"><?= $message['message'] ?></div>
								<?php
							}
						}
					?>														
					<?= $pagecontents ?>
					<?php
						if (ADMIN_LOGGED_IN && $editinplacename != '')
						{
							require('elements/'.$editinplacename.'_editinplacejs.php');
						}
					?>
				</div>												
				<br class="all" />							
			</div>
			
			
			</div>
                
            <br clear="all" />	

            <div class="footer">
                 <!--<div id="footer-securepayments">
					<?= getTemplateImage('IMAGE_SECURE_SHOPPING') ?>
				 </div>-->
                 <span class="left"><a href="<?= URL_SITE ?>terms-of-use/">Terms of Use</a> ::  <a href="<?= URL_SITE ?>privacy-policy/">Privacy Policy</a> ::  <a href="<?= URL_SITE ?>site-map/">Site Map</a></span> <div style="text-align:right""><?= getFooterText() ?></div>                                                                    
            </div>						
			
		</div>
</div>		
				
</body>
</html>
