<div id="checkout-box" class="pagecontent">

<div class="checkout-heading">
	<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/checkout_loading.gif" title="Connecting to Amazon" alt="Connecting to Amazon" />
	<h1>...Connecting to Amazon</h1>
	<br class="clearall" />
</div>

<div class="checkout-logos">
	<?= getTemplateImage('HEAD_LOGO') ?>
	<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/amazon_logo_<?= strtolower($amazon->locale) ?>.gif" class="checkout-logo" alt="Amazon Logo" Title="Amazon Logo" />
</div>

<br class="clearall" />

<h2 class="checkout-explain">You are now being connected to Amazon to complete your order.</h2>

<div class="checkout-info">
	<h3><span>Important: </span> click the <a href="<?= URL_SITE ?>checkout-amazon/"><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/amazon_checkout_continue.gif" /></a> button on the next page to ensure you save all your products and get the lowest prices.</h3>
</div>


<?php
/*
<div class="checkout-products">
<?php
	foreach ($products as $product)
	{
		?>
		<h3><?= $product['quantity'] ?> x <em><?= $product['title'] ?></em> (<?= formatProductPrice($product['price']) ?>)</h3>
		<?php
	}
?>
</div>
*/
?>

<p class="checkout-waiting">Still waiting? <a href="<?= URL_SITE ?>checkout-amazon/">Click to continue to Amazon</a></p>

</div>

<script type="text/javascript">
	setTimeout(function(){window.location='<?= URL_SITE ?>checkout-amazon/';}, <?php echo 1000 * CHECKOUT_REDIRECTION_TIME ?>);
</script>