	<?php
		$sliderproducts = getTemplateOption('HOME_SLIDESHOW_PRODUCTS');
	
		if ($sliderproducts && !empty($sliderproducts))
		{
			?>
			<div class="slider">
				<div class="slider-wrapper">
				  <ul>
				  	
				  	<?php
				  		foreach ($sliderproducts as $product)
				  		{
				  			$product['originalprice'] = $product['offer']['price'] + $product['offer']['amountsaved'];
				  		
				  			?>
				  			<li>
						      <h2><?= substr($product['linktitle'], 0, 35) ?><?= strlen($product['linktitle']) > 35 ? '...' : '' ?></h2>
						      <img class="productimage" src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $product['image']['id'] ?>_135_135.jpg" alt="<?= $product['linktitle'] ?>" class="slider-product" />
						      
						      <div class="slider-details">				      
							      <p><?= substr(strip_tags($product['description']), 0, 210) ?>...</p>
							      
							      <div class="slider-details-left">
							      	<h3><?= $product['originalprice'] > $product['offer']['price'] ? 'was '.formatProductPrice($product['originalprice']) : 'Only' ?></h3>
							      	<h2><?= formatProductPrice($product['offer']['price']) ?></h2>
							      </div>
							      
							      <div class="slider-details-right">
							      	<a href="<?= URL_SITE ?><?= $product['pagename'] ?>/" rel="nofollow"> <img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/layout/btn_more_details.png" alt="More Details" /></a>
							      	<?php if (PRODUCT_HIDE_ADD_TO_CART == '0'): ?>	
							      		<a class="addtocart" href="<?= URL_SITE ?><?= $pages['basket']['pagename'] ?>/add/<?= $product['id'] ?>/<?= $product['offer']['id'] ?>/" rel="nofollow"><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/layout/btn_add_to_cart_slider.png" alt="add to cart" /></a>
							      	<?php endif; ?>
							      </div>
							      
							      
							      
						      </div>
		      				</li>
				  			<?php
				  		}
				  	?>
				  
				  
				  </ul>
				</div>
			</div>
			
			<?php
		}
		else
		{
			?>
			<p><em>To add featured products to the homepage, go to "Configure Template" in your admin area.</em></p>
			<?php
		}
	
	?>

	<div class="pagecontent">
		<?= $page['maintext'] ?>
	</div>
		  

	<div class="twocols">
		<div class="left">
		
		  <h2><a href="<?= $pages['specialoffers']['pagename'] ?>/"><?= $pages['specialoffers']['linktitle'] ?></a></h2>
		 
		  <ul class="products">
		  
		  <?php
		  	$i = 0;
		  	/* Default 6, but controlled by template parameters */
			foreach ($reducedproducts as $product)
			{
				$i++;
				?>
				
				<li>
			      <h4><a href="<?= URL_SITE.$product['pagename'] ?>/"><?= substr($product['linktitle'], 0, 25).(strlen($product['linktitle']) > 25 ? '...' : '') ?></a></h4>
			      
			      <div class="left">
			      	<a href="<?= URL_SITE.$product['pagename'] ?>/" rel="nofollow">
			      		<img class="main" src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $product['image']['id'] ?>_96.jpg" alt="product" />
			      	</a>
			      </div>
			      
			      <div class="right">
			        <p class="price old"><?= $product['originalprice'] > $product['price'] ? formatProductPrice($product['originalprice']) : 'Only' ?></p>
			        <p class="price"><?= formatProductPrice($product['price']) ?></p>
			        <a href="<?= URL_SITE.$product['pagename'] ?>/" rel="nofollow" class="details"><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/layout/btn_more_details.png" alt="more details" width="107" height="26" /></a>
			        <?php if (PRODUCT_HIDE_ADD_TO_CART == '0'): ?>
			        	<a href="<?= URL_SITE ?><?= $pages['basket']['pagename'] ?>/add/<?= $product['id'] ?>/<?= $product['offer']['id'] ?>/" rel="nofollow" class="add-to-basket"><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/layout/btn_add_to_cart.png" alt="add to cart" width="107" height="26" /></a>
			      	<?php endif; ?>
			      </div>
			    </li>

				<?php
				if ($i%2 == 0) echo '<br clear="all" />';
			
			}
		?>
		  
		</ul>
		
		
		  <h2><a href="<?= $pages['bestsellers']['pagename'] ?>/"><?= $pages['bestsellers']['linktitle'] ?></a></h2>
		  
		  <ul class="products">
		  <?php
		  	$i = 0;
		  	/* Should be 4, but controlled by template parameters */
			foreach ($topproducts as $product)
			{
				$i++;
				?>
				
				<li>
			      <h4><a href="<?= URL_SITE.$product['pagename'] ?>/"><?= substr($product['linktitle'], 0, 25).(strlen($product['linktitle']) > 25 ? '...' : '') ?></a></h4>
			      
			      <div class="left">
			      	<a href="<?= URL_SITE.$product['pagename'] ?>/" rel="nofollow">
			      		<img class="main" src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $product['image']['id'] ?>_96.jpg" alt="product" />
			      	</a>
			      </div>
			      
			      <div class="right">
			        <p class="price old"><?= $product['originalprice'] > $product['price'] ? formatProductPrice($product['originalprice']) : 'Only' ?></p>
			        <p class="price"><?= formatProductPrice($product['price']) ?></p>
			        <a href="<?= URL_SITE.$product['pagename'] ?>/" rel="nofollow" class="details"><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/layout/btn_more_details.png" alt="more details" width="107" height="26" /></a>
			        <?php if (PRODUCT_HIDE_ADD_TO_CART == '0'): ?>
			        	<a href="<?= URL_SITE ?><?= $pages['basket']['pagename'] ?>/add/<?= $product['id'] ?>/<?= $product['offer']['id'] ?>/" rel="nofollow" class="add-to-basket"><img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/images/layout/btn_add_to_cart.png" alt="add to cart" width="107" height="26" /></a>
			      	<?php endif; ?>
			      </div>
			    </li>

				<?php
				if ($i%2 == 0) echo '<br clear="all" />';
			}
		  ?>
		  </ul>
		  
		</div>
		
		<div class="right">
		  <div class="special-offers">
		  
			  	<?php
					if (sizeof($manufacturers) > 0)
					{
						?>
							<h3><a href="<?= URL_SITE ?><?= $pages['allmanufacturers']['pagename'] ?>/">Our Brands</a></h3>
							<ul class="products">
								<?php
									foreach ($manufacturers as $manufacturer)
									{
										?>
										<li style="text-align: center; border: 0; background-color: #ffffff;">
										<a href="<?= URL_SITE.$manufacturer['pagename'] ?>/">
											<img src="<?= URL_SITE ?>i/?src=<?= RELATIVE_URL_IMAGES_MANUFACTURER.$manufacturer['logo']['filename'] ?>&w=180&h=100" />
										</a>
										</li>
										<?php
									}
								?>
							</ul>
						<?php	
					}
				?>
				
		  </div>
		</div>
	</div>






	

	<h1><?= $page['title'] ?></h1>
	
	
	<div class="pagecontent">
		
		<?= $page['secondarytext'] ?>
	</div>