<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html>
	<head>
		<title><?= $page_title ?></title>
		
		<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" />
		<meta http-equiv="content-language" content="en" />
		<meta name="keywords" content="<?= $page_keywords ?>" />
		<meta name="description" content="<?= $page_description ?>" />

		<?php
			if ($metanoindex)
			{
				?>
					<meta name="robots" content="noindex,follow" />
				<?php
			}
			else
			{
				?>
					<meta name="robots" content="index,follow" />
				<?php
			}
		?>

		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/reset.css"/>
		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/defaults.css"/>
		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/layout.css"/>
		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/menu.css"/>
		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/slider.css"/>
		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/style.css"/>
		<!--[if lte IE 7]>
		<link rel="stylesheet" type="text/css" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/styles/layout-ie.css"/>
		<![endif]-->
		
		<script type="text/javascript" src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/scripts/main.js"></script>
		
		
		
		<script language="JavaScript" type="text/javascript">
			if (top.location != self.location) top.location = self.location;
			window.siteurl = '<?= URL_SITE ?>';
		</script>
		
		<?php require('elements/analytics.php'); ?>
		
	</head>
		<body <?= $body_onload ?> id="checkout">
		<?php
			if (ADMIN_LOGGED_IN && file_exists(PATH_TEMPLATES.TEMPLATE_FOLDER.'/elements/admin_stripe_'.$adminstripename.'.php'))
			{
				require('elements/admin_stripe_'.$adminstripename.'.php');
			}
		?>
		<?php
			if (ADMIN_LOGGED_IN)
			{
				require('elements/'.$editinplacename.'_editinplaceoptions.php');
			}
		?>
	
		<div id="wrap">
			<div id="mastcontent">
				<?php
					## Initialise Messages
					$messages = getMessages();
				
					if ($messages)
					{
						foreach ($messages as $message)
						{
							?>
							<div class="message-<?= $message['type'] ?>"><?= $message['message'] ?></div>
							<?php
						}
					}
				?>
				
				<?= $pagecontents ?>
				
			</div>
		</div>
				
				
	</body>
</html>