<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8">
<title><?= $page_title ?></title>
<meta http-equiv="content-language" content="en" />
<meta name="keywords" content="<?= $page_keywords ?>" />
<meta name="description" content="<?= $page_description ?>" />
<?php
	if ($metanoindex)
	{
		?>
		<meta name="robots" content="noindex,follow" />
		<?php
	}
	else
	{
		?>
		<meta name="robots" content="index,follow" />
		<?php
	}
?>
<link rel="canonical" href="<?= $canonicalurl ?>" />
<script type="text/javascript">
if (top.location != self.location) top.location = self.location;
window.siteurl = '<?= URL_SITE ?>';
</script>



<script src="http://cdn.jquerytools.org/1.2.5/full/jquery.tools.min.js"></script>


<link rel="stylesheet" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/css/pika.css" />
<link rel="stylesheet" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/css/reset.css" />
<link rel="stylesheet" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/css/scrollable.css" />
<link rel="stylesheet" href="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/css/style.css" />

<?php require('elements/analytics.php'); ?>
</head>

	
	<body>
	
		<div class="container">
		
					<br /><br />
					<a href="http://www.freshstorebuilder.c0m/">
					<img src="<?= URL_SITE ?>templates/<?= TEMPLATE_FOLDER ?>/img/fsb_logo.png" style="float: right; display:inline; margin: 20px;" />
					</a>
		
					<h1><?= SITE_NAME ?></h1>
					
					<p>Welcome to <?= SITE_NAME ?>. The site is currently not available but will be up and running shortly.</p>
					
					<p>Please check back to see our great selection of products at the best prices.</p>
					
					<p><strong>IMPORTANT:</strong> If you are the store owner, please login to your dashboard for instructions on how to put your store live.</p>
					
					<p><em><?= getFooterText() ?></em></p>

		</div>
		
				
	</body>
</html>