	<!-- Product View -->
	<div class="product_large">
		<div class="product_view">
			<!-- Image Slideshow & Gallery -->
			<div class="carousel">
			
				<ul id="pikame" class="jcarousel-skin-pika">
					<li><img src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $mainimage['id'] ?>_300.jpg"/></li>
		
			<?php
				if (sizeof($images) > 0) 
				{
					foreach ($images as $image)
					{
						?>
							<li><a href="#"><img src="<?= URL_SITE ?>img/<?= $product['pagename'] ?>_<?= $image['id'] ?>_300.jpg"/></a></li>
						<?php
					}
				}
			?>
			
				</ul>
			</div>
			<!-- Product Details -->
			<div class="product_details">
				<h1><?= $product['title'] ?></h1>
				
				<?php
					if ($optionsummary['minprice'] == $optionsummary['maxprice'])
					{
						?>
							<h2 class="price"><?= formatProductPrice($optionsummary['minprice']) ?></h2>
						<?php
					}
					else
					{
						?>
							<h2 class="price">From <?= formatProductPrice($optionsummary['minprice']) ?> to <?= formatProductPrice($optionsummary['maxprice']) ?></h2>
						<?php
					}
				?>
				
				<?php
					if (PRODUCT_HIDE_ADD_TO_CART == '0' || (PRODUCT_SHOW_AMAZON_LINK && PRODUCT_DISPLAY_OPTIONS_LINK))
					{
						?>
							<div id="product-options">
								<?php require('elements/product_optionsform.php'); ?>
							</div>
						<?php
					}
				?>
				
				<a href="#related_products" class="details related">Related Products</a>
				<!-- Optional Buy It Now Button -->
				<div class="divider">&nbsp;</div>
				<?php
					if (PRODUCT_SHOW_AMAZON_LINK && !PRODUCT_DISPLAY_OPTIONS_LINK)
					{
						?>
							<a href="<?= URL_SITE ?><?= $pages['buyamazon']['pagename'] ?>/<?= $product['id'] ?>/<?= $product['expired'] ? '3' : '2' ?>/" class="amazon_cart">Buy It Now</a>
							<span class="buy_it_now">from<img src="<?= URL_SITE ?>/templates/stalfoshop/img/buy_it_now_amazon.png" alt="Buy It Now On Amazon"></span>
						<?php
					}
				?>
				
			</div>
		</div>
		
		
		
		<br clear="all" /><br clear="all" />
		
		
		<!--- Product Description -->
		<h5>Description</h5>
		<?php
			if (trim($product['description']) != '' || ADMIN_LOGGED_IN)
			{
				?>	
					<h2>Introducing: <?= $product['linktitle'] ?></h2>
					<div id="product-description"><?= $product['description'] ?></div>
				<?php
			}
		?>
		
		<?php
			if (trim($amazoncontent['description']) != '' && PRODUCT_INFO_DISPLAY_AZDESC != '0')
			{
				?>
					<div id="product-azdescription">
						<h3>Manufacturer Description</h3>
						<p><?= $amazoncontent['description'] ?></p>
					</div>
				<?php
			}
		?>
		
		
		
		
		<h5 class="half">Features</h5><h5 class="half right">Attributes</h5>
		<!--- Product Features -->
		<ul class="feature_list">
			<?php
			if (sizeof($product['keyfeatures']) > 0 && $product['keyfeatures'][0] != '')
			{
				?>
				<?php
				$product['keyfeatures'] = explode("\n",$product['keyfeatures']);
				foreach($product['keyfeatures'] as $feature)
				{
					?>
					<li><span><?= $feature ?></span></li>
					<?php
				}
				?>
				<?php
			}
			else echo "Currently no features."
			?>
		</ul>
		
		<ul class="feature_list right">
			<?php
			if (sizeof($attributes) > 0)
			{
				foreach ($attributes as $name => $value)
				{
					if (trim($value) == '') continue;
					?>
						<li>
							<span>
							<?php
								if (is_array($value))
								{
									foreach ($value as $key => $item)
									{
										echo $key . ' = ' . $item.',';
									}
								}
								else
								{
									echo $value;
								}
							?>
							</span>
							<br class="clearall" />
						</li>
					<?php
				}
			?>
			<?php } else echo "Currently no attributes." ?>
		</ul>

		<br clear="all" />

		<?php
			if (trim($product['descriptionsecondary']) !== '')
			{
				?>
					<h5>Further Details</h5>
					
					<?= $product['descriptionsecondary'] ?>
				<?php
			}
		?>
		
		<?php if($product['feed']): ?>
			<div id="product-feed">
				<h5>Recent Product News</h5>
				<?php
					$i = 0;
					foreach($product['feed'] as $feeditem)
					{
						echo '<div class="product-feed-item">';
						echo "<a href=\"{$feeditem['item_url']}\" class=\"product-feed-item-link\" rel=\"nofollow\">{$feeditem['item_title']}</a>";
						echo '<div class="product-feed-item-body">'.$feeditem['item_body'].'</div>';
						$i++;
						if($i == RSSFEED_COUNT) break;
					}
				?>
			</div>
			<br class="clearall" />
		<?php endif; ?>


	</div>
	
	<div class="products">
		<h1 id="related_products">Related <span>Products</span></h1>
		<?php
			if (sizeof($relatedproducts) > 0)
			{
				?>
					<!-- Related Products -->
					
						<?php
							$i = 0;
							foreach ($relatedproducts as $rproduct)
							{
								$i++;
								$rproduct['image'] = $db->get('productimages',$rproduct['id'], 'product_id');
								$rproduct['offer'] = getProductOffer($rproduct['id']);
								?>
								
								
								<div class="product_details <?php if ($i % 4 == 0) echo 'last'; ?>">
				
									<div class="imagebox">
										<a href="<?= URL_SITE.$rproduct['pagename'] ?>/"><img src="<?= URL_SITE ?>img/<?= $rproduct['pagename'] ?>_<?= $rproduct['image']['id'] ?>_96.jpg" alt="<?= $rproduct['title'] ?>" title="<?= $rproduct['title'] ?>"></a>
									</div>
									
									<a href="<?= URL_SITE.$rproduct['pagename'] ?>/"><h1><?= substr(strip_tags($rproduct['title']), 0, 20) ?>...</h1></a>
									<h2><?= formatProductPrice($rproduct['price']) ?></h2>
									<p><?= substr($rproduct['metadescription'], 0, 180).'...'; ?></p>
									<a href="<?= URL_SITE ?><?= $pages['basket']['pagename'] ?>/add/<?= $rproduct['id'] ?>/<?= $rproduct['offer']['id'] ?>/" class="cart">Add To Cart</a>
									<a href="<?= URL_SITE.$rproduct['pagename'] ?>/" class="details">Details</a>
								</div>
								<?php if ($i % 4 == 0) echo '<div style="clear:both;"></div>'; ?>
							<?php } ?>
					</div>	
					
				<?php
			}
			else
			{
				?>
				<p>No related products found.. why not check out our current <a href="<?= URL_SITE ?>special-offers/">Special Offers</a>?</p>
				<?php
			}
		
		?>
	
	</div>

	
	
	
	
</div>
