var populatedoptions = new Object();

function populateOptions(product_id, from)
{
	var to = from + 1;
	var topopulate = '#productoption_'+to;
	var tolabel = '#productoptionlabel_'+to;
	var fromelement = '#productoption_'+from;
	
	//record this population
	populatedoptions[$(fromelement).attr('name')] = $(fromelement).val();
	
	// Reset any other dropdowns after this one
	resetOptions(to);
	
	
	// Put selected options into a string
	var populatedoptionsstring = '';
	for (i in populatedoptions)
	{
		populatedoptionsstring += i+'|'+populatedoptions[i]+'~';
	}
	
	if ($(topopulate).length > 0)
	{			
		// Old Text for the Label
		var oldlabeltext = $(tolabel).html();
		
		$(tolabel).html('<img src="/icons/common_loading.gif" style="vertical-align: middle;" /> Please Wait...');
		$(topopulate).attr('disabled', true);
	
		$.ajax({
				type: 'POST',
				url: window.siteurl+'/ajax/product_getoptionvalues.php',
				data: {id: product_id, option: $(topopulate).attr('name'), populatedoptions: populatedoptionsstring},
				success: function(data) {
					$(topopulate).html(data);
					$(topopulate).attr('disabled', false);
					$(tolabel).html(oldlabeltext);
					}
				});
				
	}
	else
	{
		// All options chosen, get the offer details
		
		$('#product-option-offer').html('<img src="'+window.siteurl+'/icons/common_loading.gif" /> Please Wait...');
		
		$.ajax({
				type: 'POST',
				url: window.siteurl+'/ajax/product_getofferbyoptions.php',
				data: {id: product_id, populatedoptions: populatedoptionsstring},
				success: function(data) {
					$('#product-option-offer').html(data);
					$(topopulate).attr('disabled', false);
					$(tolabel).html(oldlabeltext);
					}
				});
	}
}

function resetOptions(id)
{
	var toreset = '#productoption_'+id;
	if ($(toreset).length > 0)
	{
		delete populatedoptions[$(toreset).attr('name')];
		resetOptions(id+1);
		$(toreset).attr('disabled', true);
	}
}

function showOptionsTable(product_id)
{

	$('#product-options').html('<img src="'+window.siteurl+'/icons/common_loading.gif" /> Please Wait...');

	$.ajax({
			type: 'POST',
			url: window.siteurl+'/ajax/product_getoptiontable.php',
			data: {id: product_id},
			success: function(data) {
				$('#product-options').html(data);
				}
			});

}

function showOptionsForm(product_id)
{
	$('#product-options').html('<img src="'+window.siteurl+'/icons/common_loading.gif" /> Please Wait...');

	$.ajax({
			type: 'POST',
			url: window.siteurl+'/ajax/product_getoptionform.php',
			data: {id: product_id},
			success: function(data) {
				$('#product-options').html(data);
				}
			});
}